#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C escape:non-ascii
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L non-ascii.old <(echo \
'$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }
$ echo -ne '\''\x80'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x80'\''|json -b 1
$ echo -ne '\''\x80'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x80
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x80'\''|json -b 2
$ echo -ne '\''\x81'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x81
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x81'\''|json -b 1
$ echo -ne '\''\x81'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x81
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x81'\''|json -b 2
$ echo -ne '\''\x82'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x82
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x82'\''|json -b 1
$ echo -ne '\''\x82'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x82
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x82'\''|json -b 2
$ echo -ne '\''\x83'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x83
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x83'\''|json -b 1
$ echo -ne '\''\x83'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x83
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x83'\''|json -b 2
$ echo -ne '\''\x84'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x84
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x84'\''|json -b 1
$ echo -ne '\''\x84'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x84
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x84'\''|json -b 2
$ echo -ne '\''\x85'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x85
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x85'\''|json -b 1
$ echo -ne '\''\x85'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x85
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x85'\''|json -b 2
$ echo -ne '\''\x86'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x86
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x86'\''|json -b 1
$ echo -ne '\''\x86'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x86
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x86'\''|json -b 2
$ echo -ne '\''\x87'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x87
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x87'\''|json -b 1
$ echo -ne '\''\x87'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x87
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x87'\''|json -b 2
$ echo -ne '\''\x88'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x88
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x88'\''|json -b 1
$ echo -ne '\''\x88'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x88
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x88'\''|json -b 2
$ echo -ne '\''\x89'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x89
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x89'\''|json -b 1
$ echo -ne '\''\x89'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x89
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x89'\''|json -b 2
$ echo -ne '\''\x8a'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8a
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8a'\''|json -b 1
$ echo -ne '\''\x8a'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8a
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8a'\''|json -b 2
$ echo -ne '\''\x8b'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8b
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8b'\''|json -b 1
$ echo -ne '\''\x8b'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8b
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8b'\''|json -b 2
$ echo -ne '\''\x8c'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8c
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8c'\''|json -b 1
$ echo -ne '\''\x8c'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8c
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8c'\''|json -b 2
$ echo -ne '\''\x8d'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8d
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8d'\''|json -b 1
$ echo -ne '\''\x8d'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8d
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8d'\''|json -b 2
$ echo -ne '\''\x8e'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8e
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8e'\''|json -b 1
$ echo -ne '\''\x8e'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8e
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8e'\''|json -b 2
$ echo -ne '\''\x8f'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8f
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8f'\''|json -b 1
$ echo -ne '\''\x8f'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8f
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x8f'\''|json -b 2
$ echo -ne '\''\x90'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x90
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x90'\''|json -b 1
$ echo -ne '\''\x90'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x90
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x90'\''|json -b 2
$ echo -ne '\''\x91'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x91
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x91'\''|json -b 1
$ echo -ne '\''\x91'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x91
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x91'\''|json -b 2
$ echo -ne '\''\x92'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x92
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x92'\''|json -b 1
$ echo -ne '\''\x92'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x92
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x92'\''|json -b 2
$ echo -ne '\''\x93'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x93
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x93'\''|json -b 1
$ echo -ne '\''\x93'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x93
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x93'\''|json -b 2
$ echo -ne '\''\x94'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x94
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x94'\''|json -b 1
$ echo -ne '\''\x94'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x94
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x94'\''|json -b 2
$ echo -ne '\''\x95'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x95'\''|json -b 1
$ echo -ne '\''\x95'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x95'\''|json -b 2
$ echo -ne '\''\x96'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x96
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x96'\''|json -b 1
$ echo -ne '\''\x96'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x96
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x96'\''|json -b 2
$ echo -ne '\''\x97'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x97
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x97'\''|json -b 1
$ echo -ne '\''\x97'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x97
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x97'\''|json -b 2
$ echo -ne '\''\x98'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x98
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x98'\''|json -b 1
$ echo -ne '\''\x98'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x98
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x98'\''|json -b 2
$ echo -ne '\''\x99'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x99
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x99'\''|json -b 1
$ echo -ne '\''\x99'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x99
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x99'\''|json -b 2
$ echo -ne '\''\x9a'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9a
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9a'\''|json -b 1
$ echo -ne '\''\x9a'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9a
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9a'\''|json -b 2
$ echo -ne '\''\x9b'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9b
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9b'\''|json -b 1
$ echo -ne '\''\x9b'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9b
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9b'\''|json -b 2
$ echo -ne '\''\x9c'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9c
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9c'\''|json -b 1
$ echo -ne '\''\x9c'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9c
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9c'\''|json -b 2
$ echo -ne '\''\x9d'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9d
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9d'\''|json -b 1
$ echo -ne '\''\x9d'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9d
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9d'\''|json -b 2
$ echo -ne '\''\x9e'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9e
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9e'\''|json -b 1
$ echo -ne '\''\x9e'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9e
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9e'\''|json -b 2
$ echo -ne '\''\x9f'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9f
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9f'\''|json -b 1
$ echo -ne '\''\x9f'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9f
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\x9f'\''|json -b 2
$ echo -ne '\''\xa0'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa0
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa0'\''|json -b 1
$ echo -ne '\''\xa0'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa0
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa0'\''|json -b 2
$ echo -ne '\''\xa1'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa1
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa1'\''|json -b 1
$ echo -ne '\''\xa1'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa1
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa1'\''|json -b 2
$ echo -ne '\''\xa2'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa2
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa2'\''|json -b 1
$ echo -ne '\''\xa2'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa2
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa2'\''|json -b 2
$ echo -ne '\''\xa3'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa3
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa3'\''|json -b 1
$ echo -ne '\''\xa3'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa3
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa3'\''|json -b 2
$ echo -ne '\''\xa4'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa4
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa4'\''|json -b 1
$ echo -ne '\''\xa4'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa4
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa4'\''|json -b 2
$ echo -ne '\''\xa5'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa5
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa5'\''|json -b 1
$ echo -ne '\''\xa5'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa5
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa5'\''|json -b 2
$ echo -ne '\''\xa6'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa6
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa6'\''|json -b 1
$ echo -ne '\''\xa6'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa6
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa6'\''|json -b 2
$ echo -ne '\''\xa7'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa7
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa7'\''|json -b 1
$ echo -ne '\''\xa7'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa7
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa7'\''|json -b 2
$ echo -ne '\''\xa8'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa8
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa8'\''|json -b 1
$ echo -ne '\''\xa8'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa8
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa8'\''|json -b 2
$ echo -ne '\''\xa9'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa9
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa9'\''|json -b 1
$ echo -ne '\''\xa9'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa9
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xa9'\''|json -b 2
$ echo -ne '\''\xaa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xaa'\''|json -b 1
$ echo -ne '\''\xaa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xaa'\''|json -b 2
$ echo -ne '\''\xab'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xab
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xab'\''|json -b 1
$ echo -ne '\''\xab'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xab
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xab'\''|json -b 2
$ echo -ne '\''\xac'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xac
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xac'\''|json -b 1
$ echo -ne '\''\xac'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xac
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xac'\''|json -b 2
$ echo -ne '\''\xad'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xad
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xad'\''|json -b 1
$ echo -ne '\''\xad'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xad
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xad'\''|json -b 2
$ echo -ne '\''\xae'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xae
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xae'\''|json -b 1
$ echo -ne '\''\xae'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xae
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xae'\''|json -b 2
$ echo -ne '\''\xaf'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xaf'\''|json -b 1
$ echo -ne '\''\xaf'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xaf'\''|json -b 2
$ echo -ne '\''\xb0'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb0
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb0'\''|json -b 1
$ echo -ne '\''\xb0'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb0
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb0'\''|json -b 2
$ echo -ne '\''\xb1'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb1
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb1'\''|json -b 1
$ echo -ne '\''\xb1'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb1
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb1'\''|json -b 2
$ echo -ne '\''\xb2'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb2
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb2'\''|json -b 1
$ echo -ne '\''\xb2'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb2
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb2'\''|json -b 2
$ echo -ne '\''\xb3'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb3
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb3'\''|json -b 1
$ echo -ne '\''\xb3'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb3
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb3'\''|json -b 2
$ echo -ne '\''\xb4'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb4
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb4'\''|json -b 1
$ echo -ne '\''\xb4'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb4
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb4'\''|json -b 2
$ echo -ne '\''\xb5'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb5
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb5'\''|json -b 1
$ echo -ne '\''\xb5'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb5
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb5'\''|json -b 2
$ echo -ne '\''\xb6'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb6
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb6'\''|json -b 1
$ echo -ne '\''\xb6'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb6
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb6'\''|json -b 2
$ echo -ne '\''\xb7'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb7
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb7'\''|json -b 1
$ echo -ne '\''\xb7'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb7
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb7'\''|json -b 2
$ echo -ne '\''\xb8'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb8
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb8'\''|json -b 1
$ echo -ne '\''\xb8'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb8
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb8'\''|json -b 2
$ echo -ne '\''\xb9'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb9
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb9'\''|json -b 1
$ echo -ne '\''\xb9'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb9
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xb9'\''|json -b 2
$ echo -ne '\''\xba'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xba
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xba'\''|json -b 1
$ echo -ne '\''\xba'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xba
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xba'\''|json -b 2
$ echo -ne '\''\xbb'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbb
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbb'\''|json -b 1
$ echo -ne '\''\xbb'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbb
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbb'\''|json -b 2
$ echo -ne '\''\xbc'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbc
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbc'\''|json -b 1
$ echo -ne '\''\xbc'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbc
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbc'\''|json -b 2
$ echo -ne '\''\xbd'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbd
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbd'\''|json -b 1
$ echo -ne '\''\xbd'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbd
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbd'\''|json -b 2
$ echo -ne '\''\xbe'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbe
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbe'\''|json -b 1
$ echo -ne '\''\xbe'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbe
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbe'\''|json -b 2
$ echo -ne '\''\xbf'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbf'\''|json -b 1
$ echo -ne '\''\xbf'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbf
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xbf'\''|json -b 2
$ echo -ne '\''\xc0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc0'\''|json -b 1
$ echo -ne '\''\xc0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc0'\''|json -b 2
$ echo -ne '\''\xc1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc1'\''|json -b 1
$ echo -ne '\''\xc1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc1'\''|json -b 2
$ echo -ne '\''\xc2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc2'\''|json -b 1
$ echo -ne '\''\xc2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc2'\''|json -b 2
$ echo -ne '\''\xc3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc3'\''|json -b 1
$ echo -ne '\''\xc3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc3'\''|json -b 2
$ echo -ne '\''\xc4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc4'\''|json -b 1
$ echo -ne '\''\xc4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc4'\''|json -b 2
$ echo -ne '\''\xc5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc5'\''|json -b 1
$ echo -ne '\''\xc5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc5'\''|json -b 2
$ echo -ne '\''\xc6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc6'\''|json -b 1
$ echo -ne '\''\xc6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc6'\''|json -b 2
$ echo -ne '\''\xc7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc7'\''|json -b 1
$ echo -ne '\''\xc7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc7'\''|json -b 2
$ echo -ne '\''\xc8'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc8
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc8'\''|json -b 1
$ echo -ne '\''\xc8'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc8
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc8'\''|json -b 2
$ echo -ne '\''\xc9'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc9
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc9'\''|json -b 1
$ echo -ne '\''\xc9'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc9
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xc9'\''|json -b 2
$ echo -ne '\''\xca'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xca
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca'\''|json -b 1
$ echo -ne '\''\xca'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xca
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca'\''|json -b 2
$ echo -ne '\''\xcb'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcb
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcb'\''|json -b 1
$ echo -ne '\''\xcb'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcb
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcb'\''|json -b 2
$ echo -ne '\''\xcc'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcc
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcc'\''|json -b 1
$ echo -ne '\''\xcc'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcc
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcc'\''|json -b 2
$ echo -ne '\''\xcd'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcd
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcd'\''|json -b 1
$ echo -ne '\''\xcd'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcd
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcd'\''|json -b 2
$ echo -ne '\''\xce'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xce
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xce'\''|json -b 1
$ echo -ne '\''\xce'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xce
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xce'\''|json -b 2
$ echo -ne '\''\xcf'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcf
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcf'\''|json -b 1
$ echo -ne '\''\xcf'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcf
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xcf'\''|json -b 2
$ echo -ne '\''\xd0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd0'\''|json -b 1
$ echo -ne '\''\xd0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd0'\''|json -b 2
$ echo -ne '\''\xd1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd1'\''|json -b 1
$ echo -ne '\''\xd1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd1'\''|json -b 2
$ echo -ne '\''\xd2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd2'\''|json -b 1
$ echo -ne '\''\xd2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd2'\''|json -b 2
$ echo -ne '\''\xd3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd3'\''|json -b 1
$ echo -ne '\''\xd3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd3'\''|json -b 2
$ echo -ne '\''\xd4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd4'\''|json -b 1
$ echo -ne '\''\xd4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd4'\''|json -b 2
$ echo -ne '\''\xd5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5'\''|json -b 1
$ echo -ne '\''\xd5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5'\''|json -b 2
$ echo -ne '\''\xd6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd6'\''|json -b 1
$ echo -ne '\''\xd6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd6'\''|json -b 2
$ echo -ne '\''\xd7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd7'\''|json -b 1
$ echo -ne '\''\xd7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd7'\''|json -b 2
$ echo -ne '\''\xd8'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd8
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd8'\''|json -b 1
$ echo -ne '\''\xd8'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd8
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd8'\''|json -b 2
$ echo -ne '\''\xd9'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd9
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd9'\''|json -b 1
$ echo -ne '\''\xd9'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd9
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd9'\''|json -b 2
$ echo -ne '\''\xda'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xda
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xda'\''|json -b 1
$ echo -ne '\''\xda'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xda
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xda'\''|json -b 2
$ echo -ne '\''\xdb'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdb
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdb'\''|json -b 1
$ echo -ne '\''\xdb'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdb
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdb'\''|json -b 2
$ echo -ne '\''\xdc'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdc
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdc'\''|json -b 1
$ echo -ne '\''\xdc'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdc
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdc'\''|json -b 2
$ echo -ne '\''\xdd'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdd
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdd'\''|json -b 1
$ echo -ne '\''\xdd'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdd
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdd'\''|json -b 2
$ echo -ne '\''\xde'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xde
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xde'\''|json -b 1
$ echo -ne '\''\xde'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xde
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xde'\''|json -b 2
$ echo -ne '\''\xdf'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdf
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdf'\''|json -b 1
$ echo -ne '\''\xdf'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdf
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xdf'\''|json -b 2
$ echo -ne '\''\xe0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe0'\''|json -b 1
$ echo -ne '\''\xe0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe0'\''|json -b 2
$ echo -ne '\''\xe1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe1'\''|json -b 1
$ echo -ne '\''\xe1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe1'\''|json -b 2
$ echo -ne '\''\xe2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe2'\''|json -b 1
$ echo -ne '\''\xe2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe2'\''|json -b 2
$ echo -ne '\''\xe3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe3'\''|json -b 1
$ echo -ne '\''\xe3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe3'\''|json -b 2
$ echo -ne '\''\xe4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe4'\''|json -b 1
$ echo -ne '\''\xe4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe4'\''|json -b 2
$ echo -ne '\''\xe5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe5'\''|json -b 1
$ echo -ne '\''\xe5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe5'\''|json -b 2
$ echo -ne '\''\xe6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe6'\''|json -b 1
$ echo -ne '\''\xe6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe6'\''|json -b 2
$ echo -ne '\''\xe7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe7'\''|json -b 1
$ echo -ne '\''\xe7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe7'\''|json -b 2
$ echo -ne '\''\xe8'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe8
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe8'\''|json -b 1
$ echo -ne '\''\xe8'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe8
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe8'\''|json -b 2
$ echo -ne '\''\xe9'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe9
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe9'\''|json -b 1
$ echo -ne '\''\xe9'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe9
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xe9'\''|json -b 2
$ echo -ne '\''\xea'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xea
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xea'\''|json -b 1
$ echo -ne '\''\xea'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xea
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xea'\''|json -b 2
$ echo -ne '\''\xeb'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xeb
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xeb'\''|json -b 1
$ echo -ne '\''\xeb'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xeb
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xeb'\''|json -b 2
$ echo -ne '\''\xec'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xec
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xec'\''|json -b 1
$ echo -ne '\''\xec'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xec
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xec'\''|json -b 2
$ echo -ne '\''\xed'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xed
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xed'\''|json -b 1
$ echo -ne '\''\xed'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xed
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xed'\''|json -b 2
$ echo -ne '\''\xee'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xee
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xee'\''|json -b 1
$ echo -ne '\''\xee'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xee
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xee'\''|json -b 2
$ echo -ne '\''\xef'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xef
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xef'\''|json -b 1
$ echo -ne '\''\xef'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xef
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xef'\''|json -b 2
$ echo -ne '\''\xf0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf0'\''|json -b 1
$ echo -ne '\''\xf0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf0
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf0'\''|json -b 2
$ echo -ne '\''\xf1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf1'\''|json -b 1
$ echo -ne '\''\xf1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf1
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf1'\''|json -b 2
$ echo -ne '\''\xf2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf2'\''|json -b 1
$ echo -ne '\''\xf2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf2
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf2'\''|json -b 2
$ echo -ne '\''\xf3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf3'\''|json -b 1
$ echo -ne '\''\xf3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf3
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf3'\''|json -b 2
$ echo -ne '\''\xf4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf4'\''|json -b 1
$ echo -ne '\''\xf4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf4
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf4'\''|json -b 2
$ echo -ne '\''\xf5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf5'\''|json -b 1
$ echo -ne '\''\xf5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf5
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf5'\''|json -b 2
$ echo -ne '\''\xf6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf6'\''|json -b 1
$ echo -ne '\''\xf6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf6
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf6'\''|json -b 2
$ echo -ne '\''\xf7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf7'\''|json -b 1
$ echo -ne '\''\xf7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf7
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xf7'\''|json -b 2
$ echo -ne '\''\xf8'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf8
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf8'\''|json -b 1
$ echo -ne '\''\xf8'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf8
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf8'\''|json -b 2
$ echo -ne '\''\xf9'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf9
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf9'\''|json -b 1
$ echo -ne '\''\xf9'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf9
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf9'\''|json -b 2
$ echo -ne '\''\xfa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfa'\''|json -b 1
$ echo -ne '\''\xfa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfa'\''|json -b 2
$ echo -ne '\''\xfb'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfb
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfb'\''|json -b 1
$ echo -ne '\''\xfb'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfb
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfb'\''|json -b 2
$ echo -ne '\''\xfc'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfc
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfc'\''|json -b 1
$ echo -ne '\''\xfc'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfc
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfc'\''|json -b 2
$ echo -ne '\''\xfd'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfd
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfd'\''|json -b 1
$ echo -ne '\''\xfd'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfd
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfd'\''|json -b 2
$ echo -ne '\''\xfe'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfe
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfe'\''|json -b 1
$ echo -ne '\''\xfe'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfe
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xfe'\''|json -b 2
$ echo -ne '\''\xff'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xff
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xff'\''|json -b 1
$ echo -ne '\''\xff'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xff
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xff'\''|json -b 2'
) -L non-ascii.new <(
echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'

echo '$ echo -ne '\''\x80'\''|json -b 1'
echo -ne '\x80'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x80'\''|json -b 1'

echo '$ echo -ne '\''\x80'\''|json -b 2'
echo -ne '\x80'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x80'\''|json -b 2'

echo '$ echo -ne '\''\x81'\''|json -b 1'
echo -ne '\x81'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x81'\''|json -b 1'

echo '$ echo -ne '\''\x81'\''|json -b 2'
echo -ne '\x81'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x81'\''|json -b 2'

echo '$ echo -ne '\''\x82'\''|json -b 1'
echo -ne '\x82'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x82'\''|json -b 1'

echo '$ echo -ne '\''\x82'\''|json -b 2'
echo -ne '\x82'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x82'\''|json -b 2'

echo '$ echo -ne '\''\x83'\''|json -b 1'
echo -ne '\x83'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x83'\''|json -b 1'

echo '$ echo -ne '\''\x83'\''|json -b 2'
echo -ne '\x83'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x83'\''|json -b 2'

echo '$ echo -ne '\''\x84'\''|json -b 1'
echo -ne '\x84'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x84'\''|json -b 1'

echo '$ echo -ne '\''\x84'\''|json -b 2'
echo -ne '\x84'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x84'\''|json -b 2'

echo '$ echo -ne '\''\x85'\''|json -b 1'
echo -ne '\x85'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x85'\''|json -b 1'

echo '$ echo -ne '\''\x85'\''|json -b 2'
echo -ne '\x85'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x85'\''|json -b 2'

echo '$ echo -ne '\''\x86'\''|json -b 1'
echo -ne '\x86'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x86'\''|json -b 1'

echo '$ echo -ne '\''\x86'\''|json -b 2'
echo -ne '\x86'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x86'\''|json -b 2'

echo '$ echo -ne '\''\x87'\''|json -b 1'
echo -ne '\x87'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x87'\''|json -b 1'

echo '$ echo -ne '\''\x87'\''|json -b 2'
echo -ne '\x87'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x87'\''|json -b 2'

echo '$ echo -ne '\''\x88'\''|json -b 1'
echo -ne '\x88'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x88'\''|json -b 1'

echo '$ echo -ne '\''\x88'\''|json -b 2'
echo -ne '\x88'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x88'\''|json -b 2'

echo '$ echo -ne '\''\x89'\''|json -b 1'
echo -ne '\x89'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x89'\''|json -b 1'

echo '$ echo -ne '\''\x89'\''|json -b 2'
echo -ne '\x89'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x89'\''|json -b 2'

echo '$ echo -ne '\''\x8a'\''|json -b 1'
echo -ne '\x8a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8a'\''|json -b 1'

echo '$ echo -ne '\''\x8a'\''|json -b 2'
echo -ne '\x8a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8a'\''|json -b 2'

echo '$ echo -ne '\''\x8b'\''|json -b 1'
echo -ne '\x8b'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8b'\''|json -b 1'

echo '$ echo -ne '\''\x8b'\''|json -b 2'
echo -ne '\x8b'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8b'\''|json -b 2'

echo '$ echo -ne '\''\x8c'\''|json -b 1'
echo -ne '\x8c'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8c'\''|json -b 1'

echo '$ echo -ne '\''\x8c'\''|json -b 2'
echo -ne '\x8c'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8c'\''|json -b 2'

echo '$ echo -ne '\''\x8d'\''|json -b 1'
echo -ne '\x8d'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8d'\''|json -b 1'

echo '$ echo -ne '\''\x8d'\''|json -b 2'
echo -ne '\x8d'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8d'\''|json -b 2'

echo '$ echo -ne '\''\x8e'\''|json -b 1'
echo -ne '\x8e'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8e'\''|json -b 1'

echo '$ echo -ne '\''\x8e'\''|json -b 2'
echo -ne '\x8e'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8e'\''|json -b 2'

echo '$ echo -ne '\''\x8f'\''|json -b 1'
echo -ne '\x8f'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x8f'\''|json -b 1'

echo '$ echo -ne '\''\x8f'\''|json -b 2'
echo -ne '\x8f'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x8f'\''|json -b 2'

echo '$ echo -ne '\''\x90'\''|json -b 1'
echo -ne '\x90'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x90'\''|json -b 1'

echo '$ echo -ne '\''\x90'\''|json -b 2'
echo -ne '\x90'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x90'\''|json -b 2'

echo '$ echo -ne '\''\x91'\''|json -b 1'
echo -ne '\x91'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x91'\''|json -b 1'

echo '$ echo -ne '\''\x91'\''|json -b 2'
echo -ne '\x91'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x91'\''|json -b 2'

echo '$ echo -ne '\''\x92'\''|json -b 1'
echo -ne '\x92'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x92'\''|json -b 1'

echo '$ echo -ne '\''\x92'\''|json -b 2'
echo -ne '\x92'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x92'\''|json -b 2'

echo '$ echo -ne '\''\x93'\''|json -b 1'
echo -ne '\x93'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x93'\''|json -b 1'

echo '$ echo -ne '\''\x93'\''|json -b 2'
echo -ne '\x93'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x93'\''|json -b 2'

echo '$ echo -ne '\''\x94'\''|json -b 1'
echo -ne '\x94'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x94'\''|json -b 1'

echo '$ echo -ne '\''\x94'\''|json -b 2'
echo -ne '\x94'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x94'\''|json -b 2'

echo '$ echo -ne '\''\x95'\''|json -b 1'
echo -ne '\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x95'\''|json -b 1'

echo '$ echo -ne '\''\x95'\''|json -b 2'
echo -ne '\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x95'\''|json -b 2'

echo '$ echo -ne '\''\x96'\''|json -b 1'
echo -ne '\x96'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x96'\''|json -b 1'

echo '$ echo -ne '\''\x96'\''|json -b 2'
echo -ne '\x96'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x96'\''|json -b 2'

echo '$ echo -ne '\''\x97'\''|json -b 1'
echo -ne '\x97'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x97'\''|json -b 1'

echo '$ echo -ne '\''\x97'\''|json -b 2'
echo -ne '\x97'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x97'\''|json -b 2'

echo '$ echo -ne '\''\x98'\''|json -b 1'
echo -ne '\x98'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x98'\''|json -b 1'

echo '$ echo -ne '\''\x98'\''|json -b 2'
echo -ne '\x98'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x98'\''|json -b 2'

echo '$ echo -ne '\''\x99'\''|json -b 1'
echo -ne '\x99'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x99'\''|json -b 1'

echo '$ echo -ne '\''\x99'\''|json -b 2'
echo -ne '\x99'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x99'\''|json -b 2'

echo '$ echo -ne '\''\x9a'\''|json -b 1'
echo -ne '\x9a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9a'\''|json -b 1'

echo '$ echo -ne '\''\x9a'\''|json -b 2'
echo -ne '\x9a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9a'\''|json -b 2'

echo '$ echo -ne '\''\x9b'\''|json -b 1'
echo -ne '\x9b'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9b'\''|json -b 1'

echo '$ echo -ne '\''\x9b'\''|json -b 2'
echo -ne '\x9b'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9b'\''|json -b 2'

echo '$ echo -ne '\''\x9c'\''|json -b 1'
echo -ne '\x9c'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9c'\''|json -b 1'

echo '$ echo -ne '\''\x9c'\''|json -b 2'
echo -ne '\x9c'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9c'\''|json -b 2'

echo '$ echo -ne '\''\x9d'\''|json -b 1'
echo -ne '\x9d'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9d'\''|json -b 1'

echo '$ echo -ne '\''\x9d'\''|json -b 2'
echo -ne '\x9d'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9d'\''|json -b 2'

echo '$ echo -ne '\''\x9e'\''|json -b 1'
echo -ne '\x9e'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9e'\''|json -b 1'

echo '$ echo -ne '\''\x9e'\''|json -b 2'
echo -ne '\x9e'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9e'\''|json -b 2'

echo '$ echo -ne '\''\x9f'\''|json -b 1'
echo -ne '\x9f'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\x9f'\''|json -b 1'

echo '$ echo -ne '\''\x9f'\''|json -b 2'
echo -ne '\x9f'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\x9f'\''|json -b 2'

echo '$ echo -ne '\''\xa0'\''|json -b 1'
echo -ne '\xa0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa0'\''|json -b 1'

echo '$ echo -ne '\''\xa0'\''|json -b 2'
echo -ne '\xa0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa0'\''|json -b 2'

echo '$ echo -ne '\''\xa1'\''|json -b 1'
echo -ne '\xa1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa1'\''|json -b 1'

echo '$ echo -ne '\''\xa1'\''|json -b 2'
echo -ne '\xa1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa1'\''|json -b 2'

echo '$ echo -ne '\''\xa2'\''|json -b 1'
echo -ne '\xa2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa2'\''|json -b 1'

echo '$ echo -ne '\''\xa2'\''|json -b 2'
echo -ne '\xa2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa2'\''|json -b 2'

echo '$ echo -ne '\''\xa3'\''|json -b 1'
echo -ne '\xa3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa3'\''|json -b 1'

echo '$ echo -ne '\''\xa3'\''|json -b 2'
echo -ne '\xa3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa3'\''|json -b 2'

echo '$ echo -ne '\''\xa4'\''|json -b 1'
echo -ne '\xa4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa4'\''|json -b 1'

echo '$ echo -ne '\''\xa4'\''|json -b 2'
echo -ne '\xa4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa4'\''|json -b 2'

echo '$ echo -ne '\''\xa5'\''|json -b 1'
echo -ne '\xa5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa5'\''|json -b 1'

echo '$ echo -ne '\''\xa5'\''|json -b 2'
echo -ne '\xa5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa5'\''|json -b 2'

echo '$ echo -ne '\''\xa6'\''|json -b 1'
echo -ne '\xa6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa6'\''|json -b 1'

echo '$ echo -ne '\''\xa6'\''|json -b 2'
echo -ne '\xa6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa6'\''|json -b 2'

echo '$ echo -ne '\''\xa7'\''|json -b 1'
echo -ne '\xa7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa7'\''|json -b 1'

echo '$ echo -ne '\''\xa7'\''|json -b 2'
echo -ne '\xa7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa7'\''|json -b 2'

echo '$ echo -ne '\''\xa8'\''|json -b 1'
echo -ne '\xa8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa8'\''|json -b 1'

echo '$ echo -ne '\''\xa8'\''|json -b 2'
echo -ne '\xa8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa8'\''|json -b 2'

echo '$ echo -ne '\''\xa9'\''|json -b 1'
echo -ne '\xa9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xa9'\''|json -b 1'

echo '$ echo -ne '\''\xa9'\''|json -b 2'
echo -ne '\xa9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xa9'\''|json -b 2'

echo '$ echo -ne '\''\xaa'\''|json -b 1'
echo -ne '\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xaa'\''|json -b 2'
echo -ne '\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xab'\''|json -b 1'
echo -ne '\xab'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xab'\''|json -b 1'

echo '$ echo -ne '\''\xab'\''|json -b 2'
echo -ne '\xab'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xab'\''|json -b 2'

echo '$ echo -ne '\''\xac'\''|json -b 1'
echo -ne '\xac'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xac'\''|json -b 1'

echo '$ echo -ne '\''\xac'\''|json -b 2'
echo -ne '\xac'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xac'\''|json -b 2'

echo '$ echo -ne '\''\xad'\''|json -b 1'
echo -ne '\xad'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xad'\''|json -b 1'

echo '$ echo -ne '\''\xad'\''|json -b 2'
echo -ne '\xad'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xad'\''|json -b 2'

echo '$ echo -ne '\''\xae'\''|json -b 1'
echo -ne '\xae'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xae'\''|json -b 1'

echo '$ echo -ne '\''\xae'\''|json -b 2'
echo -ne '\xae'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xae'\''|json -b 2'

echo '$ echo -ne '\''\xaf'\''|json -b 1'
echo -ne '\xaf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xaf'\''|json -b 1'

echo '$ echo -ne '\''\xaf'\''|json -b 2'
echo -ne '\xaf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xaf'\''|json -b 2'

echo '$ echo -ne '\''\xb0'\''|json -b 1'
echo -ne '\xb0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb0'\''|json -b 1'

echo '$ echo -ne '\''\xb0'\''|json -b 2'
echo -ne '\xb0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb0'\''|json -b 2'

echo '$ echo -ne '\''\xb1'\''|json -b 1'
echo -ne '\xb1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb1'\''|json -b 1'

echo '$ echo -ne '\''\xb1'\''|json -b 2'
echo -ne '\xb1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb1'\''|json -b 2'

echo '$ echo -ne '\''\xb2'\''|json -b 1'
echo -ne '\xb2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb2'\''|json -b 1'

echo '$ echo -ne '\''\xb2'\''|json -b 2'
echo -ne '\xb2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb2'\''|json -b 2'

echo '$ echo -ne '\''\xb3'\''|json -b 1'
echo -ne '\xb3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb3'\''|json -b 1'

echo '$ echo -ne '\''\xb3'\''|json -b 2'
echo -ne '\xb3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb3'\''|json -b 2'

echo '$ echo -ne '\''\xb4'\''|json -b 1'
echo -ne '\xb4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb4'\''|json -b 1'

echo '$ echo -ne '\''\xb4'\''|json -b 2'
echo -ne '\xb4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb4'\''|json -b 2'

echo '$ echo -ne '\''\xb5'\''|json -b 1'
echo -ne '\xb5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb5'\''|json -b 1'

echo '$ echo -ne '\''\xb5'\''|json -b 2'
echo -ne '\xb5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb5'\''|json -b 2'

echo '$ echo -ne '\''\xb6'\''|json -b 1'
echo -ne '\xb6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb6'\''|json -b 1'

echo '$ echo -ne '\''\xb6'\''|json -b 2'
echo -ne '\xb6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb6'\''|json -b 2'

echo '$ echo -ne '\''\xb7'\''|json -b 1'
echo -ne '\xb7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb7'\''|json -b 1'

echo '$ echo -ne '\''\xb7'\''|json -b 2'
echo -ne '\xb7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb7'\''|json -b 2'

echo '$ echo -ne '\''\xb8'\''|json -b 1'
echo -ne '\xb8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb8'\''|json -b 1'

echo '$ echo -ne '\''\xb8'\''|json -b 2'
echo -ne '\xb8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb8'\''|json -b 2'

echo '$ echo -ne '\''\xb9'\''|json -b 1'
echo -ne '\xb9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xb9'\''|json -b 1'

echo '$ echo -ne '\''\xb9'\''|json -b 2'
echo -ne '\xb9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xb9'\''|json -b 2'

echo '$ echo -ne '\''\xba'\''|json -b 1'
echo -ne '\xba'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xba'\''|json -b 1'

echo '$ echo -ne '\''\xba'\''|json -b 2'
echo -ne '\xba'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xba'\''|json -b 2'

echo '$ echo -ne '\''\xbb'\''|json -b 1'
echo -ne '\xbb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbb'\''|json -b 1'

echo '$ echo -ne '\''\xbb'\''|json -b 2'
echo -ne '\xbb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbb'\''|json -b 2'

echo '$ echo -ne '\''\xbc'\''|json -b 1'
echo -ne '\xbc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbc'\''|json -b 1'

echo '$ echo -ne '\''\xbc'\''|json -b 2'
echo -ne '\xbc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbc'\''|json -b 2'

echo '$ echo -ne '\''\xbd'\''|json -b 1'
echo -ne '\xbd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbd'\''|json -b 1'

echo '$ echo -ne '\''\xbd'\''|json -b 2'
echo -ne '\xbd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbd'\''|json -b 2'

echo '$ echo -ne '\''\xbe'\''|json -b 1'
echo -ne '\xbe'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbe'\''|json -b 1'

echo '$ echo -ne '\''\xbe'\''|json -b 2'
echo -ne '\xbe'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbe'\''|json -b 2'

echo '$ echo -ne '\''\xbf'\''|json -b 1'
echo -ne '\xbf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xbf'\''|json -b 1'

echo '$ echo -ne '\''\xbf'\''|json -b 2'
echo -ne '\xbf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xbf'\''|json -b 2'

echo '$ echo -ne '\''\xc0'\''|json -b 1'
echo -ne '\xc0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc0'\''|json -b 1'

echo '$ echo -ne '\''\xc0'\''|json -b 2'
echo -ne '\xc0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc0'\''|json -b 2'

echo '$ echo -ne '\''\xc1'\''|json -b 1'
echo -ne '\xc1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc1'\''|json -b 1'

echo '$ echo -ne '\''\xc1'\''|json -b 2'
echo -ne '\xc1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc1'\''|json -b 2'

echo '$ echo -ne '\''\xc2'\''|json -b 1'
echo -ne '\xc2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc2'\''|json -b 1'

echo '$ echo -ne '\''\xc2'\''|json -b 2'
echo -ne '\xc2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc2'\''|json -b 2'

echo '$ echo -ne '\''\xc3'\''|json -b 1'
echo -ne '\xc3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc3'\''|json -b 1'

echo '$ echo -ne '\''\xc3'\''|json -b 2'
echo -ne '\xc3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc3'\''|json -b 2'

echo '$ echo -ne '\''\xc4'\''|json -b 1'
echo -ne '\xc4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc4'\''|json -b 1'

echo '$ echo -ne '\''\xc4'\''|json -b 2'
echo -ne '\xc4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc4'\''|json -b 2'

echo '$ echo -ne '\''\xc5'\''|json -b 1'
echo -ne '\xc5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc5'\''|json -b 1'

echo '$ echo -ne '\''\xc5'\''|json -b 2'
echo -ne '\xc5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc5'\''|json -b 2'

echo '$ echo -ne '\''\xc6'\''|json -b 1'
echo -ne '\xc6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc6'\''|json -b 1'

echo '$ echo -ne '\''\xc6'\''|json -b 2'
echo -ne '\xc6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc6'\''|json -b 2'

echo '$ echo -ne '\''\xc7'\''|json -b 1'
echo -ne '\xc7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc7'\''|json -b 1'

echo '$ echo -ne '\''\xc7'\''|json -b 2'
echo -ne '\xc7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc7'\''|json -b 2'

echo '$ echo -ne '\''\xc8'\''|json -b 1'
echo -ne '\xc8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc8'\''|json -b 1'

echo '$ echo -ne '\''\xc8'\''|json -b 2'
echo -ne '\xc8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc8'\''|json -b 2'

echo '$ echo -ne '\''\xc9'\''|json -b 1'
echo -ne '\xc9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xc9'\''|json -b 1'

echo '$ echo -ne '\''\xc9'\''|json -b 2'
echo -ne '\xc9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xc9'\''|json -b 2'

echo '$ echo -ne '\''\xca'\''|json -b 1'
echo -ne '\xca'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xca'\''|json -b 1'

echo '$ echo -ne '\''\xca'\''|json -b 2'
echo -ne '\xca'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xca'\''|json -b 2'

echo '$ echo -ne '\''\xcb'\''|json -b 1'
echo -ne '\xcb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcb'\''|json -b 1'

echo '$ echo -ne '\''\xcb'\''|json -b 2'
echo -ne '\xcb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcb'\''|json -b 2'

echo '$ echo -ne '\''\xcc'\''|json -b 1'
echo -ne '\xcc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcc'\''|json -b 1'

echo '$ echo -ne '\''\xcc'\''|json -b 2'
echo -ne '\xcc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcc'\''|json -b 2'

echo '$ echo -ne '\''\xcd'\''|json -b 1'
echo -ne '\xcd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcd'\''|json -b 1'

echo '$ echo -ne '\''\xcd'\''|json -b 2'
echo -ne '\xcd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcd'\''|json -b 2'

echo '$ echo -ne '\''\xce'\''|json -b 1'
echo -ne '\xce'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xce'\''|json -b 1'

echo '$ echo -ne '\''\xce'\''|json -b 2'
echo -ne '\xce'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xce'\''|json -b 2'

echo '$ echo -ne '\''\xcf'\''|json -b 1'
echo -ne '\xcf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xcf'\''|json -b 1'

echo '$ echo -ne '\''\xcf'\''|json -b 2'
echo -ne '\xcf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xcf'\''|json -b 2'

echo '$ echo -ne '\''\xd0'\''|json -b 1'
echo -ne '\xd0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd0'\''|json -b 1'

echo '$ echo -ne '\''\xd0'\''|json -b 2'
echo -ne '\xd0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd0'\''|json -b 2'

echo '$ echo -ne '\''\xd1'\''|json -b 1'
echo -ne '\xd1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd1'\''|json -b 1'

echo '$ echo -ne '\''\xd1'\''|json -b 2'
echo -ne '\xd1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd1'\''|json -b 2'

echo '$ echo -ne '\''\xd2'\''|json -b 1'
echo -ne '\xd2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd2'\''|json -b 1'

echo '$ echo -ne '\''\xd2'\''|json -b 2'
echo -ne '\xd2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd2'\''|json -b 2'

echo '$ echo -ne '\''\xd3'\''|json -b 1'
echo -ne '\xd3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd3'\''|json -b 1'

echo '$ echo -ne '\''\xd3'\''|json -b 2'
echo -ne '\xd3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd3'\''|json -b 2'

echo '$ echo -ne '\''\xd4'\''|json -b 1'
echo -ne '\xd4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd4'\''|json -b 1'

echo '$ echo -ne '\''\xd4'\''|json -b 2'
echo -ne '\xd4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd4'\''|json -b 2'

echo '$ echo -ne '\''\xd5'\''|json -b 1'
echo -ne '\xd5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd5'\''|json -b 1'

echo '$ echo -ne '\''\xd5'\''|json -b 2'
echo -ne '\xd5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd5'\''|json -b 2'

echo '$ echo -ne '\''\xd6'\''|json -b 1'
echo -ne '\xd6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd6'\''|json -b 1'

echo '$ echo -ne '\''\xd6'\''|json -b 2'
echo -ne '\xd6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd6'\''|json -b 2'

echo '$ echo -ne '\''\xd7'\''|json -b 1'
echo -ne '\xd7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd7'\''|json -b 1'

echo '$ echo -ne '\''\xd7'\''|json -b 2'
echo -ne '\xd7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd7'\''|json -b 2'

echo '$ echo -ne '\''\xd8'\''|json -b 1'
echo -ne '\xd8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd8'\''|json -b 1'

echo '$ echo -ne '\''\xd8'\''|json -b 2'
echo -ne '\xd8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd8'\''|json -b 2'

echo '$ echo -ne '\''\xd9'\''|json -b 1'
echo -ne '\xd9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd9'\''|json -b 1'

echo '$ echo -ne '\''\xd9'\''|json -b 2'
echo -ne '\xd9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd9'\''|json -b 2'

echo '$ echo -ne '\''\xda'\''|json -b 1'
echo -ne '\xda'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xda'\''|json -b 1'

echo '$ echo -ne '\''\xda'\''|json -b 2'
echo -ne '\xda'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xda'\''|json -b 2'

echo '$ echo -ne '\''\xdb'\''|json -b 1'
echo -ne '\xdb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdb'\''|json -b 1'

echo '$ echo -ne '\''\xdb'\''|json -b 2'
echo -ne '\xdb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdb'\''|json -b 2'

echo '$ echo -ne '\''\xdc'\''|json -b 1'
echo -ne '\xdc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdc'\''|json -b 1'

echo '$ echo -ne '\''\xdc'\''|json -b 2'
echo -ne '\xdc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdc'\''|json -b 2'

echo '$ echo -ne '\''\xdd'\''|json -b 1'
echo -ne '\xdd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdd'\''|json -b 1'

echo '$ echo -ne '\''\xdd'\''|json -b 2'
echo -ne '\xdd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdd'\''|json -b 2'

echo '$ echo -ne '\''\xde'\''|json -b 1'
echo -ne '\xde'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xde'\''|json -b 1'

echo '$ echo -ne '\''\xde'\''|json -b 2'
echo -ne '\xde'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xde'\''|json -b 2'

echo '$ echo -ne '\''\xdf'\''|json -b 1'
echo -ne '\xdf'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xdf'\''|json -b 1'

echo '$ echo -ne '\''\xdf'\''|json -b 2'
echo -ne '\xdf'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xdf'\''|json -b 2'

echo '$ echo -ne '\''\xe0'\''|json -b 1'
echo -ne '\xe0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe0'\''|json -b 1'

echo '$ echo -ne '\''\xe0'\''|json -b 2'
echo -ne '\xe0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe0'\''|json -b 2'

echo '$ echo -ne '\''\xe1'\''|json -b 1'
echo -ne '\xe1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe1'\''|json -b 1'

echo '$ echo -ne '\''\xe1'\''|json -b 2'
echo -ne '\xe1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe1'\''|json -b 2'

echo '$ echo -ne '\''\xe2'\''|json -b 1'
echo -ne '\xe2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe2'\''|json -b 1'

echo '$ echo -ne '\''\xe2'\''|json -b 2'
echo -ne '\xe2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe2'\''|json -b 2'

echo '$ echo -ne '\''\xe3'\''|json -b 1'
echo -ne '\xe3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe3'\''|json -b 1'

echo '$ echo -ne '\''\xe3'\''|json -b 2'
echo -ne '\xe3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe3'\''|json -b 2'

echo '$ echo -ne '\''\xe4'\''|json -b 1'
echo -ne '\xe4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe4'\''|json -b 1'

echo '$ echo -ne '\''\xe4'\''|json -b 2'
echo -ne '\xe4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe4'\''|json -b 2'

echo '$ echo -ne '\''\xe5'\''|json -b 1'
echo -ne '\xe5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5'\''|json -b 1'

echo '$ echo -ne '\''\xe5'\''|json -b 2'
echo -ne '\xe5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5'\''|json -b 2'

echo '$ echo -ne '\''\xe6'\''|json -b 1'
echo -ne '\xe6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe6'\''|json -b 1'

echo '$ echo -ne '\''\xe6'\''|json -b 2'
echo -ne '\xe6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe6'\''|json -b 2'

echo '$ echo -ne '\''\xe7'\''|json -b 1'
echo -ne '\xe7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe7'\''|json -b 1'

echo '$ echo -ne '\''\xe7'\''|json -b 2'
echo -ne '\xe7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe7'\''|json -b 2'

echo '$ echo -ne '\''\xe8'\''|json -b 1'
echo -ne '\xe8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe8'\''|json -b 1'

echo '$ echo -ne '\''\xe8'\''|json -b 2'
echo -ne '\xe8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe8'\''|json -b 2'

echo '$ echo -ne '\''\xe9'\''|json -b 1'
echo -ne '\xe9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe9'\''|json -b 1'

echo '$ echo -ne '\''\xe9'\''|json -b 2'
echo -ne '\xe9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe9'\''|json -b 2'

echo '$ echo -ne '\''\xea'\''|json -b 1'
echo -ne '\xea'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea'\''|json -b 1'

echo '$ echo -ne '\''\xea'\''|json -b 2'
echo -ne '\xea'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea'\''|json -b 2'

echo '$ echo -ne '\''\xeb'\''|json -b 1'
echo -ne '\xeb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xeb'\''|json -b 1'

echo '$ echo -ne '\''\xeb'\''|json -b 2'
echo -ne '\xeb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xeb'\''|json -b 2'

echo '$ echo -ne '\''\xec'\''|json -b 1'
echo -ne '\xec'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xec'\''|json -b 1'

echo '$ echo -ne '\''\xec'\''|json -b 2'
echo -ne '\xec'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xec'\''|json -b 2'

echo '$ echo -ne '\''\xed'\''|json -b 1'
echo -ne '\xed'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xed'\''|json -b 1'

echo '$ echo -ne '\''\xed'\''|json -b 2'
echo -ne '\xed'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xed'\''|json -b 2'

echo '$ echo -ne '\''\xee'\''|json -b 1'
echo -ne '\xee'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xee'\''|json -b 1'

echo '$ echo -ne '\''\xee'\''|json -b 2'
echo -ne '\xee'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xee'\''|json -b 2'

echo '$ echo -ne '\''\xef'\''|json -b 1'
echo -ne '\xef'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xef'\''|json -b 1'

echo '$ echo -ne '\''\xef'\''|json -b 2'
echo -ne '\xef'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xef'\''|json -b 2'

echo '$ echo -ne '\''\xf0'\''|json -b 1'
echo -ne '\xf0'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf0'\''|json -b 1'

echo '$ echo -ne '\''\xf0'\''|json -b 2'
echo -ne '\xf0'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf0'\''|json -b 2'

echo '$ echo -ne '\''\xf1'\''|json -b 1'
echo -ne '\xf1'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf1'\''|json -b 1'

echo '$ echo -ne '\''\xf1'\''|json -b 2'
echo -ne '\xf1'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf1'\''|json -b 2'

echo '$ echo -ne '\''\xf2'\''|json -b 1'
echo -ne '\xf2'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2'\''|json -b 1'

echo '$ echo -ne '\''\xf2'\''|json -b 2'
echo -ne '\xf2'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2'\''|json -b 2'

echo '$ echo -ne '\''\xf3'\''|json -b 1'
echo -ne '\xf3'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf3'\''|json -b 1'

echo '$ echo -ne '\''\xf3'\''|json -b 2'
echo -ne '\xf3'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf3'\''|json -b 2'

echo '$ echo -ne '\''\xf4'\''|json -b 1'
echo -ne '\xf4'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf4'\''|json -b 1'

echo '$ echo -ne '\''\xf4'\''|json -b 2'
echo -ne '\xf4'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf4'\''|json -b 2'

echo '$ echo -ne '\''\xf5'\''|json -b 1'
echo -ne '\xf5'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5'\''|json -b 1'

echo '$ echo -ne '\''\xf5'\''|json -b 2'
echo -ne '\xf5'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5'\''|json -b 2'

echo '$ echo -ne '\''\xf6'\''|json -b 1'
echo -ne '\xf6'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf6'\''|json -b 1'

echo '$ echo -ne '\''\xf6'\''|json -b 2'
echo -ne '\xf6'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf6'\''|json -b 2'

echo '$ echo -ne '\''\xf7'\''|json -b 1'
echo -ne '\xf7'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf7'\''|json -b 1'

echo '$ echo -ne '\''\xf7'\''|json -b 2'
echo -ne '\xf7'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf7'\''|json -b 2'

echo '$ echo -ne '\''\xf8'\''|json -b 1'
echo -ne '\xf8'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf8'\''|json -b 1'

echo '$ echo -ne '\''\xf8'\''|json -b 2'
echo -ne '\xf8'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf8'\''|json -b 2'

echo '$ echo -ne '\''\xf9'\''|json -b 1'
echo -ne '\xf9'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf9'\''|json -b 1'

echo '$ echo -ne '\''\xf9'\''|json -b 2'
echo -ne '\xf9'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf9'\''|json -b 2'

echo '$ echo -ne '\''\xfa'\''|json -b 1'
echo -ne '\xfa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfa'\''|json -b 1'

echo '$ echo -ne '\''\xfa'\''|json -b 2'
echo -ne '\xfa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfa'\''|json -b 2'

echo '$ echo -ne '\''\xfb'\''|json -b 1'
echo -ne '\xfb'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfb'\''|json -b 1'

echo '$ echo -ne '\''\xfb'\''|json -b 2'
echo -ne '\xfb'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfb'\''|json -b 2'

echo '$ echo -ne '\''\xfc'\''|json -b 1'
echo -ne '\xfc'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfc'\''|json -b 1'

echo '$ echo -ne '\''\xfc'\''|json -b 2'
echo -ne '\xfc'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfc'\''|json -b 2'

echo '$ echo -ne '\''\xfd'\''|json -b 1'
echo -ne '\xfd'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfd'\''|json -b 1'

echo '$ echo -ne '\''\xfd'\''|json -b 2'
echo -ne '\xfd'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfd'\''|json -b 2'

echo '$ echo -ne '\''\xfe'\''|json -b 1'
echo -ne '\xfe'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xfe'\''|json -b 1'

echo '$ echo -ne '\''\xfe'\''|json -b 2'
echo -ne '\xfe'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xfe'\''|json -b 2'

echo '$ echo -ne '\''\xff'\''|json -b 1'
echo -ne '\xff'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xff'\''|json -b 1'

echo '$ echo -ne '\''\xff'\''|json -b 2'
echo -ne '\xff'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xff'\''|json -b 2'
)

