#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C escape:non-ascii2
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L non-ascii2.old <(echo \
'$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }
$ echo -e '\''\x80'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x80
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x80'\''|json -b 1
$ echo -e '\''\x80'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x80
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x80'\''|json -b 2
$ echo -e '\''\x80'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x80
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x80'\''|json -b 3
$ echo -e '\''\x81'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x81
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x81'\''|json -b 1
$ echo -e '\''\x81'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x81
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x81'\''|json -b 2
$ echo -e '\''\x81'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x81
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x81'\''|json -b 3
$ echo -e '\''\x82'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x82
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x82'\''|json -b 1
$ echo -e '\''\x82'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x82
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x82'\''|json -b 2
$ echo -e '\''\x82'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x82
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x82'\''|json -b 3
$ echo -e '\''\x83'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x83
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x83'\''|json -b 1
$ echo -e '\''\x83'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x83
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x83'\''|json -b 2
$ echo -e '\''\x83'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x83
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x83'\''|json -b 3
$ echo -e '\''\x84'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x84
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x84'\''|json -b 1
$ echo -e '\''\x84'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x84
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x84'\''|json -b 2
$ echo -e '\''\x84'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x84
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x84'\''|json -b 3
$ echo -e '\''\x85'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x85
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x85'\''|json -b 1
$ echo -e '\''\x85'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x85
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x85'\''|json -b 2
$ echo -e '\''\x85'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x85
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x85'\''|json -b 3
$ echo -e '\''\x86'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x86
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x86'\''|json -b 1
$ echo -e '\''\x86'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x86
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x86'\''|json -b 2
$ echo -e '\''\x86'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x86
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x86'\''|json -b 3
$ echo -e '\''\x87'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x87
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x87'\''|json -b 1
$ echo -e '\''\x87'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x87
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x87'\''|json -b 2
$ echo -e '\''\x87'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x87
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x87'\''|json -b 3
$ echo -e '\''\x88'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x88
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x88'\''|json -b 1
$ echo -e '\''\x88'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x88
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x88'\''|json -b 2
$ echo -e '\''\x88'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x88
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x88'\''|json -b 3
$ echo -e '\''\x89'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x89
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x89'\''|json -b 1
$ echo -e '\''\x89'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x89
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x89'\''|json -b 2
$ echo -e '\''\x89'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x89
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x89'\''|json -b 3
$ echo -e '\''\x8a'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8a
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8a'\''|json -b 1
$ echo -e '\''\x8a'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8a
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8a'\''|json -b 2
$ echo -e '\''\x8a'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8a
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8a'\''|json -b 3
$ echo -e '\''\x8b'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8b
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8b'\''|json -b 1
$ echo -e '\''\x8b'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8b
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8b'\''|json -b 2
$ echo -e '\''\x8b'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8b
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8b'\''|json -b 3
$ echo -e '\''\x8c'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8c
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8c'\''|json -b 1
$ echo -e '\''\x8c'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8c
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8c'\''|json -b 2
$ echo -e '\''\x8c'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8c
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8c'\''|json -b 3
$ echo -e '\''\x8d'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8d
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8d'\''|json -b 1
$ echo -e '\''\x8d'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8d
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8d'\''|json -b 2
$ echo -e '\''\x8d'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8d
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8d'\''|json -b 3
$ echo -e '\''\x8e'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8e
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8e'\''|json -b 1
$ echo -e '\''\x8e'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8e
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8e'\''|json -b 2
$ echo -e '\''\x8e'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8e
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8e'\''|json -b 3
$ echo -e '\''\x8f'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8f
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8f'\''|json -b 1
$ echo -e '\''\x8f'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8f
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8f'\''|json -b 2
$ echo -e '\''\x8f'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x8f
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x8f'\''|json -b 3
$ echo -e '\''\x90'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x90
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x90'\''|json -b 1
$ echo -e '\''\x90'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x90
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x90'\''|json -b 2
$ echo -e '\''\x90'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x90
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x90'\''|json -b 3
$ echo -e '\''\x91'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x91
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x91'\''|json -b 1
$ echo -e '\''\x91'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x91
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x91'\''|json -b 2
$ echo -e '\''\x91'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x91
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x91'\''|json -b 3
$ echo -e '\''\x92'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x92
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x92'\''|json -b 1
$ echo -e '\''\x92'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x92
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x92'\''|json -b 2
$ echo -e '\''\x92'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x92
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x92'\''|json -b 3
$ echo -e '\''\x93'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x93
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x93'\''|json -b 1
$ echo -e '\''\x93'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x93
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x93'\''|json -b 2
$ echo -e '\''\x93'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x93
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x93'\''|json -b 3
$ echo -e '\''\x94'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x94
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x94'\''|json -b 1
$ echo -e '\''\x94'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x94
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x94'\''|json -b 2
$ echo -e '\''\x94'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x94
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x94'\''|json -b 3
$ echo -e '\''\x95'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x95
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x95'\''|json -b 1
$ echo -e '\''\x95'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x95
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x95'\''|json -b 2
$ echo -e '\''\x95'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x95
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x95'\''|json -b 3
$ echo -e '\''\x96'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x96
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x96'\''|json -b 1
$ echo -e '\''\x96'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x96
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x96'\''|json -b 2
$ echo -e '\''\x96'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x96
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x96'\''|json -b 3
$ echo -e '\''\x97'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x97
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x97'\''|json -b 1
$ echo -e '\''\x97'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x97
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x97'\''|json -b 2
$ echo -e '\''\x97'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x97
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x97'\''|json -b 3
$ echo -e '\''\x98'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x98
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x98'\''|json -b 1
$ echo -e '\''\x98'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x98
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x98'\''|json -b 2
$ echo -e '\''\x98'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x98
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x98'\''|json -b 3
$ echo -e '\''\x99'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x99
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x99'\''|json -b 1
$ echo -e '\''\x99'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x99
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x99'\''|json -b 2
$ echo -e '\''\x99'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x99
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x99'\''|json -b 3
$ echo -e '\''\x9a'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9a
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9a'\''|json -b 1
$ echo -e '\''\x9a'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9a
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9a'\''|json -b 2
$ echo -e '\''\x9a'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9a
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9a'\''|json -b 3
$ echo -e '\''\x9b'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9b
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9b'\''|json -b 1
$ echo -e '\''\x9b'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9b
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9b'\''|json -b 2
$ echo -e '\''\x9b'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9b
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9b'\''|json -b 3
$ echo -e '\''\x9c'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9c
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9c'\''|json -b 1
$ echo -e '\''\x9c'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9c
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9c'\''|json -b 2
$ echo -e '\''\x9c'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9c
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9c'\''|json -b 3
$ echo -e '\''\x9d'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9d
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9d'\''|json -b 1
$ echo -e '\''\x9d'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9d
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9d'\''|json -b 2
$ echo -e '\''\x9d'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9d
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9d'\''|json -b 3
$ echo -e '\''\x9e'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9e
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9e'\''|json -b 1
$ echo -e '\''\x9e'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9e
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9e'\''|json -b 2
$ echo -e '\''\x9e'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9e
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9e'\''|json -b 3
$ echo -e '\''\x9f'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9f
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9f'\''|json -b 1
$ echo -e '\''\x9f'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9f
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9f'\''|json -b 2
$ echo -e '\''\x9f'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \x9f
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\x9f'\''|json -b 3
$ echo -e '\''\xa0'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa0
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa0'\''|json -b 1
$ echo -e '\''\xa0'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa0
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa0'\''|json -b 2
$ echo -e '\''\xa0'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa0
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa0'\''|json -b 3
$ echo -e '\''\xa1'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa1
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa1'\''|json -b 1
$ echo -e '\''\xa1'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa1
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa1'\''|json -b 2
$ echo -e '\''\xa1'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa1
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa1'\''|json -b 3
$ echo -e '\''\xa2'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa2
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa2'\''|json -b 1
$ echo -e '\''\xa2'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa2
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa2'\''|json -b 2
$ echo -e '\''\xa2'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa2
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa2'\''|json -b 3
$ echo -e '\''\xa3'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa3
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa3'\''|json -b 1
$ echo -e '\''\xa3'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa3
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa3'\''|json -b 2
$ echo -e '\''\xa3'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa3
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa3'\''|json -b 3
$ echo -e '\''\xa4'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa4
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa4'\''|json -b 1
$ echo -e '\''\xa4'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa4
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa4'\''|json -b 2
$ echo -e '\''\xa4'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa4
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa4'\''|json -b 3
$ echo -e '\''\xa5'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa5
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa5'\''|json -b 1
$ echo -e '\''\xa5'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa5
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa5'\''|json -b 2
$ echo -e '\''\xa5'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa5
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa5'\''|json -b 3
$ echo -e '\''\xa6'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa6
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa6'\''|json -b 1
$ echo -e '\''\xa6'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa6
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa6'\''|json -b 2
$ echo -e '\''\xa6'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa6
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa6'\''|json -b 3
$ echo -e '\''\xa7'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa7
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa7'\''|json -b 1
$ echo -e '\''\xa7'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa7
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa7'\''|json -b 2
$ echo -e '\''\xa7'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa7
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa7'\''|json -b 3
$ echo -e '\''\xa8'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa8'\''|json -b 1
$ echo -e '\''\xa8'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa8'\''|json -b 2
$ echo -e '\''\xa8'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa8'\''|json -b 3
$ echo -e '\''\xa9'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa9'\''|json -b 1
$ echo -e '\''\xa9'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa9'\''|json -b 2
$ echo -e '\''\xa9'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xa9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xa9'\''|json -b 3
$ echo -e '\''\xaa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaa
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xaa'\''|json -b 1
$ echo -e '\''\xaa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaa
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xaa'\''|json -b 2
$ echo -e '\''\xaa'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaa
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xaa'\''|json -b 3
$ echo -e '\''\xab'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xab
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xab'\''|json -b 1
$ echo -e '\''\xab'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xab
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xab'\''|json -b 2
$ echo -e '\''\xab'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xab
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xab'\''|json -b 3
$ echo -e '\''\xac'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xac
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xac'\''|json -b 1
$ echo -e '\''\xac'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xac
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xac'\''|json -b 2
$ echo -e '\''\xac'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xac
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xac'\''|json -b 3
$ echo -e '\''\xad'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xad
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xad'\''|json -b 1
$ echo -e '\''\xad'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xad
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xad'\''|json -b 2
$ echo -e '\''\xad'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xad
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xad'\''|json -b 3
$ echo -e '\''\xae'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xae
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xae'\''|json -b 1
$ echo -e '\''\xae'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xae
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xae'\''|json -b 2
$ echo -e '\''\xae'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xae
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xae'\''|json -b 3
$ echo -e '\''\xaf'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaf
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xaf'\''|json -b 1
$ echo -e '\''\xaf'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaf
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xaf'\''|json -b 2
$ echo -e '\''\xaf'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xaf
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xaf'\''|json -b 3
$ echo -e '\''\xb0'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb0
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb0'\''|json -b 1
$ echo -e '\''\xb0'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb0
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb0'\''|json -b 2
$ echo -e '\''\xb0'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb0
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb0'\''|json -b 3
$ echo -e '\''\xb1'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb1
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb1'\''|json -b 1
$ echo -e '\''\xb1'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb1
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb1'\''|json -b 2
$ echo -e '\''\xb1'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb1
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb1'\''|json -b 3
$ echo -e '\''\xb2'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb2
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb2'\''|json -b 1
$ echo -e '\''\xb2'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb2
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb2'\''|json -b 2
$ echo -e '\''\xb2'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb2
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb2'\''|json -b 3
$ echo -e '\''\xb3'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb3
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb3'\''|json -b 1
$ echo -e '\''\xb3'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb3
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb3'\''|json -b 2
$ echo -e '\''\xb3'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb3
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb3'\''|json -b 3
$ echo -e '\''\xb4'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb4
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb4'\''|json -b 1
$ echo -e '\''\xb4'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb4
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb4'\''|json -b 2
$ echo -e '\''\xb4'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb4
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb4'\''|json -b 3
$ echo -e '\''\xb5'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb5
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb5'\''|json -b 1
$ echo -e '\''\xb5'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb5
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb5'\''|json -b 2
$ echo -e '\''\xb5'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb5
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb5'\''|json -b 3
$ echo -e '\''\xb6'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb6
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb6'\''|json -b 1
$ echo -e '\''\xb6'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb6
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb6'\''|json -b 2
$ echo -e '\''\xb6'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb6
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb6'\''|json -b 3
$ echo -e '\''\xb7'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb7
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb7'\''|json -b 1
$ echo -e '\''\xb7'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb7
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb7'\''|json -b 2
$ echo -e '\''\xb7'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb7
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb7'\''|json -b 3
$ echo -e '\''\xb8'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb8'\''|json -b 1
$ echo -e '\''\xb8'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb8'\''|json -b 2
$ echo -e '\''\xb8'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb8'\''|json -b 3
$ echo -e '\''\xb9'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb9'\''|json -b 1
$ echo -e '\''\xb9'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb9'\''|json -b 2
$ echo -e '\''\xb9'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xb9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xb9'\''|json -b 3
$ echo -e '\''\xba'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xba
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xba'\''|json -b 1
$ echo -e '\''\xba'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xba
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xba'\''|json -b 2
$ echo -e '\''\xba'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xba
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xba'\''|json -b 3
$ echo -e '\''\xbb'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbb
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbb'\''|json -b 1
$ echo -e '\''\xbb'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbb
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbb'\''|json -b 2
$ echo -e '\''\xbb'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbb
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbb'\''|json -b 3
$ echo -e '\''\xbc'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbc
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbc'\''|json -b 1
$ echo -e '\''\xbc'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbc
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbc'\''|json -b 2
$ echo -e '\''\xbc'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbc
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbc'\''|json -b 3
$ echo -e '\''\xbd'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbd
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbd'\''|json -b 1
$ echo -e '\''\xbd'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbd
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbd'\''|json -b 2
$ echo -e '\''\xbd'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbd
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbd'\''|json -b 3
$ echo -e '\''\xbe'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbe
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbe'\''|json -b 1
$ echo -e '\''\xbe'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbe
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbe'\''|json -b 2
$ echo -e '\''\xbe'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbe
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbe'\''|json -b 3
$ echo -e '\''\xbf'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbf
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbf'\''|json -b 1
$ echo -e '\''\xbf'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbf
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbf'\''|json -b 2
$ echo -e '\''\xbf'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xbf
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xbf'\''|json -b 3
$ echo -e '\''\xc0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc0'\''|json -b 1
$ echo -e '\''\xc0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc0'\''|json -b 2
$ echo -e '\''\xc0'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc0'\''|json -b 3
$ echo -e '\''\xc1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc1'\''|json -b 1
$ echo -e '\''\xc1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc1'\''|json -b 2
$ echo -e '\''\xc1'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc1'\''|json -b 3
$ echo -e '\''\xc2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc2'\''|json -b 1
$ echo -e '\''\xc2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc2'\''|json -b 2
$ echo -e '\''\xc2'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc2'\''|json -b 3
$ echo -e '\''\xc3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc3'\''|json -b 1
$ echo -e '\''\xc3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc3'\''|json -b 2
$ echo -e '\''\xc3'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc3'\''|json -b 3
$ echo -e '\''\xc4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc4'\''|json -b 1
$ echo -e '\''\xc4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc4'\''|json -b 2
$ echo -e '\''\xc4'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc4'\''|json -b 3
$ echo -e '\''\xc5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc5'\''|json -b 1
$ echo -e '\''\xc5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc5'\''|json -b 2
$ echo -e '\''\xc5'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc5'\''|json -b 3
$ echo -e '\''\xc6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc6'\''|json -b 1
$ echo -e '\''\xc6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc6'\''|json -b 2
$ echo -e '\''\xc6'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc6'\''|json -b 3
$ echo -e '\''\xc7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc7'\''|json -b 1
$ echo -e '\''\xc7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc7'\''|json -b 2
$ echo -e '\''\xc7'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc7'\''|json -b 3
$ echo -e '\''\xc8'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc8'\''|json -b 1
$ echo -e '\''\xc8'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc8'\''|json -b 2
$ echo -e '\''\xc8'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc8'\''|json -b 3
$ echo -e '\''\xc9'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc9'\''|json -b 1
$ echo -e '\''\xc9'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc9'\''|json -b 2
$ echo -e '\''\xc9'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xc9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xc9'\''|json -b 3
$ echo -e '\''\xca'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xca
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xca'\''|json -b 1
$ echo -e '\''\xca'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xca
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xca'\''|json -b 2
$ echo -e '\''\xca'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xca
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xca'\''|json -b 3
$ echo -e '\''\xcb'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcb'\''|json -b 1
$ echo -e '\''\xcb'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcb'\''|json -b 2
$ echo -e '\''\xcb'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcb'\''|json -b 3
$ echo -e '\''\xcc'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcc
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcc'\''|json -b 1
$ echo -e '\''\xcc'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcc
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcc'\''|json -b 2
$ echo -e '\''\xcc'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcc
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcc'\''|json -b 3
$ echo -e '\''\xcd'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcd
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcd'\''|json -b 1
$ echo -e '\''\xcd'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcd
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcd'\''|json -b 2
$ echo -e '\''\xcd'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcd
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcd'\''|json -b 3
$ echo -e '\''\xce'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xce
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xce'\''|json -b 1
$ echo -e '\''\xce'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xce
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xce'\''|json -b 2
$ echo -e '\''\xce'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xce
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xce'\''|json -b 3
$ echo -e '\''\xcf'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcf
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcf'\''|json -b 1
$ echo -e '\''\xcf'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcf
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcf'\''|json -b 2
$ echo -e '\''\xcf'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcf
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xcf'\''|json -b 3
$ echo -e '\''\xd0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd0'\''|json -b 1
$ echo -e '\''\xd0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd0'\''|json -b 2
$ echo -e '\''\xd0'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd0'\''|json -b 3
$ echo -e '\''\xd1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd1'\''|json -b 1
$ echo -e '\''\xd1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd1'\''|json -b 2
$ echo -e '\''\xd1'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd1'\''|json -b 3
$ echo -e '\''\xd2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd2'\''|json -b 1
$ echo -e '\''\xd2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd2'\''|json -b 2
$ echo -e '\''\xd2'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd2'\''|json -b 3
$ echo -e '\''\xd3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd3'\''|json -b 1
$ echo -e '\''\xd3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd3'\''|json -b 2
$ echo -e '\''\xd3'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd3'\''|json -b 3
$ echo -e '\''\xd4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd4'\''|json -b 1
$ echo -e '\''\xd4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd4'\''|json -b 2
$ echo -e '\''\xd4'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd4'\''|json -b 3
$ echo -e '\''\xd5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd5'\''|json -b 1
$ echo -e '\''\xd5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd5'\''|json -b 2
$ echo -e '\''\xd5'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd5'\''|json -b 3
$ echo -e '\''\xd6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd6'\''|json -b 1
$ echo -e '\''\xd6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd6'\''|json -b 2
$ echo -e '\''\xd6'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd6'\''|json -b 3
$ echo -e '\''\xd7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd7'\''|json -b 1
$ echo -e '\''\xd7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd7'\''|json -b 2
$ echo -e '\''\xd7'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd7'\''|json -b 3
$ echo -e '\''\xd8'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd8'\''|json -b 1
$ echo -e '\''\xd8'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd8'\''|json -b 2
$ echo -e '\''\xd8'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd8'\''|json -b 3
$ echo -e '\''\xd9'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd9'\''|json -b 1
$ echo -e '\''\xd9'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd9'\''|json -b 2
$ echo -e '\''\xd9'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xd9'\''|json -b 3
$ echo -e '\''\xda'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xda
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xda'\''|json -b 1
$ echo -e '\''\xda'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xda
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xda'\''|json -b 2
$ echo -e '\''\xda'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xda
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xda'\''|json -b 3
$ echo -e '\''\xdb'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdb'\''|json -b 1
$ echo -e '\''\xdb'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdb'\''|json -b 2
$ echo -e '\''\xdb'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdb'\''|json -b 3
$ echo -e '\''\xdc'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdc
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdc'\''|json -b 1
$ echo -e '\''\xdc'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdc
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdc'\''|json -b 2
$ echo -e '\''\xdc'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdc
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdc'\''|json -b 3
$ echo -e '\''\xdd'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdd
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdd'\''|json -b 1
$ echo -e '\''\xdd'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdd
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdd'\''|json -b 2
$ echo -e '\''\xdd'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdd
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdd'\''|json -b 3
$ echo -e '\''\xde'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xde
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xde'\''|json -b 1
$ echo -e '\''\xde'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xde
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xde'\''|json -b 2
$ echo -e '\''\xde'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xde
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xde'\''|json -b 3
$ echo -e '\''\xdf'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdf
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdf'\''|json -b 1
$ echo -e '\''\xdf'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdf
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdf'\''|json -b 2
$ echo -e '\''\xdf'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xdf
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xdf'\''|json -b 3
$ echo -e '\''\xe0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe0'\''|json -b 1
$ echo -e '\''\xe0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe0'\''|json -b 2
$ echo -e '\''\xe0'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe0'\''|json -b 3
$ echo -e '\''\xe1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe1'\''|json -b 1
$ echo -e '\''\xe1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe1'\''|json -b 2
$ echo -e '\''\xe1'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe1'\''|json -b 3
$ echo -e '\''\xe2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe2'\''|json -b 1
$ echo -e '\''\xe2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe2'\''|json -b 2
$ echo -e '\''\xe2'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe2'\''|json -b 3
$ echo -e '\''\xe3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe3'\''|json -b 1
$ echo -e '\''\xe3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe3'\''|json -b 2
$ echo -e '\''\xe3'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe3'\''|json -b 3
$ echo -e '\''\xe4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe4'\''|json -b 1
$ echo -e '\''\xe4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe4'\''|json -b 2
$ echo -e '\''\xe4'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe4'\''|json -b 3
$ echo -e '\''\xe5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe5'\''|json -b 1
$ echo -e '\''\xe5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe5'\''|json -b 2
$ echo -e '\''\xe5'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe5'\''|json -b 3
$ echo -e '\''\xe6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe6'\''|json -b 1
$ echo -e '\''\xe6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe6'\''|json -b 2
$ echo -e '\''\xe6'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe6'\''|json -b 3
$ echo -e '\''\xe7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe7'\''|json -b 1
$ echo -e '\''\xe7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe7'\''|json -b 2
$ echo -e '\''\xe7'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe7'\''|json -b 3
$ echo -e '\''\xe8'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe8'\''|json -b 1
$ echo -e '\''\xe8'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe8'\''|json -b 2
$ echo -e '\''\xe8'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe8
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe8'\''|json -b 3
$ echo -e '\''\xe9'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe9'\''|json -b 1
$ echo -e '\''\xe9'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe9'\''|json -b 2
$ echo -e '\''\xe9'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xe9
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xe9'\''|json -b 3
$ echo -e '\''\xea'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xea
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xea'\''|json -b 1
$ echo -e '\''\xea'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xea
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xea'\''|json -b 2
$ echo -e '\''\xea'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xea
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xea'\''|json -b 3
$ echo -e '\''\xeb'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xeb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xeb'\''|json -b 1
$ echo -e '\''\xeb'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xeb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xeb'\''|json -b 2
$ echo -e '\''\xeb'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xeb
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xeb'\''|json -b 3
$ echo -e '\''\xec'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xec
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xec'\''|json -b 1
$ echo -e '\''\xec'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xec
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xec'\''|json -b 2
$ echo -e '\''\xec'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xec
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xec'\''|json -b 3
$ echo -e '\''\xed'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xed
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xed'\''|json -b 1
$ echo -e '\''\xed'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xed
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xed'\''|json -b 2
$ echo -e '\''\xed'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xed
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xed'\''|json -b 3
$ echo -e '\''\xee'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xee
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xee'\''|json -b 1
$ echo -e '\''\xee'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xee
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xee'\''|json -b 2
$ echo -e '\''\xee'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xee
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xee'\''|json -b 3
$ echo -e '\''\xef'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xef
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xef'\''|json -b 1
$ echo -e '\''\xef'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xef
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xef'\''|json -b 2
$ echo -e '\''\xef'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xef
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xef'\''|json -b 3
$ echo -e '\''\xf0'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf0'\''|json -b 1
$ echo -e '\''\xf0'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf0'\''|json -b 2
$ echo -e '\''\xf0'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf0
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf0'\''|json -b 3
$ echo -e '\''\xf1'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf1'\''|json -b 1
$ echo -e '\''\xf1'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf1'\''|json -b 2
$ echo -e '\''\xf1'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf1
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf1'\''|json -b 3
$ echo -e '\''\xf2'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf2'\''|json -b 1
$ echo -e '\''\xf2'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf2'\''|json -b 2
$ echo -e '\''\xf2'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf2
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf2'\''|json -b 3
$ echo -e '\''\xf3'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf3'\''|json -b 1
$ echo -e '\''\xf3'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf3'\''|json -b 2
$ echo -e '\''\xf3'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf3
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf3'\''|json -b 3
$ echo -e '\''\xf4'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf4'\''|json -b 1
$ echo -e '\''\xf4'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf4'\''|json -b 2
$ echo -e '\''\xf4'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf4
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf4'\''|json -b 3
$ echo -e '\''\xf5'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf5'\''|json -b 1
$ echo -e '\''\xf5'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf5'\''|json -b 2
$ echo -e '\''\xf5'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf5
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf5'\''|json -b 3
$ echo -e '\''\xf6'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf6'\''|json -b 1
$ echo -e '\''\xf6'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf6'\''|json -b 2
$ echo -e '\''\xf6'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf6
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf6'\''|json -b 3
$ echo -e '\''\xf7'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf7'\''|json -b 1
$ echo -e '\''\xf7'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf7'\''|json -b 2
$ echo -e '\''\xf7'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xf7
json: error: <stdin>:1:2:     ^
command failed: echo -e '\''\xf7'\''|json -b 3
$ echo -e '\''\xf8'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xf8'\''|json -b 1
$ echo -e '\''\xf8'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xf8'\''|json -b 2
$ echo -e '\''\xf8'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf8
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xf8'\''|json -b 3
$ echo -e '\''\xf9'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xf9'\''|json -b 1
$ echo -e '\''\xf9'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xf9'\''|json -b 2
$ echo -e '\''\xf9'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf9
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xf9'\''|json -b 3
$ echo -e '\''\xfa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfa
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfa'\''|json -b 1
$ echo -e '\''\xfa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfa
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfa'\''|json -b 2
$ echo -e '\''\xfa'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfa
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfa'\''|json -b 3
$ echo -e '\''\xfb'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfb
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfb'\''|json -b 1
$ echo -e '\''\xfb'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfb
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfb'\''|json -b 2
$ echo -e '\''\xfb'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfb
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfb'\''|json -b 3
$ echo -e '\''\xfc'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfc
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfc'\''|json -b 1
$ echo -e '\''\xfc'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfc
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfc'\''|json -b 2
$ echo -e '\''\xfc'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfc
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfc'\''|json -b 3
$ echo -e '\''\xfd'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfd
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfd'\''|json -b 1
$ echo -e '\''\xfd'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfd
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfd'\''|json -b 2
$ echo -e '\''\xfd'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfd
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfd'\''|json -b 3
$ echo -e '\''\xfe'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfe
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfe'\''|json -b 1
$ echo -e '\''\xfe'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfe
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfe'\''|json -b 2
$ echo -e '\''\xfe'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xfe
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xfe'\''|json -b 3
$ echo -e '\''\xff'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xff
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xff'\''|json -b 1
$ echo -e '\''\xff'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xff
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xff'\''|json -b 2
$ echo -e '\''\xff'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xff
json: error: <stdin>:1:1: ^
command failed: echo -e '\''\xff'\''|json -b 3'
) -L non-ascii2.new <(
echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'

echo '$ echo -e '\''\x80'\''|json -b 1'
echo -e '\x80'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x80'\''|json -b 1'

echo '$ echo -e '\''\x80'\''|json -b 2'
echo -e '\x80'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x80'\''|json -b 2'

echo '$ echo -e '\''\x80'\''|json -b 3'
echo -e '\x80'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x80'\''|json -b 3'

echo '$ echo -e '\''\x81'\''|json -b 1'
echo -e '\x81'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x81'\''|json -b 1'

echo '$ echo -e '\''\x81'\''|json -b 2'
echo -e '\x81'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x81'\''|json -b 2'

echo '$ echo -e '\''\x81'\''|json -b 3'
echo -e '\x81'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x81'\''|json -b 3'

echo '$ echo -e '\''\x82'\''|json -b 1'
echo -e '\x82'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x82'\''|json -b 1'

echo '$ echo -e '\''\x82'\''|json -b 2'
echo -e '\x82'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x82'\''|json -b 2'

echo '$ echo -e '\''\x82'\''|json -b 3'
echo -e '\x82'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x82'\''|json -b 3'

echo '$ echo -e '\''\x83'\''|json -b 1'
echo -e '\x83'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x83'\''|json -b 1'

echo '$ echo -e '\''\x83'\''|json -b 2'
echo -e '\x83'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x83'\''|json -b 2'

echo '$ echo -e '\''\x83'\''|json -b 3'
echo -e '\x83'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x83'\''|json -b 3'

echo '$ echo -e '\''\x84'\''|json -b 1'
echo -e '\x84'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x84'\''|json -b 1'

echo '$ echo -e '\''\x84'\''|json -b 2'
echo -e '\x84'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x84'\''|json -b 2'

echo '$ echo -e '\''\x84'\''|json -b 3'
echo -e '\x84'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x84'\''|json -b 3'

echo '$ echo -e '\''\x85'\''|json -b 1'
echo -e '\x85'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x85'\''|json -b 1'

echo '$ echo -e '\''\x85'\''|json -b 2'
echo -e '\x85'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x85'\''|json -b 2'

echo '$ echo -e '\''\x85'\''|json -b 3'
echo -e '\x85'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x85'\''|json -b 3'

echo '$ echo -e '\''\x86'\''|json -b 1'
echo -e '\x86'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x86'\''|json -b 1'

echo '$ echo -e '\''\x86'\''|json -b 2'
echo -e '\x86'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x86'\''|json -b 2'

echo '$ echo -e '\''\x86'\''|json -b 3'
echo -e '\x86'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x86'\''|json -b 3'

echo '$ echo -e '\''\x87'\''|json -b 1'
echo -e '\x87'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x87'\''|json -b 1'

echo '$ echo -e '\''\x87'\''|json -b 2'
echo -e '\x87'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x87'\''|json -b 2'

echo '$ echo -e '\''\x87'\''|json -b 3'
echo -e '\x87'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x87'\''|json -b 3'

echo '$ echo -e '\''\x88'\''|json -b 1'
echo -e '\x88'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x88'\''|json -b 1'

echo '$ echo -e '\''\x88'\''|json -b 2'
echo -e '\x88'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x88'\''|json -b 2'

echo '$ echo -e '\''\x88'\''|json -b 3'
echo -e '\x88'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x88'\''|json -b 3'

echo '$ echo -e '\''\x89'\''|json -b 1'
echo -e '\x89'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x89'\''|json -b 1'

echo '$ echo -e '\''\x89'\''|json -b 2'
echo -e '\x89'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x89'\''|json -b 2'

echo '$ echo -e '\''\x89'\''|json -b 3'
echo -e '\x89'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x89'\''|json -b 3'

echo '$ echo -e '\''\x8a'\''|json -b 1'
echo -e '\x8a'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x8a'\''|json -b 1'

echo '$ echo -e '\''\x8a'\''|json -b 2'
echo -e '\x8a'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x8a'\''|json -b 2'

echo '$ echo -e '\''\x8a'\''|json -b 3'
echo -e '\x8a'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x8a'\''|json -b 3'

echo '$ echo -e '\''\x8b'\''|json -b 1'
echo -e '\x8b'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x8b'\''|json -b 1'

echo '$ echo -e '\''\x8b'\''|json -b 2'
echo -e '\x8b'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x8b'\''|json -b 2'

echo '$ echo -e '\''\x8b'\''|json -b 3'
echo -e '\x8b'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x8b'\''|json -b 3'

echo '$ echo -e '\''\x8c'\''|json -b 1'
echo -e '\x8c'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x8c'\''|json -b 1'

echo '$ echo -e '\''\x8c'\''|json -b 2'
echo -e '\x8c'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x8c'\''|json -b 2'

echo '$ echo -e '\''\x8c'\''|json -b 3'
echo -e '\x8c'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x8c'\''|json -b 3'

echo '$ echo -e '\''\x8d'\''|json -b 1'
echo -e '\x8d'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x8d'\''|json -b 1'

echo '$ echo -e '\''\x8d'\''|json -b 2'
echo -e '\x8d'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x8d'\''|json -b 2'

echo '$ echo -e '\''\x8d'\''|json -b 3'
echo -e '\x8d'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x8d'\''|json -b 3'

echo '$ echo -e '\''\x8e'\''|json -b 1'
echo -e '\x8e'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x8e'\''|json -b 1'

echo '$ echo -e '\''\x8e'\''|json -b 2'
echo -e '\x8e'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x8e'\''|json -b 2'

echo '$ echo -e '\''\x8e'\''|json -b 3'
echo -e '\x8e'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x8e'\''|json -b 3'

echo '$ echo -e '\''\x8f'\''|json -b 1'
echo -e '\x8f'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x8f'\''|json -b 1'

echo '$ echo -e '\''\x8f'\''|json -b 2'
echo -e '\x8f'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x8f'\''|json -b 2'

echo '$ echo -e '\''\x8f'\''|json -b 3'
echo -e '\x8f'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x8f'\''|json -b 3'

echo '$ echo -e '\''\x90'\''|json -b 1'
echo -e '\x90'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x90'\''|json -b 1'

echo '$ echo -e '\''\x90'\''|json -b 2'
echo -e '\x90'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x90'\''|json -b 2'

echo '$ echo -e '\''\x90'\''|json -b 3'
echo -e '\x90'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x90'\''|json -b 3'

echo '$ echo -e '\''\x91'\''|json -b 1'
echo -e '\x91'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x91'\''|json -b 1'

echo '$ echo -e '\''\x91'\''|json -b 2'
echo -e '\x91'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x91'\''|json -b 2'

echo '$ echo -e '\''\x91'\''|json -b 3'
echo -e '\x91'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x91'\''|json -b 3'

echo '$ echo -e '\''\x92'\''|json -b 1'
echo -e '\x92'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x92'\''|json -b 1'

echo '$ echo -e '\''\x92'\''|json -b 2'
echo -e '\x92'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x92'\''|json -b 2'

echo '$ echo -e '\''\x92'\''|json -b 3'
echo -e '\x92'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x92'\''|json -b 3'

echo '$ echo -e '\''\x93'\''|json -b 1'
echo -e '\x93'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x93'\''|json -b 1'

echo '$ echo -e '\''\x93'\''|json -b 2'
echo -e '\x93'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x93'\''|json -b 2'

echo '$ echo -e '\''\x93'\''|json -b 3'
echo -e '\x93'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x93'\''|json -b 3'

echo '$ echo -e '\''\x94'\''|json -b 1'
echo -e '\x94'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x94'\''|json -b 1'

echo '$ echo -e '\''\x94'\''|json -b 2'
echo -e '\x94'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x94'\''|json -b 2'

echo '$ echo -e '\''\x94'\''|json -b 3'
echo -e '\x94'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x94'\''|json -b 3'

echo '$ echo -e '\''\x95'\''|json -b 1'
echo -e '\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x95'\''|json -b 1'

echo '$ echo -e '\''\x95'\''|json -b 2'
echo -e '\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x95'\''|json -b 2'

echo '$ echo -e '\''\x95'\''|json -b 3'
echo -e '\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x95'\''|json -b 3'

echo '$ echo -e '\''\x96'\''|json -b 1'
echo -e '\x96'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x96'\''|json -b 1'

echo '$ echo -e '\''\x96'\''|json -b 2'
echo -e '\x96'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x96'\''|json -b 2'

echo '$ echo -e '\''\x96'\''|json -b 3'
echo -e '\x96'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x96'\''|json -b 3'

echo '$ echo -e '\''\x97'\''|json -b 1'
echo -e '\x97'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x97'\''|json -b 1'

echo '$ echo -e '\''\x97'\''|json -b 2'
echo -e '\x97'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x97'\''|json -b 2'

echo '$ echo -e '\''\x97'\''|json -b 3'
echo -e '\x97'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x97'\''|json -b 3'

echo '$ echo -e '\''\x98'\''|json -b 1'
echo -e '\x98'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x98'\''|json -b 1'

echo '$ echo -e '\''\x98'\''|json -b 2'
echo -e '\x98'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x98'\''|json -b 2'

echo '$ echo -e '\''\x98'\''|json -b 3'
echo -e '\x98'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x98'\''|json -b 3'

echo '$ echo -e '\''\x99'\''|json -b 1'
echo -e '\x99'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x99'\''|json -b 1'

echo '$ echo -e '\''\x99'\''|json -b 2'
echo -e '\x99'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x99'\''|json -b 2'

echo '$ echo -e '\''\x99'\''|json -b 3'
echo -e '\x99'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x99'\''|json -b 3'

echo '$ echo -e '\''\x9a'\''|json -b 1'
echo -e '\x9a'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x9a'\''|json -b 1'

echo '$ echo -e '\''\x9a'\''|json -b 2'
echo -e '\x9a'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x9a'\''|json -b 2'

echo '$ echo -e '\''\x9a'\''|json -b 3'
echo -e '\x9a'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x9a'\''|json -b 3'

echo '$ echo -e '\''\x9b'\''|json -b 1'
echo -e '\x9b'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x9b'\''|json -b 1'

echo '$ echo -e '\''\x9b'\''|json -b 2'
echo -e '\x9b'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x9b'\''|json -b 2'

echo '$ echo -e '\''\x9b'\''|json -b 3'
echo -e '\x9b'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x9b'\''|json -b 3'

echo '$ echo -e '\''\x9c'\''|json -b 1'
echo -e '\x9c'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x9c'\''|json -b 1'

echo '$ echo -e '\''\x9c'\''|json -b 2'
echo -e '\x9c'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x9c'\''|json -b 2'

echo '$ echo -e '\''\x9c'\''|json -b 3'
echo -e '\x9c'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x9c'\''|json -b 3'

echo '$ echo -e '\''\x9d'\''|json -b 1'
echo -e '\x9d'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x9d'\''|json -b 1'

echo '$ echo -e '\''\x9d'\''|json -b 2'
echo -e '\x9d'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x9d'\''|json -b 2'

echo '$ echo -e '\''\x9d'\''|json -b 3'
echo -e '\x9d'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x9d'\''|json -b 3'

echo '$ echo -e '\''\x9e'\''|json -b 1'
echo -e '\x9e'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x9e'\''|json -b 1'

echo '$ echo -e '\''\x9e'\''|json -b 2'
echo -e '\x9e'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x9e'\''|json -b 2'

echo '$ echo -e '\''\x9e'\''|json -b 3'
echo -e '\x9e'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x9e'\''|json -b 3'

echo '$ echo -e '\''\x9f'\''|json -b 1'
echo -e '\x9f'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\x9f'\''|json -b 1'

echo '$ echo -e '\''\x9f'\''|json -b 2'
echo -e '\x9f'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\x9f'\''|json -b 2'

echo '$ echo -e '\''\x9f'\''|json -b 3'
echo -e '\x9f'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\x9f'\''|json -b 3'

echo '$ echo -e '\''\xa0'\''|json -b 1'
echo -e '\xa0'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa0'\''|json -b 1'

echo '$ echo -e '\''\xa0'\''|json -b 2'
echo -e '\xa0'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa0'\''|json -b 2'

echo '$ echo -e '\''\xa0'\''|json -b 3'
echo -e '\xa0'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa0'\''|json -b 3'

echo '$ echo -e '\''\xa1'\''|json -b 1'
echo -e '\xa1'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa1'\''|json -b 1'

echo '$ echo -e '\''\xa1'\''|json -b 2'
echo -e '\xa1'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa1'\''|json -b 2'

echo '$ echo -e '\''\xa1'\''|json -b 3'
echo -e '\xa1'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa1'\''|json -b 3'

echo '$ echo -e '\''\xa2'\''|json -b 1'
echo -e '\xa2'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa2'\''|json -b 1'

echo '$ echo -e '\''\xa2'\''|json -b 2'
echo -e '\xa2'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa2'\''|json -b 2'

echo '$ echo -e '\''\xa2'\''|json -b 3'
echo -e '\xa2'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa2'\''|json -b 3'

echo '$ echo -e '\''\xa3'\''|json -b 1'
echo -e '\xa3'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa3'\''|json -b 1'

echo '$ echo -e '\''\xa3'\''|json -b 2'
echo -e '\xa3'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa3'\''|json -b 2'

echo '$ echo -e '\''\xa3'\''|json -b 3'
echo -e '\xa3'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa3'\''|json -b 3'

echo '$ echo -e '\''\xa4'\''|json -b 1'
echo -e '\xa4'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa4'\''|json -b 1'

echo '$ echo -e '\''\xa4'\''|json -b 2'
echo -e '\xa4'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa4'\''|json -b 2'

echo '$ echo -e '\''\xa4'\''|json -b 3'
echo -e '\xa4'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa4'\''|json -b 3'

echo '$ echo -e '\''\xa5'\''|json -b 1'
echo -e '\xa5'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa5'\''|json -b 1'

echo '$ echo -e '\''\xa5'\''|json -b 2'
echo -e '\xa5'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa5'\''|json -b 2'

echo '$ echo -e '\''\xa5'\''|json -b 3'
echo -e '\xa5'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa5'\''|json -b 3'

echo '$ echo -e '\''\xa6'\''|json -b 1'
echo -e '\xa6'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa6'\''|json -b 1'

echo '$ echo -e '\''\xa6'\''|json -b 2'
echo -e '\xa6'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa6'\''|json -b 2'

echo '$ echo -e '\''\xa6'\''|json -b 3'
echo -e '\xa6'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa6'\''|json -b 3'

echo '$ echo -e '\''\xa7'\''|json -b 1'
echo -e '\xa7'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa7'\''|json -b 1'

echo '$ echo -e '\''\xa7'\''|json -b 2'
echo -e '\xa7'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa7'\''|json -b 2'

echo '$ echo -e '\''\xa7'\''|json -b 3'
echo -e '\xa7'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa7'\''|json -b 3'

echo '$ echo -e '\''\xa8'\''|json -b 1'
echo -e '\xa8'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa8'\''|json -b 1'

echo '$ echo -e '\''\xa8'\''|json -b 2'
echo -e '\xa8'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa8'\''|json -b 2'

echo '$ echo -e '\''\xa8'\''|json -b 3'
echo -e '\xa8'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa8'\''|json -b 3'

echo '$ echo -e '\''\xa9'\''|json -b 1'
echo -e '\xa9'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xa9'\''|json -b 1'

echo '$ echo -e '\''\xa9'\''|json -b 2'
echo -e '\xa9'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xa9'\''|json -b 2'

echo '$ echo -e '\''\xa9'\''|json -b 3'
echo -e '\xa9'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xa9'\''|json -b 3'

echo '$ echo -e '\''\xaa'\''|json -b 1'
echo -e '\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xaa'\''|json -b 1'

echo '$ echo -e '\''\xaa'\''|json -b 2'
echo -e '\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xaa'\''|json -b 2'

echo '$ echo -e '\''\xaa'\''|json -b 3'
echo -e '\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xaa'\''|json -b 3'

echo '$ echo -e '\''\xab'\''|json -b 1'
echo -e '\xab'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xab'\''|json -b 1'

echo '$ echo -e '\''\xab'\''|json -b 2'
echo -e '\xab'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xab'\''|json -b 2'

echo '$ echo -e '\''\xab'\''|json -b 3'
echo -e '\xab'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xab'\''|json -b 3'

echo '$ echo -e '\''\xac'\''|json -b 1'
echo -e '\xac'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xac'\''|json -b 1'

echo '$ echo -e '\''\xac'\''|json -b 2'
echo -e '\xac'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xac'\''|json -b 2'

echo '$ echo -e '\''\xac'\''|json -b 3'
echo -e '\xac'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xac'\''|json -b 3'

echo '$ echo -e '\''\xad'\''|json -b 1'
echo -e '\xad'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xad'\''|json -b 1'

echo '$ echo -e '\''\xad'\''|json -b 2'
echo -e '\xad'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xad'\''|json -b 2'

echo '$ echo -e '\''\xad'\''|json -b 3'
echo -e '\xad'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xad'\''|json -b 3'

echo '$ echo -e '\''\xae'\''|json -b 1'
echo -e '\xae'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xae'\''|json -b 1'

echo '$ echo -e '\''\xae'\''|json -b 2'
echo -e '\xae'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xae'\''|json -b 2'

echo '$ echo -e '\''\xae'\''|json -b 3'
echo -e '\xae'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xae'\''|json -b 3'

echo '$ echo -e '\''\xaf'\''|json -b 1'
echo -e '\xaf'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xaf'\''|json -b 1'

echo '$ echo -e '\''\xaf'\''|json -b 2'
echo -e '\xaf'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xaf'\''|json -b 2'

echo '$ echo -e '\''\xaf'\''|json -b 3'
echo -e '\xaf'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xaf'\''|json -b 3'

echo '$ echo -e '\''\xb0'\''|json -b 1'
echo -e '\xb0'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb0'\''|json -b 1'

echo '$ echo -e '\''\xb0'\''|json -b 2'
echo -e '\xb0'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb0'\''|json -b 2'

echo '$ echo -e '\''\xb0'\''|json -b 3'
echo -e '\xb0'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb0'\''|json -b 3'

echo '$ echo -e '\''\xb1'\''|json -b 1'
echo -e '\xb1'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb1'\''|json -b 1'

echo '$ echo -e '\''\xb1'\''|json -b 2'
echo -e '\xb1'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb1'\''|json -b 2'

echo '$ echo -e '\''\xb1'\''|json -b 3'
echo -e '\xb1'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb1'\''|json -b 3'

echo '$ echo -e '\''\xb2'\''|json -b 1'
echo -e '\xb2'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb2'\''|json -b 1'

echo '$ echo -e '\''\xb2'\''|json -b 2'
echo -e '\xb2'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb2'\''|json -b 2'

echo '$ echo -e '\''\xb2'\''|json -b 3'
echo -e '\xb2'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb2'\''|json -b 3'

echo '$ echo -e '\''\xb3'\''|json -b 1'
echo -e '\xb3'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb3'\''|json -b 1'

echo '$ echo -e '\''\xb3'\''|json -b 2'
echo -e '\xb3'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb3'\''|json -b 2'

echo '$ echo -e '\''\xb3'\''|json -b 3'
echo -e '\xb3'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb3'\''|json -b 3'

echo '$ echo -e '\''\xb4'\''|json -b 1'
echo -e '\xb4'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb4'\''|json -b 1'

echo '$ echo -e '\''\xb4'\''|json -b 2'
echo -e '\xb4'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb4'\''|json -b 2'

echo '$ echo -e '\''\xb4'\''|json -b 3'
echo -e '\xb4'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb4'\''|json -b 3'

echo '$ echo -e '\''\xb5'\''|json -b 1'
echo -e '\xb5'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb5'\''|json -b 1'

echo '$ echo -e '\''\xb5'\''|json -b 2'
echo -e '\xb5'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb5'\''|json -b 2'

echo '$ echo -e '\''\xb5'\''|json -b 3'
echo -e '\xb5'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb5'\''|json -b 3'

echo '$ echo -e '\''\xb6'\''|json -b 1'
echo -e '\xb6'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb6'\''|json -b 1'

echo '$ echo -e '\''\xb6'\''|json -b 2'
echo -e '\xb6'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb6'\''|json -b 2'

echo '$ echo -e '\''\xb6'\''|json -b 3'
echo -e '\xb6'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb6'\''|json -b 3'

echo '$ echo -e '\''\xb7'\''|json -b 1'
echo -e '\xb7'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb7'\''|json -b 1'

echo '$ echo -e '\''\xb7'\''|json -b 2'
echo -e '\xb7'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb7'\''|json -b 2'

echo '$ echo -e '\''\xb7'\''|json -b 3'
echo -e '\xb7'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb7'\''|json -b 3'

echo '$ echo -e '\''\xb8'\''|json -b 1'
echo -e '\xb8'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb8'\''|json -b 1'

echo '$ echo -e '\''\xb8'\''|json -b 2'
echo -e '\xb8'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb8'\''|json -b 2'

echo '$ echo -e '\''\xb8'\''|json -b 3'
echo -e '\xb8'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb8'\''|json -b 3'

echo '$ echo -e '\''\xb9'\''|json -b 1'
echo -e '\xb9'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xb9'\''|json -b 1'

echo '$ echo -e '\''\xb9'\''|json -b 2'
echo -e '\xb9'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xb9'\''|json -b 2'

echo '$ echo -e '\''\xb9'\''|json -b 3'
echo -e '\xb9'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xb9'\''|json -b 3'

echo '$ echo -e '\''\xba'\''|json -b 1'
echo -e '\xba'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xba'\''|json -b 1'

echo '$ echo -e '\''\xba'\''|json -b 2'
echo -e '\xba'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xba'\''|json -b 2'

echo '$ echo -e '\''\xba'\''|json -b 3'
echo -e '\xba'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xba'\''|json -b 3'

echo '$ echo -e '\''\xbb'\''|json -b 1'
echo -e '\xbb'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xbb'\''|json -b 1'

echo '$ echo -e '\''\xbb'\''|json -b 2'
echo -e '\xbb'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xbb'\''|json -b 2'

echo '$ echo -e '\''\xbb'\''|json -b 3'
echo -e '\xbb'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xbb'\''|json -b 3'

echo '$ echo -e '\''\xbc'\''|json -b 1'
echo -e '\xbc'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xbc'\''|json -b 1'

echo '$ echo -e '\''\xbc'\''|json -b 2'
echo -e '\xbc'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xbc'\''|json -b 2'

echo '$ echo -e '\''\xbc'\''|json -b 3'
echo -e '\xbc'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xbc'\''|json -b 3'

echo '$ echo -e '\''\xbd'\''|json -b 1'
echo -e '\xbd'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xbd'\''|json -b 1'

echo '$ echo -e '\''\xbd'\''|json -b 2'
echo -e '\xbd'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xbd'\''|json -b 2'

echo '$ echo -e '\''\xbd'\''|json -b 3'
echo -e '\xbd'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xbd'\''|json -b 3'

echo '$ echo -e '\''\xbe'\''|json -b 1'
echo -e '\xbe'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xbe'\''|json -b 1'

echo '$ echo -e '\''\xbe'\''|json -b 2'
echo -e '\xbe'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xbe'\''|json -b 2'

echo '$ echo -e '\''\xbe'\''|json -b 3'
echo -e '\xbe'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xbe'\''|json -b 3'

echo '$ echo -e '\''\xbf'\''|json -b 1'
echo -e '\xbf'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xbf'\''|json -b 1'

echo '$ echo -e '\''\xbf'\''|json -b 2'
echo -e '\xbf'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xbf'\''|json -b 2'

echo '$ echo -e '\''\xbf'\''|json -b 3'
echo -e '\xbf'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xbf'\''|json -b 3'

echo '$ echo -e '\''\xc0'\''|json -b 1'
echo -e '\xc0'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc0'\''|json -b 1'

echo '$ echo -e '\''\xc0'\''|json -b 2'
echo -e '\xc0'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc0'\''|json -b 2'

echo '$ echo -e '\''\xc0'\''|json -b 3'
echo -e '\xc0'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc0'\''|json -b 3'

echo '$ echo -e '\''\xc1'\''|json -b 1'
echo -e '\xc1'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc1'\''|json -b 1'

echo '$ echo -e '\''\xc1'\''|json -b 2'
echo -e '\xc1'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc1'\''|json -b 2'

echo '$ echo -e '\''\xc1'\''|json -b 3'
echo -e '\xc1'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc1'\''|json -b 3'

echo '$ echo -e '\''\xc2'\''|json -b 1'
echo -e '\xc2'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc2'\''|json -b 1'

echo '$ echo -e '\''\xc2'\''|json -b 2'
echo -e '\xc2'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc2'\''|json -b 2'

echo '$ echo -e '\''\xc2'\''|json -b 3'
echo -e '\xc2'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc2'\''|json -b 3'

echo '$ echo -e '\''\xc3'\''|json -b 1'
echo -e '\xc3'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc3'\''|json -b 1'

echo '$ echo -e '\''\xc3'\''|json -b 2'
echo -e '\xc3'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc3'\''|json -b 2'

echo '$ echo -e '\''\xc3'\''|json -b 3'
echo -e '\xc3'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc3'\''|json -b 3'

echo '$ echo -e '\''\xc4'\''|json -b 1'
echo -e '\xc4'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc4'\''|json -b 1'

echo '$ echo -e '\''\xc4'\''|json -b 2'
echo -e '\xc4'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc4'\''|json -b 2'

echo '$ echo -e '\''\xc4'\''|json -b 3'
echo -e '\xc4'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc4'\''|json -b 3'

echo '$ echo -e '\''\xc5'\''|json -b 1'
echo -e '\xc5'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc5'\''|json -b 1'

echo '$ echo -e '\''\xc5'\''|json -b 2'
echo -e '\xc5'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc5'\''|json -b 2'

echo '$ echo -e '\''\xc5'\''|json -b 3'
echo -e '\xc5'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc5'\''|json -b 3'

echo '$ echo -e '\''\xc6'\''|json -b 1'
echo -e '\xc6'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc6'\''|json -b 1'

echo '$ echo -e '\''\xc6'\''|json -b 2'
echo -e '\xc6'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc6'\''|json -b 2'

echo '$ echo -e '\''\xc6'\''|json -b 3'
echo -e '\xc6'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc6'\''|json -b 3'

echo '$ echo -e '\''\xc7'\''|json -b 1'
echo -e '\xc7'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc7'\''|json -b 1'

echo '$ echo -e '\''\xc7'\''|json -b 2'
echo -e '\xc7'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc7'\''|json -b 2'

echo '$ echo -e '\''\xc7'\''|json -b 3'
echo -e '\xc7'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc7'\''|json -b 3'

echo '$ echo -e '\''\xc8'\''|json -b 1'
echo -e '\xc8'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc8'\''|json -b 1'

echo '$ echo -e '\''\xc8'\''|json -b 2'
echo -e '\xc8'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc8'\''|json -b 2'

echo '$ echo -e '\''\xc8'\''|json -b 3'
echo -e '\xc8'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc8'\''|json -b 3'

echo '$ echo -e '\''\xc9'\''|json -b 1'
echo -e '\xc9'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xc9'\''|json -b 1'

echo '$ echo -e '\''\xc9'\''|json -b 2'
echo -e '\xc9'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xc9'\''|json -b 2'

echo '$ echo -e '\''\xc9'\''|json -b 3'
echo -e '\xc9'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xc9'\''|json -b 3'

echo '$ echo -e '\''\xca'\''|json -b 1'
echo -e '\xca'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xca'\''|json -b 1'

echo '$ echo -e '\''\xca'\''|json -b 2'
echo -e '\xca'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xca'\''|json -b 2'

echo '$ echo -e '\''\xca'\''|json -b 3'
echo -e '\xca'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xca'\''|json -b 3'

echo '$ echo -e '\''\xcb'\''|json -b 1'
echo -e '\xcb'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xcb'\''|json -b 1'

echo '$ echo -e '\''\xcb'\''|json -b 2'
echo -e '\xcb'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xcb'\''|json -b 2'

echo '$ echo -e '\''\xcb'\''|json -b 3'
echo -e '\xcb'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xcb'\''|json -b 3'

echo '$ echo -e '\''\xcc'\''|json -b 1'
echo -e '\xcc'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xcc'\''|json -b 1'

echo '$ echo -e '\''\xcc'\''|json -b 2'
echo -e '\xcc'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xcc'\''|json -b 2'

echo '$ echo -e '\''\xcc'\''|json -b 3'
echo -e '\xcc'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xcc'\''|json -b 3'

echo '$ echo -e '\''\xcd'\''|json -b 1'
echo -e '\xcd'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xcd'\''|json -b 1'

echo '$ echo -e '\''\xcd'\''|json -b 2'
echo -e '\xcd'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xcd'\''|json -b 2'

echo '$ echo -e '\''\xcd'\''|json -b 3'
echo -e '\xcd'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xcd'\''|json -b 3'

echo '$ echo -e '\''\xce'\''|json -b 1'
echo -e '\xce'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xce'\''|json -b 1'

echo '$ echo -e '\''\xce'\''|json -b 2'
echo -e '\xce'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xce'\''|json -b 2'

echo '$ echo -e '\''\xce'\''|json -b 3'
echo -e '\xce'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xce'\''|json -b 3'

echo '$ echo -e '\''\xcf'\''|json -b 1'
echo -e '\xcf'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xcf'\''|json -b 1'

echo '$ echo -e '\''\xcf'\''|json -b 2'
echo -e '\xcf'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xcf'\''|json -b 2'

echo '$ echo -e '\''\xcf'\''|json -b 3'
echo -e '\xcf'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xcf'\''|json -b 3'

echo '$ echo -e '\''\xd0'\''|json -b 1'
echo -e '\xd0'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd0'\''|json -b 1'

echo '$ echo -e '\''\xd0'\''|json -b 2'
echo -e '\xd0'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd0'\''|json -b 2'

echo '$ echo -e '\''\xd0'\''|json -b 3'
echo -e '\xd0'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd0'\''|json -b 3'

echo '$ echo -e '\''\xd1'\''|json -b 1'
echo -e '\xd1'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd1'\''|json -b 1'

echo '$ echo -e '\''\xd1'\''|json -b 2'
echo -e '\xd1'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd1'\''|json -b 2'

echo '$ echo -e '\''\xd1'\''|json -b 3'
echo -e '\xd1'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd1'\''|json -b 3'

echo '$ echo -e '\''\xd2'\''|json -b 1'
echo -e '\xd2'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd2'\''|json -b 1'

echo '$ echo -e '\''\xd2'\''|json -b 2'
echo -e '\xd2'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd2'\''|json -b 2'

echo '$ echo -e '\''\xd2'\''|json -b 3'
echo -e '\xd2'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd2'\''|json -b 3'

echo '$ echo -e '\''\xd3'\''|json -b 1'
echo -e '\xd3'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd3'\''|json -b 1'

echo '$ echo -e '\''\xd3'\''|json -b 2'
echo -e '\xd3'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd3'\''|json -b 2'

echo '$ echo -e '\''\xd3'\''|json -b 3'
echo -e '\xd3'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd3'\''|json -b 3'

echo '$ echo -e '\''\xd4'\''|json -b 1'
echo -e '\xd4'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd4'\''|json -b 1'

echo '$ echo -e '\''\xd4'\''|json -b 2'
echo -e '\xd4'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd4'\''|json -b 2'

echo '$ echo -e '\''\xd4'\''|json -b 3'
echo -e '\xd4'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd4'\''|json -b 3'

echo '$ echo -e '\''\xd5'\''|json -b 1'
echo -e '\xd5'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd5'\''|json -b 1'

echo '$ echo -e '\''\xd5'\''|json -b 2'
echo -e '\xd5'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd5'\''|json -b 2'

echo '$ echo -e '\''\xd5'\''|json -b 3'
echo -e '\xd5'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd5'\''|json -b 3'

echo '$ echo -e '\''\xd6'\''|json -b 1'
echo -e '\xd6'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd6'\''|json -b 1'

echo '$ echo -e '\''\xd6'\''|json -b 2'
echo -e '\xd6'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd6'\''|json -b 2'

echo '$ echo -e '\''\xd6'\''|json -b 3'
echo -e '\xd6'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd6'\''|json -b 3'

echo '$ echo -e '\''\xd7'\''|json -b 1'
echo -e '\xd7'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd7'\''|json -b 1'

echo '$ echo -e '\''\xd7'\''|json -b 2'
echo -e '\xd7'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd7'\''|json -b 2'

echo '$ echo -e '\''\xd7'\''|json -b 3'
echo -e '\xd7'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd7'\''|json -b 3'

echo '$ echo -e '\''\xd8'\''|json -b 1'
echo -e '\xd8'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd8'\''|json -b 1'

echo '$ echo -e '\''\xd8'\''|json -b 2'
echo -e '\xd8'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd8'\''|json -b 2'

echo '$ echo -e '\''\xd8'\''|json -b 3'
echo -e '\xd8'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd8'\''|json -b 3'

echo '$ echo -e '\''\xd9'\''|json -b 1'
echo -e '\xd9'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xd9'\''|json -b 1'

echo '$ echo -e '\''\xd9'\''|json -b 2'
echo -e '\xd9'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xd9'\''|json -b 2'

echo '$ echo -e '\''\xd9'\''|json -b 3'
echo -e '\xd9'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xd9'\''|json -b 3'

echo '$ echo -e '\''\xda'\''|json -b 1'
echo -e '\xda'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xda'\''|json -b 1'

echo '$ echo -e '\''\xda'\''|json -b 2'
echo -e '\xda'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xda'\''|json -b 2'

echo '$ echo -e '\''\xda'\''|json -b 3'
echo -e '\xda'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xda'\''|json -b 3'

echo '$ echo -e '\''\xdb'\''|json -b 1'
echo -e '\xdb'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xdb'\''|json -b 1'

echo '$ echo -e '\''\xdb'\''|json -b 2'
echo -e '\xdb'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xdb'\''|json -b 2'

echo '$ echo -e '\''\xdb'\''|json -b 3'
echo -e '\xdb'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xdb'\''|json -b 3'

echo '$ echo -e '\''\xdc'\''|json -b 1'
echo -e '\xdc'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xdc'\''|json -b 1'

echo '$ echo -e '\''\xdc'\''|json -b 2'
echo -e '\xdc'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xdc'\''|json -b 2'

echo '$ echo -e '\''\xdc'\''|json -b 3'
echo -e '\xdc'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xdc'\''|json -b 3'

echo '$ echo -e '\''\xdd'\''|json -b 1'
echo -e '\xdd'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xdd'\''|json -b 1'

echo '$ echo -e '\''\xdd'\''|json -b 2'
echo -e '\xdd'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xdd'\''|json -b 2'

echo '$ echo -e '\''\xdd'\''|json -b 3'
echo -e '\xdd'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xdd'\''|json -b 3'

echo '$ echo -e '\''\xde'\''|json -b 1'
echo -e '\xde'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xde'\''|json -b 1'

echo '$ echo -e '\''\xde'\''|json -b 2'
echo -e '\xde'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xde'\''|json -b 2'

echo '$ echo -e '\''\xde'\''|json -b 3'
echo -e '\xde'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xde'\''|json -b 3'

echo '$ echo -e '\''\xdf'\''|json -b 1'
echo -e '\xdf'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xdf'\''|json -b 1'

echo '$ echo -e '\''\xdf'\''|json -b 2'
echo -e '\xdf'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xdf'\''|json -b 2'

echo '$ echo -e '\''\xdf'\''|json -b 3'
echo -e '\xdf'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xdf'\''|json -b 3'

echo '$ echo -e '\''\xe0'\''|json -b 1'
echo -e '\xe0'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe0'\''|json -b 1'

echo '$ echo -e '\''\xe0'\''|json -b 2'
echo -e '\xe0'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe0'\''|json -b 2'

echo '$ echo -e '\''\xe0'\''|json -b 3'
echo -e '\xe0'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe0'\''|json -b 3'

echo '$ echo -e '\''\xe1'\''|json -b 1'
echo -e '\xe1'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe1'\''|json -b 1'

echo '$ echo -e '\''\xe1'\''|json -b 2'
echo -e '\xe1'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe1'\''|json -b 2'

echo '$ echo -e '\''\xe1'\''|json -b 3'
echo -e '\xe1'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe1'\''|json -b 3'

echo '$ echo -e '\''\xe2'\''|json -b 1'
echo -e '\xe2'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe2'\''|json -b 1'

echo '$ echo -e '\''\xe2'\''|json -b 2'
echo -e '\xe2'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe2'\''|json -b 2'

echo '$ echo -e '\''\xe2'\''|json -b 3'
echo -e '\xe2'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe2'\''|json -b 3'

echo '$ echo -e '\''\xe3'\''|json -b 1'
echo -e '\xe3'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe3'\''|json -b 1'

echo '$ echo -e '\''\xe3'\''|json -b 2'
echo -e '\xe3'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe3'\''|json -b 2'

echo '$ echo -e '\''\xe3'\''|json -b 3'
echo -e '\xe3'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe3'\''|json -b 3'

echo '$ echo -e '\''\xe4'\''|json -b 1'
echo -e '\xe4'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe4'\''|json -b 1'

echo '$ echo -e '\''\xe4'\''|json -b 2'
echo -e '\xe4'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe4'\''|json -b 2'

echo '$ echo -e '\''\xe4'\''|json -b 3'
echo -e '\xe4'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe4'\''|json -b 3'

echo '$ echo -e '\''\xe5'\''|json -b 1'
echo -e '\xe5'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe5'\''|json -b 1'

echo '$ echo -e '\''\xe5'\''|json -b 2'
echo -e '\xe5'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe5'\''|json -b 2'

echo '$ echo -e '\''\xe5'\''|json -b 3'
echo -e '\xe5'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe5'\''|json -b 3'

echo '$ echo -e '\''\xe6'\''|json -b 1'
echo -e '\xe6'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe6'\''|json -b 1'

echo '$ echo -e '\''\xe6'\''|json -b 2'
echo -e '\xe6'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe6'\''|json -b 2'

echo '$ echo -e '\''\xe6'\''|json -b 3'
echo -e '\xe6'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe6'\''|json -b 3'

echo '$ echo -e '\''\xe7'\''|json -b 1'
echo -e '\xe7'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe7'\''|json -b 1'

echo '$ echo -e '\''\xe7'\''|json -b 2'
echo -e '\xe7'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe7'\''|json -b 2'

echo '$ echo -e '\''\xe7'\''|json -b 3'
echo -e '\xe7'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe7'\''|json -b 3'

echo '$ echo -e '\''\xe8'\''|json -b 1'
echo -e '\xe8'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe8'\''|json -b 1'

echo '$ echo -e '\''\xe8'\''|json -b 2'
echo -e '\xe8'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe8'\''|json -b 2'

echo '$ echo -e '\''\xe8'\''|json -b 3'
echo -e '\xe8'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe8'\''|json -b 3'

echo '$ echo -e '\''\xe9'\''|json -b 1'
echo -e '\xe9'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xe9'\''|json -b 1'

echo '$ echo -e '\''\xe9'\''|json -b 2'
echo -e '\xe9'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xe9'\''|json -b 2'

echo '$ echo -e '\''\xe9'\''|json -b 3'
echo -e '\xe9'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xe9'\''|json -b 3'

echo '$ echo -e '\''\xea'\''|json -b 1'
echo -e '\xea'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xea'\''|json -b 1'

echo '$ echo -e '\''\xea'\''|json -b 2'
echo -e '\xea'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xea'\''|json -b 2'

echo '$ echo -e '\''\xea'\''|json -b 3'
echo -e '\xea'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xea'\''|json -b 3'

echo '$ echo -e '\''\xeb'\''|json -b 1'
echo -e '\xeb'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xeb'\''|json -b 1'

echo '$ echo -e '\''\xeb'\''|json -b 2'
echo -e '\xeb'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xeb'\''|json -b 2'

echo '$ echo -e '\''\xeb'\''|json -b 3'
echo -e '\xeb'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xeb'\''|json -b 3'

echo '$ echo -e '\''\xec'\''|json -b 1'
echo -e '\xec'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xec'\''|json -b 1'

echo '$ echo -e '\''\xec'\''|json -b 2'
echo -e '\xec'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xec'\''|json -b 2'

echo '$ echo -e '\''\xec'\''|json -b 3'
echo -e '\xec'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xec'\''|json -b 3'

echo '$ echo -e '\''\xed'\''|json -b 1'
echo -e '\xed'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xed'\''|json -b 1'

echo '$ echo -e '\''\xed'\''|json -b 2'
echo -e '\xed'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xed'\''|json -b 2'

echo '$ echo -e '\''\xed'\''|json -b 3'
echo -e '\xed'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xed'\''|json -b 3'

echo '$ echo -e '\''\xee'\''|json -b 1'
echo -e '\xee'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xee'\''|json -b 1'

echo '$ echo -e '\''\xee'\''|json -b 2'
echo -e '\xee'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xee'\''|json -b 2'

echo '$ echo -e '\''\xee'\''|json -b 3'
echo -e '\xee'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xee'\''|json -b 3'

echo '$ echo -e '\''\xef'\''|json -b 1'
echo -e '\xef'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xef'\''|json -b 1'

echo '$ echo -e '\''\xef'\''|json -b 2'
echo -e '\xef'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xef'\''|json -b 2'

echo '$ echo -e '\''\xef'\''|json -b 3'
echo -e '\xef'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xef'\''|json -b 3'

echo '$ echo -e '\''\xf0'\''|json -b 1'
echo -e '\xf0'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf0'\''|json -b 1'

echo '$ echo -e '\''\xf0'\''|json -b 2'
echo -e '\xf0'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf0'\''|json -b 2'

echo '$ echo -e '\''\xf0'\''|json -b 3'
echo -e '\xf0'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf0'\''|json -b 3'

echo '$ echo -e '\''\xf1'\''|json -b 1'
echo -e '\xf1'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf1'\''|json -b 1'

echo '$ echo -e '\''\xf1'\''|json -b 2'
echo -e '\xf1'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf1'\''|json -b 2'

echo '$ echo -e '\''\xf1'\''|json -b 3'
echo -e '\xf1'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf1'\''|json -b 3'

echo '$ echo -e '\''\xf2'\''|json -b 1'
echo -e '\xf2'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf2'\''|json -b 1'

echo '$ echo -e '\''\xf2'\''|json -b 2'
echo -e '\xf2'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf2'\''|json -b 2'

echo '$ echo -e '\''\xf2'\''|json -b 3'
echo -e '\xf2'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf2'\''|json -b 3'

echo '$ echo -e '\''\xf3'\''|json -b 1'
echo -e '\xf3'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf3'\''|json -b 1'

echo '$ echo -e '\''\xf3'\''|json -b 2'
echo -e '\xf3'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf3'\''|json -b 2'

echo '$ echo -e '\''\xf3'\''|json -b 3'
echo -e '\xf3'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf3'\''|json -b 3'

echo '$ echo -e '\''\xf4'\''|json -b 1'
echo -e '\xf4'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf4'\''|json -b 1'

echo '$ echo -e '\''\xf4'\''|json -b 2'
echo -e '\xf4'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf4'\''|json -b 2'

echo '$ echo -e '\''\xf4'\''|json -b 3'
echo -e '\xf4'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf4'\''|json -b 3'

echo '$ echo -e '\''\xf5'\''|json -b 1'
echo -e '\xf5'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf5'\''|json -b 1'

echo '$ echo -e '\''\xf5'\''|json -b 2'
echo -e '\xf5'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf5'\''|json -b 2'

echo '$ echo -e '\''\xf5'\''|json -b 3'
echo -e '\xf5'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf5'\''|json -b 3'

echo '$ echo -e '\''\xf6'\''|json -b 1'
echo -e '\xf6'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf6'\''|json -b 1'

echo '$ echo -e '\''\xf6'\''|json -b 2'
echo -e '\xf6'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf6'\''|json -b 2'

echo '$ echo -e '\''\xf6'\''|json -b 3'
echo -e '\xf6'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf6'\''|json -b 3'

echo '$ echo -e '\''\xf7'\''|json -b 1'
echo -e '\xf7'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf7'\''|json -b 1'

echo '$ echo -e '\''\xf7'\''|json -b 2'
echo -e '\xf7'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf7'\''|json -b 2'

echo '$ echo -e '\''\xf7'\''|json -b 3'
echo -e '\xf7'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf7'\''|json -b 3'

echo '$ echo -e '\''\xf8'\''|json -b 1'
echo -e '\xf8'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf8'\''|json -b 1'

echo '$ echo -e '\''\xf8'\''|json -b 2'
echo -e '\xf8'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf8'\''|json -b 2'

echo '$ echo -e '\''\xf8'\''|json -b 3'
echo -e '\xf8'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf8'\''|json -b 3'

echo '$ echo -e '\''\xf9'\''|json -b 1'
echo -e '\xf9'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xf9'\''|json -b 1'

echo '$ echo -e '\''\xf9'\''|json -b 2'
echo -e '\xf9'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xf9'\''|json -b 2'

echo '$ echo -e '\''\xf9'\''|json -b 3'
echo -e '\xf9'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xf9'\''|json -b 3'

echo '$ echo -e '\''\xfa'\''|json -b 1'
echo -e '\xfa'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xfa'\''|json -b 1'

echo '$ echo -e '\''\xfa'\''|json -b 2'
echo -e '\xfa'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xfa'\''|json -b 2'

echo '$ echo -e '\''\xfa'\''|json -b 3'
echo -e '\xfa'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xfa'\''|json -b 3'

echo '$ echo -e '\''\xfb'\''|json -b 1'
echo -e '\xfb'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xfb'\''|json -b 1'

echo '$ echo -e '\''\xfb'\''|json -b 2'
echo -e '\xfb'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xfb'\''|json -b 2'

echo '$ echo -e '\''\xfb'\''|json -b 3'
echo -e '\xfb'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xfb'\''|json -b 3'

echo '$ echo -e '\''\xfc'\''|json -b 1'
echo -e '\xfc'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xfc'\''|json -b 1'

echo '$ echo -e '\''\xfc'\''|json -b 2'
echo -e '\xfc'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xfc'\''|json -b 2'

echo '$ echo -e '\''\xfc'\''|json -b 3'
echo -e '\xfc'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xfc'\''|json -b 3'

echo '$ echo -e '\''\xfd'\''|json -b 1'
echo -e '\xfd'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xfd'\''|json -b 1'

echo '$ echo -e '\''\xfd'\''|json -b 2'
echo -e '\xfd'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xfd'\''|json -b 2'

echo '$ echo -e '\''\xfd'\''|json -b 3'
echo -e '\xfd'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xfd'\''|json -b 3'

echo '$ echo -e '\''\xfe'\''|json -b 1'
echo -e '\xfe'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xfe'\''|json -b 1'

echo '$ echo -e '\''\xfe'\''|json -b 2'
echo -e '\xfe'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xfe'\''|json -b 2'

echo '$ echo -e '\''\xfe'\''|json -b 3'
echo -e '\xfe'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xfe'\''|json -b 3'

echo '$ echo -e '\''\xff'\''|json -b 1'
echo -e '\xff'|json -b 1 2>&1 ||
echo 'command failed: echo -e '\''\xff'\''|json -b 1'

echo '$ echo -e '\''\xff'\''|json -b 2'
echo -e '\xff'|json -b 2 2>&1 ||
echo 'command failed: echo -e '\''\xff'\''|json -b 2'

echo '$ echo -e '\''\xff'\''|json -b 3'
echo -e '\xff'|json -b 3 2>&1 ||
echo 'command failed: echo -e '\''\xff'\''|json -b 3'
)

