#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C escape:utf8-2
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L utf8-2.old <(echo \
'$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }
$ echo -ne '\''\xd5\xaa'\''|json -b 1
\u056a
$ echo -ne '\''\xd5\xaa'\''|json -b 2
\u056a
$ echo -ne '\''\xd5\xaa'\''|json -b 3
\u056a
$ echo -ne '\''\xd5\x95'\''|json -b 1
\u0555
$ echo -ne '\''\xd5\x95'\''|json -b 2
\u0555
$ echo -ne '\''\xd5\x95'\''|json -b 3
\u0555
$ echo -ne '\''\xca\xaa'\''|json -b 1
\u02aa
$ echo -ne '\''\xca\xaa'\''|json -b 2
\u02aa
$ echo -ne '\''\xca\xaa'\''|json -b 3
\u02aa
$ echo -ne '\''\xca\x95'\''|json -b 1
\u0295
$ echo -ne '\''\xca\x95'\''|json -b 2
\u0295
$ echo -ne '\''\xca\x95'\''|json -b 3
\u0295
$ echo -ne '\''\xea\xaa\xaa'\''|json -b 1
\uaaaa
$ echo -ne '\''\xea\xaa\xaa'\''|json -b 2
\uaaaa
$ echo -ne '\''\xea\xaa\xaa'\''|json -b 3
\uaaaa
$ echo -ne '\''\xea\xaa\xaa'\''|json -b 4
\uaaaa
$ echo -ne '\''\xea\xaa\x95'\''|json -b 1
\uaa95
$ echo -ne '\''\xea\xaa\x95'\''|json -b 2
\uaa95
$ echo -ne '\''\xea\xaa\x95'\''|json -b 3
\uaa95
$ echo -ne '\''\xea\xaa\x95'\''|json -b 4
\uaa95
$ echo -ne '\''\xea\x95\xaa'\''|json -b 1
\ua56a
$ echo -ne '\''\xea\x95\xaa'\''|json -b 2
\ua56a
$ echo -ne '\''\xea\x95\xaa'\''|json -b 3
\ua56a
$ echo -ne '\''\xea\x95\xaa'\''|json -b 4
\ua56a
$ echo -ne '\''\xea\x95\x95'\''|json -b 1
\ua555
$ echo -ne '\''\xea\x95\x95'\''|json -b 2
\ua555
$ echo -ne '\''\xea\x95\x95'\''|json -b 3
\ua555
$ echo -ne '\''\xea\x95\x95'\''|json -b 4
\ua555
$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 1
\u5aaa
$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 2
\u5aaa
$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 3
\u5aaa
$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 4
\u5aaa
$ echo -ne '\''\xe5\xaa\x95'\''|json -b 1
\u5a95
$ echo -ne '\''\xe5\xaa\x95'\''|json -b 2
\u5a95
$ echo -ne '\''\xe5\xaa\x95'\''|json -b 3
\u5a95
$ echo -ne '\''\xe5\xaa\x95'\''|json -b 4
\u5a95
$ echo -ne '\''\xe5\x95\xaa'\''|json -b 1
\u556a
$ echo -ne '\''\xe5\x95\xaa'\''|json -b 2
\u556a
$ echo -ne '\''\xe5\x95\xaa'\''|json -b 3
\u556a
$ echo -ne '\''\xe5\x95\xaa'\''|json -b 4
\u556a
$ echo -ne '\''\xe5\x95\x95'\''|json -b 1
\u5555
$ echo -ne '\''\xe5\x95\x95'\''|json -b 2
\u5555
$ echo -ne '\''\xe5\x95\x95'\''|json -b 3
\u5555
$ echo -ne '\''\xe5\x95\x95'\''|json -b 4
\u5555
$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 1
$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 2
$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 3
$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 4
$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 5
$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 1
$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 2
$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 3
$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 4
$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 5
$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 1
$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 2
$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 3
$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 4
$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 5
$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 1
$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 2
$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 3
$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 4
$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 5
$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 1
$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 2
$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 3
$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 4
$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 5
$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 1
$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 2
$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 3
$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 4
$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 5
$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 1
$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 2
$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 3
$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 4
$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 5
$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 1
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 1
$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 2
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 2
$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 3
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 3
$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 4
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 4
$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 5
json: error: <stdin>:1:1: invalid utf-8 encoding
json: error: <stdin>:1:1: \xf5\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 5
$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 1
$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 2
$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 3
$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 4
$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 5
$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 1
$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 2
$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 3
$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 4
$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 5
$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 1
$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 2
$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 3
$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 4
$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 5
$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 1
$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 2
$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 3
$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 4
$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\xaa\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 5
$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 1
$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 2
$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 3
$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 4
$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 5
$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 1
$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 2
$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 3
$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 4
$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\xaa\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 5
$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 1
$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 2
$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 3
$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 4
$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\xaa
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 5
$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 1
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 1
$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 2
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 2
$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 3
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 3
$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 4
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 4
$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 5
json: error: <stdin>:1:1: non-BMP utf-8 encoding
json: error: <stdin>:1:1: \xf2\x95\x95\x95
json: error: <stdin>:1:1: ^
command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 5'
) -L utf8-2.new <(
echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'

echo '$ echo -ne '\''\xd5\xaa'\''|json -b 1'
echo -ne '\xd5\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xd5\xaa'\''|json -b 2'
echo -ne '\xd5\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xd5\xaa'\''|json -b 3'
echo -ne '\xd5\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xd5\x95'\''|json -b 1'
echo -ne '\xd5\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x95'\''|json -b 1'

echo '$ echo -ne '\''\xd5\x95'\''|json -b 2'
echo -ne '\xd5\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x95'\''|json -b 2'

echo '$ echo -ne '\''\xd5\x95'\''|json -b 3'
echo -ne '\xd5\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x95'\''|json -b 3'

echo '$ echo -ne '\''\xca\xaa'\''|json -b 1'
echo -ne '\xca\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xca\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xca\xaa'\''|json -b 2'
echo -ne '\xca\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xca\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xca\xaa'\''|json -b 3'
echo -ne '\xca\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xca\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xca\x95'\''|json -b 1'
echo -ne '\xca\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x95'\''|json -b 1'

echo '$ echo -ne '\''\xca\x95'\''|json -b 2'
echo -ne '\xca\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x95'\''|json -b 2'

echo '$ echo -ne '\''\xca\x95'\''|json -b 3'
echo -ne '\xca\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x95'\''|json -b 3'

echo '$ echo -ne '\''\xea\xaa\xaa'\''|json -b 1'
echo -ne '\xea\xaa\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xea\xaa\xaa'\''|json -b 2'
echo -ne '\xea\xaa\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xea\xaa\xaa'\''|json -b 3'
echo -ne '\xea\xaa\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xea\xaa\xaa'\''|json -b 4'
echo -ne '\xea\xaa\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xea\xaa\x95'\''|json -b 1'
echo -ne '\xea\xaa\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x95'\''|json -b 1'

echo '$ echo -ne '\''\xea\xaa\x95'\''|json -b 2'
echo -ne '\xea\xaa\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x95'\''|json -b 2'

echo '$ echo -ne '\''\xea\xaa\x95'\''|json -b 3'
echo -ne '\xea\xaa\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x95'\''|json -b 3'

echo '$ echo -ne '\''\xea\xaa\x95'\''|json -b 4'
echo -ne '\xea\xaa\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x95'\''|json -b 4'

echo '$ echo -ne '\''\xea\x95\xaa'\''|json -b 1'
echo -ne '\xea\x95\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xea\x95\xaa'\''|json -b 2'
echo -ne '\xea\x95\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xea\x95\xaa'\''|json -b 3'
echo -ne '\xea\x95\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xea\x95\xaa'\''|json -b 4'
echo -ne '\xea\x95\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xea\x95\x95'\''|json -b 1'
echo -ne '\xea\x95\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x95'\''|json -b 1'

echo '$ echo -ne '\''\xea\x95\x95'\''|json -b 2'
echo -ne '\xea\x95\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x95'\''|json -b 2'

echo '$ echo -ne '\''\xea\x95\x95'\''|json -b 3'
echo -ne '\xea\x95\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x95'\''|json -b 3'

echo '$ echo -ne '\''\xea\x95\x95'\''|json -b 4'
echo -ne '\xea\x95\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x95'\''|json -b 4'

echo '$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 1'
echo -ne '\xe5\xaa\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 2'
echo -ne '\xe5\xaa\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 3'
echo -ne '\xe5\xaa\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xe5\xaa\xaa'\''|json -b 4'
echo -ne '\xe5\xaa\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xe5\xaa\x95'\''|json -b 1'
echo -ne '\xe5\xaa\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x95'\''|json -b 1'

echo '$ echo -ne '\''\xe5\xaa\x95'\''|json -b 2'
echo -ne '\xe5\xaa\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x95'\''|json -b 2'

echo '$ echo -ne '\''\xe5\xaa\x95'\''|json -b 3'
echo -ne '\xe5\xaa\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x95'\''|json -b 3'

echo '$ echo -ne '\''\xe5\xaa\x95'\''|json -b 4'
echo -ne '\xe5\xaa\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x95'\''|json -b 4'

echo '$ echo -ne '\''\xe5\x95\xaa'\''|json -b 1'
echo -ne '\xe5\x95\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xe5\x95\xaa'\''|json -b 2'
echo -ne '\xe5\x95\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xe5\x95\xaa'\''|json -b 3'
echo -ne '\xe5\x95\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xe5\x95\xaa'\''|json -b 4'
echo -ne '\xe5\x95\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xe5\x95\x95'\''|json -b 1'
echo -ne '\xe5\x95\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x95'\''|json -b 1'

echo '$ echo -ne '\''\xe5\x95\x95'\''|json -b 2'
echo -ne '\xe5\x95\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x95'\''|json -b 2'

echo '$ echo -ne '\''\xe5\x95\x95'\''|json -b 3'
echo -ne '\xe5\x95\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x95'\''|json -b 3'

echo '$ echo -ne '\''\xe5\x95\x95'\''|json -b 4'
echo -ne '\xe5\x95\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 1'
echo -ne '\xf5\xaa\xaa\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 2'
echo -ne '\xf5\xaa\xaa\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 3'
echo -ne '\xf5\xaa\xaa\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 4'
echo -ne '\xf5\xaa\xaa\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 5'
echo -ne '\xf5\xaa\xaa\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 1'
echo -ne '\xf5\xaa\xaa\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 2'
echo -ne '\xf5\xaa\xaa\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 3'
echo -ne '\xf5\xaa\xaa\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 4'
echo -ne '\xf5\xaa\xaa\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 5'
echo -ne '\xf5\xaa\xaa\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x95'\''|json -b 5'

echo '$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 1'
echo -ne '\xf5\xaa\x95\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 2'
echo -ne '\xf5\xaa\x95\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 3'
echo -ne '\xf5\xaa\x95\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 4'
echo -ne '\xf5\xaa\x95\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 5'
echo -ne '\xf5\xaa\x95\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 1'
echo -ne '\xf5\xaa\x95\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 2'
echo -ne '\xf5\xaa\x95\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 3'
echo -ne '\xf5\xaa\x95\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 4'
echo -ne '\xf5\xaa\x95\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 5'
echo -ne '\xf5\xaa\x95\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x95'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 1'
echo -ne '\xf5\x95\xaa\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 2'
echo -ne '\xf5\x95\xaa\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 3'
echo -ne '\xf5\x95\xaa\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 4'
echo -ne '\xf5\x95\xaa\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 5'
echo -ne '\xf5\x95\xaa\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 1'
echo -ne '\xf5\x95\xaa\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 2'
echo -ne '\xf5\x95\xaa\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 3'
echo -ne '\xf5\x95\xaa\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 4'
echo -ne '\xf5\x95\xaa\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 5'
echo -ne '\xf5\x95\xaa\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x95'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 1'
echo -ne '\xf5\x95\x95\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 2'
echo -ne '\xf5\x95\x95\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 3'
echo -ne '\xf5\x95\x95\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 4'
echo -ne '\xf5\x95\x95\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 5'
echo -ne '\xf5\x95\x95\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 1'
echo -ne '\xf5\x95\x95\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 2'
echo -ne '\xf5\x95\x95\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 3'
echo -ne '\xf5\x95\x95\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 4'
echo -ne '\xf5\x95\x95\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\x95\x95'\''|json -b 5'
echo -ne '\xf5\x95\x95\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x95'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 1'
echo -ne '\xf2\xaa\xaa\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 2'
echo -ne '\xf2\xaa\xaa\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 3'
echo -ne '\xf2\xaa\xaa\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 4'
echo -ne '\xf2\xaa\xaa\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 5'
echo -ne '\xf2\xaa\xaa\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 1'
echo -ne '\xf2\xaa\xaa\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 2'
echo -ne '\xf2\xaa\xaa\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 3'
echo -ne '\xf2\xaa\xaa\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 4'
echo -ne '\xf2\xaa\xaa\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 5'
echo -ne '\xf2\xaa\xaa\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x95'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 1'
echo -ne '\xf2\xaa\x95\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 2'
echo -ne '\xf2\xaa\x95\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 3'
echo -ne '\xf2\xaa\x95\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 4'
echo -ne '\xf2\xaa\x95\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 5'
echo -ne '\xf2\xaa\x95\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 1'
echo -ne '\xf2\xaa\x95\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 2'
echo -ne '\xf2\xaa\x95\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 3'
echo -ne '\xf2\xaa\x95\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 4'
echo -ne '\xf2\xaa\x95\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 5'
echo -ne '\xf2\xaa\x95\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x95'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 1'
echo -ne '\xf2\x95\xaa\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 2'
echo -ne '\xf2\x95\xaa\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 3'
echo -ne '\xf2\x95\xaa\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 4'
echo -ne '\xf2\x95\xaa\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 5'
echo -ne '\xf2\x95\xaa\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 1'
echo -ne '\xf2\x95\xaa\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 2'
echo -ne '\xf2\x95\xaa\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 3'
echo -ne '\xf2\x95\xaa\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 4'
echo -ne '\xf2\x95\xaa\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 5'
echo -ne '\xf2\x95\xaa\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x95'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 1'
echo -ne '\xf2\x95\x95\xaa'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 2'
echo -ne '\xf2\x95\x95\xaa'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 3'
echo -ne '\xf2\x95\x95\xaa'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 4'
echo -ne '\xf2\x95\x95\xaa'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 5'
echo -ne '\xf2\x95\x95\xaa'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\xaa'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 1'
echo -ne '\xf2\x95\x95\x95'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 2'
echo -ne '\xf2\x95\x95\x95'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 3'
echo -ne '\xf2\x95\x95\x95'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 4'
echo -ne '\xf2\x95\x95\x95'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\x95\x95'\''|json -b 5'
echo -ne '\xf2\x95\x95\x95'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x95'\''|json -b 5'
)

