#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C escape:utf8-4
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L utf8-4.old <(echo \
'$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }
$ echo -ne '\''\xd5\x6a'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5j
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5\x6a'\''|json -b 1
$ echo -ne '\''\xd5\x6a'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5j
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5\x6a'\''|json -b 2
$ echo -ne '\''\xd5\x6a'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5j
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5\x6a'\''|json -b 3
$ echo -ne '\''\xd5\x55'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5U
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5\x55'\''|json -b 1
$ echo -ne '\''\xd5\x55'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5U
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5\x55'\''|json -b 2
$ echo -ne '\''\xd5\x55'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xd5U
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xd5\x55'\''|json -b 3
$ echo -ne '\''\xca\x6a'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcaj
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca\x6a'\''|json -b 1
$ echo -ne '\''\xca\x6a'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcaj
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca\x6a'\''|json -b 2
$ echo -ne '\''\xca\x6a'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcaj
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca\x6a'\''|json -b 3
$ echo -ne '\''\xca\x55'\''|json -b 1
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcaU
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca\x55'\''|json -b 1
$ echo -ne '\''\xca\x55'\''|json -b 2
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcaU
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca\x55'\''|json -b 2
$ echo -ne '\''\xca\x55'\''|json -b 3
json: error: <stdin>:1:2: invalid utf-8 encoding
json: error: <stdin>:1:2: \xcaU
json: error: <stdin>:1:2:     ^
command failed: echo -ne '\''\xca\x55'\''|json -b 3
$ echo -ne '\''\xea\xaa\x6a'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 1
$ echo -ne '\''\xea\xaa\x6a'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 2
$ echo -ne '\''\xea\xaa\x6a'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 3
$ echo -ne '\''\xea\xaa\x6a'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 4
$ echo -ne '\''\xea\xaa\x55'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 1
$ echo -ne '\''\xea\xaa\x55'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 2
$ echo -ne '\''\xea\xaa\x55'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 3
$ echo -ne '\''\xea\xaa\x55'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 4
$ echo -ne '\''\xea\x95\x6a'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 1
$ echo -ne '\''\xea\x95\x6a'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 2
$ echo -ne '\''\xea\x95\x6a'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 3
$ echo -ne '\''\xea\x95\x6a'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 4
$ echo -ne '\''\xea\x95\x55'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x55'\''|json -b 1
$ echo -ne '\''\xea\x95\x55'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x55'\''|json -b 2
$ echo -ne '\''\xea\x95\x55'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x55'\''|json -b 3
$ echo -ne '\''\xea\x95\x55'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xea\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xea\x95\x55'\''|json -b 4
$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 1
$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 2
$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 3
$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaj
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 4
$ echo -ne '\''\xe5\xaa\x55'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 1
$ echo -ne '\''\xe5\xaa\x55'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 2
$ echo -ne '\''\xe5\xaa\x55'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 3
$ echo -ne '\''\xe5\xaa\x55'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\xaaU
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 4
$ echo -ne '\''\xe5\x95\x6a'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 1
$ echo -ne '\''\xe5\x95\x6a'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 2
$ echo -ne '\''\xe5\x95\x6a'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 3
$ echo -ne '\''\xe5\x95\x6a'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95j
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 4
$ echo -ne '\''\xe5\x95\x55'\''|json -b 1
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 1
$ echo -ne '\''\xe5\x95\x55'\''|json -b 2
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 2
$ echo -ne '\''\xe5\x95\x55'\''|json -b 3
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 3
$ echo -ne '\''\xe5\x95\x55'\''|json -b 4
json: error: <stdin>:1:3: invalid utf-8 encoding
json: error: <stdin>:1:3: \xe5\x95U
json: error: <stdin>:1:3:         ^
command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 4
$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 1
$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 2
$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 3
$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 4
$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 5
$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 1
$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 2
$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 3
$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 4
$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 5
$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 1
$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 2
$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 3
$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 4
$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 5
$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 1
$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 2
$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 3
$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 4
$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 5
$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 1
$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 2
$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 3
$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 4
$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 5
$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 1
$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 2
$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 3
$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 4
$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 5
$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 1
$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 2
$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 3
$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 4
$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 5
$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 1
$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 2
$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 3
$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 4
$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf5\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 5
$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 1
$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 2
$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 3
$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 4
$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 5
$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 1
$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 2
$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 3
$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 4
$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 5
$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 1
$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 2
$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 3
$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 4
$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 5
$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 1
$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 2
$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 3
$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 4
$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\xaa\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 5
$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 1
$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 2
$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 3
$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 4
$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaj
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 5
$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 1
$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 2
$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 3
$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 4
$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\xaaU
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 5
$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 1
$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 2
$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 3
$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 4
$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95j
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 5
$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 1
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 1
$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 2
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 2
$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 3
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 3
$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 4
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 4
$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 5
json: error: <stdin>:1:4: invalid utf-8 encoding
json: error: <stdin>:1:4: \xf2\x95\x95U
json: error: <stdin>:1:4:             ^
command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 5'
) -L utf8-4.new <(
echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --validate-utf8 --escape-json --verbose "$@"; }'

echo '$ echo -ne '\''\xd5\x6a'\''|json -b 1'
echo -ne '\xd5\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xd5\x6a'\''|json -b 2'
echo -ne '\xd5\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xd5\x6a'\''|json -b 3'
echo -ne '\xd5\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xd5\x55'\''|json -b 1'
echo -ne '\xd5\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x55'\''|json -b 1'

echo '$ echo -ne '\''\xd5\x55'\''|json -b 2'
echo -ne '\xd5\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x55'\''|json -b 2'

echo '$ echo -ne '\''\xd5\x55'\''|json -b 3'
echo -ne '\xd5\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xd5\x55'\''|json -b 3'

echo '$ echo -ne '\''\xca\x6a'\''|json -b 1'
echo -ne '\xca\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xca\x6a'\''|json -b 2'
echo -ne '\xca\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xca\x6a'\''|json -b 3'
echo -ne '\xca\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xca\x55'\''|json -b 1'
echo -ne '\xca\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x55'\''|json -b 1'

echo '$ echo -ne '\''\xca\x55'\''|json -b 2'
echo -ne '\xca\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x55'\''|json -b 2'

echo '$ echo -ne '\''\xca\x55'\''|json -b 3'
echo -ne '\xca\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xca\x55'\''|json -b 3'

echo '$ echo -ne '\''\xea\xaa\x6a'\''|json -b 1'
echo -ne '\xea\xaa\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xea\xaa\x6a'\''|json -b 2'
echo -ne '\xea\xaa\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xea\xaa\x6a'\''|json -b 3'
echo -ne '\xea\xaa\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xea\xaa\x6a'\''|json -b 4'
echo -ne '\xea\xaa\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xea\xaa\x55'\''|json -b 1'
echo -ne '\xea\xaa\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 1'

echo '$ echo -ne '\''\xea\xaa\x55'\''|json -b 2'
echo -ne '\xea\xaa\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 2'

echo '$ echo -ne '\''\xea\xaa\x55'\''|json -b 3'
echo -ne '\xea\xaa\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 3'

echo '$ echo -ne '\''\xea\xaa\x55'\''|json -b 4'
echo -ne '\xea\xaa\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\xaa\x55'\''|json -b 4'

echo '$ echo -ne '\''\xea\x95\x6a'\''|json -b 1'
echo -ne '\xea\x95\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xea\x95\x6a'\''|json -b 2'
echo -ne '\xea\x95\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xea\x95\x6a'\''|json -b 3'
echo -ne '\xea\x95\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xea\x95\x6a'\''|json -b 4'
echo -ne '\xea\x95\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xea\x95\x55'\''|json -b 1'
echo -ne '\xea\x95\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x55'\''|json -b 1'

echo '$ echo -ne '\''\xea\x95\x55'\''|json -b 2'
echo -ne '\xea\x95\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x55'\''|json -b 2'

echo '$ echo -ne '\''\xea\x95\x55'\''|json -b 3'
echo -ne '\xea\x95\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x55'\''|json -b 3'

echo '$ echo -ne '\''\xea\x95\x55'\''|json -b 4'
echo -ne '\xea\x95\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xea\x95\x55'\''|json -b 4'

echo '$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 1'
echo -ne '\xe5\xaa\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 2'
echo -ne '\xe5\xaa\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 3'
echo -ne '\xe5\xaa\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xe5\xaa\x6a'\''|json -b 4'
echo -ne '\xe5\xaa\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xe5\xaa\x55'\''|json -b 1'
echo -ne '\xe5\xaa\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 1'

echo '$ echo -ne '\''\xe5\xaa\x55'\''|json -b 2'
echo -ne '\xe5\xaa\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 2'

echo '$ echo -ne '\''\xe5\xaa\x55'\''|json -b 3'
echo -ne '\xe5\xaa\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 3'

echo '$ echo -ne '\''\xe5\xaa\x55'\''|json -b 4'
echo -ne '\xe5\xaa\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\xaa\x55'\''|json -b 4'

echo '$ echo -ne '\''\xe5\x95\x6a'\''|json -b 1'
echo -ne '\xe5\x95\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xe5\x95\x6a'\''|json -b 2'
echo -ne '\xe5\x95\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xe5\x95\x6a'\''|json -b 3'
echo -ne '\xe5\x95\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xe5\x95\x6a'\''|json -b 4'
echo -ne '\xe5\x95\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xe5\x95\x55'\''|json -b 1'
echo -ne '\xe5\x95\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 1'

echo '$ echo -ne '\''\xe5\x95\x55'\''|json -b 2'
echo -ne '\xe5\x95\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 2'

echo '$ echo -ne '\''\xe5\x95\x55'\''|json -b 3'
echo -ne '\xe5\x95\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 3'

echo '$ echo -ne '\''\xe5\x95\x55'\''|json -b 4'
echo -ne '\xe5\x95\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xe5\x95\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 1'
echo -ne '\xf5\xaa\xaa\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 2'
echo -ne '\xf5\xaa\xaa\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 3'
echo -ne '\xf5\xaa\xaa\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 4'
echo -ne '\xf5\xaa\xaa\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 5'
echo -ne '\xf5\xaa\xaa\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 1'
echo -ne '\xf5\xaa\xaa\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 2'
echo -ne '\xf5\xaa\xaa\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 3'
echo -ne '\xf5\xaa\xaa\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 4'
echo -ne '\xf5\xaa\xaa\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 5'
echo -ne '\xf5\xaa\xaa\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\xaa\x55'\''|json -b 5'

echo '$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 1'
echo -ne '\xf5\xaa\x95\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 2'
echo -ne '\xf5\xaa\x95\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 3'
echo -ne '\xf5\xaa\x95\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 4'
echo -ne '\xf5\xaa\x95\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 5'
echo -ne '\xf5\xaa\x95\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 1'
echo -ne '\xf5\xaa\x95\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 2'
echo -ne '\xf5\xaa\x95\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 3'
echo -ne '\xf5\xaa\x95\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 4'
echo -ne '\xf5\xaa\x95\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 5'
echo -ne '\xf5\xaa\x95\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\xaa\x95\x55'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 1'
echo -ne '\xf5\x95\xaa\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 2'
echo -ne '\xf5\x95\xaa\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 3'
echo -ne '\xf5\x95\xaa\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 4'
echo -ne '\xf5\x95\xaa\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 5'
echo -ne '\xf5\x95\xaa\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 1'
echo -ne '\xf5\x95\xaa\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 2'
echo -ne '\xf5\x95\xaa\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 3'
echo -ne '\xf5\x95\xaa\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 4'
echo -ne '\xf5\x95\xaa\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 5'
echo -ne '\xf5\x95\xaa\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\xaa\x55'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 1'
echo -ne '\xf5\x95\x95\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 2'
echo -ne '\xf5\x95\x95\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 3'
echo -ne '\xf5\x95\x95\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 4'
echo -ne '\xf5\x95\x95\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 5'
echo -ne '\xf5\x95\x95\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 1'
echo -ne '\xf5\x95\x95\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 2'
echo -ne '\xf5\x95\x95\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 3'
echo -ne '\xf5\x95\x95\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 4'
echo -ne '\xf5\x95\x95\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf5\x95\x95\x55'\''|json -b 5'
echo -ne '\xf5\x95\x95\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf5\x95\x95\x55'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 1'
echo -ne '\xf2\xaa\xaa\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 2'
echo -ne '\xf2\xaa\xaa\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 3'
echo -ne '\xf2\xaa\xaa\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 4'
echo -ne '\xf2\xaa\xaa\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 5'
echo -ne '\xf2\xaa\xaa\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 1'
echo -ne '\xf2\xaa\xaa\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 2'
echo -ne '\xf2\xaa\xaa\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 3'
echo -ne '\xf2\xaa\xaa\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 4'
echo -ne '\xf2\xaa\xaa\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 5'
echo -ne '\xf2\xaa\xaa\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\xaa\x55'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 1'
echo -ne '\xf2\xaa\x95\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 2'
echo -ne '\xf2\xaa\x95\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 3'
echo -ne '\xf2\xaa\x95\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 4'
echo -ne '\xf2\xaa\x95\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 5'
echo -ne '\xf2\xaa\x95\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 1'
echo -ne '\xf2\xaa\x95\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 2'
echo -ne '\xf2\xaa\x95\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 3'
echo -ne '\xf2\xaa\x95\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 4'
echo -ne '\xf2\xaa\x95\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 5'
echo -ne '\xf2\xaa\x95\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\xaa\x95\x55'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 1'
echo -ne '\xf2\x95\xaa\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 2'
echo -ne '\xf2\x95\xaa\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 3'
echo -ne '\xf2\x95\xaa\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 4'
echo -ne '\xf2\x95\xaa\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 5'
echo -ne '\xf2\x95\xaa\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 1'
echo -ne '\xf2\x95\xaa\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 2'
echo -ne '\xf2\x95\xaa\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 3'
echo -ne '\xf2\x95\xaa\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 4'
echo -ne '\xf2\x95\xaa\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 5'
echo -ne '\xf2\x95\xaa\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\xaa\x55'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 1'
echo -ne '\xf2\x95\x95\x6a'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 2'
echo -ne '\xf2\x95\x95\x6a'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 3'
echo -ne '\xf2\x95\x95\x6a'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 4'
echo -ne '\xf2\x95\x95\x6a'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 5'
echo -ne '\xf2\x95\x95\x6a'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x6a'\''|json -b 5'

echo '$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 1'
echo -ne '\xf2\x95\x95\x55'|json -b 1 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 1'

echo '$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 2'
echo -ne '\xf2\x95\x95\x55'|json -b 2 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 2'

echo '$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 3'
echo -ne '\xf2\x95\x95\x55'|json -b 3 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 3'

echo '$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 4'
echo -ne '\xf2\x95\x95\x55'|json -b 4 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 4'

echo '$ echo -ne '\''\xf2\x95\x95\x55'\''|json -b 5'
echo -ne '\xf2\x95\x95\x55'|json -b 5 2>&1 ||
echo 'command failed: echo -ne '\''\xf2\x95\x95\x55'\''|json -b 5'
)

