#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:literal2
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L literal2.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --no-literal-value "$@"; }
$ echo -n null|json -b 1
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 1
$ echo -n null|json -b 2
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 2
$ echo -n null|json -b 3
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 3
$ echo -n null|json -b 4
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 4
$ echo -n null|json -b 5
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 5
$ echo -n null|json -b 6
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 6
$ echo -n null|json -b 7
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 7
$ echo -n null|json -b 8
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 8
$ echo -n null|json -b 9
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 9
$ echo -n null|json -b 10
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 10
$ echo -n null|json -b 11
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 11
$ echo -n null|json -b 12
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 12
$ echo -n null|json -b 13
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 13
$ echo -n null|json -b 14
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 14
$ echo -n null|json -b 15
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 15
$ echo -n null|json -b 16
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 16
$ echo -n null|json -b 17
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 17
$ echo -n null|json -b 18
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 18
$ echo -n null|json -b 19
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 19
$ echo -n null|json -b 20
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 20
$ echo -n null|json -b 21
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 21
$ echo -n null|json -b 22
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 22
$ echo -n null|json -b 23
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 23
$ echo -n null|json -b 24
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 24
$ echo -n null|json -b 25
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 25
$ echo -n null|json -b 26
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 26
$ echo -n null|json -b 27
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 27
$ echo -n null|json -b 28
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 28
$ echo -n null|json -b 29
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 29
$ echo -n null|json -b 30
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 30
$ echo -n null|json -b 31
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 31
$ echo -n null|json -b 32
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: echo -n null|json -b 32
$ echo -n false|json -b 1
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 1
$ echo -n false|json -b 2
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 2
$ echo -n false|json -b 3
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 3
$ echo -n false|json -b 4
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 4
$ echo -n false|json -b 5
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 5
$ echo -n false|json -b 6
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 6
$ echo -n false|json -b 7
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 7
$ echo -n false|json -b 8
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 8
$ echo -n false|json -b 9
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 9
$ echo -n false|json -b 10
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 10
$ echo -n false|json -b 11
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 11
$ echo -n false|json -b 12
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 12
$ echo -n false|json -b 13
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 13
$ echo -n false|json -b 14
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 14
$ echo -n false|json -b 15
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 15
$ echo -n false|json -b 16
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 16
$ echo -n false|json -b 17
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 17
$ echo -n false|json -b 18
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 18
$ echo -n false|json -b 19
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 19
$ echo -n false|json -b 20
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 20
$ echo -n false|json -b 21
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 21
$ echo -n false|json -b 22
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 22
$ echo -n false|json -b 23
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 23
$ echo -n false|json -b 24
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 24
$ echo -n false|json -b 25
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 25
$ echo -n false|json -b 26
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 26
$ echo -n false|json -b 27
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 27
$ echo -n false|json -b 28
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 28
$ echo -n false|json -b 29
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 29
$ echo -n false|json -b 30
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 30
$ echo -n false|json -b 31
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 31
$ echo -n false|json -b 32
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: false
json: error: <stdin>:1:1: ^
command failed: echo -n false|json -b 32
$ echo -n true|json -b 1
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 1
$ echo -n true|json -b 2
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 2
$ echo -n true|json -b 3
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 3
$ echo -n true|json -b 4
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 4
$ echo -n true|json -b 5
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 5
$ echo -n true|json -b 6
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 6
$ echo -n true|json -b 7
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 7
$ echo -n true|json -b 8
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 8
$ echo -n true|json -b 9
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 9
$ echo -n true|json -b 10
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 10
$ echo -n true|json -b 11
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 11
$ echo -n true|json -b 12
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 12
$ echo -n true|json -b 13
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 13
$ echo -n true|json -b 14
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 14
$ echo -n true|json -b 15
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 15
$ echo -n true|json -b 16
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 16
$ echo -n true|json -b 17
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 17
$ echo -n true|json -b 18
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 18
$ echo -n true|json -b 19
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 19
$ echo -n true|json -b 20
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 20
$ echo -n true|json -b 21
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 21
$ echo -n true|json -b 22
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 22
$ echo -n true|json -b 23
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 23
$ echo -n true|json -b 24
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 24
$ echo -n true|json -b 25
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 25
$ echo -n true|json -b 26
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 26
$ echo -n true|json -b 27
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 27
$ echo -n true|json -b 28
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 28
$ echo -n true|json -b 29
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 29
$ echo -n true|json -b 30
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 30
$ echo -n true|json -b 31
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 31
$ echo -n true|json -b 32
json: error: <stdin>:1:1: parse error: literal values are not allowed
json: error: <stdin>:1:1: true
json: error: <stdin>:1:1: ^
command failed: echo -n true|json -b 32'
) -L literal2.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --no-literal-value "$@"; }'
json() { json0 --no-literal-value "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --no-literal-value "$@"; }'

echo '$ echo -n null|json -b 1'
echo -n null|json -b 1 2>&1 ||
echo 'command failed: echo -n null|json -b 1'

echo '$ echo -n null|json -b 2'
echo -n null|json -b 2 2>&1 ||
echo 'command failed: echo -n null|json -b 2'

echo '$ echo -n null|json -b 3'
echo -n null|json -b 3 2>&1 ||
echo 'command failed: echo -n null|json -b 3'

echo '$ echo -n null|json -b 4'
echo -n null|json -b 4 2>&1 ||
echo 'command failed: echo -n null|json -b 4'

echo '$ echo -n null|json -b 5'
echo -n null|json -b 5 2>&1 ||
echo 'command failed: echo -n null|json -b 5'

echo '$ echo -n null|json -b 6'
echo -n null|json -b 6 2>&1 ||
echo 'command failed: echo -n null|json -b 6'

echo '$ echo -n null|json -b 7'
echo -n null|json -b 7 2>&1 ||
echo 'command failed: echo -n null|json -b 7'

echo '$ echo -n null|json -b 8'
echo -n null|json -b 8 2>&1 ||
echo 'command failed: echo -n null|json -b 8'

echo '$ echo -n null|json -b 9'
echo -n null|json -b 9 2>&1 ||
echo 'command failed: echo -n null|json -b 9'

echo '$ echo -n null|json -b 10'
echo -n null|json -b 10 2>&1 ||
echo 'command failed: echo -n null|json -b 10'

echo '$ echo -n null|json -b 11'
echo -n null|json -b 11 2>&1 ||
echo 'command failed: echo -n null|json -b 11'

echo '$ echo -n null|json -b 12'
echo -n null|json -b 12 2>&1 ||
echo 'command failed: echo -n null|json -b 12'

echo '$ echo -n null|json -b 13'
echo -n null|json -b 13 2>&1 ||
echo 'command failed: echo -n null|json -b 13'

echo '$ echo -n null|json -b 14'
echo -n null|json -b 14 2>&1 ||
echo 'command failed: echo -n null|json -b 14'

echo '$ echo -n null|json -b 15'
echo -n null|json -b 15 2>&1 ||
echo 'command failed: echo -n null|json -b 15'

echo '$ echo -n null|json -b 16'
echo -n null|json -b 16 2>&1 ||
echo 'command failed: echo -n null|json -b 16'

echo '$ echo -n null|json -b 17'
echo -n null|json -b 17 2>&1 ||
echo 'command failed: echo -n null|json -b 17'

echo '$ echo -n null|json -b 18'
echo -n null|json -b 18 2>&1 ||
echo 'command failed: echo -n null|json -b 18'

echo '$ echo -n null|json -b 19'
echo -n null|json -b 19 2>&1 ||
echo 'command failed: echo -n null|json -b 19'

echo '$ echo -n null|json -b 20'
echo -n null|json -b 20 2>&1 ||
echo 'command failed: echo -n null|json -b 20'

echo '$ echo -n null|json -b 21'
echo -n null|json -b 21 2>&1 ||
echo 'command failed: echo -n null|json -b 21'

echo '$ echo -n null|json -b 22'
echo -n null|json -b 22 2>&1 ||
echo 'command failed: echo -n null|json -b 22'

echo '$ echo -n null|json -b 23'
echo -n null|json -b 23 2>&1 ||
echo 'command failed: echo -n null|json -b 23'

echo '$ echo -n null|json -b 24'
echo -n null|json -b 24 2>&1 ||
echo 'command failed: echo -n null|json -b 24'

echo '$ echo -n null|json -b 25'
echo -n null|json -b 25 2>&1 ||
echo 'command failed: echo -n null|json -b 25'

echo '$ echo -n null|json -b 26'
echo -n null|json -b 26 2>&1 ||
echo 'command failed: echo -n null|json -b 26'

echo '$ echo -n null|json -b 27'
echo -n null|json -b 27 2>&1 ||
echo 'command failed: echo -n null|json -b 27'

echo '$ echo -n null|json -b 28'
echo -n null|json -b 28 2>&1 ||
echo 'command failed: echo -n null|json -b 28'

echo '$ echo -n null|json -b 29'
echo -n null|json -b 29 2>&1 ||
echo 'command failed: echo -n null|json -b 29'

echo '$ echo -n null|json -b 30'
echo -n null|json -b 30 2>&1 ||
echo 'command failed: echo -n null|json -b 30'

echo '$ echo -n null|json -b 31'
echo -n null|json -b 31 2>&1 ||
echo 'command failed: echo -n null|json -b 31'

echo '$ echo -n null|json -b 32'
echo -n null|json -b 32 2>&1 ||
echo 'command failed: echo -n null|json -b 32'

echo '$ echo -n false|json -b 1'
echo -n false|json -b 1 2>&1 ||
echo 'command failed: echo -n false|json -b 1'

echo '$ echo -n false|json -b 2'
echo -n false|json -b 2 2>&1 ||
echo 'command failed: echo -n false|json -b 2'

echo '$ echo -n false|json -b 3'
echo -n false|json -b 3 2>&1 ||
echo 'command failed: echo -n false|json -b 3'

echo '$ echo -n false|json -b 4'
echo -n false|json -b 4 2>&1 ||
echo 'command failed: echo -n false|json -b 4'

echo '$ echo -n false|json -b 5'
echo -n false|json -b 5 2>&1 ||
echo 'command failed: echo -n false|json -b 5'

echo '$ echo -n false|json -b 6'
echo -n false|json -b 6 2>&1 ||
echo 'command failed: echo -n false|json -b 6'

echo '$ echo -n false|json -b 7'
echo -n false|json -b 7 2>&1 ||
echo 'command failed: echo -n false|json -b 7'

echo '$ echo -n false|json -b 8'
echo -n false|json -b 8 2>&1 ||
echo 'command failed: echo -n false|json -b 8'

echo '$ echo -n false|json -b 9'
echo -n false|json -b 9 2>&1 ||
echo 'command failed: echo -n false|json -b 9'

echo '$ echo -n false|json -b 10'
echo -n false|json -b 10 2>&1 ||
echo 'command failed: echo -n false|json -b 10'

echo '$ echo -n false|json -b 11'
echo -n false|json -b 11 2>&1 ||
echo 'command failed: echo -n false|json -b 11'

echo '$ echo -n false|json -b 12'
echo -n false|json -b 12 2>&1 ||
echo 'command failed: echo -n false|json -b 12'

echo '$ echo -n false|json -b 13'
echo -n false|json -b 13 2>&1 ||
echo 'command failed: echo -n false|json -b 13'

echo '$ echo -n false|json -b 14'
echo -n false|json -b 14 2>&1 ||
echo 'command failed: echo -n false|json -b 14'

echo '$ echo -n false|json -b 15'
echo -n false|json -b 15 2>&1 ||
echo 'command failed: echo -n false|json -b 15'

echo '$ echo -n false|json -b 16'
echo -n false|json -b 16 2>&1 ||
echo 'command failed: echo -n false|json -b 16'

echo '$ echo -n false|json -b 17'
echo -n false|json -b 17 2>&1 ||
echo 'command failed: echo -n false|json -b 17'

echo '$ echo -n false|json -b 18'
echo -n false|json -b 18 2>&1 ||
echo 'command failed: echo -n false|json -b 18'

echo '$ echo -n false|json -b 19'
echo -n false|json -b 19 2>&1 ||
echo 'command failed: echo -n false|json -b 19'

echo '$ echo -n false|json -b 20'
echo -n false|json -b 20 2>&1 ||
echo 'command failed: echo -n false|json -b 20'

echo '$ echo -n false|json -b 21'
echo -n false|json -b 21 2>&1 ||
echo 'command failed: echo -n false|json -b 21'

echo '$ echo -n false|json -b 22'
echo -n false|json -b 22 2>&1 ||
echo 'command failed: echo -n false|json -b 22'

echo '$ echo -n false|json -b 23'
echo -n false|json -b 23 2>&1 ||
echo 'command failed: echo -n false|json -b 23'

echo '$ echo -n false|json -b 24'
echo -n false|json -b 24 2>&1 ||
echo 'command failed: echo -n false|json -b 24'

echo '$ echo -n false|json -b 25'
echo -n false|json -b 25 2>&1 ||
echo 'command failed: echo -n false|json -b 25'

echo '$ echo -n false|json -b 26'
echo -n false|json -b 26 2>&1 ||
echo 'command failed: echo -n false|json -b 26'

echo '$ echo -n false|json -b 27'
echo -n false|json -b 27 2>&1 ||
echo 'command failed: echo -n false|json -b 27'

echo '$ echo -n false|json -b 28'
echo -n false|json -b 28 2>&1 ||
echo 'command failed: echo -n false|json -b 28'

echo '$ echo -n false|json -b 29'
echo -n false|json -b 29 2>&1 ||
echo 'command failed: echo -n false|json -b 29'

echo '$ echo -n false|json -b 30'
echo -n false|json -b 30 2>&1 ||
echo 'command failed: echo -n false|json -b 30'

echo '$ echo -n false|json -b 31'
echo -n false|json -b 31 2>&1 ||
echo 'command failed: echo -n false|json -b 31'

echo '$ echo -n false|json -b 32'
echo -n false|json -b 32 2>&1 ||
echo 'command failed: echo -n false|json -b 32'

echo '$ echo -n true|json -b 1'
echo -n true|json -b 1 2>&1 ||
echo 'command failed: echo -n true|json -b 1'

echo '$ echo -n true|json -b 2'
echo -n true|json -b 2 2>&1 ||
echo 'command failed: echo -n true|json -b 2'

echo '$ echo -n true|json -b 3'
echo -n true|json -b 3 2>&1 ||
echo 'command failed: echo -n true|json -b 3'

echo '$ echo -n true|json -b 4'
echo -n true|json -b 4 2>&1 ||
echo 'command failed: echo -n true|json -b 4'

echo '$ echo -n true|json -b 5'
echo -n true|json -b 5 2>&1 ||
echo 'command failed: echo -n true|json -b 5'

echo '$ echo -n true|json -b 6'
echo -n true|json -b 6 2>&1 ||
echo 'command failed: echo -n true|json -b 6'

echo '$ echo -n true|json -b 7'
echo -n true|json -b 7 2>&1 ||
echo 'command failed: echo -n true|json -b 7'

echo '$ echo -n true|json -b 8'
echo -n true|json -b 8 2>&1 ||
echo 'command failed: echo -n true|json -b 8'

echo '$ echo -n true|json -b 9'
echo -n true|json -b 9 2>&1 ||
echo 'command failed: echo -n true|json -b 9'

echo '$ echo -n true|json -b 10'
echo -n true|json -b 10 2>&1 ||
echo 'command failed: echo -n true|json -b 10'

echo '$ echo -n true|json -b 11'
echo -n true|json -b 11 2>&1 ||
echo 'command failed: echo -n true|json -b 11'

echo '$ echo -n true|json -b 12'
echo -n true|json -b 12 2>&1 ||
echo 'command failed: echo -n true|json -b 12'

echo '$ echo -n true|json -b 13'
echo -n true|json -b 13 2>&1 ||
echo 'command failed: echo -n true|json -b 13'

echo '$ echo -n true|json -b 14'
echo -n true|json -b 14 2>&1 ||
echo 'command failed: echo -n true|json -b 14'

echo '$ echo -n true|json -b 15'
echo -n true|json -b 15 2>&1 ||
echo 'command failed: echo -n true|json -b 15'

echo '$ echo -n true|json -b 16'
echo -n true|json -b 16 2>&1 ||
echo 'command failed: echo -n true|json -b 16'

echo '$ echo -n true|json -b 17'
echo -n true|json -b 17 2>&1 ||
echo 'command failed: echo -n true|json -b 17'

echo '$ echo -n true|json -b 18'
echo -n true|json -b 18 2>&1 ||
echo 'command failed: echo -n true|json -b 18'

echo '$ echo -n true|json -b 19'
echo -n true|json -b 19 2>&1 ||
echo 'command failed: echo -n true|json -b 19'

echo '$ echo -n true|json -b 20'
echo -n true|json -b 20 2>&1 ||
echo 'command failed: echo -n true|json -b 20'

echo '$ echo -n true|json -b 21'
echo -n true|json -b 21 2>&1 ||
echo 'command failed: echo -n true|json -b 21'

echo '$ echo -n true|json -b 22'
echo -n true|json -b 22 2>&1 ||
echo 'command failed: echo -n true|json -b 22'

echo '$ echo -n true|json -b 23'
echo -n true|json -b 23 2>&1 ||
echo 'command failed: echo -n true|json -b 23'

echo '$ echo -n true|json -b 24'
echo -n true|json -b 24 2>&1 ||
echo 'command failed: echo -n true|json -b 24'

echo '$ echo -n true|json -b 25'
echo -n true|json -b 25 2>&1 ||
echo 'command failed: echo -n true|json -b 25'

echo '$ echo -n true|json -b 26'
echo -n true|json -b 26 2>&1 ||
echo 'command failed: echo -n true|json -b 26'

echo '$ echo -n true|json -b 27'
echo -n true|json -b 27 2>&1 ||
echo 'command failed: echo -n true|json -b 27'

echo '$ echo -n true|json -b 28'
echo -n true|json -b 28 2>&1 ||
echo 'command failed: echo -n true|json -b 28'

echo '$ echo -n true|json -b 29'
echo -n true|json -b 29 2>&1 ||
echo 'command failed: echo -n true|json -b 29'

echo '$ echo -n true|json -b 30'
echo -n true|json -b 30 2>&1 ||
echo 'command failed: echo -n true|json -b 30'

echo '$ echo -n true|json -b 31'
echo -n true|json -b 31 2>&1 ||
echo 'command failed: echo -n true|json -b 31'

echo '$ echo -n true|json -b 32'
echo -n true|json -b 32 2>&1 ||
echo 'command failed: echo -n true|json -b 32'
)

