#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:string-unicode4
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L string-unicode4.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --literal-value --quote-control "$@"; }
$ echo '\''"\u0060"'\''|json -b 1
"`"
$ echo '\''"\u0060"'\''|json -b 2
"`"
$ echo '\''"\u0060"'\''|json -b 3
"`"
$ echo '\''"\u0060"'\''|json -b 4
"`"
$ echo '\''"\u0060"'\''|json -b 5
"`"
$ echo '\''"\u0060"'\''|json -b 6
"`"
$ echo '\''"\u0060"'\''|json -b 7
"`"
$ echo '\''"\u0060"'\''|json -b 8
"`"
$ echo '\''"\u0061"'\''|json -b 1
"a"
$ echo '\''"\u0061"'\''|json -b 2
"a"
$ echo '\''"\u0061"'\''|json -b 3
"a"
$ echo '\''"\u0061"'\''|json -b 4
"a"
$ echo '\''"\u0061"'\''|json -b 5
"a"
$ echo '\''"\u0061"'\''|json -b 6
"a"
$ echo '\''"\u0061"'\''|json -b 7
"a"
$ echo '\''"\u0061"'\''|json -b 8
"a"
$ echo '\''"\u0062"'\''|json -b 1
"b"
$ echo '\''"\u0062"'\''|json -b 2
"b"
$ echo '\''"\u0062"'\''|json -b 3
"b"
$ echo '\''"\u0062"'\''|json -b 4
"b"
$ echo '\''"\u0062"'\''|json -b 5
"b"
$ echo '\''"\u0062"'\''|json -b 6
"b"
$ echo '\''"\u0062"'\''|json -b 7
"b"
$ echo '\''"\u0062"'\''|json -b 8
"b"
$ echo '\''"\u0063"'\''|json -b 1
"c"
$ echo '\''"\u0063"'\''|json -b 2
"c"
$ echo '\''"\u0063"'\''|json -b 3
"c"
$ echo '\''"\u0063"'\''|json -b 4
"c"
$ echo '\''"\u0063"'\''|json -b 5
"c"
$ echo '\''"\u0063"'\''|json -b 6
"c"
$ echo '\''"\u0063"'\''|json -b 7
"c"
$ echo '\''"\u0063"'\''|json -b 8
"c"
$ echo '\''"\u0064"'\''|json -b 1
"d"
$ echo '\''"\u0064"'\''|json -b 2
"d"
$ echo '\''"\u0064"'\''|json -b 3
"d"
$ echo '\''"\u0064"'\''|json -b 4
"d"
$ echo '\''"\u0064"'\''|json -b 5
"d"
$ echo '\''"\u0064"'\''|json -b 6
"d"
$ echo '\''"\u0064"'\''|json -b 7
"d"
$ echo '\''"\u0064"'\''|json -b 8
"d"
$ echo '\''"\u0065"'\''|json -b 1
"e"
$ echo '\''"\u0065"'\''|json -b 2
"e"
$ echo '\''"\u0065"'\''|json -b 3
"e"
$ echo '\''"\u0065"'\''|json -b 4
"e"
$ echo '\''"\u0065"'\''|json -b 5
"e"
$ echo '\''"\u0065"'\''|json -b 6
"e"
$ echo '\''"\u0065"'\''|json -b 7
"e"
$ echo '\''"\u0065"'\''|json -b 8
"e"
$ echo '\''"\u0066"'\''|json -b 1
"f"
$ echo '\''"\u0066"'\''|json -b 2
"f"
$ echo '\''"\u0066"'\''|json -b 3
"f"
$ echo '\''"\u0066"'\''|json -b 4
"f"
$ echo '\''"\u0066"'\''|json -b 5
"f"
$ echo '\''"\u0066"'\''|json -b 6
"f"
$ echo '\''"\u0066"'\''|json -b 7
"f"
$ echo '\''"\u0066"'\''|json -b 8
"f"
$ echo '\''"\u0067"'\''|json -b 1
"g"
$ echo '\''"\u0067"'\''|json -b 2
"g"
$ echo '\''"\u0067"'\''|json -b 3
"g"
$ echo '\''"\u0067"'\''|json -b 4
"g"
$ echo '\''"\u0067"'\''|json -b 5
"g"
$ echo '\''"\u0067"'\''|json -b 6
"g"
$ echo '\''"\u0067"'\''|json -b 7
"g"
$ echo '\''"\u0067"'\''|json -b 8
"g"
$ echo '\''"\u0068"'\''|json -b 1
"h"
$ echo '\''"\u0068"'\''|json -b 2
"h"
$ echo '\''"\u0068"'\''|json -b 3
"h"
$ echo '\''"\u0068"'\''|json -b 4
"h"
$ echo '\''"\u0068"'\''|json -b 5
"h"
$ echo '\''"\u0068"'\''|json -b 6
"h"
$ echo '\''"\u0068"'\''|json -b 7
"h"
$ echo '\''"\u0068"'\''|json -b 8
"h"
$ echo '\''"\u0069"'\''|json -b 1
"i"
$ echo '\''"\u0069"'\''|json -b 2
"i"
$ echo '\''"\u0069"'\''|json -b 3
"i"
$ echo '\''"\u0069"'\''|json -b 4
"i"
$ echo '\''"\u0069"'\''|json -b 5
"i"
$ echo '\''"\u0069"'\''|json -b 6
"i"
$ echo '\''"\u0069"'\''|json -b 7
"i"
$ echo '\''"\u0069"'\''|json -b 8
"i"
$ echo '\''"\u006a"'\''|json -b 1
"j"
$ echo '\''"\u006a"'\''|json -b 2
"j"
$ echo '\''"\u006a"'\''|json -b 3
"j"
$ echo '\''"\u006a"'\''|json -b 4
"j"
$ echo '\''"\u006a"'\''|json -b 5
"j"
$ echo '\''"\u006a"'\''|json -b 6
"j"
$ echo '\''"\u006a"'\''|json -b 7
"j"
$ echo '\''"\u006a"'\''|json -b 8
"j"
$ echo '\''"\u006b"'\''|json -b 1
"k"
$ echo '\''"\u006b"'\''|json -b 2
"k"
$ echo '\''"\u006b"'\''|json -b 3
"k"
$ echo '\''"\u006b"'\''|json -b 4
"k"
$ echo '\''"\u006b"'\''|json -b 5
"k"
$ echo '\''"\u006b"'\''|json -b 6
"k"
$ echo '\''"\u006b"'\''|json -b 7
"k"
$ echo '\''"\u006b"'\''|json -b 8
"k"
$ echo '\''"\u006c"'\''|json -b 1
"l"
$ echo '\''"\u006c"'\''|json -b 2
"l"
$ echo '\''"\u006c"'\''|json -b 3
"l"
$ echo '\''"\u006c"'\''|json -b 4
"l"
$ echo '\''"\u006c"'\''|json -b 5
"l"
$ echo '\''"\u006c"'\''|json -b 6
"l"
$ echo '\''"\u006c"'\''|json -b 7
"l"
$ echo '\''"\u006c"'\''|json -b 8
"l"
$ echo '\''"\u006d"'\''|json -b 1
"m"
$ echo '\''"\u006d"'\''|json -b 2
"m"
$ echo '\''"\u006d"'\''|json -b 3
"m"
$ echo '\''"\u006d"'\''|json -b 4
"m"
$ echo '\''"\u006d"'\''|json -b 5
"m"
$ echo '\''"\u006d"'\''|json -b 6
"m"
$ echo '\''"\u006d"'\''|json -b 7
"m"
$ echo '\''"\u006d"'\''|json -b 8
"m"
$ echo '\''"\u006e"'\''|json -b 1
"n"
$ echo '\''"\u006e"'\''|json -b 2
"n"
$ echo '\''"\u006e"'\''|json -b 3
"n"
$ echo '\''"\u006e"'\''|json -b 4
"n"
$ echo '\''"\u006e"'\''|json -b 5
"n"
$ echo '\''"\u006e"'\''|json -b 6
"n"
$ echo '\''"\u006e"'\''|json -b 7
"n"
$ echo '\''"\u006e"'\''|json -b 8
"n"
$ echo '\''"\u006f"'\''|json -b 1
"o"
$ echo '\''"\u006f"'\''|json -b 2
"o"
$ echo '\''"\u006f"'\''|json -b 3
"o"
$ echo '\''"\u006f"'\''|json -b 4
"o"
$ echo '\''"\u006f"'\''|json -b 5
"o"
$ echo '\''"\u006f"'\''|json -b 6
"o"
$ echo '\''"\u006f"'\''|json -b 7
"o"
$ echo '\''"\u006f"'\''|json -b 8
"o"
$ echo '\''"\u0070"'\''|json -b 1
"p"
$ echo '\''"\u0070"'\''|json -b 2
"p"
$ echo '\''"\u0070"'\''|json -b 3
"p"
$ echo '\''"\u0070"'\''|json -b 4
"p"
$ echo '\''"\u0070"'\''|json -b 5
"p"
$ echo '\''"\u0070"'\''|json -b 6
"p"
$ echo '\''"\u0070"'\''|json -b 7
"p"
$ echo '\''"\u0070"'\''|json -b 8
"p"
$ echo '\''"\u0071"'\''|json -b 1
"q"
$ echo '\''"\u0071"'\''|json -b 2
"q"
$ echo '\''"\u0071"'\''|json -b 3
"q"
$ echo '\''"\u0071"'\''|json -b 4
"q"
$ echo '\''"\u0071"'\''|json -b 5
"q"
$ echo '\''"\u0071"'\''|json -b 6
"q"
$ echo '\''"\u0071"'\''|json -b 7
"q"
$ echo '\''"\u0071"'\''|json -b 8
"q"
$ echo '\''"\u0072"'\''|json -b 1
"r"
$ echo '\''"\u0072"'\''|json -b 2
"r"
$ echo '\''"\u0072"'\''|json -b 3
"r"
$ echo '\''"\u0072"'\''|json -b 4
"r"
$ echo '\''"\u0072"'\''|json -b 5
"r"
$ echo '\''"\u0072"'\''|json -b 6
"r"
$ echo '\''"\u0072"'\''|json -b 7
"r"
$ echo '\''"\u0072"'\''|json -b 8
"r"
$ echo '\''"\u0073"'\''|json -b 1
"s"
$ echo '\''"\u0073"'\''|json -b 2
"s"
$ echo '\''"\u0073"'\''|json -b 3
"s"
$ echo '\''"\u0073"'\''|json -b 4
"s"
$ echo '\''"\u0073"'\''|json -b 5
"s"
$ echo '\''"\u0073"'\''|json -b 6
"s"
$ echo '\''"\u0073"'\''|json -b 7
"s"
$ echo '\''"\u0073"'\''|json -b 8
"s"
$ echo '\''"\u0074"'\''|json -b 1
"t"
$ echo '\''"\u0074"'\''|json -b 2
"t"
$ echo '\''"\u0074"'\''|json -b 3
"t"
$ echo '\''"\u0074"'\''|json -b 4
"t"
$ echo '\''"\u0074"'\''|json -b 5
"t"
$ echo '\''"\u0074"'\''|json -b 6
"t"
$ echo '\''"\u0074"'\''|json -b 7
"t"
$ echo '\''"\u0074"'\''|json -b 8
"t"
$ echo '\''"\u0075"'\''|json -b 1
"u"
$ echo '\''"\u0075"'\''|json -b 2
"u"
$ echo '\''"\u0075"'\''|json -b 3
"u"
$ echo '\''"\u0075"'\''|json -b 4
"u"
$ echo '\''"\u0075"'\''|json -b 5
"u"
$ echo '\''"\u0075"'\''|json -b 6
"u"
$ echo '\''"\u0075"'\''|json -b 7
"u"
$ echo '\''"\u0075"'\''|json -b 8
"u"
$ echo '\''"\u0076"'\''|json -b 1
"v"
$ echo '\''"\u0076"'\''|json -b 2
"v"
$ echo '\''"\u0076"'\''|json -b 3
"v"
$ echo '\''"\u0076"'\''|json -b 4
"v"
$ echo '\''"\u0076"'\''|json -b 5
"v"
$ echo '\''"\u0076"'\''|json -b 6
"v"
$ echo '\''"\u0076"'\''|json -b 7
"v"
$ echo '\''"\u0076"'\''|json -b 8
"v"
$ echo '\''"\u0077"'\''|json -b 1
"w"
$ echo '\''"\u0077"'\''|json -b 2
"w"
$ echo '\''"\u0077"'\''|json -b 3
"w"
$ echo '\''"\u0077"'\''|json -b 4
"w"
$ echo '\''"\u0077"'\''|json -b 5
"w"
$ echo '\''"\u0077"'\''|json -b 6
"w"
$ echo '\''"\u0077"'\''|json -b 7
"w"
$ echo '\''"\u0077"'\''|json -b 8
"w"
$ echo '\''"\u0078"'\''|json -b 1
"x"
$ echo '\''"\u0078"'\''|json -b 2
"x"
$ echo '\''"\u0078"'\''|json -b 3
"x"
$ echo '\''"\u0078"'\''|json -b 4
"x"
$ echo '\''"\u0078"'\''|json -b 5
"x"
$ echo '\''"\u0078"'\''|json -b 6
"x"
$ echo '\''"\u0078"'\''|json -b 7
"x"
$ echo '\''"\u0078"'\''|json -b 8
"x"
$ echo '\''"\u0079"'\''|json -b 1
"y"
$ echo '\''"\u0079"'\''|json -b 2
"y"
$ echo '\''"\u0079"'\''|json -b 3
"y"
$ echo '\''"\u0079"'\''|json -b 4
"y"
$ echo '\''"\u0079"'\''|json -b 5
"y"
$ echo '\''"\u0079"'\''|json -b 6
"y"
$ echo '\''"\u0079"'\''|json -b 7
"y"
$ echo '\''"\u0079"'\''|json -b 8
"y"
$ echo '\''"\u007a"'\''|json -b 1
"z"
$ echo '\''"\u007a"'\''|json -b 2
"z"
$ echo '\''"\u007a"'\''|json -b 3
"z"
$ echo '\''"\u007a"'\''|json -b 4
"z"
$ echo '\''"\u007a"'\''|json -b 5
"z"
$ echo '\''"\u007a"'\''|json -b 6
"z"
$ echo '\''"\u007a"'\''|json -b 7
"z"
$ echo '\''"\u007a"'\''|json -b 8
"z"
$ echo '\''"\u007b"'\''|json -b 1
"{"
$ echo '\''"\u007b"'\''|json -b 2
"{"
$ echo '\''"\u007b"'\''|json -b 3
"{"
$ echo '\''"\u007b"'\''|json -b 4
"{"
$ echo '\''"\u007b"'\''|json -b 5
"{"
$ echo '\''"\u007b"'\''|json -b 6
"{"
$ echo '\''"\u007b"'\''|json -b 7
"{"
$ echo '\''"\u007b"'\''|json -b 8
"{"
$ echo '\''"\u007c"'\''|json -b 1
"|"
$ echo '\''"\u007c"'\''|json -b 2
"|"
$ echo '\''"\u007c"'\''|json -b 3
"|"
$ echo '\''"\u007c"'\''|json -b 4
"|"
$ echo '\''"\u007c"'\''|json -b 5
"|"
$ echo '\''"\u007c"'\''|json -b 6
"|"
$ echo '\''"\u007c"'\''|json -b 7
"|"
$ echo '\''"\u007c"'\''|json -b 8
"|"
$ echo '\''"\u007d"'\''|json -b 1
"}"
$ echo '\''"\u007d"'\''|json -b 2
"}"
$ echo '\''"\u007d"'\''|json -b 3
"}"
$ echo '\''"\u007d"'\''|json -b 4
"}"
$ echo '\''"\u007d"'\''|json -b 5
"}"
$ echo '\''"\u007d"'\''|json -b 6
"}"
$ echo '\''"\u007d"'\''|json -b 7
"}"
$ echo '\''"\u007d"'\''|json -b 8
"}"
$ echo '\''"\u007e"'\''|json -b 1
"~"
$ echo '\''"\u007e"'\''|json -b 2
"~"
$ echo '\''"\u007e"'\''|json -b 3
"~"
$ echo '\''"\u007e"'\''|json -b 4
"~"
$ echo '\''"\u007e"'\''|json -b 5
"~"
$ echo '\''"\u007e"'\''|json -b 6
"~"
$ echo '\''"\u007e"'\''|json -b 7
"~"
$ echo '\''"\u007e"'\''|json -b 8
"~"
$ echo '\''"\u007f"'\''|json -b 1
"\u007f"
$ echo '\''"\u007f"'\''|json -b 2
"\u007f"
$ echo '\''"\u007f"'\''|json -b 3
"\u007f"
$ echo '\''"\u007f"'\''|json -b 4
"\u007f"
$ echo '\''"\u007f"'\''|json -b 5
"\u007f"
$ echo '\''"\u007f"'\''|json -b 6
"\u007f"
$ echo '\''"\u007f"'\''|json -b 7
"\u007f"
$ echo '\''"\u007f"'\''|json -b 8
"\u007f"'
) -L string-unicode4.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --literal-value --quote-control "$@"; }'
json() { json0 --literal-value --quote-control "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --literal-value --quote-control "$@"; }'

echo '$ echo '\''"\u0060"'\''|json -b 1'
echo '"\u0060"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 1'

echo '$ echo '\''"\u0060"'\''|json -b 2'
echo '"\u0060"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 2'

echo '$ echo '\''"\u0060"'\''|json -b 3'
echo '"\u0060"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 3'

echo '$ echo '\''"\u0060"'\''|json -b 4'
echo '"\u0060"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 4'

echo '$ echo '\''"\u0060"'\''|json -b 5'
echo '"\u0060"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 5'

echo '$ echo '\''"\u0060"'\''|json -b 6'
echo '"\u0060"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 6'

echo '$ echo '\''"\u0060"'\''|json -b 7'
echo '"\u0060"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 7'

echo '$ echo '\''"\u0060"'\''|json -b 8'
echo '"\u0060"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0060"'\''|json -b 8'

echo '$ echo '\''"\u0061"'\''|json -b 1'
echo '"\u0061"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 1'

echo '$ echo '\''"\u0061"'\''|json -b 2'
echo '"\u0061"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 2'

echo '$ echo '\''"\u0061"'\''|json -b 3'
echo '"\u0061"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 3'

echo '$ echo '\''"\u0061"'\''|json -b 4'
echo '"\u0061"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 4'

echo '$ echo '\''"\u0061"'\''|json -b 5'
echo '"\u0061"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 5'

echo '$ echo '\''"\u0061"'\''|json -b 6'
echo '"\u0061"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 6'

echo '$ echo '\''"\u0061"'\''|json -b 7'
echo '"\u0061"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 7'

echo '$ echo '\''"\u0061"'\''|json -b 8'
echo '"\u0061"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0061"'\''|json -b 8'

echo '$ echo '\''"\u0062"'\''|json -b 1'
echo '"\u0062"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 1'

echo '$ echo '\''"\u0062"'\''|json -b 2'
echo '"\u0062"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 2'

echo '$ echo '\''"\u0062"'\''|json -b 3'
echo '"\u0062"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 3'

echo '$ echo '\''"\u0062"'\''|json -b 4'
echo '"\u0062"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 4'

echo '$ echo '\''"\u0062"'\''|json -b 5'
echo '"\u0062"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 5'

echo '$ echo '\''"\u0062"'\''|json -b 6'
echo '"\u0062"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 6'

echo '$ echo '\''"\u0062"'\''|json -b 7'
echo '"\u0062"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 7'

echo '$ echo '\''"\u0062"'\''|json -b 8'
echo '"\u0062"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0062"'\''|json -b 8'

echo '$ echo '\''"\u0063"'\''|json -b 1'
echo '"\u0063"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 1'

echo '$ echo '\''"\u0063"'\''|json -b 2'
echo '"\u0063"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 2'

echo '$ echo '\''"\u0063"'\''|json -b 3'
echo '"\u0063"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 3'

echo '$ echo '\''"\u0063"'\''|json -b 4'
echo '"\u0063"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 4'

echo '$ echo '\''"\u0063"'\''|json -b 5'
echo '"\u0063"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 5'

echo '$ echo '\''"\u0063"'\''|json -b 6'
echo '"\u0063"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 6'

echo '$ echo '\''"\u0063"'\''|json -b 7'
echo '"\u0063"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 7'

echo '$ echo '\''"\u0063"'\''|json -b 8'
echo '"\u0063"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0063"'\''|json -b 8'

echo '$ echo '\''"\u0064"'\''|json -b 1'
echo '"\u0064"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 1'

echo '$ echo '\''"\u0064"'\''|json -b 2'
echo '"\u0064"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 2'

echo '$ echo '\''"\u0064"'\''|json -b 3'
echo '"\u0064"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 3'

echo '$ echo '\''"\u0064"'\''|json -b 4'
echo '"\u0064"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 4'

echo '$ echo '\''"\u0064"'\''|json -b 5'
echo '"\u0064"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 5'

echo '$ echo '\''"\u0064"'\''|json -b 6'
echo '"\u0064"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 6'

echo '$ echo '\''"\u0064"'\''|json -b 7'
echo '"\u0064"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 7'

echo '$ echo '\''"\u0064"'\''|json -b 8'
echo '"\u0064"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0064"'\''|json -b 8'

echo '$ echo '\''"\u0065"'\''|json -b 1'
echo '"\u0065"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 1'

echo '$ echo '\''"\u0065"'\''|json -b 2'
echo '"\u0065"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 2'

echo '$ echo '\''"\u0065"'\''|json -b 3'
echo '"\u0065"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 3'

echo '$ echo '\''"\u0065"'\''|json -b 4'
echo '"\u0065"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 4'

echo '$ echo '\''"\u0065"'\''|json -b 5'
echo '"\u0065"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 5'

echo '$ echo '\''"\u0065"'\''|json -b 6'
echo '"\u0065"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 6'

echo '$ echo '\''"\u0065"'\''|json -b 7'
echo '"\u0065"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 7'

echo '$ echo '\''"\u0065"'\''|json -b 8'
echo '"\u0065"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0065"'\''|json -b 8'

echo '$ echo '\''"\u0066"'\''|json -b 1'
echo '"\u0066"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 1'

echo '$ echo '\''"\u0066"'\''|json -b 2'
echo '"\u0066"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 2'

echo '$ echo '\''"\u0066"'\''|json -b 3'
echo '"\u0066"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 3'

echo '$ echo '\''"\u0066"'\''|json -b 4'
echo '"\u0066"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 4'

echo '$ echo '\''"\u0066"'\''|json -b 5'
echo '"\u0066"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 5'

echo '$ echo '\''"\u0066"'\''|json -b 6'
echo '"\u0066"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 6'

echo '$ echo '\''"\u0066"'\''|json -b 7'
echo '"\u0066"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 7'

echo '$ echo '\''"\u0066"'\''|json -b 8'
echo '"\u0066"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0066"'\''|json -b 8'

echo '$ echo '\''"\u0067"'\''|json -b 1'
echo '"\u0067"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 1'

echo '$ echo '\''"\u0067"'\''|json -b 2'
echo '"\u0067"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 2'

echo '$ echo '\''"\u0067"'\''|json -b 3'
echo '"\u0067"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 3'

echo '$ echo '\''"\u0067"'\''|json -b 4'
echo '"\u0067"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 4'

echo '$ echo '\''"\u0067"'\''|json -b 5'
echo '"\u0067"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 5'

echo '$ echo '\''"\u0067"'\''|json -b 6'
echo '"\u0067"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 6'

echo '$ echo '\''"\u0067"'\''|json -b 7'
echo '"\u0067"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 7'

echo '$ echo '\''"\u0067"'\''|json -b 8'
echo '"\u0067"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0067"'\''|json -b 8'

echo '$ echo '\''"\u0068"'\''|json -b 1'
echo '"\u0068"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 1'

echo '$ echo '\''"\u0068"'\''|json -b 2'
echo '"\u0068"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 2'

echo '$ echo '\''"\u0068"'\''|json -b 3'
echo '"\u0068"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 3'

echo '$ echo '\''"\u0068"'\''|json -b 4'
echo '"\u0068"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 4'

echo '$ echo '\''"\u0068"'\''|json -b 5'
echo '"\u0068"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 5'

echo '$ echo '\''"\u0068"'\''|json -b 6'
echo '"\u0068"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 6'

echo '$ echo '\''"\u0068"'\''|json -b 7'
echo '"\u0068"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 7'

echo '$ echo '\''"\u0068"'\''|json -b 8'
echo '"\u0068"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0068"'\''|json -b 8'

echo '$ echo '\''"\u0069"'\''|json -b 1'
echo '"\u0069"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 1'

echo '$ echo '\''"\u0069"'\''|json -b 2'
echo '"\u0069"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 2'

echo '$ echo '\''"\u0069"'\''|json -b 3'
echo '"\u0069"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 3'

echo '$ echo '\''"\u0069"'\''|json -b 4'
echo '"\u0069"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 4'

echo '$ echo '\''"\u0069"'\''|json -b 5'
echo '"\u0069"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 5'

echo '$ echo '\''"\u0069"'\''|json -b 6'
echo '"\u0069"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 6'

echo '$ echo '\''"\u0069"'\''|json -b 7'
echo '"\u0069"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 7'

echo '$ echo '\''"\u0069"'\''|json -b 8'
echo '"\u0069"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0069"'\''|json -b 8'

echo '$ echo '\''"\u006a"'\''|json -b 1'
echo '"\u006a"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 1'

echo '$ echo '\''"\u006a"'\''|json -b 2'
echo '"\u006a"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 2'

echo '$ echo '\''"\u006a"'\''|json -b 3'
echo '"\u006a"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 3'

echo '$ echo '\''"\u006a"'\''|json -b 4'
echo '"\u006a"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 4'

echo '$ echo '\''"\u006a"'\''|json -b 5'
echo '"\u006a"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 5'

echo '$ echo '\''"\u006a"'\''|json -b 6'
echo '"\u006a"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 6'

echo '$ echo '\''"\u006a"'\''|json -b 7'
echo '"\u006a"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 7'

echo '$ echo '\''"\u006a"'\''|json -b 8'
echo '"\u006a"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u006a"'\''|json -b 8'

echo '$ echo '\''"\u006b"'\''|json -b 1'
echo '"\u006b"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 1'

echo '$ echo '\''"\u006b"'\''|json -b 2'
echo '"\u006b"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 2'

echo '$ echo '\''"\u006b"'\''|json -b 3'
echo '"\u006b"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 3'

echo '$ echo '\''"\u006b"'\''|json -b 4'
echo '"\u006b"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 4'

echo '$ echo '\''"\u006b"'\''|json -b 5'
echo '"\u006b"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 5'

echo '$ echo '\''"\u006b"'\''|json -b 6'
echo '"\u006b"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 6'

echo '$ echo '\''"\u006b"'\''|json -b 7'
echo '"\u006b"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 7'

echo '$ echo '\''"\u006b"'\''|json -b 8'
echo '"\u006b"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u006b"'\''|json -b 8'

echo '$ echo '\''"\u006c"'\''|json -b 1'
echo '"\u006c"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 1'

echo '$ echo '\''"\u006c"'\''|json -b 2'
echo '"\u006c"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 2'

echo '$ echo '\''"\u006c"'\''|json -b 3'
echo '"\u006c"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 3'

echo '$ echo '\''"\u006c"'\''|json -b 4'
echo '"\u006c"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 4'

echo '$ echo '\''"\u006c"'\''|json -b 5'
echo '"\u006c"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 5'

echo '$ echo '\''"\u006c"'\''|json -b 6'
echo '"\u006c"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 6'

echo '$ echo '\''"\u006c"'\''|json -b 7'
echo '"\u006c"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 7'

echo '$ echo '\''"\u006c"'\''|json -b 8'
echo '"\u006c"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u006c"'\''|json -b 8'

echo '$ echo '\''"\u006d"'\''|json -b 1'
echo '"\u006d"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 1'

echo '$ echo '\''"\u006d"'\''|json -b 2'
echo '"\u006d"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 2'

echo '$ echo '\''"\u006d"'\''|json -b 3'
echo '"\u006d"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 3'

echo '$ echo '\''"\u006d"'\''|json -b 4'
echo '"\u006d"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 4'

echo '$ echo '\''"\u006d"'\''|json -b 5'
echo '"\u006d"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 5'

echo '$ echo '\''"\u006d"'\''|json -b 6'
echo '"\u006d"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 6'

echo '$ echo '\''"\u006d"'\''|json -b 7'
echo '"\u006d"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 7'

echo '$ echo '\''"\u006d"'\''|json -b 8'
echo '"\u006d"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u006d"'\''|json -b 8'

echo '$ echo '\''"\u006e"'\''|json -b 1'
echo '"\u006e"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 1'

echo '$ echo '\''"\u006e"'\''|json -b 2'
echo '"\u006e"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 2'

echo '$ echo '\''"\u006e"'\''|json -b 3'
echo '"\u006e"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 3'

echo '$ echo '\''"\u006e"'\''|json -b 4'
echo '"\u006e"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 4'

echo '$ echo '\''"\u006e"'\''|json -b 5'
echo '"\u006e"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 5'

echo '$ echo '\''"\u006e"'\''|json -b 6'
echo '"\u006e"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 6'

echo '$ echo '\''"\u006e"'\''|json -b 7'
echo '"\u006e"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 7'

echo '$ echo '\''"\u006e"'\''|json -b 8'
echo '"\u006e"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u006e"'\''|json -b 8'

echo '$ echo '\''"\u006f"'\''|json -b 1'
echo '"\u006f"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 1'

echo '$ echo '\''"\u006f"'\''|json -b 2'
echo '"\u006f"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 2'

echo '$ echo '\''"\u006f"'\''|json -b 3'
echo '"\u006f"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 3'

echo '$ echo '\''"\u006f"'\''|json -b 4'
echo '"\u006f"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 4'

echo '$ echo '\''"\u006f"'\''|json -b 5'
echo '"\u006f"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 5'

echo '$ echo '\''"\u006f"'\''|json -b 6'
echo '"\u006f"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 6'

echo '$ echo '\''"\u006f"'\''|json -b 7'
echo '"\u006f"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 7'

echo '$ echo '\''"\u006f"'\''|json -b 8'
echo '"\u006f"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u006f"'\''|json -b 8'

echo '$ echo '\''"\u0070"'\''|json -b 1'
echo '"\u0070"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 1'

echo '$ echo '\''"\u0070"'\''|json -b 2'
echo '"\u0070"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 2'

echo '$ echo '\''"\u0070"'\''|json -b 3'
echo '"\u0070"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 3'

echo '$ echo '\''"\u0070"'\''|json -b 4'
echo '"\u0070"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 4'

echo '$ echo '\''"\u0070"'\''|json -b 5'
echo '"\u0070"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 5'

echo '$ echo '\''"\u0070"'\''|json -b 6'
echo '"\u0070"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 6'

echo '$ echo '\''"\u0070"'\''|json -b 7'
echo '"\u0070"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 7'

echo '$ echo '\''"\u0070"'\''|json -b 8'
echo '"\u0070"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0070"'\''|json -b 8'

echo '$ echo '\''"\u0071"'\''|json -b 1'
echo '"\u0071"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 1'

echo '$ echo '\''"\u0071"'\''|json -b 2'
echo '"\u0071"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 2'

echo '$ echo '\''"\u0071"'\''|json -b 3'
echo '"\u0071"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 3'

echo '$ echo '\''"\u0071"'\''|json -b 4'
echo '"\u0071"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 4'

echo '$ echo '\''"\u0071"'\''|json -b 5'
echo '"\u0071"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 5'

echo '$ echo '\''"\u0071"'\''|json -b 6'
echo '"\u0071"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 6'

echo '$ echo '\''"\u0071"'\''|json -b 7'
echo '"\u0071"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 7'

echo '$ echo '\''"\u0071"'\''|json -b 8'
echo '"\u0071"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0071"'\''|json -b 8'

echo '$ echo '\''"\u0072"'\''|json -b 1'
echo '"\u0072"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 1'

echo '$ echo '\''"\u0072"'\''|json -b 2'
echo '"\u0072"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 2'

echo '$ echo '\''"\u0072"'\''|json -b 3'
echo '"\u0072"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 3'

echo '$ echo '\''"\u0072"'\''|json -b 4'
echo '"\u0072"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 4'

echo '$ echo '\''"\u0072"'\''|json -b 5'
echo '"\u0072"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 5'

echo '$ echo '\''"\u0072"'\''|json -b 6'
echo '"\u0072"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 6'

echo '$ echo '\''"\u0072"'\''|json -b 7'
echo '"\u0072"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 7'

echo '$ echo '\''"\u0072"'\''|json -b 8'
echo '"\u0072"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0072"'\''|json -b 8'

echo '$ echo '\''"\u0073"'\''|json -b 1'
echo '"\u0073"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 1'

echo '$ echo '\''"\u0073"'\''|json -b 2'
echo '"\u0073"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 2'

echo '$ echo '\''"\u0073"'\''|json -b 3'
echo '"\u0073"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 3'

echo '$ echo '\''"\u0073"'\''|json -b 4'
echo '"\u0073"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 4'

echo '$ echo '\''"\u0073"'\''|json -b 5'
echo '"\u0073"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 5'

echo '$ echo '\''"\u0073"'\''|json -b 6'
echo '"\u0073"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 6'

echo '$ echo '\''"\u0073"'\''|json -b 7'
echo '"\u0073"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 7'

echo '$ echo '\''"\u0073"'\''|json -b 8'
echo '"\u0073"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0073"'\''|json -b 8'

echo '$ echo '\''"\u0074"'\''|json -b 1'
echo '"\u0074"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 1'

echo '$ echo '\''"\u0074"'\''|json -b 2'
echo '"\u0074"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 2'

echo '$ echo '\''"\u0074"'\''|json -b 3'
echo '"\u0074"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 3'

echo '$ echo '\''"\u0074"'\''|json -b 4'
echo '"\u0074"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 4'

echo '$ echo '\''"\u0074"'\''|json -b 5'
echo '"\u0074"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 5'

echo '$ echo '\''"\u0074"'\''|json -b 6'
echo '"\u0074"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 6'

echo '$ echo '\''"\u0074"'\''|json -b 7'
echo '"\u0074"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 7'

echo '$ echo '\''"\u0074"'\''|json -b 8'
echo '"\u0074"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0074"'\''|json -b 8'

echo '$ echo '\''"\u0075"'\''|json -b 1'
echo '"\u0075"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 1'

echo '$ echo '\''"\u0075"'\''|json -b 2'
echo '"\u0075"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 2'

echo '$ echo '\''"\u0075"'\''|json -b 3'
echo '"\u0075"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 3'

echo '$ echo '\''"\u0075"'\''|json -b 4'
echo '"\u0075"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 4'

echo '$ echo '\''"\u0075"'\''|json -b 5'
echo '"\u0075"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 5'

echo '$ echo '\''"\u0075"'\''|json -b 6'
echo '"\u0075"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 6'

echo '$ echo '\''"\u0075"'\''|json -b 7'
echo '"\u0075"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 7'

echo '$ echo '\''"\u0075"'\''|json -b 8'
echo '"\u0075"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0075"'\''|json -b 8'

echo '$ echo '\''"\u0076"'\''|json -b 1'
echo '"\u0076"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 1'

echo '$ echo '\''"\u0076"'\''|json -b 2'
echo '"\u0076"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 2'

echo '$ echo '\''"\u0076"'\''|json -b 3'
echo '"\u0076"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 3'

echo '$ echo '\''"\u0076"'\''|json -b 4'
echo '"\u0076"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 4'

echo '$ echo '\''"\u0076"'\''|json -b 5'
echo '"\u0076"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 5'

echo '$ echo '\''"\u0076"'\''|json -b 6'
echo '"\u0076"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 6'

echo '$ echo '\''"\u0076"'\''|json -b 7'
echo '"\u0076"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 7'

echo '$ echo '\''"\u0076"'\''|json -b 8'
echo '"\u0076"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0076"'\''|json -b 8'

echo '$ echo '\''"\u0077"'\''|json -b 1'
echo '"\u0077"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 1'

echo '$ echo '\''"\u0077"'\''|json -b 2'
echo '"\u0077"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 2'

echo '$ echo '\''"\u0077"'\''|json -b 3'
echo '"\u0077"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 3'

echo '$ echo '\''"\u0077"'\''|json -b 4'
echo '"\u0077"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 4'

echo '$ echo '\''"\u0077"'\''|json -b 5'
echo '"\u0077"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 5'

echo '$ echo '\''"\u0077"'\''|json -b 6'
echo '"\u0077"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 6'

echo '$ echo '\''"\u0077"'\''|json -b 7'
echo '"\u0077"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 7'

echo '$ echo '\''"\u0077"'\''|json -b 8'
echo '"\u0077"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0077"'\''|json -b 8'

echo '$ echo '\''"\u0078"'\''|json -b 1'
echo '"\u0078"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 1'

echo '$ echo '\''"\u0078"'\''|json -b 2'
echo '"\u0078"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 2'

echo '$ echo '\''"\u0078"'\''|json -b 3'
echo '"\u0078"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 3'

echo '$ echo '\''"\u0078"'\''|json -b 4'
echo '"\u0078"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 4'

echo '$ echo '\''"\u0078"'\''|json -b 5'
echo '"\u0078"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 5'

echo '$ echo '\''"\u0078"'\''|json -b 6'
echo '"\u0078"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 6'

echo '$ echo '\''"\u0078"'\''|json -b 7'
echo '"\u0078"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 7'

echo '$ echo '\''"\u0078"'\''|json -b 8'
echo '"\u0078"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0078"'\''|json -b 8'

echo '$ echo '\''"\u0079"'\''|json -b 1'
echo '"\u0079"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 1'

echo '$ echo '\''"\u0079"'\''|json -b 2'
echo '"\u0079"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 2'

echo '$ echo '\''"\u0079"'\''|json -b 3'
echo '"\u0079"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 3'

echo '$ echo '\''"\u0079"'\''|json -b 4'
echo '"\u0079"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 4'

echo '$ echo '\''"\u0079"'\''|json -b 5'
echo '"\u0079"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 5'

echo '$ echo '\''"\u0079"'\''|json -b 6'
echo '"\u0079"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 6'

echo '$ echo '\''"\u0079"'\''|json -b 7'
echo '"\u0079"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 7'

echo '$ echo '\''"\u0079"'\''|json -b 8'
echo '"\u0079"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0079"'\''|json -b 8'

echo '$ echo '\''"\u007a"'\''|json -b 1'
echo '"\u007a"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 1'

echo '$ echo '\''"\u007a"'\''|json -b 2'
echo '"\u007a"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 2'

echo '$ echo '\''"\u007a"'\''|json -b 3'
echo '"\u007a"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 3'

echo '$ echo '\''"\u007a"'\''|json -b 4'
echo '"\u007a"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 4'

echo '$ echo '\''"\u007a"'\''|json -b 5'
echo '"\u007a"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 5'

echo '$ echo '\''"\u007a"'\''|json -b 6'
echo '"\u007a"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 6'

echo '$ echo '\''"\u007a"'\''|json -b 7'
echo '"\u007a"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 7'

echo '$ echo '\''"\u007a"'\''|json -b 8'
echo '"\u007a"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u007a"'\''|json -b 8'

echo '$ echo '\''"\u007b"'\''|json -b 1'
echo '"\u007b"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 1'

echo '$ echo '\''"\u007b"'\''|json -b 2'
echo '"\u007b"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 2'

echo '$ echo '\''"\u007b"'\''|json -b 3'
echo '"\u007b"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 3'

echo '$ echo '\''"\u007b"'\''|json -b 4'
echo '"\u007b"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 4'

echo '$ echo '\''"\u007b"'\''|json -b 5'
echo '"\u007b"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 5'

echo '$ echo '\''"\u007b"'\''|json -b 6'
echo '"\u007b"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 6'

echo '$ echo '\''"\u007b"'\''|json -b 7'
echo '"\u007b"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 7'

echo '$ echo '\''"\u007b"'\''|json -b 8'
echo '"\u007b"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u007b"'\''|json -b 8'

echo '$ echo '\''"\u007c"'\''|json -b 1'
echo '"\u007c"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 1'

echo '$ echo '\''"\u007c"'\''|json -b 2'
echo '"\u007c"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 2'

echo '$ echo '\''"\u007c"'\''|json -b 3'
echo '"\u007c"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 3'

echo '$ echo '\''"\u007c"'\''|json -b 4'
echo '"\u007c"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 4'

echo '$ echo '\''"\u007c"'\''|json -b 5'
echo '"\u007c"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 5'

echo '$ echo '\''"\u007c"'\''|json -b 6'
echo '"\u007c"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 6'

echo '$ echo '\''"\u007c"'\''|json -b 7'
echo '"\u007c"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 7'

echo '$ echo '\''"\u007c"'\''|json -b 8'
echo '"\u007c"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u007c"'\''|json -b 8'

echo '$ echo '\''"\u007d"'\''|json -b 1'
echo '"\u007d"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 1'

echo '$ echo '\''"\u007d"'\''|json -b 2'
echo '"\u007d"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 2'

echo '$ echo '\''"\u007d"'\''|json -b 3'
echo '"\u007d"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 3'

echo '$ echo '\''"\u007d"'\''|json -b 4'
echo '"\u007d"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 4'

echo '$ echo '\''"\u007d"'\''|json -b 5'
echo '"\u007d"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 5'

echo '$ echo '\''"\u007d"'\''|json -b 6'
echo '"\u007d"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 6'

echo '$ echo '\''"\u007d"'\''|json -b 7'
echo '"\u007d"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 7'

echo '$ echo '\''"\u007d"'\''|json -b 8'
echo '"\u007d"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u007d"'\''|json -b 8'

echo '$ echo '\''"\u007e"'\''|json -b 1'
echo '"\u007e"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 1'

echo '$ echo '\''"\u007e"'\''|json -b 2'
echo '"\u007e"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 2'

echo '$ echo '\''"\u007e"'\''|json -b 3'
echo '"\u007e"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 3'

echo '$ echo '\''"\u007e"'\''|json -b 4'
echo '"\u007e"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 4'

echo '$ echo '\''"\u007e"'\''|json -b 5'
echo '"\u007e"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 5'

echo '$ echo '\''"\u007e"'\''|json -b 6'
echo '"\u007e"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 6'

echo '$ echo '\''"\u007e"'\''|json -b 7'
echo '"\u007e"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 7'

echo '$ echo '\''"\u007e"'\''|json -b 8'
echo '"\u007e"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u007e"'\''|json -b 8'

echo '$ echo '\''"\u007f"'\''|json -b 1'
echo '"\u007f"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 1'

echo '$ echo '\''"\u007f"'\''|json -b 2'
echo '"\u007f"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 2'

echo '$ echo '\''"\u007f"'\''|json -b 3'
echo '"\u007f"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 3'

echo '$ echo '\''"\u007f"'\''|json -b 4'
echo '"\u007f"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 4'

echo '$ echo '\''"\u007f"'\''|json -b 5'
echo '"\u007f"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 5'

echo '$ echo '\''"\u007f"'\''|json -b 6'
echo '"\u007f"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 6'

echo '$ echo '\''"\u007f"'\''|json -b 7'
echo '"\u007f"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 7'

echo '$ echo '\''"\u007f"'\''|json -b 8'
echo '"\u007f"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u007f"'\''|json -b 8'
)

