#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-cases:54
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L 54.old <(echo \
'$ json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@" 2>&1|sed -r '\''/error:/s|(/dev/fd/)[0-9]+|\1??|'\''; }
$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''null'\''
json: error: <stdin>:1:1: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"type":"array",...}'\''
json: error: <stdin>:1:1: null
json: error: <stdin>:1:1: ^
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''null'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''false'\''
false
$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[]'\''
[]
$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[null,false,0,"",{},[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or no value at all
json: error: <stdin>:1:2: [null,false,0,"",{},[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[null,false,0,"",{},[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[[null,false,0,"",{},[]]]'\''
[[null,false,0,"",{},[]]]'
) -L 54.new <(
echo '$ json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@" 2>&1|sed -r '\''/error:/s|(/dev/fd/)[0-9]+|\1??|'\''; }'
json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@" 2>&1|sed -r '/error:/s|(/dev/fd/)[0-9]+|\1??|'; } 2>&1 ||
echo 'command failed: json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@" 2>&1|sed -r '\''/error:/s|(/dev/fd/)[0-9]+|\1??|'\''; }'

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''null'\'''
json -d '{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}' <<< 'null' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''null'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''false'\'''
json -d '{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}' <<< 'false' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''false'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[]'\'''
json -d '{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}' <<< '[]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[null,false,0,"",{},[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}' <<< '[null,false,0,"",{},[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[null,false,0,"",{},[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[[null,false,0,"",{},[]]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}' <<< '[[null,false,0,"",{},[]]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":"array"},"boolean"]}'\'' <<< '\''[[null,false,0,"",{},[]]]'\'''
)

