#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-checker:closed-array11
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L closed-array11.old <(echo \
'$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes
$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }
$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,null]'\''
[null,null]
$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,false]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":null}'\''
json: error: <stdin>:1:7: [null,false]
json: error: <stdin>:1:7:       ^
[null,
command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,false]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,true]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":null}'\''
json: error: <stdin>:1:7: [null,true]
json: error: <stdin>:1:7:       ^
[null,
command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,true]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,123]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":null}'\''
json: error: <stdin>:1:7: [null,123]
json: error: <stdin>:1:7:       ^
[null,
command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,123]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,"foo"]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":null}'\''
json: error: <stdin>:1:7: [null,"foo"]
json: error: <stdin>:1:7:       ^
[null,
command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,"foo"]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,{}]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":null}'\''
json: error: <stdin>:1:7: [null,{}]
json: error: <stdin>:1:7:       ^
[null,
command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,{}]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,[]]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":null}'\''
json: error: <stdin>:1:7: [null,[]]
json: error: <stdin>:1:7:       ^
[null,
command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,[]]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,null]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":false}'\''
json: error: <stdin>:1:8: [false,null]
json: error: <stdin>:1:8:        ^
[false,
command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,null]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,false]'\''
[false,false]
$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,true]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":false}'\''
json: error: <stdin>:1:8: [false,true]
json: error: <stdin>:1:8:        ^
[false,
command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,true]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,123]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":false}'\''
json: error: <stdin>:1:8: [false,123]
json: error: <stdin>:1:8:        ^
[false,
command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,123]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,"foo"]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":false}'\''
json: error: <stdin>:1:8: [false,"foo"]
json: error: <stdin>:1:8:        ^
[false,
command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,"foo"]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,{}]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":false}'\''
json: error: <stdin>:1:8: [false,{}]
json: error: <stdin>:1:8:        ^
[false,
command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,{}]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,[]]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":false}'\''
json: error: <stdin>:1:8: [false,[]]
json: error: <stdin>:1:8:        ^
[false,
command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,[]]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,null]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":true}'\''
json: error: <stdin>:1:7: [true,null]
json: error: <stdin>:1:7:       ^
[true,
command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,null]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,false]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":true}'\''
json: error: <stdin>:1:7: [true,false]
json: error: <stdin>:1:7:       ^
[true,
command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,false]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,true]'\''
[true,true]
$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,123]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":true}'\''
json: error: <stdin>:1:7: [true,123]
json: error: <stdin>:1:7:       ^
[true,
command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,123]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,"foo"]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":true}'\''
json: error: <stdin>:1:7: [true,"foo"]
json: error: <stdin>:1:7:       ^
[true,
command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,"foo"]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,{}]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":true}'\''
json: error: <stdin>:1:7: [true,{}]
json: error: <stdin>:1:7:       ^
[true,
command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,{}]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,[]]'\''
json: error: <stdin>:1:7: type check error: type mismatch: expected a value of type `{"plain":true}'\''
json: error: <stdin>:1:7: [true,[]]
json: error: <stdin>:1:7:       ^
[true,
command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,[]]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,null]'\''
json: error: <stdin>:1:6: type check error: type mismatch: expected a value of type `{"plain":123}'\''
json: error: <stdin>:1:6: [123,null]
json: error: <stdin>:1:6:      ^
[123,
command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,null]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,false]'\''
json: error: <stdin>:1:6: type check error: type mismatch: expected a value of type `{"plain":123}'\''
json: error: <stdin>:1:6: [123,false]
json: error: <stdin>:1:6:      ^
[123,
command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,false]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,true]'\''
json: error: <stdin>:1:6: type check error: type mismatch: expected a value of type `{"plain":123}'\''
json: error: <stdin>:1:6: [123,true]
json: error: <stdin>:1:6:      ^
[123,
command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,true]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,123]'\''
[123,123]
$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,"foo"]'\''
json: error: <stdin>:1:6: type check error: type mismatch: expected a value of type `{"plain":123}'\''
json: error: <stdin>:1:6: [123,"foo"]
json: error: <stdin>:1:6:      ^
[123,
command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,"foo"]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,{}]'\''
json: error: <stdin>:1:6: type check error: type mismatch: expected a value of type `{"plain":123}'\''
json: error: <stdin>:1:6: [123,{}]
json: error: <stdin>:1:6:      ^
[123,
command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,{}]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,[]]'\''
json: error: <stdin>:1:6: type check error: type mismatch: expected a value of type `{"plain":123}'\''
json: error: <stdin>:1:6: [123,[]]
json: error: <stdin>:1:6:      ^
[123,
command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,[]]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",null]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":"foo"}'\''
json: error: <stdin>:1:8: ["foo",null]
json: error: <stdin>:1:8:        ^
["foo",
command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",null]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",false]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":"foo"}'\''
json: error: <stdin>:1:8: ["foo",false]
json: error: <stdin>:1:8:        ^
["foo",
command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",false]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",true]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":"foo"}'\''
json: error: <stdin>:1:8: ["foo",true]
json: error: <stdin>:1:8:        ^
["foo",
command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",true]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",123]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":"foo"}'\''
json: error: <stdin>:1:8: ["foo",123]
json: error: <stdin>:1:8:        ^
["foo",
command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",123]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo","foo"]'\''
["foo","foo"]
$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",{}]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":"foo"}'\''
json: error: <stdin>:1:8: ["foo",{}]
json: error: <stdin>:1:8:        ^
["foo",
command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",{}]'\''
$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",[]]'\''
json: error: <stdin>:1:8: type check error: type mismatch: expected a value of type `{"plain":"foo"}'\''
json: error: <stdin>:1:8: ["foo",[]]
json: error: <stdin>:1:8:        ^
["foo",
command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",[]]'\'''
) -L closed-array11.new <(
echo '$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'
export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes 2>&1 ||
echo 'command failed: export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'

echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'

echo '$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,null]'\'''
json -d '{"type":"array","args":["type",{"plain":null}]}' <<< '[null,null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,null]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,false]'\'''
json -d '{"type":"array","args":["type",{"plain":null}]}' <<< '[null,false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,false]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,true]'\'''
json -d '{"type":"array","args":["type",{"plain":null}]}' <<< '[null,true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,true]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,123]'\'''
json -d '{"type":"array","args":["type",{"plain":null}]}' <<< '[null,123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,123]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,"foo"]'\'''
json -d '{"type":"array","args":["type",{"plain":null}]}' <<< '[null,"foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,"foo"]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,{}]'\'''
json -d '{"type":"array","args":["type",{"plain":null}]}' <<< '[null,{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,{}]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,[]]'\'''
json -d '{"type":"array","args":["type",{"plain":null}]}' <<< '[null,[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":null}]}'\'' <<< '\''[null,[]]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,null]'\'''
json -d '{"type":"array","args":["type",{"plain":false}]}' <<< '[false,null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,null]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,false]'\'''
json -d '{"type":"array","args":["type",{"plain":false}]}' <<< '[false,false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,false]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,true]'\'''
json -d '{"type":"array","args":["type",{"plain":false}]}' <<< '[false,true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,true]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,123]'\'''
json -d '{"type":"array","args":["type",{"plain":false}]}' <<< '[false,123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,123]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,"foo"]'\'''
json -d '{"type":"array","args":["type",{"plain":false}]}' <<< '[false,"foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,"foo"]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,{}]'\'''
json -d '{"type":"array","args":["type",{"plain":false}]}' <<< '[false,{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,{}]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,[]]'\'''
json -d '{"type":"array","args":["type",{"plain":false}]}' <<< '[false,[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":false}]}'\'' <<< '\''[false,[]]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,null]'\'''
json -d '{"type":"array","args":["type",{"plain":true}]}' <<< '[true,null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,null]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,false]'\'''
json -d '{"type":"array","args":["type",{"plain":true}]}' <<< '[true,false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,false]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,true]'\'''
json -d '{"type":"array","args":["type",{"plain":true}]}' <<< '[true,true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,true]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,123]'\'''
json -d '{"type":"array","args":["type",{"plain":true}]}' <<< '[true,123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,123]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,"foo"]'\'''
json -d '{"type":"array","args":["type",{"plain":true}]}' <<< '[true,"foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,"foo"]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,{}]'\'''
json -d '{"type":"array","args":["type",{"plain":true}]}' <<< '[true,{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,{}]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,[]]'\'''
json -d '{"type":"array","args":["type",{"plain":true}]}' <<< '[true,[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":true}]}'\'' <<< '\''[true,[]]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,null]'\'''
json -d '{"type":"array","args":["type",{"plain":123}]}' <<< '[123,null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,null]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,false]'\'''
json -d '{"type":"array","args":["type",{"plain":123}]}' <<< '[123,false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,false]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,true]'\'''
json -d '{"type":"array","args":["type",{"plain":123}]}' <<< '[123,true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,true]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,123]'\'''
json -d '{"type":"array","args":["type",{"plain":123}]}' <<< '[123,123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,123]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,"foo"]'\'''
json -d '{"type":"array","args":["type",{"plain":123}]}' <<< '[123,"foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,"foo"]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,{}]'\'''
json -d '{"type":"array","args":["type",{"plain":123}]}' <<< '[123,{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,{}]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,[]]'\'''
json -d '{"type":"array","args":["type",{"plain":123}]}' <<< '[123,[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":123}]}'\'' <<< '\''[123,[]]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",null]'\'''
json -d '{"type":"array","args":["type",{"plain":"foo"}]}' <<< '["foo",null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",null]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",false]'\'''
json -d '{"type":"array","args":["type",{"plain":"foo"}]}' <<< '["foo",false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",false]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",true]'\'''
json -d '{"type":"array","args":["type",{"plain":"foo"}]}' <<< '["foo",true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",true]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",123]'\'''
json -d '{"type":"array","args":["type",{"plain":"foo"}]}' <<< '["foo",123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",123]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo","foo"]'\'''
json -d '{"type":"array","args":["type",{"plain":"foo"}]}' <<< '["foo","foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo","foo"]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",{}]'\'''
json -d '{"type":"array","args":["type",{"plain":"foo"}]}' <<< '["foo",{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",{}]'\'''

echo '$ json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",[]]'\'''
json -d '{"type":"array","args":["type",{"plain":"foo"}]}' <<< '["foo",[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":["type",{"plain":"foo"}]}'\'' <<< '\''["foo",[]]'\'''
)

