#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-checker:object
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L object.old <(echo \
'$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes
$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }
$ json -d '\''{"type":"object","args":[]}'\'' <<< '\''{}'\''
{}
$ json -d '\''{"type":"object","args":[]}'\'' <<< '\''{"foo":"bar"}'\''
json: error: <stdin>:1:2: type check error: too many arguments
json: error: <stdin>:1:2: {"foo":"bar"}
json: error: <stdin>:1:2:  ^
{
command failed: json -d '\''{"type":"object","args":[]}'\'' <<< '\''{"foo":"bar"}'\''
$ json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{}'\''
json: error: <stdin>:1:2: type check error: too few arguments
json: error: <stdin>:1:2: {}
json: error: <stdin>:1:2:  ^
{
command failed: json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{}'\''
$ json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{"foo":{}}'\''
{"foo":{}}
$ json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{"foo":{"bar":"baz"}}'\''
json: error: <stdin>:1:9: type check error: too many arguments
json: error: <stdin>:1:9: {"foo":{"bar":"baz"}}
json: error: <stdin>:1:9:         ^
{"foo":{
command failed: json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{"foo":{"bar":"baz"}}'\'''
) -L object.new <(
echo '$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'
export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes 2>&1 ||
echo 'command failed: export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'

echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'

echo '$ json -d '\''{"type":"object","args":[]}'\'' <<< '\''{}'\'''
json -d '{"type":"object","args":[]}' <<< '{}' 2>&1 ||
echo 'command failed: json -d '\''{"type":"object","args":[]}'\'' <<< '\''{}'\'''

echo '$ json -d '\''{"type":"object","args":[]}'\'' <<< '\''{"foo":"bar"}'\'''
json -d '{"type":"object","args":[]}' <<< '{"foo":"bar"}' 2>&1 ||
echo 'command failed: json -d '\''{"type":"object","args":[]}'\'' <<< '\''{"foo":"bar"}'\'''

echo '$ json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{}'\'''
json -d '{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}' <<< '{}' 2>&1 ||
echo 'command failed: json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{}'\'''

echo '$ json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{"foo":{}}'\'''
json -d '{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}' <<< '{"foo":{}}' 2>&1 ||
echo 'command failed: json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{"foo":{}}'\'''

echo '$ json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{"foo":{"bar":"baz"}}'\'''
json -d '{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}' <<< '{"foo":{"bar":"baz"}}' 2>&1 ||
echo 'command failed: json -d '\''{"type":"object","args":[{"name":"foo","type":{"type":"object","args":[]}}]}'\'' <<< '\''{"foo":{"bar":"baz"}}'\'''
)

