#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-checker:open-array-list4
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L open-array-list4.old <(echo \
'$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes
$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[]'\''
[]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[456]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: [456]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[456]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["bar"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: ["bar"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["bar"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":null}]}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[]'\''
[]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[456]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: [456]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[456]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["bar"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: ["bar"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["bar"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":false}]}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[]'\''
[]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[456]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: [456]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[456]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["bar"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: ["bar"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["bar"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":true}]}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[]'\''
[]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[456]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: [456]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[456]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["bar"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: ["bar"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["bar"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":123}]}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[]'\''
[]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[456]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: [456]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[456]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''["bar"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: ["bar"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''["bar"]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `{"type":"list","args":[{"plain":"foo"}]}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[[]]'\'''
) -L open-array-list4.new <(
echo '$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'
export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes 2>&1 ||
echo 'command failed: export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'

echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[null]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[false]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[true]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[123]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[456]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[456]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[456]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["bar"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '["bar"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''["bar"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[{}]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[[]]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":null}]}}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":null}]}}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[null]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[false]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[true]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[123]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[456]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[456]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[456]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["bar"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '["bar"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''["bar"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[{}]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[[]]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":false}]}}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":false}]}}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[null]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[false]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[true]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[123]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[456]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[456]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[456]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["bar"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '["bar"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''["bar"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[{}]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[[]]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":true}]}}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":true}]}}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[null]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[false]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[true]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[123]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[456]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[456]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[456]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["bar"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '["bar"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''["bar"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[{}]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[[]]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":123}]}}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":123}]}}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[null]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[false]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[true]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[123]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[456]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[456]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[456]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''["bar"]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '["bar"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''["bar"]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[{}]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[[]]'\'''
json -d '{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"array","args":{"type":"list","args":[{"plain":"foo"}]}}'\'' <<< '\''[[]]'\'''
)

