#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-gen-def:node-list-open-array-any2
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L node-list-open-array-any2.old <(echo \
'$ set -o pipefail
$ json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r '\''s/^#/\\#/;/^\s*\/\//d;/^\s*$/d'\''; }
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"null"}]}'\''
json: error: <stdin>:1:47: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:78)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"null"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"boolean"}]}'\''
json: error: <stdin>:1:47: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:78)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"boolean"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"number"}]}'\''
json: error: <stdin>:1:47: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:78)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"number"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"string"}]}'\''
json: error: <stdin>:1:47: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:78)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"string"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"object"}]}'\''
json: error: <stdin>:1:47: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:78)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"object"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"array"}]}'\''
json: error: <stdin>:1:47: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:78)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"array"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"type"}]}'\''
json: error: <stdin>:1:78: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:47)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"type"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"boolean"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"number"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"string"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"object"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"array"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"type"}]}'\''
json: error: <stdin>:1:81: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:47)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"type"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"null"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"number"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"string"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"object"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"array"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"type"}]}'\''
json: error: <stdin>:1:80: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:47)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"type"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"null"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"boolean"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"string"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"object"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"array"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"type"}]}'\''
json: error: <stdin>:1:80: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:47)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"type"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"null"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"boolean"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"number"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"object"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"array"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"type"}]}'\''
json: error: <stdin>:1:80: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:47)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"type"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"null"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"boolean"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"number"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"string"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"array"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__0,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__2,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"type"}]}'\''
json: error: <stdin>:1:79: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:47)
command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"type"}]}'\''
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"null"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"boolean"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"number"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"string"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};
$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"object"}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_node_t __1 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__0
    }
};
static const struct json_type_node_t __2 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_node_t __3 = {
    .type = json_type_array_node_type,
    .node.array = {
        .type = json_type_open_array_node_type,
        .val.open.arg = &__2
    }
};
static const struct json_type_trie_node_t __4 = {
    .sym = NULL,
    .VAL = &__3
};
static const struct json_type_trie_node_t __5 = {
    .sym = &__2,
    .EQ = &__4
};
static const struct json_type_trie_node_t __6 = {
    .sym = NULL,
    .VAL = &__1
};
static const struct json_type_trie_node_t __7 = {
    .sym = &__0,
    .lo = &__5,
    .EQ = &__6
};
static const struct json_type_trie_t __8 = {
    .root = &__7
};
static const struct json_type_list_attr_t __9 = {
    .open_array = &__8
};
static const struct json_type_node_t* __10[] = {
    &__1,
    &__3,
    NULL
};
static const struct json_type_node_t __11 = {
    .type = json_type_list_node_type,
    .attr.list = &__9,
    .node.list = {
        .args = __10,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__11
};'
) -L node-list-open-array-any2.new <(
echo '$ set -o pipefail'
set -o pipefail 2>&1 ||
echo 'command failed: set -o pipefail'

echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r '\''s/^#/\\#/;/^\s*\/\//d;/^\s*$/d'\''; }'
json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r 's/^#/\\#/;/^\s*\/\//d;/^\s*$/d'; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r '\''s/^#/\\#/;/^\s*\/\//d;/^\s*$/d'\''; }'

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"null"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"null"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"null"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"boolean"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"boolean"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"boolean"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"number"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"number"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"number"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"string"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"string"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"string"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"object"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"object"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"object"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"array"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"array"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"type"},{"type":"array","args":"array"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"type"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"type"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"type"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"boolean"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"boolean"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"boolean"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"number"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"number"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"number"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"string"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"string"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"string"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"object"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"object"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"object"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"array"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"array"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"null"},{"type":"array","args":"array"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"type"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"type"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"type"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"null"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"null"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"null"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"number"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"number"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"number"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"string"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"string"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"string"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"object"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"object"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"object"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"array"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"array"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"boolean"},{"type":"array","args":"array"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"type"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"type"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"type"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"null"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"null"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"null"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"boolean"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"boolean"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"boolean"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"string"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"string"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"string"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"object"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"object"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"object"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"array"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"array"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"number"},{"type":"array","args":"array"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"type"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"type"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"type"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"null"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"null"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"null"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"boolean"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"boolean"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"boolean"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"number"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"number"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"number"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"object"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"object"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"object"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"array"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"array"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"string"},{"type":"array","args":"array"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"type"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"type"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"type"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"null"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"null"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"null"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"boolean"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"boolean"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"boolean"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"number"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"number"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"number"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"string"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"string"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"string"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"array"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"array"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"object"},{"type":"array","args":"array"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"type"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"type"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"type"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"null"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"null"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"null"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"boolean"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"boolean"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"boolean"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"number"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"number"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"number"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"string"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"string"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"string"}]}'\'''

echo '$ json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"object"}]}'\'''
json <<< '{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"object"}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"list","args":[{"type":"array","args":"array"},{"type":"array","args":"object"}]}'\'''
)

