#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-checker-list:list-closed-array-basic-closed-array-plain-val-array-basic
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L list-closed-array-basic-closed-array-plain-val-array-basic.old <(echo \
'$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes
$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:81: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"null"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:84: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"boolean"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"number"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"string"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
json: error: <text>:1:83: type lib error: attribute error: invalid "list" type object: array argument ambiguity (the other is at 1:48)
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
[{}]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
[{}]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
[{}]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
[{}]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
[{}]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"object"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [[]]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\''
[null]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":null}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\''
[[]]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\''
[false]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":false}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\''
[[]]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\''
[true]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":true}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\''
[[]]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\''
[123]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: ["foo"]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":123}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\''
[[]]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [null]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [false]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [true]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [123]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\''
["foo"]
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
json: error: <stdin>:1:2: type check error: type mismatch: expected a value of type `"array"'\'' or `{"plain":"foo"}'\''
json: error: <stdin>:1:2: [{}]
json: error: <stdin>:1:2:  ^
[
command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\''
$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\''
[[]]'
) -L list-closed-array-basic-closed-array-plain-val-array-basic.new <(
echo '$ export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'
export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes 2>&1 ||
echo 'command failed: export JSON_TYPE_CHECK_ERROR_COMPLETE_TYPES=yes'

echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'
json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json --terse --verbose --literal-value "$@"; }'

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["type"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["null"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["boolean"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["number"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["string"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["object"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":null}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":false}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":true}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":123}]}]}'\'' <<< '\''[[]]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[null]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[null]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[false]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[false]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[true]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[true]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[123]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[123]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '["foo"]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''["foo"]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[{}]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[{}]'\'''

echo '$ json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
json -d '{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}' <<< '[[]]' 2>&1 ||
echo 'command failed: json -d '\''{"type":"list","args":[{"type":"array","args":["array"]},{"type":"array","args":[{"plain":"foo"}]}]}'\'' <<< '\''[[]]'\'''
)

