#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-gen-def:node-dict-list-any2
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L node-dict-list-any2.old <(echo \
'$ set -o pipefail
$ json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r '\''s/^#/\\#/;/^\s*\/\//d;/^\s*$/d'\''; }
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_type_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_null_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_boolean_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_number_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_string_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_object_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};
$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\''
\#define EQ  cell.eq
\#define VAL cell.val
static const struct json_type_node_t __0 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __1 = {
    .sym = NULL,
    .VAL = &__0
};
static const struct json_type_trie_node_t __2 = {
    .sym = &__0,
    .EQ = &__1
};
static const struct json_type_trie_t __3 = {
    .root = &__2
};
static const struct json_type_list_attr_t __4 = {
    .any = &__3
};
static const struct json_type_node_t* __5[] = {
    &__0,
    NULL
};
static const struct json_type_node_t __6 = {
    .type = json_type_list_node_type,
    .attr.list = &__4,
    .node.list = {
        .args = __5,
        .size = 1
    }
};
static const struct json_type_node_t __7 = {
    .type = json_type_any_node_type,
    .node.any = {
        .type = json_type_any_array_type
    }
};
static const struct json_type_trie_node_t __8 = {
    .sym = NULL,
    .VAL = &__7
};
static const struct json_type_trie_node_t __9 = {
    .sym = &__7,
    .EQ = &__8
};
static const struct json_type_trie_t __10 = {
    .root = &__9
};
static const struct json_type_list_attr_t __11 = {
    .any = &__10
};
static const struct json_type_node_t* __12[] = {
    &__7,
    NULL
};
static const struct json_type_node_t __13 = {
    .type = json_type_list_node_type,
    .attr.list = &__11,
    .node.list = {
        .args = __12,
        .size = 1
    }
};
static const struct json_type_dict_trie_node_t __14 = {
    .sym = '\''\0'\'',
    .VAL = 1
};
static const struct json_type_dict_trie_node_t __15 = {
    .sym = '\''r'\'',
    .EQ = &__14
};
static const struct json_type_dict_trie_node_t __16 = {
    .sym = '\''a'\'',
    .EQ = &__15
};
static const struct json_type_dict_trie_node_t __17 = {
    .sym = '\''b'\'',
    .EQ = &__16
};
static const struct json_type_dict_trie_node_t __18 = {
    .sym = '\''\0'\'',
    .VAL = 0
};
static const struct json_type_dict_trie_node_t __19 = {
    .sym = '\''o'\'',
    .EQ = &__18
};
static const struct json_type_dict_trie_node_t __20 = {
    .sym = '\''o'\'',
    .EQ = &__19
};
static const struct json_type_dict_trie_node_t __21 = {
    .sym = '\''f'\'',
    .lo = &__17,
    .EQ = &__20
};
static const struct json_type_dict_trie_t __22 = {
    .root = &__21
};
static const struct json_type_dict_attr_t __23 = {
    .args = &__22
};
static const struct json_type_dict_node_arg_t __24[] = {
    {
        .name = (const uchar_t*) "foo",
        .type = &__6
    },
    {
        .name = (const uchar_t*) "bar",
        .type = &__13
    }
};
static const struct json_type_node_t __25 = {
    .type = json_type_dict_node_type,
    .attr.dict = &__23,
    .node.dict = {
        .args = __24,
        .size = 2
    }
};
static const struct json_type_def_t MODULE_TYPE_DEF = {
    .type = json_type_def_node_type,
    .val.node = &__25
};'
) -L node-dict-list-any2.new <(
echo '$ set -o pipefail'
set -o pipefail 2>&1 ||
echo 'command failed: set -o pipefail'

echo '$ json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r '\''s/^#/\\#/;/^\s*\/\//d;/^\s*$/d'\''; }'
json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r 's/^#/\\#/;/^\s*\/\//d;/^\s*$/d'; } 2>&1 ||
echo 'command failed: json() { LD_LIBRARY_PATH=../lib ../src/json -Td "$@"|sed -r '\''s/^#/\\#/;/^\s*\/\//d;/^\s*$/d'\''; }'

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["type"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["null"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["boolean"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["number"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["string"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["object"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["type"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["null"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["boolean"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["number"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["string"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["object"]}}]}'\'''

echo '$ json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
json <<< '{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}' 2>&1 ||
echo 'command failed: json <<< '\''{"type":"dict","args":[{"name":"foo","type":{"type":"list","args":["array"]}},{"name":"bar","type":{"type":"list","args":["array"]}}]}'\'''
)

