#!/bin/bash

# Copyright (C) 2016, 2017  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C type-lib:dict-expr-keys3
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L dict-expr-keys3.old <(echo \
'$ json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json -V -TA <<< '\''{"type":"dict","args":[{"name":"a","type":"number"},{"name":"b","type":"number"},{"name":"c","type":"number"}],"expr":'\''$'\''\n"'\''"$1"'\''"}'\''|LD_LIBRARY_PATH=../lib ../src/json -J --no-error|sed -nr '\''s|^/attr/expr/bits=||p'\''; }
$ json '\''(a&~a)&b'\''
000
$ json '\''(a&~a)&~b'\''
000
$ json '\''(a&~a)&c'\''
000
$ json '\''(a&~a)&~c'\''
000
$ json '\''(a&b)&~a'\''
000
$ json '\''(a&b)&~b'\''
000
$ json '\''(a&b)&c'\''
000
$ json '\''(a&b)&~c'\''
000
$ json '\''(a&~b)&~a'\''
000
$ json '\''(a&~b)&b'\''
000
$ json '\''(a&~b)&c'\''
000
$ json '\''(a&~b)&~c'\''
100
$ json '\''(a&c)&~a'\''
000
$ json '\''(a&c)&b'\''
000
$ json '\''(a&c)&~b'\''
000
$ json '\''(a&c)&~c'\''
000
$ json '\''(a&~c)&~a'\''
000
$ json '\''(a&~c)&b'\''
000
$ json '\''(a&~c)&~b'\''
100
$ json '\''(a&~c)&c'\''
000
$ json '\''(~a&a)&b'\''
000
$ json '\''(~a&a)&~b'\''
000
$ json '\''(~a&a)&c'\''
000
$ json '\''(~a&a)&~c'\''
000
$ json '\''(~a&b)&a'\''
000
$ json '\''(~a&b)&~b'\''
000
$ json '\''(~a&b)&c'\''
000
$ json '\''(~a&b)&~c'\''
010
$ json '\''(~a&~b)&a'\''
000
$ json '\''(~a&~b)&b'\''
000
$ json '\''(~a&~b)&c'\''
001
$ json '\''(~a&~b)&~c'\''
000
$ json '\''(~a&c)&a'\''
000
$ json '\''(~a&c)&b'\''
000
$ json '\''(~a&c)&~b'\''
001
$ json '\''(~a&c)&~c'\''
000
$ json '\''(~a&~c)&a'\''
000
$ json '\''(~a&~c)&b'\''
010
$ json '\''(~a&~c)&~b'\''
000
$ json '\''(~a&~c)&c'\''
000
$ json '\''(b&a)&~a'\''
000
$ json '\''(b&a)&~b'\''
000
$ json '\''(b&a)&c'\''
000
$ json '\''(b&a)&~c'\''
000
$ json '\''(b&~a)&a'\''
000
$ json '\''(b&~a)&~b'\''
000
$ json '\''(b&~a)&c'\''
000
$ json '\''(b&~a)&~c'\''
010
$ json '\''(b&~b)&a'\''
000
$ json '\''(b&~b)&~a'\''
000
$ json '\''(b&~b)&c'\''
000
$ json '\''(b&~b)&~c'\''
000
$ json '\''(b&c)&a'\''
000
$ json '\''(b&c)&~a'\''
000
$ json '\''(b&c)&~b'\''
000
$ json '\''(b&c)&~c'\''
000
$ json '\''(b&~c)&a'\''
000
$ json '\''(b&~c)&~a'\''
010
$ json '\''(b&~c)&~b'\''
000
$ json '\''(b&~c)&c'\''
000
$ json '\''(~b&a)&~a'\''
000
$ json '\''(~b&a)&b'\''
000
$ json '\''(~b&a)&c'\''
000
$ json '\''(~b&a)&~c'\''
100
$ json '\''(~b&~a)&a'\''
000
$ json '\''(~b&~a)&b'\''
000
$ json '\''(~b&~a)&c'\''
001
$ json '\''(~b&~a)&~c'\''
000
$ json '\''(~b&b)&a'\''
000
$ json '\''(~b&b)&~a'\''
000
$ json '\''(~b&b)&c'\''
000
$ json '\''(~b&b)&~c'\''
000
$ json '\''(~b&c)&a'\''
000
$ json '\''(~b&c)&~a'\''
001
$ json '\''(~b&c)&b'\''
000
$ json '\''(~b&c)&~c'\''
000
$ json '\''(~b&~c)&a'\''
100
$ json '\''(~b&~c)&~a'\''
000
$ json '\''(~b&~c)&b'\''
000
$ json '\''(~b&~c)&c'\''
000
$ json '\''(c&a)&~a'\''
000
$ json '\''(c&a)&b'\''
000
$ json '\''(c&a)&~b'\''
000
$ json '\''(c&a)&~c'\''
000
$ json '\''(c&~a)&a'\''
000
$ json '\''(c&~a)&b'\''
000
$ json '\''(c&~a)&~b'\''
001
$ json '\''(c&~a)&~c'\''
000
$ json '\''(c&b)&a'\''
000
$ json '\''(c&b)&~a'\''
000
$ json '\''(c&b)&~b'\''
000
$ json '\''(c&b)&~c'\''
000
$ json '\''(c&~b)&a'\''
000
$ json '\''(c&~b)&~a'\''
001
$ json '\''(c&~b)&b'\''
000
$ json '\''(c&~b)&~c'\''
000
$ json '\''(c&~c)&a'\''
000
$ json '\''(c&~c)&~a'\''
000
$ json '\''(c&~c)&b'\''
000
$ json '\''(c&~c)&~b'\''
000
$ json '\''(~c&a)&~a'\''
000
$ json '\''(~c&a)&b'\''
000
$ json '\''(~c&a)&~b'\''
100
$ json '\''(~c&a)&c'\''
000
$ json '\''(~c&~a)&a'\''
000
$ json '\''(~c&~a)&b'\''
010
$ json '\''(~c&~a)&~b'\''
000
$ json '\''(~c&~a)&c'\''
000
$ json '\''(~c&b)&a'\''
000
$ json '\''(~c&b)&~a'\''
010
$ json '\''(~c&b)&~b'\''
000
$ json '\''(~c&b)&c'\''
000
$ json '\''(~c&~b)&a'\''
100
$ json '\''(~c&~b)&~a'\''
000
$ json '\''(~c&~b)&b'\''
000
$ json '\''(~c&~b)&c'\''
000
$ json '\''(~c&c)&a'\''
000
$ json '\''(~c&c)&~a'\''
000
$ json '\''(~c&c)&b'\''
000
$ json '\''(~c&c)&~b'\''
000
$ json '\''(a&~a)|b'\''
010
$ json '\''(a&~a)|~b'\''
101
$ json '\''(a&~a)|c'\''
001
$ json '\''(a&~a)|~c'\''
110
$ json '\''(a&b)|~a'\''
011
$ json '\''(a&b)|~b'\''
101
$ json '\''(a&b)|c'\''
001
$ json '\''(a&b)|~c'\''
110
$ json '\''(a&~b)|~a'\''
111
$ json '\''(a&~b)|b'\''
110
$ json '\''(a&~b)|c'\''
101
$ json '\''(a&~b)|~c'\''
110
$ json '\''(a&c)|~a'\''
011
$ json '\''(a&c)|b'\''
010
$ json '\''(a&c)|~b'\''
101
$ json '\''(a&c)|~c'\''
110
$ json '\''(a&~c)|~a'\''
111
$ json '\''(a&~c)|b'\''
110
$ json '\''(a&~c)|~b'\''
101
$ json '\''(a&~c)|c'\''
101
$ json '\''(~a&a)|b'\''
010
$ json '\''(~a&a)|~b'\''
101
$ json '\''(~a&a)|c'\''
001
$ json '\''(~a&a)|~c'\''
110
$ json '\''(~a&b)|a'\''
110
$ json '\''(~a&b)|~b'\''
111
$ json '\''(~a&b)|c'\''
011
$ json '\''(~a&b)|~c'\''
110
$ json '\''(~a&~b)|a'\''
101
$ json '\''(~a&~b)|b'\''
011
$ json '\''(~a&~b)|c'\''
001
$ json '\''(~a&~b)|~c'\''
111
$ json '\''(~a&c)|a'\''
101
$ json '\''(~a&c)|b'\''
011
$ json '\''(~a&c)|~b'\''
101
$ json '\''(~a&c)|~c'\''
111
$ json '\''(~a&~c)|a'\''
110
$ json '\''(~a&~c)|b'\''
010
$ json '\''(~a&~c)|~b'\''
111
$ json '\''(~a&~c)|c'\''
011
$ json '\''(b&a)|~a'\''
011
$ json '\''(b&a)|~b'\''
101
$ json '\''(b&a)|c'\''
001
$ json '\''(b&a)|~c'\''
110
$ json '\''(b&~a)|a'\''
110
$ json '\''(b&~a)|~b'\''
111
$ json '\''(b&~a)|c'\''
011
$ json '\''(b&~a)|~c'\''
110
$ json '\''(b&~b)|a'\''
100
$ json '\''(b&~b)|~a'\''
011
$ json '\''(b&~b)|c'\''
001
$ json '\''(b&~b)|~c'\''
110
$ json '\''(b&c)|a'\''
100
$ json '\''(b&c)|~a'\''
011
$ json '\''(b&c)|~b'\''
101
$ json '\''(b&c)|~c'\''
110
$ json '\''(b&~c)|a'\''
110
$ json '\''(b&~c)|~a'\''
011
$ json '\''(b&~c)|~b'\''
111
$ json '\''(b&~c)|c'\''
011
$ json '\''(~b&a)|~a'\''
111
$ json '\''(~b&a)|b'\''
110
$ json '\''(~b&a)|c'\''
101
$ json '\''(~b&a)|~c'\''
110
$ json '\''(~b&~a)|a'\''
101
$ json '\''(~b&~a)|b'\''
011
$ json '\''(~b&~a)|c'\''
001
$ json '\''(~b&~a)|~c'\''
111
$ json '\''(~b&b)|a'\''
100
$ json '\''(~b&b)|~a'\''
011
$ json '\''(~b&b)|c'\''
001
$ json '\''(~b&b)|~c'\''
110
$ json '\''(~b&c)|a'\''
101
$ json '\''(~b&c)|~a'\''
011
$ json '\''(~b&c)|b'\''
011
$ json '\''(~b&c)|~c'\''
111
$ json '\''(~b&~c)|a'\''
100
$ json '\''(~b&~c)|~a'\''
111
$ json '\''(~b&~c)|b'\''
110
$ json '\''(~b&~c)|c'\''
101
$ json '\''(c&a)|~a'\''
011
$ json '\''(c&a)|b'\''
010
$ json '\''(c&a)|~b'\''
101
$ json '\''(c&a)|~c'\''
110
$ json '\''(c&~a)|a'\''
101
$ json '\''(c&~a)|b'\''
011
$ json '\''(c&~a)|~b'\''
101
$ json '\''(c&~a)|~c'\''
111
$ json '\''(c&b)|a'\''
100
$ json '\''(c&b)|~a'\''
011
$ json '\''(c&b)|~b'\''
101
$ json '\''(c&b)|~c'\''
110
$ json '\''(c&~b)|a'\''
101
$ json '\''(c&~b)|~a'\''
011
$ json '\''(c&~b)|b'\''
011
$ json '\''(c&~b)|~c'\''
111
$ json '\''(c&~c)|a'\''
100
$ json '\''(c&~c)|~a'\''
011
$ json '\''(c&~c)|b'\''
010
$ json '\''(c&~c)|~b'\''
101
$ json '\''(~c&a)|~a'\''
111
$ json '\''(~c&a)|b'\''
110
$ json '\''(~c&a)|~b'\''
101
$ json '\''(~c&a)|c'\''
101
$ json '\''(~c&~a)|a'\''
110
$ json '\''(~c&~a)|b'\''
010
$ json '\''(~c&~a)|~b'\''
111
$ json '\''(~c&~a)|c'\''
011
$ json '\''(~c&b)|a'\''
110
$ json '\''(~c&b)|~a'\''
011
$ json '\''(~c&b)|~b'\''
111
$ json '\''(~c&b)|c'\''
011
$ json '\''(~c&~b)|a'\''
100
$ json '\''(~c&~b)|~a'\''
111
$ json '\''(~c&~b)|b'\''
110
$ json '\''(~c&~b)|c'\''
101
$ json '\''(~c&c)|a'\''
100
$ json '\''(~c&c)|~a'\''
011
$ json '\''(~c&c)|b'\''
010
$ json '\''(~c&c)|~b'\''
101
$ json '\''(a&~a)||b'\''
000
010
$ json '\''(a&~a)||~b'\''
000
101
$ json '\''(a&~a)||c'\''
000
001
$ json '\''(a&~a)||~c'\''
000
110
$ json '\''(a&b)||~a'\''
000
011
$ json '\''(a&b)||~b'\''
000
101
$ json '\''(a&b)||c'\''
000
001
$ json '\''(a&b)||~c'\''
000
110
$ json '\''(a&~b)||~a'\''
100
011
$ json '\''(a&~b)||b'\''
100
010
$ json '\''(a&~b)||c'\''
100
001
$ json '\''(a&~b)||~c'\''
100
110
$ json '\''(a&c)||~a'\''
000
011
$ json '\''(a&c)||b'\''
000
010
$ json '\''(a&c)||~b'\''
000
101
$ json '\''(a&c)||~c'\''
000
110
$ json '\''(a&~c)||~a'\''
100
011
$ json '\''(a&~c)||b'\''
100
010
$ json '\''(a&~c)||~b'\''
100
101
$ json '\''(a&~c)||c'\''
100
001
$ json '\''(~a&a)||b'\''
000
010
$ json '\''(~a&a)||~b'\''
000
101
$ json '\''(~a&a)||c'\''
000
001
$ json '\''(~a&a)||~c'\''
000
110
$ json '\''(~a&b)||a'\''
010
100
$ json '\''(~a&b)||~b'\''
010
101
$ json '\''(~a&b)||c'\''
010
001
$ json '\''(~a&b)||~c'\''
010
110
$ json '\''(~a&~b)||a'\''
001
100
$ json '\''(~a&~b)||b'\''
001
010
$ json '\''(~a&~b)||c'\''
001
001
$ json '\''(~a&~b)||~c'\''
001
110
$ json '\''(~a&c)||a'\''
001
100
$ json '\''(~a&c)||b'\''
001
010
$ json '\''(~a&c)||~b'\''
001
101
$ json '\''(~a&c)||~c'\''
001
110
$ json '\''(~a&~c)||a'\''
010
100
$ json '\''(~a&~c)||b'\''
010
010
$ json '\''(~a&~c)||~b'\''
010
101
$ json '\''(~a&~c)||c'\''
010
001
$ json '\''(b&a)||~a'\''
000
011
$ json '\''(b&a)||~b'\''
000
101
$ json '\''(b&a)||c'\''
000
001
$ json '\''(b&a)||~c'\''
000
110
$ json '\''(b&~a)||a'\''
010
100
$ json '\''(b&~a)||~b'\''
010
101
$ json '\''(b&~a)||c'\''
010
001
$ json '\''(b&~a)||~c'\''
010
110
$ json '\''(b&~b)||a'\''
000
100
$ json '\''(b&~b)||~a'\''
000
011
$ json '\''(b&~b)||c'\''
000
001
$ json '\''(b&~b)||~c'\''
000
110
$ json '\''(b&c)||a'\''
000
100
$ json '\''(b&c)||~a'\''
000
011
$ json '\''(b&c)||~b'\''
000
101
$ json '\''(b&c)||~c'\''
000
110
$ json '\''(b&~c)||a'\''
010
100
$ json '\''(b&~c)||~a'\''
010
011
$ json '\''(b&~c)||~b'\''
010
101
$ json '\''(b&~c)||c'\''
010
001
$ json '\''(~b&a)||~a'\''
100
011
$ json '\''(~b&a)||b'\''
100
010
$ json '\''(~b&a)||c'\''
100
001
$ json '\''(~b&a)||~c'\''
100
110
$ json '\''(~b&~a)||a'\''
001
100
$ json '\''(~b&~a)||b'\''
001
010
$ json '\''(~b&~a)||c'\''
001
001
$ json '\''(~b&~a)||~c'\''
001
110
$ json '\''(~b&b)||a'\''
000
100
$ json '\''(~b&b)||~a'\''
000
011
$ json '\''(~b&b)||c'\''
000
001
$ json '\''(~b&b)||~c'\''
000
110
$ json '\''(~b&c)||a'\''
001
100
$ json '\''(~b&c)||~a'\''
001
011
$ json '\''(~b&c)||b'\''
001
010
$ json '\''(~b&c)||~c'\''
001
110
$ json '\''(~b&~c)||a'\''
100
100
$ json '\''(~b&~c)||~a'\''
100
011
$ json '\''(~b&~c)||b'\''
100
010
$ json '\''(~b&~c)||c'\''
100
001
$ json '\''(c&a)||~a'\''
000
011
$ json '\''(c&a)||b'\''
000
010
$ json '\''(c&a)||~b'\''
000
101
$ json '\''(c&a)||~c'\''
000
110
$ json '\''(c&~a)||a'\''
001
100
$ json '\''(c&~a)||b'\''
001
010
$ json '\''(c&~a)||~b'\''
001
101
$ json '\''(c&~a)||~c'\''
001
110
$ json '\''(c&b)||a'\''
000
100
$ json '\''(c&b)||~a'\''
000
011
$ json '\''(c&b)||~b'\''
000
101
$ json '\''(c&b)||~c'\''
000
110
$ json '\''(c&~b)||a'\''
001
100
$ json '\''(c&~b)||~a'\''
001
011
$ json '\''(c&~b)||b'\''
001
010
$ json '\''(c&~b)||~c'\''
001
110
$ json '\''(c&~c)||a'\''
000
100
$ json '\''(c&~c)||~a'\''
000
011
$ json '\''(c&~c)||b'\''
000
010
$ json '\''(c&~c)||~b'\''
000
101
$ json '\''(~c&a)||~a'\''
100
011
$ json '\''(~c&a)||b'\''
100
010
$ json '\''(~c&a)||~b'\''
100
101
$ json '\''(~c&a)||c'\''
100
001
$ json '\''(~c&~a)||a'\''
010
100
$ json '\''(~c&~a)||b'\''
010
010
$ json '\''(~c&~a)||~b'\''
010
101
$ json '\''(~c&~a)||c'\''
010
001
$ json '\''(~c&b)||a'\''
010
100
$ json '\''(~c&b)||~a'\''
010
011
$ json '\''(~c&b)||~b'\''
010
101
$ json '\''(~c&b)||c'\''
010
001
$ json '\''(~c&~b)||a'\''
100
100
$ json '\''(~c&~b)||~a'\''
100
011
$ json '\''(~c&~b)||b'\''
100
010
$ json '\''(~c&~b)||c'\''
100
001
$ json '\''(~c&c)||a'\''
000
100
$ json '\''(~c&c)||~a'\''
000
011
$ json '\''(~c&c)||b'\''
000
010
$ json '\''(~c&c)||~b'\''
000
101
$ json '\''(a|~a)&b'\''
010
$ json '\''(a|~a)&~b'\''
101
$ json '\''(a|~a)&c'\''
001
$ json '\''(a|~a)&~c'\''
110
$ json '\''(a|b)&~a'\''
010
$ json '\''(a|b)&~b'\''
100
$ json '\''(a|b)&c'\''
000
$ json '\''(a|b)&~c'\''
110
$ json '\''(a|~b)&~a'\''
001
$ json '\''(a|~b)&b'\''
000
$ json '\''(a|~b)&c'\''
001
$ json '\''(a|~b)&~c'\''
100
$ json '\''(a|c)&~a'\''
001
$ json '\''(a|c)&b'\''
000
$ json '\''(a|c)&~b'\''
101
$ json '\''(a|c)&~c'\''
100
$ json '\''(a|~c)&~a'\''
010
$ json '\''(a|~c)&b'\''
010
$ json '\''(a|~c)&~b'\''
100
$ json '\''(a|~c)&c'\''
000
$ json '\''(~a|a)&b'\''
010
$ json '\''(~a|a)&~b'\''
101
$ json '\''(~a|a)&c'\''
001
$ json '\''(~a|a)&~c'\''
110
$ json '\''(~a|b)&a'\''
000
$ json '\''(~a|b)&~b'\''
001
$ json '\''(~a|b)&c'\''
001
$ json '\''(~a|b)&~c'\''
010
$ json '\''(~a|~b)&a'\''
100
$ json '\''(~a|~b)&b'\''
010
$ json '\''(~a|~b)&c'\''
001
$ json '\''(~a|~b)&~c'\''
110
$ json '\''(~a|c)&a'\''
000
$ json '\''(~a|c)&b'\''
010
$ json '\''(~a|c)&~b'\''
001
$ json '\''(~a|c)&~c'\''
010
$ json '\''(~a|~c)&a'\''
100
$ json '\''(~a|~c)&b'\''
010
$ json '\''(~a|~c)&~b'\''
101
$ json '\''(~a|~c)&c'\''
001
$ json '\''(b|a)&~a'\''
010
$ json '\''(b|a)&~b'\''
100
$ json '\''(b|a)&c'\''
000
$ json '\''(b|a)&~c'\''
110
$ json '\''(b|~a)&a'\''
000
$ json '\''(b|~a)&~b'\''
001
$ json '\''(b|~a)&c'\''
001
$ json '\''(b|~a)&~c'\''
010
$ json '\''(b|~b)&a'\''
100
$ json '\''(b|~b)&~a'\''
011
$ json '\''(b|~b)&c'\''
001
$ json '\''(b|~b)&~c'\''
110
$ json '\''(b|c)&a'\''
000
$ json '\''(b|c)&~a'\''
011
$ json '\''(b|c)&~b'\''
001
$ json '\''(b|c)&~c'\''
010
$ json '\''(b|~c)&a'\''
100
$ json '\''(b|~c)&~a'\''
010
$ json '\''(b|~c)&~b'\''
100
$ json '\''(b|~c)&c'\''
000
$ json '\''(~b|a)&~a'\''
001
$ json '\''(~b|a)&b'\''
000
$ json '\''(~b|a)&c'\''
001
$ json '\''(~b|a)&~c'\''
100
$ json '\''(~b|~a)&a'\''
100
$ json '\''(~b|~a)&b'\''
010
$ json '\''(~b|~a)&c'\''
001
$ json '\''(~b|~a)&~c'\''
110
$ json '\''(~b|b)&a'\''
100
$ json '\''(~b|b)&~a'\''
011
$ json '\''(~b|b)&c'\''
001
$ json '\''(~b|b)&~c'\''
110
$ json '\''(~b|c)&a'\''
100
$ json '\''(~b|c)&~a'\''
001
$ json '\''(~b|c)&b'\''
000
$ json '\''(~b|c)&~c'\''
100
$ json '\''(~b|~c)&a'\''
100
$ json '\''(~b|~c)&~a'\''
011
$ json '\''(~b|~c)&b'\''
010
$ json '\''(~b|~c)&c'\''
001
$ json '\''(c|a)&~a'\''
001
$ json '\''(c|a)&b'\''
000
$ json '\''(c|a)&~b'\''
101
$ json '\''(c|a)&~c'\''
100
$ json '\''(c|~a)&a'\''
000
$ json '\''(c|~a)&b'\''
010
$ json '\''(c|~a)&~b'\''
001
$ json '\''(c|~a)&~c'\''
010
$ json '\''(c|b)&a'\''
000
$ json '\''(c|b)&~a'\''
011
$ json '\''(c|b)&~b'\''
001
$ json '\''(c|b)&~c'\''
010
$ json '\''(c|~b)&a'\''
100
$ json '\''(c|~b)&~a'\''
001
$ json '\''(c|~b)&b'\''
000
$ json '\''(c|~b)&~c'\''
100
$ json '\''(c|~c)&a'\''
100
$ json '\''(c|~c)&~a'\''
011
$ json '\''(c|~c)&b'\''
010
$ json '\''(c|~c)&~b'\''
101
$ json '\''(~c|a)&~a'\''
010
$ json '\''(~c|a)&b'\''
010
$ json '\''(~c|a)&~b'\''
100
$ json '\''(~c|a)&c'\''
000
$ json '\''(~c|~a)&a'\''
100
$ json '\''(~c|~a)&b'\''
010
$ json '\''(~c|~a)&~b'\''
101
$ json '\''(~c|~a)&c'\''
001
$ json '\''(~c|b)&a'\''
100
$ json '\''(~c|b)&~a'\''
010
$ json '\''(~c|b)&~b'\''
100
$ json '\''(~c|b)&c'\''
000
$ json '\''(~c|~b)&a'\''
100
$ json '\''(~c|~b)&~a'\''
011
$ json '\''(~c|~b)&b'\''
010
$ json '\''(~c|~b)&c'\''
001
$ json '\''(~c|c)&a'\''
100
$ json '\''(~c|c)&~a'\''
011
$ json '\''(~c|c)&b'\''
010
$ json '\''(~c|c)&~b'\''
101
$ json '\''(a|~a)|b'\''
111
$ json '\''(a|~a)|~b'\''
111
$ json '\''(a|~a)|c'\''
111
$ json '\''(a|~a)|~c'\''
111
$ json '\''(a|b)|~a'\''
111
$ json '\''(a|b)|~b'\''
111
$ json '\''(a|b)|c'\''
111
$ json '\''(a|b)|~c'\''
110
$ json '\''(a|~b)|~a'\''
111
$ json '\''(a|~b)|b'\''
111
$ json '\''(a|~b)|c'\''
101
$ json '\''(a|~b)|~c'\''
111
$ json '\''(a|c)|~a'\''
111
$ json '\''(a|c)|b'\''
111
$ json '\''(a|c)|~b'\''
101
$ json '\''(a|c)|~c'\''
111
$ json '\''(a|~c)|~a'\''
111
$ json '\''(a|~c)|b'\''
110
$ json '\''(a|~c)|~b'\''
111
$ json '\''(a|~c)|c'\''
111
$ json '\''(~a|a)|b'\''
111
$ json '\''(~a|a)|~b'\''
111
$ json '\''(~a|a)|c'\''
111
$ json '\''(~a|a)|~c'\''
111
$ json '\''(~a|b)|a'\''
111
$ json '\''(~a|b)|~b'\''
111
$ json '\''(~a|b)|c'\''
011
$ json '\''(~a|b)|~c'\''
111
$ json '\''(~a|~b)|a'\''
111
$ json '\''(~a|~b)|b'\''
111
$ json '\''(~a|~b)|c'\''
111
$ json '\''(~a|~b)|~c'\''
111
$ json '\''(~a|c)|a'\''
111
$ json '\''(~a|c)|b'\''
011
$ json '\''(~a|c)|~b'\''
111
$ json '\''(~a|c)|~c'\''
111
$ json '\''(~a|~c)|a'\''
111
$ json '\''(~a|~c)|b'\''
111
$ json '\''(~a|~c)|~b'\''
111
$ json '\''(~a|~c)|c'\''
111
$ json '\''(b|a)|~a'\''
111
$ json '\''(b|a)|~b'\''
111
$ json '\''(b|a)|c'\''
111
$ json '\''(b|a)|~c'\''
110
$ json '\''(b|~a)|a'\''
111
$ json '\''(b|~a)|~b'\''
111
$ json '\''(b|~a)|c'\''
011
$ json '\''(b|~a)|~c'\''
111
$ json '\''(b|~b)|a'\''
111
$ json '\''(b|~b)|~a'\''
111
$ json '\''(b|~b)|c'\''
111
$ json '\''(b|~b)|~c'\''
111
$ json '\''(b|c)|a'\''
111
$ json '\''(b|c)|~a'\''
011
$ json '\''(b|c)|~b'\''
111
$ json '\''(b|c)|~c'\''
111
$ json '\''(b|~c)|a'\''
110
$ json '\''(b|~c)|~a'\''
111
$ json '\''(b|~c)|~b'\''
111
$ json '\''(b|~c)|c'\''
111
$ json '\''(~b|a)|~a'\''
111
$ json '\''(~b|a)|b'\''
111
$ json '\''(~b|a)|c'\''
101
$ json '\''(~b|a)|~c'\''
111
$ json '\''(~b|~a)|a'\''
111
$ json '\''(~b|~a)|b'\''
111
$ json '\''(~b|~a)|c'\''
111
$ json '\''(~b|~a)|~c'\''
111
$ json '\''(~b|b)|a'\''
111
$ json '\''(~b|b)|~a'\''
111
$ json '\''(~b|b)|c'\''
111
$ json '\''(~b|b)|~c'\''
111
$ json '\''(~b|c)|a'\''
101
$ json '\''(~b|c)|~a'\''
111
$ json '\''(~b|c)|b'\''
111
$ json '\''(~b|c)|~c'\''
111
$ json '\''(~b|~c)|a'\''
111
$ json '\''(~b|~c)|~a'\''
111
$ json '\''(~b|~c)|b'\''
111
$ json '\''(~b|~c)|c'\''
111
$ json '\''(c|a)|~a'\''
111
$ json '\''(c|a)|b'\''
111
$ json '\''(c|a)|~b'\''
101
$ json '\''(c|a)|~c'\''
111
$ json '\''(c|~a)|a'\''
111
$ json '\''(c|~a)|b'\''
011
$ json '\''(c|~a)|~b'\''
111
$ json '\''(c|~a)|~c'\''
111
$ json '\''(c|b)|a'\''
111
$ json '\''(c|b)|~a'\''
011
$ json '\''(c|b)|~b'\''
111
$ json '\''(c|b)|~c'\''
111
$ json '\''(c|~b)|a'\''
101
$ json '\''(c|~b)|~a'\''
111
$ json '\''(c|~b)|b'\''
111
$ json '\''(c|~b)|~c'\''
111
$ json '\''(c|~c)|a'\''
111
$ json '\''(c|~c)|~a'\''
111
$ json '\''(c|~c)|b'\''
111
$ json '\''(c|~c)|~b'\''
111
$ json '\''(~c|a)|~a'\''
111
$ json '\''(~c|a)|b'\''
110
$ json '\''(~c|a)|~b'\''
111
$ json '\''(~c|a)|c'\''
111
$ json '\''(~c|~a)|a'\''
111
$ json '\''(~c|~a)|b'\''
111
$ json '\''(~c|~a)|~b'\''
111
$ json '\''(~c|~a)|c'\''
111
$ json '\''(~c|b)|a'\''
110
$ json '\''(~c|b)|~a'\''
111
$ json '\''(~c|b)|~b'\''
111
$ json '\''(~c|b)|c'\''
111
$ json '\''(~c|~b)|a'\''
111
$ json '\''(~c|~b)|~a'\''
111
$ json '\''(~c|~b)|b'\''
111
$ json '\''(~c|~b)|c'\''
111
$ json '\''(~c|c)|a'\''
111
$ json '\''(~c|c)|~a'\''
111
$ json '\''(~c|c)|b'\''
111
$ json '\''(~c|c)|~b'\''
111
$ json '\''(a|~a)||b'\''
111
010
$ json '\''(a|~a)||~b'\''
111
101
$ json '\''(a|~a)||c'\''
111
001
$ json '\''(a|~a)||~c'\''
111
110
$ json '\''(a|b)||~a'\''
110
011
$ json '\''(a|b)||~b'\''
110
101
$ json '\''(a|b)||c'\''
110
001
$ json '\''(a|b)||~c'\''
110
110
$ json '\''(a|~b)||~a'\''
101
011
$ json '\''(a|~b)||b'\''
101
010
$ json '\''(a|~b)||c'\''
101
001
$ json '\''(a|~b)||~c'\''
101
110
$ json '\''(a|c)||~a'\''
101
011
$ json '\''(a|c)||b'\''
101
010
$ json '\''(a|c)||~b'\''
101
101
$ json '\''(a|c)||~c'\''
101
110
$ json '\''(a|~c)||~a'\''
110
011
$ json '\''(a|~c)||b'\''
110
010
$ json '\''(a|~c)||~b'\''
110
101
$ json '\''(a|~c)||c'\''
110
001
$ json '\''(~a|a)||b'\''
111
010
$ json '\''(~a|a)||~b'\''
111
101
$ json '\''(~a|a)||c'\''
111
001
$ json '\''(~a|a)||~c'\''
111
110
$ json '\''(~a|b)||a'\''
011
100
$ json '\''(~a|b)||~b'\''
011
101
$ json '\''(~a|b)||c'\''
011
001
$ json '\''(~a|b)||~c'\''
011
110
$ json '\''(~a|~b)||a'\''
111
100
$ json '\''(~a|~b)||b'\''
111
010
$ json '\''(~a|~b)||c'\''
111
001
$ json '\''(~a|~b)||~c'\''
111
110
$ json '\''(~a|c)||a'\''
011
100
$ json '\''(~a|c)||b'\''
011
010
$ json '\''(~a|c)||~b'\''
011
101
$ json '\''(~a|c)||~c'\''
011
110
$ json '\''(~a|~c)||a'\''
111
100
$ json '\''(~a|~c)||b'\''
111
010
$ json '\''(~a|~c)||~b'\''
111
101
$ json '\''(~a|~c)||c'\''
111
001
$ json '\''(b|a)||~a'\''
110
011
$ json '\''(b|a)||~b'\''
110
101
$ json '\''(b|a)||c'\''
110
001
$ json '\''(b|a)||~c'\''
110
110
$ json '\''(b|~a)||a'\''
011
100
$ json '\''(b|~a)||~b'\''
011
101
$ json '\''(b|~a)||c'\''
011
001
$ json '\''(b|~a)||~c'\''
011
110
$ json '\''(b|~b)||a'\''
111
100
$ json '\''(b|~b)||~a'\''
111
011
$ json '\''(b|~b)||c'\''
111
001
$ json '\''(b|~b)||~c'\''
111
110
$ json '\''(b|c)||a'\''
011
100
$ json '\''(b|c)||~a'\''
011
011
$ json '\''(b|c)||~b'\''
011
101
$ json '\''(b|c)||~c'\''
011
110
$ json '\''(b|~c)||a'\''
110
100
$ json '\''(b|~c)||~a'\''
110
011
$ json '\''(b|~c)||~b'\''
110
101
$ json '\''(b|~c)||c'\''
110
001
$ json '\''(~b|a)||~a'\''
101
011
$ json '\''(~b|a)||b'\''
101
010
$ json '\''(~b|a)||c'\''
101
001
$ json '\''(~b|a)||~c'\''
101
110
$ json '\''(~b|~a)||a'\''
111
100
$ json '\''(~b|~a)||b'\''
111
010
$ json '\''(~b|~a)||c'\''
111
001
$ json '\''(~b|~a)||~c'\''
111
110
$ json '\''(~b|b)||a'\''
111
100
$ json '\''(~b|b)||~a'\''
111
011
$ json '\''(~b|b)||c'\''
111
001
$ json '\''(~b|b)||~c'\''
111
110
$ json '\''(~b|c)||a'\''
101
100
$ json '\''(~b|c)||~a'\''
101
011
$ json '\''(~b|c)||b'\''
101
010
$ json '\''(~b|c)||~c'\''
101
110
$ json '\''(~b|~c)||a'\''
111
100
$ json '\''(~b|~c)||~a'\''
111
011
$ json '\''(~b|~c)||b'\''
111
010
$ json '\''(~b|~c)||c'\''
111
001
$ json '\''(c|a)||~a'\''
101
011
$ json '\''(c|a)||b'\''
101
010
$ json '\''(c|a)||~b'\''
101
101
$ json '\''(c|a)||~c'\''
101
110
$ json '\''(c|~a)||a'\''
011
100
$ json '\''(c|~a)||b'\''
011
010
$ json '\''(c|~a)||~b'\''
011
101
$ json '\''(c|~a)||~c'\''
011
110
$ json '\''(c|b)||a'\''
011
100
$ json '\''(c|b)||~a'\''
011
011
$ json '\''(c|b)||~b'\''
011
101
$ json '\''(c|b)||~c'\''
011
110
$ json '\''(c|~b)||a'\''
101
100
$ json '\''(c|~b)||~a'\''
101
011
$ json '\''(c|~b)||b'\''
101
010
$ json '\''(c|~b)||~c'\''
101
110
$ json '\''(c|~c)||a'\''
111
100
$ json '\''(c|~c)||~a'\''
111
011
$ json '\''(c|~c)||b'\''
111
010
$ json '\''(c|~c)||~b'\''
111
101
$ json '\''(~c|a)||~a'\''
110
011
$ json '\''(~c|a)||b'\''
110
010
$ json '\''(~c|a)||~b'\''
110
101
$ json '\''(~c|a)||c'\''
110
001
$ json '\''(~c|~a)||a'\''
111
100
$ json '\''(~c|~a)||b'\''
111
010
$ json '\''(~c|~a)||~b'\''
111
101
$ json '\''(~c|~a)||c'\''
111
001
$ json '\''(~c|b)||a'\''
110
100
$ json '\''(~c|b)||~a'\''
110
011
$ json '\''(~c|b)||~b'\''
110
101
$ json '\''(~c|b)||c'\''
110
001
$ json '\''(~c|~b)||a'\''
111
100
$ json '\''(~c|~b)||~a'\''
111
011
$ json '\''(~c|~b)||b'\''
111
010
$ json '\''(~c|~b)||c'\''
111
001
$ json '\''(~c|c)||a'\''
111
100
$ json '\''(~c|c)||~a'\''
111
011
$ json '\''(~c|c)||b'\''
111
010
$ json '\''(~c|c)||~b'\''
111
101
$ json '\''(a||~a)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)&b'\''
$ json '\''(a||~a)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)&~b'\''
$ json '\''(a||~a)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)&c'\''
$ json '\''(a||~a)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)&~c'\''
$ json '\''(a||b)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)&~a'\''
$ json '\''(a||b)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)&~b'\''
$ json '\''(a||b)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)&c'\''
$ json '\''(a||b)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)&~c'\''
$ json '\''(a||~b)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)&~a'\''
$ json '\''(a||~b)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)&b'\''
$ json '\''(a||~b)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)&c'\''
$ json '\''(a||~b)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)&~c'\''
$ json '\''(a||c)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)&~a'\''
$ json '\''(a||c)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)&b'\''
$ json '\''(a||c)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)&~b'\''
$ json '\''(a||c)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)&~c'\''
$ json '\''(a||~c)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)&~a'\''
$ json '\''(a||~c)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)&b'\''
$ json '\''(a||~c)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)&~b'\''
$ json '\''(a||~c)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)&c'\''
$ json '\''(~a||a)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)&b'\''
$ json '\''(~a||a)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)&~b'\''
$ json '\''(~a||a)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)&c'\''
$ json '\''(~a||a)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)&~c'\''
$ json '\''(~a||b)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)&a'\''
$ json '\''(~a||b)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)&~b'\''
$ json '\''(~a||b)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)&c'\''
$ json '\''(~a||b)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)&~c'\''
$ json '\''(~a||~b)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)&a'\''
$ json '\''(~a||~b)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)&b'\''
$ json '\''(~a||~b)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)&c'\''
$ json '\''(~a||~b)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)&~c'\''
$ json '\''(~a||c)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)&a'\''
$ json '\''(~a||c)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)&b'\''
$ json '\''(~a||c)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)&~b'\''
$ json '\''(~a||c)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)&~c'\''
$ json '\''(~a||~c)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)&a'\''
$ json '\''(~a||~c)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)&b'\''
$ json '\''(~a||~c)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)&~b'\''
$ json '\''(~a||~c)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)&c'\''
$ json '\''(b||a)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)&~a'\''
$ json '\''(b||a)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)&~b'\''
$ json '\''(b||a)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)&c'\''
$ json '\''(b||a)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)&~c'\''
$ json '\''(b||~a)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)&a'\''
$ json '\''(b||~a)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)&~b'\''
$ json '\''(b||~a)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)&c'\''
$ json '\''(b||~a)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)&~c'\''
$ json '\''(b||~b)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)&a'\''
$ json '\''(b||~b)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)&~a'\''
$ json '\''(b||~b)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)&c'\''
$ json '\''(b||~b)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)&~c'\''
$ json '\''(b||c)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)&a'\''
$ json '\''(b||c)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)&~a'\''
$ json '\''(b||c)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)&~b'\''
$ json '\''(b||c)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)&~c'\''
$ json '\''(b||~c)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)&a'\''
$ json '\''(b||~c)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)&~a'\''
$ json '\''(b||~c)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)&~b'\''
$ json '\''(b||~c)&c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)&c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)&c'\''
$ json '\''(~b||a)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)&~a'\''
$ json '\''(~b||a)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)&b'\''
$ json '\''(~b||a)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)&c'\''
$ json '\''(~b||a)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)&~c'\''
$ json '\''(~b||~a)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)&a'\''
$ json '\''(~b||~a)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)&b'\''
$ json '\''(~b||~a)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)&c'\''
$ json '\''(~b||~a)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)&~c'\''
$ json '\''(~b||b)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)&a'\''
$ json '\''(~b||b)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)&~a'\''
$ json '\''(~b||b)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)&c'\''
$ json '\''(~b||b)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)&~c'\''
$ json '\''(~b||c)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)&a'\''
$ json '\''(~b||c)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)&~a'\''
$ json '\''(~b||c)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)&b'\''
$ json '\''(~b||c)&~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)&~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)&~c'\''
$ json '\''(~b||~c)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)&a'\''
$ json '\''(~b||~c)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)&~a'\''
$ json '\''(~b||~c)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)&b'\''
$ json '\''(~b||~c)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)&c'\''
$ json '\''(c||a)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)&~a'\''
$ json '\''(c||a)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)&b'\''
$ json '\''(c||a)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)&~b'\''
$ json '\''(c||a)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)&~c'\''
$ json '\''(c||~a)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)&a'\''
$ json '\''(c||~a)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)&b'\''
$ json '\''(c||~a)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)&~b'\''
$ json '\''(c||~a)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)&~c'\''
$ json '\''(c||b)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)&a'\''
$ json '\''(c||b)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)&~a'\''
$ json '\''(c||b)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)&~b'\''
$ json '\''(c||b)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)&~c'\''
$ json '\''(c||~b)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)&a'\''
$ json '\''(c||~b)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)&~a'\''
$ json '\''(c||~b)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)&b'\''
$ json '\''(c||~b)&~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)&~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)&~c'\''
$ json '\''(c||~c)&a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)&a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)&a'\''
$ json '\''(c||~c)&~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)&~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)&~a'\''
$ json '\''(c||~c)&b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)&b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)&b'\''
$ json '\''(c||~c)&~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)&~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)&~b'\''
$ json '\''(~c||a)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)&~a'\''
$ json '\''(~c||a)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)&b'\''
$ json '\''(~c||a)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)&~b'\''
$ json '\''(~c||a)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)&c'\''
$ json '\''(~c||~a)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)&a'\''
$ json '\''(~c||~a)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)&b'\''
$ json '\''(~c||~a)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)&~b'\''
$ json '\''(~c||~a)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)&c'\''
$ json '\''(~c||b)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)&a'\''
$ json '\''(~c||b)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)&~a'\''
$ json '\''(~c||b)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)&~b'\''
$ json '\''(~c||b)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)&c'\''
$ json '\''(~c||~b)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)&a'\''
$ json '\''(~c||~b)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)&~a'\''
$ json '\''(~c||~b)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)&b'\''
$ json '\''(~c||~b)&c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)&c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)&c'\''
$ json '\''(~c||c)&a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)&a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)&a'\''
$ json '\''(~c||c)&~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)&~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)&~a'\''
$ json '\''(~c||c)&b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)&b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)&b'\''
$ json '\''(~c||c)&~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)&~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)&~b'\''
$ json '\''(a||~a)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)|b'\''
$ json '\''(a||~a)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)|~b'\''
$ json '\''(a||~a)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)|c'\''
$ json '\''(a||~a)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)|~c'\''
$ json '\''(a||b)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)|~a'\''
$ json '\''(a||b)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)|~b'\''
$ json '\''(a||b)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)|c'\''
$ json '\''(a||b)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)|~c'\''
$ json '\''(a||~b)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)|~a'\''
$ json '\''(a||~b)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)|b'\''
$ json '\''(a||~b)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)|c'\''
$ json '\''(a||~b)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)|~c'\''
$ json '\''(a||c)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)|~a'\''
$ json '\''(a||c)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)|b'\''
$ json '\''(a||c)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)|~b'\''
$ json '\''(a||c)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)|~c'\''
$ json '\''(a||~c)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)|~a'\''
$ json '\''(a||~c)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)|b'\''
$ json '\''(a||~c)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)|~b'\''
$ json '\''(a||~c)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)|c'\''
$ json '\''(~a||a)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)|b'\''
$ json '\''(~a||a)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)|~b'\''
$ json '\''(~a||a)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)|c'\''
$ json '\''(~a||a)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)|~c'\''
$ json '\''(~a||b)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)|a'\''
$ json '\''(~a||b)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)|~b'\''
$ json '\''(~a||b)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)|c'\''
$ json '\''(~a||b)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)|~c'\''
$ json '\''(~a||~b)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)|a'\''
$ json '\''(~a||~b)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)|b'\''
$ json '\''(~a||~b)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)|c'\''
$ json '\''(~a||~b)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)|~c'\''
$ json '\''(~a||c)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)|a'\''
$ json '\''(~a||c)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)|b'\''
$ json '\''(~a||c)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)|~b'\''
$ json '\''(~a||c)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)|~c'\''
$ json '\''(~a||~c)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)|a'\''
$ json '\''(~a||~c)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)|b'\''
$ json '\''(~a||~c)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)|~b'\''
$ json '\''(~a||~c)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)|c'\''
$ json '\''(b||a)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)|~a'\''
$ json '\''(b||a)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)|~b'\''
$ json '\''(b||a)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)|c'\''
$ json '\''(b||a)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)|~c'\''
$ json '\''(b||~a)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)|a'\''
$ json '\''(b||~a)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)|~b'\''
$ json '\''(b||~a)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)|c'\''
$ json '\''(b||~a)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)|~c'\''
$ json '\''(b||~b)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)|a'\''
$ json '\''(b||~b)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)|~a'\''
$ json '\''(b||~b)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)|c'\''
$ json '\''(b||~b)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)|~c'\''
$ json '\''(b||c)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)|a'\''
$ json '\''(b||c)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)|~a'\''
$ json '\''(b||c)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)|~b'\''
$ json '\''(b||c)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)|~c'\''
$ json '\''(b||~c)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)|a'\''
$ json '\''(b||~c)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)|~a'\''
$ json '\''(b||~c)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)|~b'\''
$ json '\''(b||~c)|c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)|c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)|c'\''
$ json '\''(~b||a)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)|~a'\''
$ json '\''(~b||a)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)|b'\''
$ json '\''(~b||a)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)|c'\''
$ json '\''(~b||a)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)|~c'\''
$ json '\''(~b||~a)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)|a'\''
$ json '\''(~b||~a)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)|b'\''
$ json '\''(~b||~a)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)|c'\''
$ json '\''(~b||~a)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)|~c'\''
$ json '\''(~b||b)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)|a'\''
$ json '\''(~b||b)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)|~a'\''
$ json '\''(~b||b)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)|c'\''
$ json '\''(~b||b)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)|~c'\''
$ json '\''(~b||c)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)|a'\''
$ json '\''(~b||c)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)|~a'\''
$ json '\''(~b||c)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)|b'\''
$ json '\''(~b||c)|~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)|~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)|~c'\''
$ json '\''(~b||~c)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)|a'\''
$ json '\''(~b||~c)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)|~a'\''
$ json '\''(~b||~c)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)|b'\''
$ json '\''(~b||~c)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)|c'\''
$ json '\''(c||a)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)|~a'\''
$ json '\''(c||a)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)|b'\''
$ json '\''(c||a)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)|~b'\''
$ json '\''(c||a)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)|~c'\''
$ json '\''(c||~a)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)|a'\''
$ json '\''(c||~a)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)|b'\''
$ json '\''(c||~a)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)|~b'\''
$ json '\''(c||~a)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)|~c'\''
$ json '\''(c||b)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)|a'\''
$ json '\''(c||b)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)|~a'\''
$ json '\''(c||b)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)|~b'\''
$ json '\''(c||b)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)|~c'\''
$ json '\''(c||~b)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)|a'\''
$ json '\''(c||~b)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)|~a'\''
$ json '\''(c||~b)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)|b'\''
$ json '\''(c||~b)|~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)|~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)|~c'\''
$ json '\''(c||~c)|a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)|a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)|a'\''
$ json '\''(c||~c)|~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)|~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)|~a'\''
$ json '\''(c||~c)|b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)|b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)|b'\''
$ json '\''(c||~c)|~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)|~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)|~b'\''
$ json '\''(~c||a)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)|~a'\''
$ json '\''(~c||a)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)|b'\''
$ json '\''(~c||a)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)|~b'\''
$ json '\''(~c||a)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)|c'\''
$ json '\''(~c||~a)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)|a'\''
$ json '\''(~c||~a)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)|b'\''
$ json '\''(~c||~a)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)|~b'\''
$ json '\''(~c||~a)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)|c'\''
$ json '\''(~c||b)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)|a'\''
$ json '\''(~c||b)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)|~a'\''
$ json '\''(~c||b)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)|~b'\''
$ json '\''(~c||b)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)|c'\''
$ json '\''(~c||~b)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)|a'\''
$ json '\''(~c||~b)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)|~a'\''
$ json '\''(~c||~b)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)|b'\''
$ json '\''(~c||~b)|c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)|c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)|c'\''
$ json '\''(~c||c)|a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)|a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)|a'\''
$ json '\''(~c||c)|~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)|~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)|~a'\''
$ json '\''(~c||c)|b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)|b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)|b'\''
$ json '\''(~c||c)|~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)|~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)|~b'\''
$ json '\''(a||~a)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)||b'\''
$ json '\''(a||~a)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)||~b'\''
$ json '\''(a||~a)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)||c'\''
$ json '\''(a||~a)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~a)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~a)||~c'\''
$ json '\''(a||b)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)||~a'\''
$ json '\''(a||b)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)||~b'\''
$ json '\''(a||b)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)||c'\''
$ json '\''(a||b)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||b)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||b)||~c'\''
$ json '\''(a||~b)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)||~a'\''
$ json '\''(a||~b)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)||b'\''
$ json '\''(a||~b)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)||c'\''
$ json '\''(a||~b)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~b)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~b)||~c'\''
$ json '\''(a||c)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)||~a'\''
$ json '\''(a||c)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)||b'\''
$ json '\''(a||c)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)||~b'\''
$ json '\''(a||c)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||c)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||c)||~c'\''
$ json '\''(a||~c)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)||~a'\''
$ json '\''(a||~c)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)||b'\''
$ json '\''(a||~c)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)||~b'\''
$ json '\''(a||~c)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(a||~c)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(a||~c)||c'\''
$ json '\''(~a||a)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)||b'\''
$ json '\''(~a||a)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)||~b'\''
$ json '\''(~a||a)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)||c'\''
$ json '\''(~a||a)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||a)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||a)||~c'\''
$ json '\''(~a||b)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)||a'\''
$ json '\''(~a||b)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)||~b'\''
$ json '\''(~a||b)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)||c'\''
$ json '\''(~a||b)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||b)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||b)||~c'\''
$ json '\''(~a||~b)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)||a'\''
$ json '\''(~a||~b)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)||b'\''
$ json '\''(~a||~b)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)||c'\''
$ json '\''(~a||~b)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~b)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~b)||~c'\''
$ json '\''(~a||c)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)||a'\''
$ json '\''(~a||c)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)||b'\''
$ json '\''(~a||c)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)||~b'\''
$ json '\''(~a||c)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||c)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||c)||~c'\''
$ json '\''(~a||~c)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)||a'\''
$ json '\''(~a||~c)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)||b'\''
$ json '\''(~a||~c)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)||~b'\''
$ json '\''(~a||~c)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~a||~c)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~a||~c)||c'\''
$ json '\''(b||a)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)||~a'\''
$ json '\''(b||a)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)||~b'\''
$ json '\''(b||a)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)||c'\''
$ json '\''(b||a)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||a)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||a)||~c'\''
$ json '\''(b||~a)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)||a'\''
$ json '\''(b||~a)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)||~b'\''
$ json '\''(b||~a)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)||c'\''
$ json '\''(b||~a)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~a)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~a)||~c'\''
$ json '\''(b||~b)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)||a'\''
$ json '\''(b||~b)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)||~a'\''
$ json '\''(b||~b)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)||c'\''
$ json '\''(b||~b)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~b)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~b)||~c'\''
$ json '\''(b||c)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)||a'\''
$ json '\''(b||c)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)||~a'\''
$ json '\''(b||c)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)||~b'\''
$ json '\''(b||c)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||c)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||c)||~c'\''
$ json '\''(b||~c)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)||a'\''
$ json '\''(b||~c)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)||~a'\''
$ json '\''(b||~c)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)||~b'\''
$ json '\''(b||~c)||c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(b||~c)||c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(b||~c)||c'\''
$ json '\''(~b||a)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)||~a'\''
$ json '\''(~b||a)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)||b'\''
$ json '\''(~b||a)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)||c'\''
$ json '\''(~b||a)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||a)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||a)||~c'\''
$ json '\''(~b||~a)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)||a'\''
$ json '\''(~b||~a)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)||b'\''
$ json '\''(~b||~a)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)||c'\''
$ json '\''(~b||~a)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~a)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~a)||~c'\''
$ json '\''(~b||b)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)||a'\''
$ json '\''(~b||b)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)||~a'\''
$ json '\''(~b||b)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)||c'\''
$ json '\''(~b||b)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||b)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||b)||~c'\''
$ json '\''(~b||c)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)||a'\''
$ json '\''(~b||c)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)||~a'\''
$ json '\''(~b||c)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)||b'\''
$ json '\''(~b||c)||~c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||c)||~c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||c)||~c'\''
$ json '\''(~b||~c)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)||a'\''
$ json '\''(~b||~c)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)||~a'\''
$ json '\''(~b||~c)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)||b'\''
$ json '\''(~b||~c)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~b||~c)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~b||~c)||c'\''
$ json '\''(c||a)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)||~a'\''
$ json '\''(c||a)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)||b'\''
$ json '\''(c||a)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)||~b'\''
$ json '\''(c||a)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||a)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||a)||~c'\''
$ json '\''(c||~a)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)||a'\''
$ json '\''(c||~a)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)||b'\''
$ json '\''(c||~a)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)||~b'\''
$ json '\''(c||~a)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~a)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~a)||~c'\''
$ json '\''(c||b)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)||a'\''
$ json '\''(c||b)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)||~a'\''
$ json '\''(c||b)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)||~b'\''
$ json '\''(c||b)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||b)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||b)||~c'\''
$ json '\''(c||~b)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)||a'\''
$ json '\''(c||~b)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)||~a'\''
$ json '\''(c||~b)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)||b'\''
$ json '\''(c||~b)||~c'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~b)||~c"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~b)||~c'\''
$ json '\''(c||~c)||a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)||a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)||a'\''
$ json '\''(c||~c)||~a'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)||~a"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)||~a'\''
$ json '\''(c||~c)||b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)||b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)||b'\''
$ json '\''(c||~c)||~b'\''
json: error: <stdin>:2:4: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:4: c","type":"number"}],"expr":\n"(c||~c)||~b"}
json: error: <stdin>:2:4:                                  ^
command failed: json '\''(c||~c)||~b'\''
$ json '\''(~c||a)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)||~a'\''
$ json '\''(~c||a)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)||b'\''
$ json '\''(~c||a)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)||~b'\''
$ json '\''(~c||a)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||a)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||a)||c'\''
$ json '\''(~c||~a)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)||a'\''
$ json '\''(~c||~a)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)||b'\''
$ json '\''(~c||~a)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)||~b'\''
$ json '\''(~c||~a)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~a)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~a)||c'\''
$ json '\''(~c||b)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)||a'\''
$ json '\''(~c||b)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)||~a'\''
$ json '\''(~c||b)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)||~b'\''
$ json '\''(~c||b)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||b)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||b)||c'\''
$ json '\''(~c||~b)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)||a'\''
$ json '\''(~c||~b)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)||~a'\''
$ json '\''(~c||~b)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)||b'\''
$ json '\''(~c||~b)||c'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||~b)||c"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||~b)||c'\''
$ json '\''(~c||c)||a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)||a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)||a'\''
$ json '\''(~c||c)||~a'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)||~a"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)||~a'\''
$ json '\''(~c||c)||b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)||b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)||b'\''
$ json '\''(~c||c)||~b'\''
json: error: <stdin>:2:5: meta error: invalid dict expression: unexpected token
json: error: <stdin>:2:5: ","type":"number"}],"expr":\n"(~c||c)||~b"}
json: error: <stdin>:2:5:                                  ^
command failed: json '\''(~c||c)||~b'\'''
) -L dict-expr-keys3.new <(
echo '$ json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json -V -TA <<< '\''{"type":"dict","args":[{"name":"a","type":"number"},{"name":"b","type":"number"},{"name":"c","type":"number"}],"expr":'\''$'\''\n"'\''"$1"'\''"}'\''|LD_LIBRARY_PATH=../lib ../src/json -J --no-error|sed -nr '\''s|^/attr/expr/bits=||p'\''; }'
json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json -V -TA <<< '{"type":"dict","args":[{"name":"a","type":"number"},{"name":"b","type":"number"},{"name":"c","type":"number"}],"expr":'$'\n"'"$1"'"}'|LD_LIBRARY_PATH=../lib ../src/json -J --no-error|sed -nr 's|^/attr/expr/bits=||p'; } 2>&1 ||
echo 'command failed: json() { set -o pipefail && LD_LIBRARY_PATH=../lib ../src/json -V -TA <<< '\''{"type":"dict","args":[{"name":"a","type":"number"},{"name":"b","type":"number"},{"name":"c","type":"number"}],"expr":'\''$'\''\n"'\''"$1"'\''"}'\''|LD_LIBRARY_PATH=../lib ../src/json -J --no-error|sed -nr '\''s|^/attr/expr/bits=||p'\''; }'

echo '$ json '\''(a&~a)&b'\'''
json '(a&~a)&b' 2>&1 ||
echo 'command failed: json '\''(a&~a)&b'\'''

echo '$ json '\''(a&~a)&~b'\'''
json '(a&~a)&~b' 2>&1 ||
echo 'command failed: json '\''(a&~a)&~b'\'''

echo '$ json '\''(a&~a)&c'\'''
json '(a&~a)&c' 2>&1 ||
echo 'command failed: json '\''(a&~a)&c'\'''

echo '$ json '\''(a&~a)&~c'\'''
json '(a&~a)&~c' 2>&1 ||
echo 'command failed: json '\''(a&~a)&~c'\'''

echo '$ json '\''(a&b)&~a'\'''
json '(a&b)&~a' 2>&1 ||
echo 'command failed: json '\''(a&b)&~a'\'''

echo '$ json '\''(a&b)&~b'\'''
json '(a&b)&~b' 2>&1 ||
echo 'command failed: json '\''(a&b)&~b'\'''

echo '$ json '\''(a&b)&c'\'''
json '(a&b)&c' 2>&1 ||
echo 'command failed: json '\''(a&b)&c'\'''

echo '$ json '\''(a&b)&~c'\'''
json '(a&b)&~c' 2>&1 ||
echo 'command failed: json '\''(a&b)&~c'\'''

echo '$ json '\''(a&~b)&~a'\'''
json '(a&~b)&~a' 2>&1 ||
echo 'command failed: json '\''(a&~b)&~a'\'''

echo '$ json '\''(a&~b)&b'\'''
json '(a&~b)&b' 2>&1 ||
echo 'command failed: json '\''(a&~b)&b'\'''

echo '$ json '\''(a&~b)&c'\'''
json '(a&~b)&c' 2>&1 ||
echo 'command failed: json '\''(a&~b)&c'\'''

echo '$ json '\''(a&~b)&~c'\'''
json '(a&~b)&~c' 2>&1 ||
echo 'command failed: json '\''(a&~b)&~c'\'''

echo '$ json '\''(a&c)&~a'\'''
json '(a&c)&~a' 2>&1 ||
echo 'command failed: json '\''(a&c)&~a'\'''

echo '$ json '\''(a&c)&b'\'''
json '(a&c)&b' 2>&1 ||
echo 'command failed: json '\''(a&c)&b'\'''

echo '$ json '\''(a&c)&~b'\'''
json '(a&c)&~b' 2>&1 ||
echo 'command failed: json '\''(a&c)&~b'\'''

echo '$ json '\''(a&c)&~c'\'''
json '(a&c)&~c' 2>&1 ||
echo 'command failed: json '\''(a&c)&~c'\'''

echo '$ json '\''(a&~c)&~a'\'''
json '(a&~c)&~a' 2>&1 ||
echo 'command failed: json '\''(a&~c)&~a'\'''

echo '$ json '\''(a&~c)&b'\'''
json '(a&~c)&b' 2>&1 ||
echo 'command failed: json '\''(a&~c)&b'\'''

echo '$ json '\''(a&~c)&~b'\'''
json '(a&~c)&~b' 2>&1 ||
echo 'command failed: json '\''(a&~c)&~b'\'''

echo '$ json '\''(a&~c)&c'\'''
json '(a&~c)&c' 2>&1 ||
echo 'command failed: json '\''(a&~c)&c'\'''

echo '$ json '\''(~a&a)&b'\'''
json '(~a&a)&b' 2>&1 ||
echo 'command failed: json '\''(~a&a)&b'\'''

echo '$ json '\''(~a&a)&~b'\'''
json '(~a&a)&~b' 2>&1 ||
echo 'command failed: json '\''(~a&a)&~b'\'''

echo '$ json '\''(~a&a)&c'\'''
json '(~a&a)&c' 2>&1 ||
echo 'command failed: json '\''(~a&a)&c'\'''

echo '$ json '\''(~a&a)&~c'\'''
json '(~a&a)&~c' 2>&1 ||
echo 'command failed: json '\''(~a&a)&~c'\'''

echo '$ json '\''(~a&b)&a'\'''
json '(~a&b)&a' 2>&1 ||
echo 'command failed: json '\''(~a&b)&a'\'''

echo '$ json '\''(~a&b)&~b'\'''
json '(~a&b)&~b' 2>&1 ||
echo 'command failed: json '\''(~a&b)&~b'\'''

echo '$ json '\''(~a&b)&c'\'''
json '(~a&b)&c' 2>&1 ||
echo 'command failed: json '\''(~a&b)&c'\'''

echo '$ json '\''(~a&b)&~c'\'''
json '(~a&b)&~c' 2>&1 ||
echo 'command failed: json '\''(~a&b)&~c'\'''

echo '$ json '\''(~a&~b)&a'\'''
json '(~a&~b)&a' 2>&1 ||
echo 'command failed: json '\''(~a&~b)&a'\'''

echo '$ json '\''(~a&~b)&b'\'''
json '(~a&~b)&b' 2>&1 ||
echo 'command failed: json '\''(~a&~b)&b'\'''

echo '$ json '\''(~a&~b)&c'\'''
json '(~a&~b)&c' 2>&1 ||
echo 'command failed: json '\''(~a&~b)&c'\'''

echo '$ json '\''(~a&~b)&~c'\'''
json '(~a&~b)&~c' 2>&1 ||
echo 'command failed: json '\''(~a&~b)&~c'\'''

echo '$ json '\''(~a&c)&a'\'''
json '(~a&c)&a' 2>&1 ||
echo 'command failed: json '\''(~a&c)&a'\'''

echo '$ json '\''(~a&c)&b'\'''
json '(~a&c)&b' 2>&1 ||
echo 'command failed: json '\''(~a&c)&b'\'''

echo '$ json '\''(~a&c)&~b'\'''
json '(~a&c)&~b' 2>&1 ||
echo 'command failed: json '\''(~a&c)&~b'\'''

echo '$ json '\''(~a&c)&~c'\'''
json '(~a&c)&~c' 2>&1 ||
echo 'command failed: json '\''(~a&c)&~c'\'''

echo '$ json '\''(~a&~c)&a'\'''
json '(~a&~c)&a' 2>&1 ||
echo 'command failed: json '\''(~a&~c)&a'\'''

echo '$ json '\''(~a&~c)&b'\'''
json '(~a&~c)&b' 2>&1 ||
echo 'command failed: json '\''(~a&~c)&b'\'''

echo '$ json '\''(~a&~c)&~b'\'''
json '(~a&~c)&~b' 2>&1 ||
echo 'command failed: json '\''(~a&~c)&~b'\'''

echo '$ json '\''(~a&~c)&c'\'''
json '(~a&~c)&c' 2>&1 ||
echo 'command failed: json '\''(~a&~c)&c'\'''

echo '$ json '\''(b&a)&~a'\'''
json '(b&a)&~a' 2>&1 ||
echo 'command failed: json '\''(b&a)&~a'\'''

echo '$ json '\''(b&a)&~b'\'''
json '(b&a)&~b' 2>&1 ||
echo 'command failed: json '\''(b&a)&~b'\'''

echo '$ json '\''(b&a)&c'\'''
json '(b&a)&c' 2>&1 ||
echo 'command failed: json '\''(b&a)&c'\'''

echo '$ json '\''(b&a)&~c'\'''
json '(b&a)&~c' 2>&1 ||
echo 'command failed: json '\''(b&a)&~c'\'''

echo '$ json '\''(b&~a)&a'\'''
json '(b&~a)&a' 2>&1 ||
echo 'command failed: json '\''(b&~a)&a'\'''

echo '$ json '\''(b&~a)&~b'\'''
json '(b&~a)&~b' 2>&1 ||
echo 'command failed: json '\''(b&~a)&~b'\'''

echo '$ json '\''(b&~a)&c'\'''
json '(b&~a)&c' 2>&1 ||
echo 'command failed: json '\''(b&~a)&c'\'''

echo '$ json '\''(b&~a)&~c'\'''
json '(b&~a)&~c' 2>&1 ||
echo 'command failed: json '\''(b&~a)&~c'\'''

echo '$ json '\''(b&~b)&a'\'''
json '(b&~b)&a' 2>&1 ||
echo 'command failed: json '\''(b&~b)&a'\'''

echo '$ json '\''(b&~b)&~a'\'''
json '(b&~b)&~a' 2>&1 ||
echo 'command failed: json '\''(b&~b)&~a'\'''

echo '$ json '\''(b&~b)&c'\'''
json '(b&~b)&c' 2>&1 ||
echo 'command failed: json '\''(b&~b)&c'\'''

echo '$ json '\''(b&~b)&~c'\'''
json '(b&~b)&~c' 2>&1 ||
echo 'command failed: json '\''(b&~b)&~c'\'''

echo '$ json '\''(b&c)&a'\'''
json '(b&c)&a' 2>&1 ||
echo 'command failed: json '\''(b&c)&a'\'''

echo '$ json '\''(b&c)&~a'\'''
json '(b&c)&~a' 2>&1 ||
echo 'command failed: json '\''(b&c)&~a'\'''

echo '$ json '\''(b&c)&~b'\'''
json '(b&c)&~b' 2>&1 ||
echo 'command failed: json '\''(b&c)&~b'\'''

echo '$ json '\''(b&c)&~c'\'''
json '(b&c)&~c' 2>&1 ||
echo 'command failed: json '\''(b&c)&~c'\'''

echo '$ json '\''(b&~c)&a'\'''
json '(b&~c)&a' 2>&1 ||
echo 'command failed: json '\''(b&~c)&a'\'''

echo '$ json '\''(b&~c)&~a'\'''
json '(b&~c)&~a' 2>&1 ||
echo 'command failed: json '\''(b&~c)&~a'\'''

echo '$ json '\''(b&~c)&~b'\'''
json '(b&~c)&~b' 2>&1 ||
echo 'command failed: json '\''(b&~c)&~b'\'''

echo '$ json '\''(b&~c)&c'\'''
json '(b&~c)&c' 2>&1 ||
echo 'command failed: json '\''(b&~c)&c'\'''

echo '$ json '\''(~b&a)&~a'\'''
json '(~b&a)&~a' 2>&1 ||
echo 'command failed: json '\''(~b&a)&~a'\'''

echo '$ json '\''(~b&a)&b'\'''
json '(~b&a)&b' 2>&1 ||
echo 'command failed: json '\''(~b&a)&b'\'''

echo '$ json '\''(~b&a)&c'\'''
json '(~b&a)&c' 2>&1 ||
echo 'command failed: json '\''(~b&a)&c'\'''

echo '$ json '\''(~b&a)&~c'\'''
json '(~b&a)&~c' 2>&1 ||
echo 'command failed: json '\''(~b&a)&~c'\'''

echo '$ json '\''(~b&~a)&a'\'''
json '(~b&~a)&a' 2>&1 ||
echo 'command failed: json '\''(~b&~a)&a'\'''

echo '$ json '\''(~b&~a)&b'\'''
json '(~b&~a)&b' 2>&1 ||
echo 'command failed: json '\''(~b&~a)&b'\'''

echo '$ json '\''(~b&~a)&c'\'''
json '(~b&~a)&c' 2>&1 ||
echo 'command failed: json '\''(~b&~a)&c'\'''

echo '$ json '\''(~b&~a)&~c'\'''
json '(~b&~a)&~c' 2>&1 ||
echo 'command failed: json '\''(~b&~a)&~c'\'''

echo '$ json '\''(~b&b)&a'\'''
json '(~b&b)&a' 2>&1 ||
echo 'command failed: json '\''(~b&b)&a'\'''

echo '$ json '\''(~b&b)&~a'\'''
json '(~b&b)&~a' 2>&1 ||
echo 'command failed: json '\''(~b&b)&~a'\'''

echo '$ json '\''(~b&b)&c'\'''
json '(~b&b)&c' 2>&1 ||
echo 'command failed: json '\''(~b&b)&c'\'''

echo '$ json '\''(~b&b)&~c'\'''
json '(~b&b)&~c' 2>&1 ||
echo 'command failed: json '\''(~b&b)&~c'\'''

echo '$ json '\''(~b&c)&a'\'''
json '(~b&c)&a' 2>&1 ||
echo 'command failed: json '\''(~b&c)&a'\'''

echo '$ json '\''(~b&c)&~a'\'''
json '(~b&c)&~a' 2>&1 ||
echo 'command failed: json '\''(~b&c)&~a'\'''

echo '$ json '\''(~b&c)&b'\'''
json '(~b&c)&b' 2>&1 ||
echo 'command failed: json '\''(~b&c)&b'\'''

echo '$ json '\''(~b&c)&~c'\'''
json '(~b&c)&~c' 2>&1 ||
echo 'command failed: json '\''(~b&c)&~c'\'''

echo '$ json '\''(~b&~c)&a'\'''
json '(~b&~c)&a' 2>&1 ||
echo 'command failed: json '\''(~b&~c)&a'\'''

echo '$ json '\''(~b&~c)&~a'\'''
json '(~b&~c)&~a' 2>&1 ||
echo 'command failed: json '\''(~b&~c)&~a'\'''

echo '$ json '\''(~b&~c)&b'\'''
json '(~b&~c)&b' 2>&1 ||
echo 'command failed: json '\''(~b&~c)&b'\'''

echo '$ json '\''(~b&~c)&c'\'''
json '(~b&~c)&c' 2>&1 ||
echo 'command failed: json '\''(~b&~c)&c'\'''

echo '$ json '\''(c&a)&~a'\'''
json '(c&a)&~a' 2>&1 ||
echo 'command failed: json '\''(c&a)&~a'\'''

echo '$ json '\''(c&a)&b'\'''
json '(c&a)&b' 2>&1 ||
echo 'command failed: json '\''(c&a)&b'\'''

echo '$ json '\''(c&a)&~b'\'''
json '(c&a)&~b' 2>&1 ||
echo 'command failed: json '\''(c&a)&~b'\'''

echo '$ json '\''(c&a)&~c'\'''
json '(c&a)&~c' 2>&1 ||
echo 'command failed: json '\''(c&a)&~c'\'''

echo '$ json '\''(c&~a)&a'\'''
json '(c&~a)&a' 2>&1 ||
echo 'command failed: json '\''(c&~a)&a'\'''

echo '$ json '\''(c&~a)&b'\'''
json '(c&~a)&b' 2>&1 ||
echo 'command failed: json '\''(c&~a)&b'\'''

echo '$ json '\''(c&~a)&~b'\'''
json '(c&~a)&~b' 2>&1 ||
echo 'command failed: json '\''(c&~a)&~b'\'''

echo '$ json '\''(c&~a)&~c'\'''
json '(c&~a)&~c' 2>&1 ||
echo 'command failed: json '\''(c&~a)&~c'\'''

echo '$ json '\''(c&b)&a'\'''
json '(c&b)&a' 2>&1 ||
echo 'command failed: json '\''(c&b)&a'\'''

echo '$ json '\''(c&b)&~a'\'''
json '(c&b)&~a' 2>&1 ||
echo 'command failed: json '\''(c&b)&~a'\'''

echo '$ json '\''(c&b)&~b'\'''
json '(c&b)&~b' 2>&1 ||
echo 'command failed: json '\''(c&b)&~b'\'''

echo '$ json '\''(c&b)&~c'\'''
json '(c&b)&~c' 2>&1 ||
echo 'command failed: json '\''(c&b)&~c'\'''

echo '$ json '\''(c&~b)&a'\'''
json '(c&~b)&a' 2>&1 ||
echo 'command failed: json '\''(c&~b)&a'\'''

echo '$ json '\''(c&~b)&~a'\'''
json '(c&~b)&~a' 2>&1 ||
echo 'command failed: json '\''(c&~b)&~a'\'''

echo '$ json '\''(c&~b)&b'\'''
json '(c&~b)&b' 2>&1 ||
echo 'command failed: json '\''(c&~b)&b'\'''

echo '$ json '\''(c&~b)&~c'\'''
json '(c&~b)&~c' 2>&1 ||
echo 'command failed: json '\''(c&~b)&~c'\'''

echo '$ json '\''(c&~c)&a'\'''
json '(c&~c)&a' 2>&1 ||
echo 'command failed: json '\''(c&~c)&a'\'''

echo '$ json '\''(c&~c)&~a'\'''
json '(c&~c)&~a' 2>&1 ||
echo 'command failed: json '\''(c&~c)&~a'\'''

echo '$ json '\''(c&~c)&b'\'''
json '(c&~c)&b' 2>&1 ||
echo 'command failed: json '\''(c&~c)&b'\'''

echo '$ json '\''(c&~c)&~b'\'''
json '(c&~c)&~b' 2>&1 ||
echo 'command failed: json '\''(c&~c)&~b'\'''

echo '$ json '\''(~c&a)&~a'\'''
json '(~c&a)&~a' 2>&1 ||
echo 'command failed: json '\''(~c&a)&~a'\'''

echo '$ json '\''(~c&a)&b'\'''
json '(~c&a)&b' 2>&1 ||
echo 'command failed: json '\''(~c&a)&b'\'''

echo '$ json '\''(~c&a)&~b'\'''
json '(~c&a)&~b' 2>&1 ||
echo 'command failed: json '\''(~c&a)&~b'\'''

echo '$ json '\''(~c&a)&c'\'''
json '(~c&a)&c' 2>&1 ||
echo 'command failed: json '\''(~c&a)&c'\'''

echo '$ json '\''(~c&~a)&a'\'''
json '(~c&~a)&a' 2>&1 ||
echo 'command failed: json '\''(~c&~a)&a'\'''

echo '$ json '\''(~c&~a)&b'\'''
json '(~c&~a)&b' 2>&1 ||
echo 'command failed: json '\''(~c&~a)&b'\'''

echo '$ json '\''(~c&~a)&~b'\'''
json '(~c&~a)&~b' 2>&1 ||
echo 'command failed: json '\''(~c&~a)&~b'\'''

echo '$ json '\''(~c&~a)&c'\'''
json '(~c&~a)&c' 2>&1 ||
echo 'command failed: json '\''(~c&~a)&c'\'''

echo '$ json '\''(~c&b)&a'\'''
json '(~c&b)&a' 2>&1 ||
echo 'command failed: json '\''(~c&b)&a'\'''

echo '$ json '\''(~c&b)&~a'\'''
json '(~c&b)&~a' 2>&1 ||
echo 'command failed: json '\''(~c&b)&~a'\'''

echo '$ json '\''(~c&b)&~b'\'''
json '(~c&b)&~b' 2>&1 ||
echo 'command failed: json '\''(~c&b)&~b'\'''

echo '$ json '\''(~c&b)&c'\'''
json '(~c&b)&c' 2>&1 ||
echo 'command failed: json '\''(~c&b)&c'\'''

echo '$ json '\''(~c&~b)&a'\'''
json '(~c&~b)&a' 2>&1 ||
echo 'command failed: json '\''(~c&~b)&a'\'''

echo '$ json '\''(~c&~b)&~a'\'''
json '(~c&~b)&~a' 2>&1 ||
echo 'command failed: json '\''(~c&~b)&~a'\'''

echo '$ json '\''(~c&~b)&b'\'''
json '(~c&~b)&b' 2>&1 ||
echo 'command failed: json '\''(~c&~b)&b'\'''

echo '$ json '\''(~c&~b)&c'\'''
json '(~c&~b)&c' 2>&1 ||
echo 'command failed: json '\''(~c&~b)&c'\'''

echo '$ json '\''(~c&c)&a'\'''
json '(~c&c)&a' 2>&1 ||
echo 'command failed: json '\''(~c&c)&a'\'''

echo '$ json '\''(~c&c)&~a'\'''
json '(~c&c)&~a' 2>&1 ||
echo 'command failed: json '\''(~c&c)&~a'\'''

echo '$ json '\''(~c&c)&b'\'''
json '(~c&c)&b' 2>&1 ||
echo 'command failed: json '\''(~c&c)&b'\'''

echo '$ json '\''(~c&c)&~b'\'''
json '(~c&c)&~b' 2>&1 ||
echo 'command failed: json '\''(~c&c)&~b'\'''

echo '$ json '\''(a&~a)|b'\'''
json '(a&~a)|b' 2>&1 ||
echo 'command failed: json '\''(a&~a)|b'\'''

echo '$ json '\''(a&~a)|~b'\'''
json '(a&~a)|~b' 2>&1 ||
echo 'command failed: json '\''(a&~a)|~b'\'''

echo '$ json '\''(a&~a)|c'\'''
json '(a&~a)|c' 2>&1 ||
echo 'command failed: json '\''(a&~a)|c'\'''

echo '$ json '\''(a&~a)|~c'\'''
json '(a&~a)|~c' 2>&1 ||
echo 'command failed: json '\''(a&~a)|~c'\'''

echo '$ json '\''(a&b)|~a'\'''
json '(a&b)|~a' 2>&1 ||
echo 'command failed: json '\''(a&b)|~a'\'''

echo '$ json '\''(a&b)|~b'\'''
json '(a&b)|~b' 2>&1 ||
echo 'command failed: json '\''(a&b)|~b'\'''

echo '$ json '\''(a&b)|c'\'''
json '(a&b)|c' 2>&1 ||
echo 'command failed: json '\''(a&b)|c'\'''

echo '$ json '\''(a&b)|~c'\'''
json '(a&b)|~c' 2>&1 ||
echo 'command failed: json '\''(a&b)|~c'\'''

echo '$ json '\''(a&~b)|~a'\'''
json '(a&~b)|~a' 2>&1 ||
echo 'command failed: json '\''(a&~b)|~a'\'''

echo '$ json '\''(a&~b)|b'\'''
json '(a&~b)|b' 2>&1 ||
echo 'command failed: json '\''(a&~b)|b'\'''

echo '$ json '\''(a&~b)|c'\'''
json '(a&~b)|c' 2>&1 ||
echo 'command failed: json '\''(a&~b)|c'\'''

echo '$ json '\''(a&~b)|~c'\'''
json '(a&~b)|~c' 2>&1 ||
echo 'command failed: json '\''(a&~b)|~c'\'''

echo '$ json '\''(a&c)|~a'\'''
json '(a&c)|~a' 2>&1 ||
echo 'command failed: json '\''(a&c)|~a'\'''

echo '$ json '\''(a&c)|b'\'''
json '(a&c)|b' 2>&1 ||
echo 'command failed: json '\''(a&c)|b'\'''

echo '$ json '\''(a&c)|~b'\'''
json '(a&c)|~b' 2>&1 ||
echo 'command failed: json '\''(a&c)|~b'\'''

echo '$ json '\''(a&c)|~c'\'''
json '(a&c)|~c' 2>&1 ||
echo 'command failed: json '\''(a&c)|~c'\'''

echo '$ json '\''(a&~c)|~a'\'''
json '(a&~c)|~a' 2>&1 ||
echo 'command failed: json '\''(a&~c)|~a'\'''

echo '$ json '\''(a&~c)|b'\'''
json '(a&~c)|b' 2>&1 ||
echo 'command failed: json '\''(a&~c)|b'\'''

echo '$ json '\''(a&~c)|~b'\'''
json '(a&~c)|~b' 2>&1 ||
echo 'command failed: json '\''(a&~c)|~b'\'''

echo '$ json '\''(a&~c)|c'\'''
json '(a&~c)|c' 2>&1 ||
echo 'command failed: json '\''(a&~c)|c'\'''

echo '$ json '\''(~a&a)|b'\'''
json '(~a&a)|b' 2>&1 ||
echo 'command failed: json '\''(~a&a)|b'\'''

echo '$ json '\''(~a&a)|~b'\'''
json '(~a&a)|~b' 2>&1 ||
echo 'command failed: json '\''(~a&a)|~b'\'''

echo '$ json '\''(~a&a)|c'\'''
json '(~a&a)|c' 2>&1 ||
echo 'command failed: json '\''(~a&a)|c'\'''

echo '$ json '\''(~a&a)|~c'\'''
json '(~a&a)|~c' 2>&1 ||
echo 'command failed: json '\''(~a&a)|~c'\'''

echo '$ json '\''(~a&b)|a'\'''
json '(~a&b)|a' 2>&1 ||
echo 'command failed: json '\''(~a&b)|a'\'''

echo '$ json '\''(~a&b)|~b'\'''
json '(~a&b)|~b' 2>&1 ||
echo 'command failed: json '\''(~a&b)|~b'\'''

echo '$ json '\''(~a&b)|c'\'''
json '(~a&b)|c' 2>&1 ||
echo 'command failed: json '\''(~a&b)|c'\'''

echo '$ json '\''(~a&b)|~c'\'''
json '(~a&b)|~c' 2>&1 ||
echo 'command failed: json '\''(~a&b)|~c'\'''

echo '$ json '\''(~a&~b)|a'\'''
json '(~a&~b)|a' 2>&1 ||
echo 'command failed: json '\''(~a&~b)|a'\'''

echo '$ json '\''(~a&~b)|b'\'''
json '(~a&~b)|b' 2>&1 ||
echo 'command failed: json '\''(~a&~b)|b'\'''

echo '$ json '\''(~a&~b)|c'\'''
json '(~a&~b)|c' 2>&1 ||
echo 'command failed: json '\''(~a&~b)|c'\'''

echo '$ json '\''(~a&~b)|~c'\'''
json '(~a&~b)|~c' 2>&1 ||
echo 'command failed: json '\''(~a&~b)|~c'\'''

echo '$ json '\''(~a&c)|a'\'''
json '(~a&c)|a' 2>&1 ||
echo 'command failed: json '\''(~a&c)|a'\'''

echo '$ json '\''(~a&c)|b'\'''
json '(~a&c)|b' 2>&1 ||
echo 'command failed: json '\''(~a&c)|b'\'''

echo '$ json '\''(~a&c)|~b'\'''
json '(~a&c)|~b' 2>&1 ||
echo 'command failed: json '\''(~a&c)|~b'\'''

echo '$ json '\''(~a&c)|~c'\'''
json '(~a&c)|~c' 2>&1 ||
echo 'command failed: json '\''(~a&c)|~c'\'''

echo '$ json '\''(~a&~c)|a'\'''
json '(~a&~c)|a' 2>&1 ||
echo 'command failed: json '\''(~a&~c)|a'\'''

echo '$ json '\''(~a&~c)|b'\'''
json '(~a&~c)|b' 2>&1 ||
echo 'command failed: json '\''(~a&~c)|b'\'''

echo '$ json '\''(~a&~c)|~b'\'''
json '(~a&~c)|~b' 2>&1 ||
echo 'command failed: json '\''(~a&~c)|~b'\'''

echo '$ json '\''(~a&~c)|c'\'''
json '(~a&~c)|c' 2>&1 ||
echo 'command failed: json '\''(~a&~c)|c'\'''

echo '$ json '\''(b&a)|~a'\'''
json '(b&a)|~a' 2>&1 ||
echo 'command failed: json '\''(b&a)|~a'\'''

echo '$ json '\''(b&a)|~b'\'''
json '(b&a)|~b' 2>&1 ||
echo 'command failed: json '\''(b&a)|~b'\'''

echo '$ json '\''(b&a)|c'\'''
json '(b&a)|c' 2>&1 ||
echo 'command failed: json '\''(b&a)|c'\'''

echo '$ json '\''(b&a)|~c'\'''
json '(b&a)|~c' 2>&1 ||
echo 'command failed: json '\''(b&a)|~c'\'''

echo '$ json '\''(b&~a)|a'\'''
json '(b&~a)|a' 2>&1 ||
echo 'command failed: json '\''(b&~a)|a'\'''

echo '$ json '\''(b&~a)|~b'\'''
json '(b&~a)|~b' 2>&1 ||
echo 'command failed: json '\''(b&~a)|~b'\'''

echo '$ json '\''(b&~a)|c'\'''
json '(b&~a)|c' 2>&1 ||
echo 'command failed: json '\''(b&~a)|c'\'''

echo '$ json '\''(b&~a)|~c'\'''
json '(b&~a)|~c' 2>&1 ||
echo 'command failed: json '\''(b&~a)|~c'\'''

echo '$ json '\''(b&~b)|a'\'''
json '(b&~b)|a' 2>&1 ||
echo 'command failed: json '\''(b&~b)|a'\'''

echo '$ json '\''(b&~b)|~a'\'''
json '(b&~b)|~a' 2>&1 ||
echo 'command failed: json '\''(b&~b)|~a'\'''

echo '$ json '\''(b&~b)|c'\'''
json '(b&~b)|c' 2>&1 ||
echo 'command failed: json '\''(b&~b)|c'\'''

echo '$ json '\''(b&~b)|~c'\'''
json '(b&~b)|~c' 2>&1 ||
echo 'command failed: json '\''(b&~b)|~c'\'''

echo '$ json '\''(b&c)|a'\'''
json '(b&c)|a' 2>&1 ||
echo 'command failed: json '\''(b&c)|a'\'''

echo '$ json '\''(b&c)|~a'\'''
json '(b&c)|~a' 2>&1 ||
echo 'command failed: json '\''(b&c)|~a'\'''

echo '$ json '\''(b&c)|~b'\'''
json '(b&c)|~b' 2>&1 ||
echo 'command failed: json '\''(b&c)|~b'\'''

echo '$ json '\''(b&c)|~c'\'''
json '(b&c)|~c' 2>&1 ||
echo 'command failed: json '\''(b&c)|~c'\'''

echo '$ json '\''(b&~c)|a'\'''
json '(b&~c)|a' 2>&1 ||
echo 'command failed: json '\''(b&~c)|a'\'''

echo '$ json '\''(b&~c)|~a'\'''
json '(b&~c)|~a' 2>&1 ||
echo 'command failed: json '\''(b&~c)|~a'\'''

echo '$ json '\''(b&~c)|~b'\'''
json '(b&~c)|~b' 2>&1 ||
echo 'command failed: json '\''(b&~c)|~b'\'''

echo '$ json '\''(b&~c)|c'\'''
json '(b&~c)|c' 2>&1 ||
echo 'command failed: json '\''(b&~c)|c'\'''

echo '$ json '\''(~b&a)|~a'\'''
json '(~b&a)|~a' 2>&1 ||
echo 'command failed: json '\''(~b&a)|~a'\'''

echo '$ json '\''(~b&a)|b'\'''
json '(~b&a)|b' 2>&1 ||
echo 'command failed: json '\''(~b&a)|b'\'''

echo '$ json '\''(~b&a)|c'\'''
json '(~b&a)|c' 2>&1 ||
echo 'command failed: json '\''(~b&a)|c'\'''

echo '$ json '\''(~b&a)|~c'\'''
json '(~b&a)|~c' 2>&1 ||
echo 'command failed: json '\''(~b&a)|~c'\'''

echo '$ json '\''(~b&~a)|a'\'''
json '(~b&~a)|a' 2>&1 ||
echo 'command failed: json '\''(~b&~a)|a'\'''

echo '$ json '\''(~b&~a)|b'\'''
json '(~b&~a)|b' 2>&1 ||
echo 'command failed: json '\''(~b&~a)|b'\'''

echo '$ json '\''(~b&~a)|c'\'''
json '(~b&~a)|c' 2>&1 ||
echo 'command failed: json '\''(~b&~a)|c'\'''

echo '$ json '\''(~b&~a)|~c'\'''
json '(~b&~a)|~c' 2>&1 ||
echo 'command failed: json '\''(~b&~a)|~c'\'''

echo '$ json '\''(~b&b)|a'\'''
json '(~b&b)|a' 2>&1 ||
echo 'command failed: json '\''(~b&b)|a'\'''

echo '$ json '\''(~b&b)|~a'\'''
json '(~b&b)|~a' 2>&1 ||
echo 'command failed: json '\''(~b&b)|~a'\'''

echo '$ json '\''(~b&b)|c'\'''
json '(~b&b)|c' 2>&1 ||
echo 'command failed: json '\''(~b&b)|c'\'''

echo '$ json '\''(~b&b)|~c'\'''
json '(~b&b)|~c' 2>&1 ||
echo 'command failed: json '\''(~b&b)|~c'\'''

echo '$ json '\''(~b&c)|a'\'''
json '(~b&c)|a' 2>&1 ||
echo 'command failed: json '\''(~b&c)|a'\'''

echo '$ json '\''(~b&c)|~a'\'''
json '(~b&c)|~a' 2>&1 ||
echo 'command failed: json '\''(~b&c)|~a'\'''

echo '$ json '\''(~b&c)|b'\'''
json '(~b&c)|b' 2>&1 ||
echo 'command failed: json '\''(~b&c)|b'\'''

echo '$ json '\''(~b&c)|~c'\'''
json '(~b&c)|~c' 2>&1 ||
echo 'command failed: json '\''(~b&c)|~c'\'''

echo '$ json '\''(~b&~c)|a'\'''
json '(~b&~c)|a' 2>&1 ||
echo 'command failed: json '\''(~b&~c)|a'\'''

echo '$ json '\''(~b&~c)|~a'\'''
json '(~b&~c)|~a' 2>&1 ||
echo 'command failed: json '\''(~b&~c)|~a'\'''

echo '$ json '\''(~b&~c)|b'\'''
json '(~b&~c)|b' 2>&1 ||
echo 'command failed: json '\''(~b&~c)|b'\'''

echo '$ json '\''(~b&~c)|c'\'''
json '(~b&~c)|c' 2>&1 ||
echo 'command failed: json '\''(~b&~c)|c'\'''

echo '$ json '\''(c&a)|~a'\'''
json '(c&a)|~a' 2>&1 ||
echo 'command failed: json '\''(c&a)|~a'\'''

echo '$ json '\''(c&a)|b'\'''
json '(c&a)|b' 2>&1 ||
echo 'command failed: json '\''(c&a)|b'\'''

echo '$ json '\''(c&a)|~b'\'''
json '(c&a)|~b' 2>&1 ||
echo 'command failed: json '\''(c&a)|~b'\'''

echo '$ json '\''(c&a)|~c'\'''
json '(c&a)|~c' 2>&1 ||
echo 'command failed: json '\''(c&a)|~c'\'''

echo '$ json '\''(c&~a)|a'\'''
json '(c&~a)|a' 2>&1 ||
echo 'command failed: json '\''(c&~a)|a'\'''

echo '$ json '\''(c&~a)|b'\'''
json '(c&~a)|b' 2>&1 ||
echo 'command failed: json '\''(c&~a)|b'\'''

echo '$ json '\''(c&~a)|~b'\'''
json '(c&~a)|~b' 2>&1 ||
echo 'command failed: json '\''(c&~a)|~b'\'''

echo '$ json '\''(c&~a)|~c'\'''
json '(c&~a)|~c' 2>&1 ||
echo 'command failed: json '\''(c&~a)|~c'\'''

echo '$ json '\''(c&b)|a'\'''
json '(c&b)|a' 2>&1 ||
echo 'command failed: json '\''(c&b)|a'\'''

echo '$ json '\''(c&b)|~a'\'''
json '(c&b)|~a' 2>&1 ||
echo 'command failed: json '\''(c&b)|~a'\'''

echo '$ json '\''(c&b)|~b'\'''
json '(c&b)|~b' 2>&1 ||
echo 'command failed: json '\''(c&b)|~b'\'''

echo '$ json '\''(c&b)|~c'\'''
json '(c&b)|~c' 2>&1 ||
echo 'command failed: json '\''(c&b)|~c'\'''

echo '$ json '\''(c&~b)|a'\'''
json '(c&~b)|a' 2>&1 ||
echo 'command failed: json '\''(c&~b)|a'\'''

echo '$ json '\''(c&~b)|~a'\'''
json '(c&~b)|~a' 2>&1 ||
echo 'command failed: json '\''(c&~b)|~a'\'''

echo '$ json '\''(c&~b)|b'\'''
json '(c&~b)|b' 2>&1 ||
echo 'command failed: json '\''(c&~b)|b'\'''

echo '$ json '\''(c&~b)|~c'\'''
json '(c&~b)|~c' 2>&1 ||
echo 'command failed: json '\''(c&~b)|~c'\'''

echo '$ json '\''(c&~c)|a'\'''
json '(c&~c)|a' 2>&1 ||
echo 'command failed: json '\''(c&~c)|a'\'''

echo '$ json '\''(c&~c)|~a'\'''
json '(c&~c)|~a' 2>&1 ||
echo 'command failed: json '\''(c&~c)|~a'\'''

echo '$ json '\''(c&~c)|b'\'''
json '(c&~c)|b' 2>&1 ||
echo 'command failed: json '\''(c&~c)|b'\'''

echo '$ json '\''(c&~c)|~b'\'''
json '(c&~c)|~b' 2>&1 ||
echo 'command failed: json '\''(c&~c)|~b'\'''

echo '$ json '\''(~c&a)|~a'\'''
json '(~c&a)|~a' 2>&1 ||
echo 'command failed: json '\''(~c&a)|~a'\'''

echo '$ json '\''(~c&a)|b'\'''
json '(~c&a)|b' 2>&1 ||
echo 'command failed: json '\''(~c&a)|b'\'''

echo '$ json '\''(~c&a)|~b'\'''
json '(~c&a)|~b' 2>&1 ||
echo 'command failed: json '\''(~c&a)|~b'\'''

echo '$ json '\''(~c&a)|c'\'''
json '(~c&a)|c' 2>&1 ||
echo 'command failed: json '\''(~c&a)|c'\'''

echo '$ json '\''(~c&~a)|a'\'''
json '(~c&~a)|a' 2>&1 ||
echo 'command failed: json '\''(~c&~a)|a'\'''

echo '$ json '\''(~c&~a)|b'\'''
json '(~c&~a)|b' 2>&1 ||
echo 'command failed: json '\''(~c&~a)|b'\'''

echo '$ json '\''(~c&~a)|~b'\'''
json '(~c&~a)|~b' 2>&1 ||
echo 'command failed: json '\''(~c&~a)|~b'\'''

echo '$ json '\''(~c&~a)|c'\'''
json '(~c&~a)|c' 2>&1 ||
echo 'command failed: json '\''(~c&~a)|c'\'''

echo '$ json '\''(~c&b)|a'\'''
json '(~c&b)|a' 2>&1 ||
echo 'command failed: json '\''(~c&b)|a'\'''

echo '$ json '\''(~c&b)|~a'\'''
json '(~c&b)|~a' 2>&1 ||
echo 'command failed: json '\''(~c&b)|~a'\'''

echo '$ json '\''(~c&b)|~b'\'''
json '(~c&b)|~b' 2>&1 ||
echo 'command failed: json '\''(~c&b)|~b'\'''

echo '$ json '\''(~c&b)|c'\'''
json '(~c&b)|c' 2>&1 ||
echo 'command failed: json '\''(~c&b)|c'\'''

echo '$ json '\''(~c&~b)|a'\'''
json '(~c&~b)|a' 2>&1 ||
echo 'command failed: json '\''(~c&~b)|a'\'''

echo '$ json '\''(~c&~b)|~a'\'''
json '(~c&~b)|~a' 2>&1 ||
echo 'command failed: json '\''(~c&~b)|~a'\'''

echo '$ json '\''(~c&~b)|b'\'''
json '(~c&~b)|b' 2>&1 ||
echo 'command failed: json '\''(~c&~b)|b'\'''

echo '$ json '\''(~c&~b)|c'\'''
json '(~c&~b)|c' 2>&1 ||
echo 'command failed: json '\''(~c&~b)|c'\'''

echo '$ json '\''(~c&c)|a'\'''
json '(~c&c)|a' 2>&1 ||
echo 'command failed: json '\''(~c&c)|a'\'''

echo '$ json '\''(~c&c)|~a'\'''
json '(~c&c)|~a' 2>&1 ||
echo 'command failed: json '\''(~c&c)|~a'\'''

echo '$ json '\''(~c&c)|b'\'''
json '(~c&c)|b' 2>&1 ||
echo 'command failed: json '\''(~c&c)|b'\'''

echo '$ json '\''(~c&c)|~b'\'''
json '(~c&c)|~b' 2>&1 ||
echo 'command failed: json '\''(~c&c)|~b'\'''

echo '$ json '\''(a&~a)||b'\'''
json '(a&~a)||b' 2>&1 ||
echo 'command failed: json '\''(a&~a)||b'\'''

echo '$ json '\''(a&~a)||~b'\'''
json '(a&~a)||~b' 2>&1 ||
echo 'command failed: json '\''(a&~a)||~b'\'''

echo '$ json '\''(a&~a)||c'\'''
json '(a&~a)||c' 2>&1 ||
echo 'command failed: json '\''(a&~a)||c'\'''

echo '$ json '\''(a&~a)||~c'\'''
json '(a&~a)||~c' 2>&1 ||
echo 'command failed: json '\''(a&~a)||~c'\'''

echo '$ json '\''(a&b)||~a'\'''
json '(a&b)||~a' 2>&1 ||
echo 'command failed: json '\''(a&b)||~a'\'''

echo '$ json '\''(a&b)||~b'\'''
json '(a&b)||~b' 2>&1 ||
echo 'command failed: json '\''(a&b)||~b'\'''

echo '$ json '\''(a&b)||c'\'''
json '(a&b)||c' 2>&1 ||
echo 'command failed: json '\''(a&b)||c'\'''

echo '$ json '\''(a&b)||~c'\'''
json '(a&b)||~c' 2>&1 ||
echo 'command failed: json '\''(a&b)||~c'\'''

echo '$ json '\''(a&~b)||~a'\'''
json '(a&~b)||~a' 2>&1 ||
echo 'command failed: json '\''(a&~b)||~a'\'''

echo '$ json '\''(a&~b)||b'\'''
json '(a&~b)||b' 2>&1 ||
echo 'command failed: json '\''(a&~b)||b'\'''

echo '$ json '\''(a&~b)||c'\'''
json '(a&~b)||c' 2>&1 ||
echo 'command failed: json '\''(a&~b)||c'\'''

echo '$ json '\''(a&~b)||~c'\'''
json '(a&~b)||~c' 2>&1 ||
echo 'command failed: json '\''(a&~b)||~c'\'''

echo '$ json '\''(a&c)||~a'\'''
json '(a&c)||~a' 2>&1 ||
echo 'command failed: json '\''(a&c)||~a'\'''

echo '$ json '\''(a&c)||b'\'''
json '(a&c)||b' 2>&1 ||
echo 'command failed: json '\''(a&c)||b'\'''

echo '$ json '\''(a&c)||~b'\'''
json '(a&c)||~b' 2>&1 ||
echo 'command failed: json '\''(a&c)||~b'\'''

echo '$ json '\''(a&c)||~c'\'''
json '(a&c)||~c' 2>&1 ||
echo 'command failed: json '\''(a&c)||~c'\'''

echo '$ json '\''(a&~c)||~a'\'''
json '(a&~c)||~a' 2>&1 ||
echo 'command failed: json '\''(a&~c)||~a'\'''

echo '$ json '\''(a&~c)||b'\'''
json '(a&~c)||b' 2>&1 ||
echo 'command failed: json '\''(a&~c)||b'\'''

echo '$ json '\''(a&~c)||~b'\'''
json '(a&~c)||~b' 2>&1 ||
echo 'command failed: json '\''(a&~c)||~b'\'''

echo '$ json '\''(a&~c)||c'\'''
json '(a&~c)||c' 2>&1 ||
echo 'command failed: json '\''(a&~c)||c'\'''

echo '$ json '\''(~a&a)||b'\'''
json '(~a&a)||b' 2>&1 ||
echo 'command failed: json '\''(~a&a)||b'\'''

echo '$ json '\''(~a&a)||~b'\'''
json '(~a&a)||~b' 2>&1 ||
echo 'command failed: json '\''(~a&a)||~b'\'''

echo '$ json '\''(~a&a)||c'\'''
json '(~a&a)||c' 2>&1 ||
echo 'command failed: json '\''(~a&a)||c'\'''

echo '$ json '\''(~a&a)||~c'\'''
json '(~a&a)||~c' 2>&1 ||
echo 'command failed: json '\''(~a&a)||~c'\'''

echo '$ json '\''(~a&b)||a'\'''
json '(~a&b)||a' 2>&1 ||
echo 'command failed: json '\''(~a&b)||a'\'''

echo '$ json '\''(~a&b)||~b'\'''
json '(~a&b)||~b' 2>&1 ||
echo 'command failed: json '\''(~a&b)||~b'\'''

echo '$ json '\''(~a&b)||c'\'''
json '(~a&b)||c' 2>&1 ||
echo 'command failed: json '\''(~a&b)||c'\'''

echo '$ json '\''(~a&b)||~c'\'''
json '(~a&b)||~c' 2>&1 ||
echo 'command failed: json '\''(~a&b)||~c'\'''

echo '$ json '\''(~a&~b)||a'\'''
json '(~a&~b)||a' 2>&1 ||
echo 'command failed: json '\''(~a&~b)||a'\'''

echo '$ json '\''(~a&~b)||b'\'''
json '(~a&~b)||b' 2>&1 ||
echo 'command failed: json '\''(~a&~b)||b'\'''

echo '$ json '\''(~a&~b)||c'\'''
json '(~a&~b)||c' 2>&1 ||
echo 'command failed: json '\''(~a&~b)||c'\'''

echo '$ json '\''(~a&~b)||~c'\'''
json '(~a&~b)||~c' 2>&1 ||
echo 'command failed: json '\''(~a&~b)||~c'\'''

echo '$ json '\''(~a&c)||a'\'''
json '(~a&c)||a' 2>&1 ||
echo 'command failed: json '\''(~a&c)||a'\'''

echo '$ json '\''(~a&c)||b'\'''
json '(~a&c)||b' 2>&1 ||
echo 'command failed: json '\''(~a&c)||b'\'''

echo '$ json '\''(~a&c)||~b'\'''
json '(~a&c)||~b' 2>&1 ||
echo 'command failed: json '\''(~a&c)||~b'\'''

echo '$ json '\''(~a&c)||~c'\'''
json '(~a&c)||~c' 2>&1 ||
echo 'command failed: json '\''(~a&c)||~c'\'''

echo '$ json '\''(~a&~c)||a'\'''
json '(~a&~c)||a' 2>&1 ||
echo 'command failed: json '\''(~a&~c)||a'\'''

echo '$ json '\''(~a&~c)||b'\'''
json '(~a&~c)||b' 2>&1 ||
echo 'command failed: json '\''(~a&~c)||b'\'''

echo '$ json '\''(~a&~c)||~b'\'''
json '(~a&~c)||~b' 2>&1 ||
echo 'command failed: json '\''(~a&~c)||~b'\'''

echo '$ json '\''(~a&~c)||c'\'''
json '(~a&~c)||c' 2>&1 ||
echo 'command failed: json '\''(~a&~c)||c'\'''

echo '$ json '\''(b&a)||~a'\'''
json '(b&a)||~a' 2>&1 ||
echo 'command failed: json '\''(b&a)||~a'\'''

echo '$ json '\''(b&a)||~b'\'''
json '(b&a)||~b' 2>&1 ||
echo 'command failed: json '\''(b&a)||~b'\'''

echo '$ json '\''(b&a)||c'\'''
json '(b&a)||c' 2>&1 ||
echo 'command failed: json '\''(b&a)||c'\'''

echo '$ json '\''(b&a)||~c'\'''
json '(b&a)||~c' 2>&1 ||
echo 'command failed: json '\''(b&a)||~c'\'''

echo '$ json '\''(b&~a)||a'\'''
json '(b&~a)||a' 2>&1 ||
echo 'command failed: json '\''(b&~a)||a'\'''

echo '$ json '\''(b&~a)||~b'\'''
json '(b&~a)||~b' 2>&1 ||
echo 'command failed: json '\''(b&~a)||~b'\'''

echo '$ json '\''(b&~a)||c'\'''
json '(b&~a)||c' 2>&1 ||
echo 'command failed: json '\''(b&~a)||c'\'''

echo '$ json '\''(b&~a)||~c'\'''
json '(b&~a)||~c' 2>&1 ||
echo 'command failed: json '\''(b&~a)||~c'\'''

echo '$ json '\''(b&~b)||a'\'''
json '(b&~b)||a' 2>&1 ||
echo 'command failed: json '\''(b&~b)||a'\'''

echo '$ json '\''(b&~b)||~a'\'''
json '(b&~b)||~a' 2>&1 ||
echo 'command failed: json '\''(b&~b)||~a'\'''

echo '$ json '\''(b&~b)||c'\'''
json '(b&~b)||c' 2>&1 ||
echo 'command failed: json '\''(b&~b)||c'\'''

echo '$ json '\''(b&~b)||~c'\'''
json '(b&~b)||~c' 2>&1 ||
echo 'command failed: json '\''(b&~b)||~c'\'''

echo '$ json '\''(b&c)||a'\'''
json '(b&c)||a' 2>&1 ||
echo 'command failed: json '\''(b&c)||a'\'''

echo '$ json '\''(b&c)||~a'\'''
json '(b&c)||~a' 2>&1 ||
echo 'command failed: json '\''(b&c)||~a'\'''

echo '$ json '\''(b&c)||~b'\'''
json '(b&c)||~b' 2>&1 ||
echo 'command failed: json '\''(b&c)||~b'\'''

echo '$ json '\''(b&c)||~c'\'''
json '(b&c)||~c' 2>&1 ||
echo 'command failed: json '\''(b&c)||~c'\'''

echo '$ json '\''(b&~c)||a'\'''
json '(b&~c)||a' 2>&1 ||
echo 'command failed: json '\''(b&~c)||a'\'''

echo '$ json '\''(b&~c)||~a'\'''
json '(b&~c)||~a' 2>&1 ||
echo 'command failed: json '\''(b&~c)||~a'\'''

echo '$ json '\''(b&~c)||~b'\'''
json '(b&~c)||~b' 2>&1 ||
echo 'command failed: json '\''(b&~c)||~b'\'''

echo '$ json '\''(b&~c)||c'\'''
json '(b&~c)||c' 2>&1 ||
echo 'command failed: json '\''(b&~c)||c'\'''

echo '$ json '\''(~b&a)||~a'\'''
json '(~b&a)||~a' 2>&1 ||
echo 'command failed: json '\''(~b&a)||~a'\'''

echo '$ json '\''(~b&a)||b'\'''
json '(~b&a)||b' 2>&1 ||
echo 'command failed: json '\''(~b&a)||b'\'''

echo '$ json '\''(~b&a)||c'\'''
json '(~b&a)||c' 2>&1 ||
echo 'command failed: json '\''(~b&a)||c'\'''

echo '$ json '\''(~b&a)||~c'\'''
json '(~b&a)||~c' 2>&1 ||
echo 'command failed: json '\''(~b&a)||~c'\'''

echo '$ json '\''(~b&~a)||a'\'''
json '(~b&~a)||a' 2>&1 ||
echo 'command failed: json '\''(~b&~a)||a'\'''

echo '$ json '\''(~b&~a)||b'\'''
json '(~b&~a)||b' 2>&1 ||
echo 'command failed: json '\''(~b&~a)||b'\'''

echo '$ json '\''(~b&~a)||c'\'''
json '(~b&~a)||c' 2>&1 ||
echo 'command failed: json '\''(~b&~a)||c'\'''

echo '$ json '\''(~b&~a)||~c'\'''
json '(~b&~a)||~c' 2>&1 ||
echo 'command failed: json '\''(~b&~a)||~c'\'''

echo '$ json '\''(~b&b)||a'\'''
json '(~b&b)||a' 2>&1 ||
echo 'command failed: json '\''(~b&b)||a'\'''

echo '$ json '\''(~b&b)||~a'\'''
json '(~b&b)||~a' 2>&1 ||
echo 'command failed: json '\''(~b&b)||~a'\'''

echo '$ json '\''(~b&b)||c'\'''
json '(~b&b)||c' 2>&1 ||
echo 'command failed: json '\''(~b&b)||c'\'''

echo '$ json '\''(~b&b)||~c'\'''
json '(~b&b)||~c' 2>&1 ||
echo 'command failed: json '\''(~b&b)||~c'\'''

echo '$ json '\''(~b&c)||a'\'''
json '(~b&c)||a' 2>&1 ||
echo 'command failed: json '\''(~b&c)||a'\'''

echo '$ json '\''(~b&c)||~a'\'''
json '(~b&c)||~a' 2>&1 ||
echo 'command failed: json '\''(~b&c)||~a'\'''

echo '$ json '\''(~b&c)||b'\'''
json '(~b&c)||b' 2>&1 ||
echo 'command failed: json '\''(~b&c)||b'\'''

echo '$ json '\''(~b&c)||~c'\'''
json '(~b&c)||~c' 2>&1 ||
echo 'command failed: json '\''(~b&c)||~c'\'''

echo '$ json '\''(~b&~c)||a'\'''
json '(~b&~c)||a' 2>&1 ||
echo 'command failed: json '\''(~b&~c)||a'\'''

echo '$ json '\''(~b&~c)||~a'\'''
json '(~b&~c)||~a' 2>&1 ||
echo 'command failed: json '\''(~b&~c)||~a'\'''

echo '$ json '\''(~b&~c)||b'\'''
json '(~b&~c)||b' 2>&1 ||
echo 'command failed: json '\''(~b&~c)||b'\'''

echo '$ json '\''(~b&~c)||c'\'''
json '(~b&~c)||c' 2>&1 ||
echo 'command failed: json '\''(~b&~c)||c'\'''

echo '$ json '\''(c&a)||~a'\'''
json '(c&a)||~a' 2>&1 ||
echo 'command failed: json '\''(c&a)||~a'\'''

echo '$ json '\''(c&a)||b'\'''
json '(c&a)||b' 2>&1 ||
echo 'command failed: json '\''(c&a)||b'\'''

echo '$ json '\''(c&a)||~b'\'''
json '(c&a)||~b' 2>&1 ||
echo 'command failed: json '\''(c&a)||~b'\'''

echo '$ json '\''(c&a)||~c'\'''
json '(c&a)||~c' 2>&1 ||
echo 'command failed: json '\''(c&a)||~c'\'''

echo '$ json '\''(c&~a)||a'\'''
json '(c&~a)||a' 2>&1 ||
echo 'command failed: json '\''(c&~a)||a'\'''

echo '$ json '\''(c&~a)||b'\'''
json '(c&~a)||b' 2>&1 ||
echo 'command failed: json '\''(c&~a)||b'\'''

echo '$ json '\''(c&~a)||~b'\'''
json '(c&~a)||~b' 2>&1 ||
echo 'command failed: json '\''(c&~a)||~b'\'''

echo '$ json '\''(c&~a)||~c'\'''
json '(c&~a)||~c' 2>&1 ||
echo 'command failed: json '\''(c&~a)||~c'\'''

echo '$ json '\''(c&b)||a'\'''
json '(c&b)||a' 2>&1 ||
echo 'command failed: json '\''(c&b)||a'\'''

echo '$ json '\''(c&b)||~a'\'''
json '(c&b)||~a' 2>&1 ||
echo 'command failed: json '\''(c&b)||~a'\'''

echo '$ json '\''(c&b)||~b'\'''
json '(c&b)||~b' 2>&1 ||
echo 'command failed: json '\''(c&b)||~b'\'''

echo '$ json '\''(c&b)||~c'\'''
json '(c&b)||~c' 2>&1 ||
echo 'command failed: json '\''(c&b)||~c'\'''

echo '$ json '\''(c&~b)||a'\'''
json '(c&~b)||a' 2>&1 ||
echo 'command failed: json '\''(c&~b)||a'\'''

echo '$ json '\''(c&~b)||~a'\'''
json '(c&~b)||~a' 2>&1 ||
echo 'command failed: json '\''(c&~b)||~a'\'''

echo '$ json '\''(c&~b)||b'\'''
json '(c&~b)||b' 2>&1 ||
echo 'command failed: json '\''(c&~b)||b'\'''

echo '$ json '\''(c&~b)||~c'\'''
json '(c&~b)||~c' 2>&1 ||
echo 'command failed: json '\''(c&~b)||~c'\'''

echo '$ json '\''(c&~c)||a'\'''
json '(c&~c)||a' 2>&1 ||
echo 'command failed: json '\''(c&~c)||a'\'''

echo '$ json '\''(c&~c)||~a'\'''
json '(c&~c)||~a' 2>&1 ||
echo 'command failed: json '\''(c&~c)||~a'\'''

echo '$ json '\''(c&~c)||b'\'''
json '(c&~c)||b' 2>&1 ||
echo 'command failed: json '\''(c&~c)||b'\'''

echo '$ json '\''(c&~c)||~b'\'''
json '(c&~c)||~b' 2>&1 ||
echo 'command failed: json '\''(c&~c)||~b'\'''

echo '$ json '\''(~c&a)||~a'\'''
json '(~c&a)||~a' 2>&1 ||
echo 'command failed: json '\''(~c&a)||~a'\'''

echo '$ json '\''(~c&a)||b'\'''
json '(~c&a)||b' 2>&1 ||
echo 'command failed: json '\''(~c&a)||b'\'''

echo '$ json '\''(~c&a)||~b'\'''
json '(~c&a)||~b' 2>&1 ||
echo 'command failed: json '\''(~c&a)||~b'\'''

echo '$ json '\''(~c&a)||c'\'''
json '(~c&a)||c' 2>&1 ||
echo 'command failed: json '\''(~c&a)||c'\'''

echo '$ json '\''(~c&~a)||a'\'''
json '(~c&~a)||a' 2>&1 ||
echo 'command failed: json '\''(~c&~a)||a'\'''

echo '$ json '\''(~c&~a)||b'\'''
json '(~c&~a)||b' 2>&1 ||
echo 'command failed: json '\''(~c&~a)||b'\'''

echo '$ json '\''(~c&~a)||~b'\'''
json '(~c&~a)||~b' 2>&1 ||
echo 'command failed: json '\''(~c&~a)||~b'\'''

echo '$ json '\''(~c&~a)||c'\'''
json '(~c&~a)||c' 2>&1 ||
echo 'command failed: json '\''(~c&~a)||c'\'''

echo '$ json '\''(~c&b)||a'\'''
json '(~c&b)||a' 2>&1 ||
echo 'command failed: json '\''(~c&b)||a'\'''

echo '$ json '\''(~c&b)||~a'\'''
json '(~c&b)||~a' 2>&1 ||
echo 'command failed: json '\''(~c&b)||~a'\'''

echo '$ json '\''(~c&b)||~b'\'''
json '(~c&b)||~b' 2>&1 ||
echo 'command failed: json '\''(~c&b)||~b'\'''

echo '$ json '\''(~c&b)||c'\'''
json '(~c&b)||c' 2>&1 ||
echo 'command failed: json '\''(~c&b)||c'\'''

echo '$ json '\''(~c&~b)||a'\'''
json '(~c&~b)||a' 2>&1 ||
echo 'command failed: json '\''(~c&~b)||a'\'''

echo '$ json '\''(~c&~b)||~a'\'''
json '(~c&~b)||~a' 2>&1 ||
echo 'command failed: json '\''(~c&~b)||~a'\'''

echo '$ json '\''(~c&~b)||b'\'''
json '(~c&~b)||b' 2>&1 ||
echo 'command failed: json '\''(~c&~b)||b'\'''

echo '$ json '\''(~c&~b)||c'\'''
json '(~c&~b)||c' 2>&1 ||
echo 'command failed: json '\''(~c&~b)||c'\'''

echo '$ json '\''(~c&c)||a'\'''
json '(~c&c)||a' 2>&1 ||
echo 'command failed: json '\''(~c&c)||a'\'''

echo '$ json '\''(~c&c)||~a'\'''
json '(~c&c)||~a' 2>&1 ||
echo 'command failed: json '\''(~c&c)||~a'\'''

echo '$ json '\''(~c&c)||b'\'''
json '(~c&c)||b' 2>&1 ||
echo 'command failed: json '\''(~c&c)||b'\'''

echo '$ json '\''(~c&c)||~b'\'''
json '(~c&c)||~b' 2>&1 ||
echo 'command failed: json '\''(~c&c)||~b'\'''

echo '$ json '\''(a|~a)&b'\'''
json '(a|~a)&b' 2>&1 ||
echo 'command failed: json '\''(a|~a)&b'\'''

echo '$ json '\''(a|~a)&~b'\'''
json '(a|~a)&~b' 2>&1 ||
echo 'command failed: json '\''(a|~a)&~b'\'''

echo '$ json '\''(a|~a)&c'\'''
json '(a|~a)&c' 2>&1 ||
echo 'command failed: json '\''(a|~a)&c'\'''

echo '$ json '\''(a|~a)&~c'\'''
json '(a|~a)&~c' 2>&1 ||
echo 'command failed: json '\''(a|~a)&~c'\'''

echo '$ json '\''(a|b)&~a'\'''
json '(a|b)&~a' 2>&1 ||
echo 'command failed: json '\''(a|b)&~a'\'''

echo '$ json '\''(a|b)&~b'\'''
json '(a|b)&~b' 2>&1 ||
echo 'command failed: json '\''(a|b)&~b'\'''

echo '$ json '\''(a|b)&c'\'''
json '(a|b)&c' 2>&1 ||
echo 'command failed: json '\''(a|b)&c'\'''

echo '$ json '\''(a|b)&~c'\'''
json '(a|b)&~c' 2>&1 ||
echo 'command failed: json '\''(a|b)&~c'\'''

echo '$ json '\''(a|~b)&~a'\'''
json '(a|~b)&~a' 2>&1 ||
echo 'command failed: json '\''(a|~b)&~a'\'''

echo '$ json '\''(a|~b)&b'\'''
json '(a|~b)&b' 2>&1 ||
echo 'command failed: json '\''(a|~b)&b'\'''

echo '$ json '\''(a|~b)&c'\'''
json '(a|~b)&c' 2>&1 ||
echo 'command failed: json '\''(a|~b)&c'\'''

echo '$ json '\''(a|~b)&~c'\'''
json '(a|~b)&~c' 2>&1 ||
echo 'command failed: json '\''(a|~b)&~c'\'''

echo '$ json '\''(a|c)&~a'\'''
json '(a|c)&~a' 2>&1 ||
echo 'command failed: json '\''(a|c)&~a'\'''

echo '$ json '\''(a|c)&b'\'''
json '(a|c)&b' 2>&1 ||
echo 'command failed: json '\''(a|c)&b'\'''

echo '$ json '\''(a|c)&~b'\'''
json '(a|c)&~b' 2>&1 ||
echo 'command failed: json '\''(a|c)&~b'\'''

echo '$ json '\''(a|c)&~c'\'''
json '(a|c)&~c' 2>&1 ||
echo 'command failed: json '\''(a|c)&~c'\'''

echo '$ json '\''(a|~c)&~a'\'''
json '(a|~c)&~a' 2>&1 ||
echo 'command failed: json '\''(a|~c)&~a'\'''

echo '$ json '\''(a|~c)&b'\'''
json '(a|~c)&b' 2>&1 ||
echo 'command failed: json '\''(a|~c)&b'\'''

echo '$ json '\''(a|~c)&~b'\'''
json '(a|~c)&~b' 2>&1 ||
echo 'command failed: json '\''(a|~c)&~b'\'''

echo '$ json '\''(a|~c)&c'\'''
json '(a|~c)&c' 2>&1 ||
echo 'command failed: json '\''(a|~c)&c'\'''

echo '$ json '\''(~a|a)&b'\'''
json '(~a|a)&b' 2>&1 ||
echo 'command failed: json '\''(~a|a)&b'\'''

echo '$ json '\''(~a|a)&~b'\'''
json '(~a|a)&~b' 2>&1 ||
echo 'command failed: json '\''(~a|a)&~b'\'''

echo '$ json '\''(~a|a)&c'\'''
json '(~a|a)&c' 2>&1 ||
echo 'command failed: json '\''(~a|a)&c'\'''

echo '$ json '\''(~a|a)&~c'\'''
json '(~a|a)&~c' 2>&1 ||
echo 'command failed: json '\''(~a|a)&~c'\'''

echo '$ json '\''(~a|b)&a'\'''
json '(~a|b)&a' 2>&1 ||
echo 'command failed: json '\''(~a|b)&a'\'''

echo '$ json '\''(~a|b)&~b'\'''
json '(~a|b)&~b' 2>&1 ||
echo 'command failed: json '\''(~a|b)&~b'\'''

echo '$ json '\''(~a|b)&c'\'''
json '(~a|b)&c' 2>&1 ||
echo 'command failed: json '\''(~a|b)&c'\'''

echo '$ json '\''(~a|b)&~c'\'''
json '(~a|b)&~c' 2>&1 ||
echo 'command failed: json '\''(~a|b)&~c'\'''

echo '$ json '\''(~a|~b)&a'\'''
json '(~a|~b)&a' 2>&1 ||
echo 'command failed: json '\''(~a|~b)&a'\'''

echo '$ json '\''(~a|~b)&b'\'''
json '(~a|~b)&b' 2>&1 ||
echo 'command failed: json '\''(~a|~b)&b'\'''

echo '$ json '\''(~a|~b)&c'\'''
json '(~a|~b)&c' 2>&1 ||
echo 'command failed: json '\''(~a|~b)&c'\'''

echo '$ json '\''(~a|~b)&~c'\'''
json '(~a|~b)&~c' 2>&1 ||
echo 'command failed: json '\''(~a|~b)&~c'\'''

echo '$ json '\''(~a|c)&a'\'''
json '(~a|c)&a' 2>&1 ||
echo 'command failed: json '\''(~a|c)&a'\'''

echo '$ json '\''(~a|c)&b'\'''
json '(~a|c)&b' 2>&1 ||
echo 'command failed: json '\''(~a|c)&b'\'''

echo '$ json '\''(~a|c)&~b'\'''
json '(~a|c)&~b' 2>&1 ||
echo 'command failed: json '\''(~a|c)&~b'\'''

echo '$ json '\''(~a|c)&~c'\'''
json '(~a|c)&~c' 2>&1 ||
echo 'command failed: json '\''(~a|c)&~c'\'''

echo '$ json '\''(~a|~c)&a'\'''
json '(~a|~c)&a' 2>&1 ||
echo 'command failed: json '\''(~a|~c)&a'\'''

echo '$ json '\''(~a|~c)&b'\'''
json '(~a|~c)&b' 2>&1 ||
echo 'command failed: json '\''(~a|~c)&b'\'''

echo '$ json '\''(~a|~c)&~b'\'''
json '(~a|~c)&~b' 2>&1 ||
echo 'command failed: json '\''(~a|~c)&~b'\'''

echo '$ json '\''(~a|~c)&c'\'''
json '(~a|~c)&c' 2>&1 ||
echo 'command failed: json '\''(~a|~c)&c'\'''

echo '$ json '\''(b|a)&~a'\'''
json '(b|a)&~a' 2>&1 ||
echo 'command failed: json '\''(b|a)&~a'\'''

echo '$ json '\''(b|a)&~b'\'''
json '(b|a)&~b' 2>&1 ||
echo 'command failed: json '\''(b|a)&~b'\'''

echo '$ json '\''(b|a)&c'\'''
json '(b|a)&c' 2>&1 ||
echo 'command failed: json '\''(b|a)&c'\'''

echo '$ json '\''(b|a)&~c'\'''
json '(b|a)&~c' 2>&1 ||
echo 'command failed: json '\''(b|a)&~c'\'''

echo '$ json '\''(b|~a)&a'\'''
json '(b|~a)&a' 2>&1 ||
echo 'command failed: json '\''(b|~a)&a'\'''

echo '$ json '\''(b|~a)&~b'\'''
json '(b|~a)&~b' 2>&1 ||
echo 'command failed: json '\''(b|~a)&~b'\'''

echo '$ json '\''(b|~a)&c'\'''
json '(b|~a)&c' 2>&1 ||
echo 'command failed: json '\''(b|~a)&c'\'''

echo '$ json '\''(b|~a)&~c'\'''
json '(b|~a)&~c' 2>&1 ||
echo 'command failed: json '\''(b|~a)&~c'\'''

echo '$ json '\''(b|~b)&a'\'''
json '(b|~b)&a' 2>&1 ||
echo 'command failed: json '\''(b|~b)&a'\'''

echo '$ json '\''(b|~b)&~a'\'''
json '(b|~b)&~a' 2>&1 ||
echo 'command failed: json '\''(b|~b)&~a'\'''

echo '$ json '\''(b|~b)&c'\'''
json '(b|~b)&c' 2>&1 ||
echo 'command failed: json '\''(b|~b)&c'\'''

echo '$ json '\''(b|~b)&~c'\'''
json '(b|~b)&~c' 2>&1 ||
echo 'command failed: json '\''(b|~b)&~c'\'''

echo '$ json '\''(b|c)&a'\'''
json '(b|c)&a' 2>&1 ||
echo 'command failed: json '\''(b|c)&a'\'''

echo '$ json '\''(b|c)&~a'\'''
json '(b|c)&~a' 2>&1 ||
echo 'command failed: json '\''(b|c)&~a'\'''

echo '$ json '\''(b|c)&~b'\'''
json '(b|c)&~b' 2>&1 ||
echo 'command failed: json '\''(b|c)&~b'\'''

echo '$ json '\''(b|c)&~c'\'''
json '(b|c)&~c' 2>&1 ||
echo 'command failed: json '\''(b|c)&~c'\'''

echo '$ json '\''(b|~c)&a'\'''
json '(b|~c)&a' 2>&1 ||
echo 'command failed: json '\''(b|~c)&a'\'''

echo '$ json '\''(b|~c)&~a'\'''
json '(b|~c)&~a' 2>&1 ||
echo 'command failed: json '\''(b|~c)&~a'\'''

echo '$ json '\''(b|~c)&~b'\'''
json '(b|~c)&~b' 2>&1 ||
echo 'command failed: json '\''(b|~c)&~b'\'''

echo '$ json '\''(b|~c)&c'\'''
json '(b|~c)&c' 2>&1 ||
echo 'command failed: json '\''(b|~c)&c'\'''

echo '$ json '\''(~b|a)&~a'\'''
json '(~b|a)&~a' 2>&1 ||
echo 'command failed: json '\''(~b|a)&~a'\'''

echo '$ json '\''(~b|a)&b'\'''
json '(~b|a)&b' 2>&1 ||
echo 'command failed: json '\''(~b|a)&b'\'''

echo '$ json '\''(~b|a)&c'\'''
json '(~b|a)&c' 2>&1 ||
echo 'command failed: json '\''(~b|a)&c'\'''

echo '$ json '\''(~b|a)&~c'\'''
json '(~b|a)&~c' 2>&1 ||
echo 'command failed: json '\''(~b|a)&~c'\'''

echo '$ json '\''(~b|~a)&a'\'''
json '(~b|~a)&a' 2>&1 ||
echo 'command failed: json '\''(~b|~a)&a'\'''

echo '$ json '\''(~b|~a)&b'\'''
json '(~b|~a)&b' 2>&1 ||
echo 'command failed: json '\''(~b|~a)&b'\'''

echo '$ json '\''(~b|~a)&c'\'''
json '(~b|~a)&c' 2>&1 ||
echo 'command failed: json '\''(~b|~a)&c'\'''

echo '$ json '\''(~b|~a)&~c'\'''
json '(~b|~a)&~c' 2>&1 ||
echo 'command failed: json '\''(~b|~a)&~c'\'''

echo '$ json '\''(~b|b)&a'\'''
json '(~b|b)&a' 2>&1 ||
echo 'command failed: json '\''(~b|b)&a'\'''

echo '$ json '\''(~b|b)&~a'\'''
json '(~b|b)&~a' 2>&1 ||
echo 'command failed: json '\''(~b|b)&~a'\'''

echo '$ json '\''(~b|b)&c'\'''
json '(~b|b)&c' 2>&1 ||
echo 'command failed: json '\''(~b|b)&c'\'''

echo '$ json '\''(~b|b)&~c'\'''
json '(~b|b)&~c' 2>&1 ||
echo 'command failed: json '\''(~b|b)&~c'\'''

echo '$ json '\''(~b|c)&a'\'''
json '(~b|c)&a' 2>&1 ||
echo 'command failed: json '\''(~b|c)&a'\'''

echo '$ json '\''(~b|c)&~a'\'''
json '(~b|c)&~a' 2>&1 ||
echo 'command failed: json '\''(~b|c)&~a'\'''

echo '$ json '\''(~b|c)&b'\'''
json '(~b|c)&b' 2>&1 ||
echo 'command failed: json '\''(~b|c)&b'\'''

echo '$ json '\''(~b|c)&~c'\'''
json '(~b|c)&~c' 2>&1 ||
echo 'command failed: json '\''(~b|c)&~c'\'''

echo '$ json '\''(~b|~c)&a'\'''
json '(~b|~c)&a' 2>&1 ||
echo 'command failed: json '\''(~b|~c)&a'\'''

echo '$ json '\''(~b|~c)&~a'\'''
json '(~b|~c)&~a' 2>&1 ||
echo 'command failed: json '\''(~b|~c)&~a'\'''

echo '$ json '\''(~b|~c)&b'\'''
json '(~b|~c)&b' 2>&1 ||
echo 'command failed: json '\''(~b|~c)&b'\'''

echo '$ json '\''(~b|~c)&c'\'''
json '(~b|~c)&c' 2>&1 ||
echo 'command failed: json '\''(~b|~c)&c'\'''

echo '$ json '\''(c|a)&~a'\'''
json '(c|a)&~a' 2>&1 ||
echo 'command failed: json '\''(c|a)&~a'\'''

echo '$ json '\''(c|a)&b'\'''
json '(c|a)&b' 2>&1 ||
echo 'command failed: json '\''(c|a)&b'\'''

echo '$ json '\''(c|a)&~b'\'''
json '(c|a)&~b' 2>&1 ||
echo 'command failed: json '\''(c|a)&~b'\'''

echo '$ json '\''(c|a)&~c'\'''
json '(c|a)&~c' 2>&1 ||
echo 'command failed: json '\''(c|a)&~c'\'''

echo '$ json '\''(c|~a)&a'\'''
json '(c|~a)&a' 2>&1 ||
echo 'command failed: json '\''(c|~a)&a'\'''

echo '$ json '\''(c|~a)&b'\'''
json '(c|~a)&b' 2>&1 ||
echo 'command failed: json '\''(c|~a)&b'\'''

echo '$ json '\''(c|~a)&~b'\'''
json '(c|~a)&~b' 2>&1 ||
echo 'command failed: json '\''(c|~a)&~b'\'''

echo '$ json '\''(c|~a)&~c'\'''
json '(c|~a)&~c' 2>&1 ||
echo 'command failed: json '\''(c|~a)&~c'\'''

echo '$ json '\''(c|b)&a'\'''
json '(c|b)&a' 2>&1 ||
echo 'command failed: json '\''(c|b)&a'\'''

echo '$ json '\''(c|b)&~a'\'''
json '(c|b)&~a' 2>&1 ||
echo 'command failed: json '\''(c|b)&~a'\'''

echo '$ json '\''(c|b)&~b'\'''
json '(c|b)&~b' 2>&1 ||
echo 'command failed: json '\''(c|b)&~b'\'''

echo '$ json '\''(c|b)&~c'\'''
json '(c|b)&~c' 2>&1 ||
echo 'command failed: json '\''(c|b)&~c'\'''

echo '$ json '\''(c|~b)&a'\'''
json '(c|~b)&a' 2>&1 ||
echo 'command failed: json '\''(c|~b)&a'\'''

echo '$ json '\''(c|~b)&~a'\'''
json '(c|~b)&~a' 2>&1 ||
echo 'command failed: json '\''(c|~b)&~a'\'''

echo '$ json '\''(c|~b)&b'\'''
json '(c|~b)&b' 2>&1 ||
echo 'command failed: json '\''(c|~b)&b'\'''

echo '$ json '\''(c|~b)&~c'\'''
json '(c|~b)&~c' 2>&1 ||
echo 'command failed: json '\''(c|~b)&~c'\'''

echo '$ json '\''(c|~c)&a'\'''
json '(c|~c)&a' 2>&1 ||
echo 'command failed: json '\''(c|~c)&a'\'''

echo '$ json '\''(c|~c)&~a'\'''
json '(c|~c)&~a' 2>&1 ||
echo 'command failed: json '\''(c|~c)&~a'\'''

echo '$ json '\''(c|~c)&b'\'''
json '(c|~c)&b' 2>&1 ||
echo 'command failed: json '\''(c|~c)&b'\'''

echo '$ json '\''(c|~c)&~b'\'''
json '(c|~c)&~b' 2>&1 ||
echo 'command failed: json '\''(c|~c)&~b'\'''

echo '$ json '\''(~c|a)&~a'\'''
json '(~c|a)&~a' 2>&1 ||
echo 'command failed: json '\''(~c|a)&~a'\'''

echo '$ json '\''(~c|a)&b'\'''
json '(~c|a)&b' 2>&1 ||
echo 'command failed: json '\''(~c|a)&b'\'''

echo '$ json '\''(~c|a)&~b'\'''
json '(~c|a)&~b' 2>&1 ||
echo 'command failed: json '\''(~c|a)&~b'\'''

echo '$ json '\''(~c|a)&c'\'''
json '(~c|a)&c' 2>&1 ||
echo 'command failed: json '\''(~c|a)&c'\'''

echo '$ json '\''(~c|~a)&a'\'''
json '(~c|~a)&a' 2>&1 ||
echo 'command failed: json '\''(~c|~a)&a'\'''

echo '$ json '\''(~c|~a)&b'\'''
json '(~c|~a)&b' 2>&1 ||
echo 'command failed: json '\''(~c|~a)&b'\'''

echo '$ json '\''(~c|~a)&~b'\'''
json '(~c|~a)&~b' 2>&1 ||
echo 'command failed: json '\''(~c|~a)&~b'\'''

echo '$ json '\''(~c|~a)&c'\'''
json '(~c|~a)&c' 2>&1 ||
echo 'command failed: json '\''(~c|~a)&c'\'''

echo '$ json '\''(~c|b)&a'\'''
json '(~c|b)&a' 2>&1 ||
echo 'command failed: json '\''(~c|b)&a'\'''

echo '$ json '\''(~c|b)&~a'\'''
json '(~c|b)&~a' 2>&1 ||
echo 'command failed: json '\''(~c|b)&~a'\'''

echo '$ json '\''(~c|b)&~b'\'''
json '(~c|b)&~b' 2>&1 ||
echo 'command failed: json '\''(~c|b)&~b'\'''

echo '$ json '\''(~c|b)&c'\'''
json '(~c|b)&c' 2>&1 ||
echo 'command failed: json '\''(~c|b)&c'\'''

echo '$ json '\''(~c|~b)&a'\'''
json '(~c|~b)&a' 2>&1 ||
echo 'command failed: json '\''(~c|~b)&a'\'''

echo '$ json '\''(~c|~b)&~a'\'''
json '(~c|~b)&~a' 2>&1 ||
echo 'command failed: json '\''(~c|~b)&~a'\'''

echo '$ json '\''(~c|~b)&b'\'''
json '(~c|~b)&b' 2>&1 ||
echo 'command failed: json '\''(~c|~b)&b'\'''

echo '$ json '\''(~c|~b)&c'\'''
json '(~c|~b)&c' 2>&1 ||
echo 'command failed: json '\''(~c|~b)&c'\'''

echo '$ json '\''(~c|c)&a'\'''
json '(~c|c)&a' 2>&1 ||
echo 'command failed: json '\''(~c|c)&a'\'''

echo '$ json '\''(~c|c)&~a'\'''
json '(~c|c)&~a' 2>&1 ||
echo 'command failed: json '\''(~c|c)&~a'\'''

echo '$ json '\''(~c|c)&b'\'''
json '(~c|c)&b' 2>&1 ||
echo 'command failed: json '\''(~c|c)&b'\'''

echo '$ json '\''(~c|c)&~b'\'''
json '(~c|c)&~b' 2>&1 ||
echo 'command failed: json '\''(~c|c)&~b'\'''

echo '$ json '\''(a|~a)|b'\'''
json '(a|~a)|b' 2>&1 ||
echo 'command failed: json '\''(a|~a)|b'\'''

echo '$ json '\''(a|~a)|~b'\'''
json '(a|~a)|~b' 2>&1 ||
echo 'command failed: json '\''(a|~a)|~b'\'''

echo '$ json '\''(a|~a)|c'\'''
json '(a|~a)|c' 2>&1 ||
echo 'command failed: json '\''(a|~a)|c'\'''

echo '$ json '\''(a|~a)|~c'\'''
json '(a|~a)|~c' 2>&1 ||
echo 'command failed: json '\''(a|~a)|~c'\'''

echo '$ json '\''(a|b)|~a'\'''
json '(a|b)|~a' 2>&1 ||
echo 'command failed: json '\''(a|b)|~a'\'''

echo '$ json '\''(a|b)|~b'\'''
json '(a|b)|~b' 2>&1 ||
echo 'command failed: json '\''(a|b)|~b'\'''

echo '$ json '\''(a|b)|c'\'''
json '(a|b)|c' 2>&1 ||
echo 'command failed: json '\''(a|b)|c'\'''

echo '$ json '\''(a|b)|~c'\'''
json '(a|b)|~c' 2>&1 ||
echo 'command failed: json '\''(a|b)|~c'\'''

echo '$ json '\''(a|~b)|~a'\'''
json '(a|~b)|~a' 2>&1 ||
echo 'command failed: json '\''(a|~b)|~a'\'''

echo '$ json '\''(a|~b)|b'\'''
json '(a|~b)|b' 2>&1 ||
echo 'command failed: json '\''(a|~b)|b'\'''

echo '$ json '\''(a|~b)|c'\'''
json '(a|~b)|c' 2>&1 ||
echo 'command failed: json '\''(a|~b)|c'\'''

echo '$ json '\''(a|~b)|~c'\'''
json '(a|~b)|~c' 2>&1 ||
echo 'command failed: json '\''(a|~b)|~c'\'''

echo '$ json '\''(a|c)|~a'\'''
json '(a|c)|~a' 2>&1 ||
echo 'command failed: json '\''(a|c)|~a'\'''

echo '$ json '\''(a|c)|b'\'''
json '(a|c)|b' 2>&1 ||
echo 'command failed: json '\''(a|c)|b'\'''

echo '$ json '\''(a|c)|~b'\'''
json '(a|c)|~b' 2>&1 ||
echo 'command failed: json '\''(a|c)|~b'\'''

echo '$ json '\''(a|c)|~c'\'''
json '(a|c)|~c' 2>&1 ||
echo 'command failed: json '\''(a|c)|~c'\'''

echo '$ json '\''(a|~c)|~a'\'''
json '(a|~c)|~a' 2>&1 ||
echo 'command failed: json '\''(a|~c)|~a'\'''

echo '$ json '\''(a|~c)|b'\'''
json '(a|~c)|b' 2>&1 ||
echo 'command failed: json '\''(a|~c)|b'\'''

echo '$ json '\''(a|~c)|~b'\'''
json '(a|~c)|~b' 2>&1 ||
echo 'command failed: json '\''(a|~c)|~b'\'''

echo '$ json '\''(a|~c)|c'\'''
json '(a|~c)|c' 2>&1 ||
echo 'command failed: json '\''(a|~c)|c'\'''

echo '$ json '\''(~a|a)|b'\'''
json '(~a|a)|b' 2>&1 ||
echo 'command failed: json '\''(~a|a)|b'\'''

echo '$ json '\''(~a|a)|~b'\'''
json '(~a|a)|~b' 2>&1 ||
echo 'command failed: json '\''(~a|a)|~b'\'''

echo '$ json '\''(~a|a)|c'\'''
json '(~a|a)|c' 2>&1 ||
echo 'command failed: json '\''(~a|a)|c'\'''

echo '$ json '\''(~a|a)|~c'\'''
json '(~a|a)|~c' 2>&1 ||
echo 'command failed: json '\''(~a|a)|~c'\'''

echo '$ json '\''(~a|b)|a'\'''
json '(~a|b)|a' 2>&1 ||
echo 'command failed: json '\''(~a|b)|a'\'''

echo '$ json '\''(~a|b)|~b'\'''
json '(~a|b)|~b' 2>&1 ||
echo 'command failed: json '\''(~a|b)|~b'\'''

echo '$ json '\''(~a|b)|c'\'''
json '(~a|b)|c' 2>&1 ||
echo 'command failed: json '\''(~a|b)|c'\'''

echo '$ json '\''(~a|b)|~c'\'''
json '(~a|b)|~c' 2>&1 ||
echo 'command failed: json '\''(~a|b)|~c'\'''

echo '$ json '\''(~a|~b)|a'\'''
json '(~a|~b)|a' 2>&1 ||
echo 'command failed: json '\''(~a|~b)|a'\'''

echo '$ json '\''(~a|~b)|b'\'''
json '(~a|~b)|b' 2>&1 ||
echo 'command failed: json '\''(~a|~b)|b'\'''

echo '$ json '\''(~a|~b)|c'\'''
json '(~a|~b)|c' 2>&1 ||
echo 'command failed: json '\''(~a|~b)|c'\'''

echo '$ json '\''(~a|~b)|~c'\'''
json '(~a|~b)|~c' 2>&1 ||
echo 'command failed: json '\''(~a|~b)|~c'\'''

echo '$ json '\''(~a|c)|a'\'''
json '(~a|c)|a' 2>&1 ||
echo 'command failed: json '\''(~a|c)|a'\'''

echo '$ json '\''(~a|c)|b'\'''
json '(~a|c)|b' 2>&1 ||
echo 'command failed: json '\''(~a|c)|b'\'''

echo '$ json '\''(~a|c)|~b'\'''
json '(~a|c)|~b' 2>&1 ||
echo 'command failed: json '\''(~a|c)|~b'\'''

echo '$ json '\''(~a|c)|~c'\'''
json '(~a|c)|~c' 2>&1 ||
echo 'command failed: json '\''(~a|c)|~c'\'''

echo '$ json '\''(~a|~c)|a'\'''
json '(~a|~c)|a' 2>&1 ||
echo 'command failed: json '\''(~a|~c)|a'\'''

echo '$ json '\''(~a|~c)|b'\'''
json '(~a|~c)|b' 2>&1 ||
echo 'command failed: json '\''(~a|~c)|b'\'''

echo '$ json '\''(~a|~c)|~b'\'''
json '(~a|~c)|~b' 2>&1 ||
echo 'command failed: json '\''(~a|~c)|~b'\'''

echo '$ json '\''(~a|~c)|c'\'''
json '(~a|~c)|c' 2>&1 ||
echo 'command failed: json '\''(~a|~c)|c'\'''

echo '$ json '\''(b|a)|~a'\'''
json '(b|a)|~a' 2>&1 ||
echo 'command failed: json '\''(b|a)|~a'\'''

echo '$ json '\''(b|a)|~b'\'''
json '(b|a)|~b' 2>&1 ||
echo 'command failed: json '\''(b|a)|~b'\'''

echo '$ json '\''(b|a)|c'\'''
json '(b|a)|c' 2>&1 ||
echo 'command failed: json '\''(b|a)|c'\'''

echo '$ json '\''(b|a)|~c'\'''
json '(b|a)|~c' 2>&1 ||
echo 'command failed: json '\''(b|a)|~c'\'''

echo '$ json '\''(b|~a)|a'\'''
json '(b|~a)|a' 2>&1 ||
echo 'command failed: json '\''(b|~a)|a'\'''

echo '$ json '\''(b|~a)|~b'\'''
json '(b|~a)|~b' 2>&1 ||
echo 'command failed: json '\''(b|~a)|~b'\'''

echo '$ json '\''(b|~a)|c'\'''
json '(b|~a)|c' 2>&1 ||
echo 'command failed: json '\''(b|~a)|c'\'''

echo '$ json '\''(b|~a)|~c'\'''
json '(b|~a)|~c' 2>&1 ||
echo 'command failed: json '\''(b|~a)|~c'\'''

echo '$ json '\''(b|~b)|a'\'''
json '(b|~b)|a' 2>&1 ||
echo 'command failed: json '\''(b|~b)|a'\'''

echo '$ json '\''(b|~b)|~a'\'''
json '(b|~b)|~a' 2>&1 ||
echo 'command failed: json '\''(b|~b)|~a'\'''

echo '$ json '\''(b|~b)|c'\'''
json '(b|~b)|c' 2>&1 ||
echo 'command failed: json '\''(b|~b)|c'\'''

echo '$ json '\''(b|~b)|~c'\'''
json '(b|~b)|~c' 2>&1 ||
echo 'command failed: json '\''(b|~b)|~c'\'''

echo '$ json '\''(b|c)|a'\'''
json '(b|c)|a' 2>&1 ||
echo 'command failed: json '\''(b|c)|a'\'''

echo '$ json '\''(b|c)|~a'\'''
json '(b|c)|~a' 2>&1 ||
echo 'command failed: json '\''(b|c)|~a'\'''

echo '$ json '\''(b|c)|~b'\'''
json '(b|c)|~b' 2>&1 ||
echo 'command failed: json '\''(b|c)|~b'\'''

echo '$ json '\''(b|c)|~c'\'''
json '(b|c)|~c' 2>&1 ||
echo 'command failed: json '\''(b|c)|~c'\'''

echo '$ json '\''(b|~c)|a'\'''
json '(b|~c)|a' 2>&1 ||
echo 'command failed: json '\''(b|~c)|a'\'''

echo '$ json '\''(b|~c)|~a'\'''
json '(b|~c)|~a' 2>&1 ||
echo 'command failed: json '\''(b|~c)|~a'\'''

echo '$ json '\''(b|~c)|~b'\'''
json '(b|~c)|~b' 2>&1 ||
echo 'command failed: json '\''(b|~c)|~b'\'''

echo '$ json '\''(b|~c)|c'\'''
json '(b|~c)|c' 2>&1 ||
echo 'command failed: json '\''(b|~c)|c'\'''

echo '$ json '\''(~b|a)|~a'\'''
json '(~b|a)|~a' 2>&1 ||
echo 'command failed: json '\''(~b|a)|~a'\'''

echo '$ json '\''(~b|a)|b'\'''
json '(~b|a)|b' 2>&1 ||
echo 'command failed: json '\''(~b|a)|b'\'''

echo '$ json '\''(~b|a)|c'\'''
json '(~b|a)|c' 2>&1 ||
echo 'command failed: json '\''(~b|a)|c'\'''

echo '$ json '\''(~b|a)|~c'\'''
json '(~b|a)|~c' 2>&1 ||
echo 'command failed: json '\''(~b|a)|~c'\'''

echo '$ json '\''(~b|~a)|a'\'''
json '(~b|~a)|a' 2>&1 ||
echo 'command failed: json '\''(~b|~a)|a'\'''

echo '$ json '\''(~b|~a)|b'\'''
json '(~b|~a)|b' 2>&1 ||
echo 'command failed: json '\''(~b|~a)|b'\'''

echo '$ json '\''(~b|~a)|c'\'''
json '(~b|~a)|c' 2>&1 ||
echo 'command failed: json '\''(~b|~a)|c'\'''

echo '$ json '\''(~b|~a)|~c'\'''
json '(~b|~a)|~c' 2>&1 ||
echo 'command failed: json '\''(~b|~a)|~c'\'''

echo '$ json '\''(~b|b)|a'\'''
json '(~b|b)|a' 2>&1 ||
echo 'command failed: json '\''(~b|b)|a'\'''

echo '$ json '\''(~b|b)|~a'\'''
json '(~b|b)|~a' 2>&1 ||
echo 'command failed: json '\''(~b|b)|~a'\'''

echo '$ json '\''(~b|b)|c'\'''
json '(~b|b)|c' 2>&1 ||
echo 'command failed: json '\''(~b|b)|c'\'''

echo '$ json '\''(~b|b)|~c'\'''
json '(~b|b)|~c' 2>&1 ||
echo 'command failed: json '\''(~b|b)|~c'\'''

echo '$ json '\''(~b|c)|a'\'''
json '(~b|c)|a' 2>&1 ||
echo 'command failed: json '\''(~b|c)|a'\'''

echo '$ json '\''(~b|c)|~a'\'''
json '(~b|c)|~a' 2>&1 ||
echo 'command failed: json '\''(~b|c)|~a'\'''

echo '$ json '\''(~b|c)|b'\'''
json '(~b|c)|b' 2>&1 ||
echo 'command failed: json '\''(~b|c)|b'\'''

echo '$ json '\''(~b|c)|~c'\'''
json '(~b|c)|~c' 2>&1 ||
echo 'command failed: json '\''(~b|c)|~c'\'''

echo '$ json '\''(~b|~c)|a'\'''
json '(~b|~c)|a' 2>&1 ||
echo 'command failed: json '\''(~b|~c)|a'\'''

echo '$ json '\''(~b|~c)|~a'\'''
json '(~b|~c)|~a' 2>&1 ||
echo 'command failed: json '\''(~b|~c)|~a'\'''

echo '$ json '\''(~b|~c)|b'\'''
json '(~b|~c)|b' 2>&1 ||
echo 'command failed: json '\''(~b|~c)|b'\'''

echo '$ json '\''(~b|~c)|c'\'''
json '(~b|~c)|c' 2>&1 ||
echo 'command failed: json '\''(~b|~c)|c'\'''

echo '$ json '\''(c|a)|~a'\'''
json '(c|a)|~a' 2>&1 ||
echo 'command failed: json '\''(c|a)|~a'\'''

echo '$ json '\''(c|a)|b'\'''
json '(c|a)|b' 2>&1 ||
echo 'command failed: json '\''(c|a)|b'\'''

echo '$ json '\''(c|a)|~b'\'''
json '(c|a)|~b' 2>&1 ||
echo 'command failed: json '\''(c|a)|~b'\'''

echo '$ json '\''(c|a)|~c'\'''
json '(c|a)|~c' 2>&1 ||
echo 'command failed: json '\''(c|a)|~c'\'''

echo '$ json '\''(c|~a)|a'\'''
json '(c|~a)|a' 2>&1 ||
echo 'command failed: json '\''(c|~a)|a'\'''

echo '$ json '\''(c|~a)|b'\'''
json '(c|~a)|b' 2>&1 ||
echo 'command failed: json '\''(c|~a)|b'\'''

echo '$ json '\''(c|~a)|~b'\'''
json '(c|~a)|~b' 2>&1 ||
echo 'command failed: json '\''(c|~a)|~b'\'''

echo '$ json '\''(c|~a)|~c'\'''
json '(c|~a)|~c' 2>&1 ||
echo 'command failed: json '\''(c|~a)|~c'\'''

echo '$ json '\''(c|b)|a'\'''
json '(c|b)|a' 2>&1 ||
echo 'command failed: json '\''(c|b)|a'\'''

echo '$ json '\''(c|b)|~a'\'''
json '(c|b)|~a' 2>&1 ||
echo 'command failed: json '\''(c|b)|~a'\'''

echo '$ json '\''(c|b)|~b'\'''
json '(c|b)|~b' 2>&1 ||
echo 'command failed: json '\''(c|b)|~b'\'''

echo '$ json '\''(c|b)|~c'\'''
json '(c|b)|~c' 2>&1 ||
echo 'command failed: json '\''(c|b)|~c'\'''

echo '$ json '\''(c|~b)|a'\'''
json '(c|~b)|a' 2>&1 ||
echo 'command failed: json '\''(c|~b)|a'\'''

echo '$ json '\''(c|~b)|~a'\'''
json '(c|~b)|~a' 2>&1 ||
echo 'command failed: json '\''(c|~b)|~a'\'''

echo '$ json '\''(c|~b)|b'\'''
json '(c|~b)|b' 2>&1 ||
echo 'command failed: json '\''(c|~b)|b'\'''

echo '$ json '\''(c|~b)|~c'\'''
json '(c|~b)|~c' 2>&1 ||
echo 'command failed: json '\''(c|~b)|~c'\'''

echo '$ json '\''(c|~c)|a'\'''
json '(c|~c)|a' 2>&1 ||
echo 'command failed: json '\''(c|~c)|a'\'''

echo '$ json '\''(c|~c)|~a'\'''
json '(c|~c)|~a' 2>&1 ||
echo 'command failed: json '\''(c|~c)|~a'\'''

echo '$ json '\''(c|~c)|b'\'''
json '(c|~c)|b' 2>&1 ||
echo 'command failed: json '\''(c|~c)|b'\'''

echo '$ json '\''(c|~c)|~b'\'''
json '(c|~c)|~b' 2>&1 ||
echo 'command failed: json '\''(c|~c)|~b'\'''

echo '$ json '\''(~c|a)|~a'\'''
json '(~c|a)|~a' 2>&1 ||
echo 'command failed: json '\''(~c|a)|~a'\'''

echo '$ json '\''(~c|a)|b'\'''
json '(~c|a)|b' 2>&1 ||
echo 'command failed: json '\''(~c|a)|b'\'''

echo '$ json '\''(~c|a)|~b'\'''
json '(~c|a)|~b' 2>&1 ||
echo 'command failed: json '\''(~c|a)|~b'\'''

echo '$ json '\''(~c|a)|c'\'''
json '(~c|a)|c' 2>&1 ||
echo 'command failed: json '\''(~c|a)|c'\'''

echo '$ json '\''(~c|~a)|a'\'''
json '(~c|~a)|a' 2>&1 ||
echo 'command failed: json '\''(~c|~a)|a'\'''

echo '$ json '\''(~c|~a)|b'\'''
json '(~c|~a)|b' 2>&1 ||
echo 'command failed: json '\''(~c|~a)|b'\'''

echo '$ json '\''(~c|~a)|~b'\'''
json '(~c|~a)|~b' 2>&1 ||
echo 'command failed: json '\''(~c|~a)|~b'\'''

echo '$ json '\''(~c|~a)|c'\'''
json '(~c|~a)|c' 2>&1 ||
echo 'command failed: json '\''(~c|~a)|c'\'''

echo '$ json '\''(~c|b)|a'\'''
json '(~c|b)|a' 2>&1 ||
echo 'command failed: json '\''(~c|b)|a'\'''

echo '$ json '\''(~c|b)|~a'\'''
json '(~c|b)|~a' 2>&1 ||
echo 'command failed: json '\''(~c|b)|~a'\'''

echo '$ json '\''(~c|b)|~b'\'''
json '(~c|b)|~b' 2>&1 ||
echo 'command failed: json '\''(~c|b)|~b'\'''

echo '$ json '\''(~c|b)|c'\'''
json '(~c|b)|c' 2>&1 ||
echo 'command failed: json '\''(~c|b)|c'\'''

echo '$ json '\''(~c|~b)|a'\'''
json '(~c|~b)|a' 2>&1 ||
echo 'command failed: json '\''(~c|~b)|a'\'''

echo '$ json '\''(~c|~b)|~a'\'''
json '(~c|~b)|~a' 2>&1 ||
echo 'command failed: json '\''(~c|~b)|~a'\'''

echo '$ json '\''(~c|~b)|b'\'''
json '(~c|~b)|b' 2>&1 ||
echo 'command failed: json '\''(~c|~b)|b'\'''

echo '$ json '\''(~c|~b)|c'\'''
json '(~c|~b)|c' 2>&1 ||
echo 'command failed: json '\''(~c|~b)|c'\'''

echo '$ json '\''(~c|c)|a'\'''
json '(~c|c)|a' 2>&1 ||
echo 'command failed: json '\''(~c|c)|a'\'''

echo '$ json '\''(~c|c)|~a'\'''
json '(~c|c)|~a' 2>&1 ||
echo 'command failed: json '\''(~c|c)|~a'\'''

echo '$ json '\''(~c|c)|b'\'''
json '(~c|c)|b' 2>&1 ||
echo 'command failed: json '\''(~c|c)|b'\'''

echo '$ json '\''(~c|c)|~b'\'''
json '(~c|c)|~b' 2>&1 ||
echo 'command failed: json '\''(~c|c)|~b'\'''

echo '$ json '\''(a|~a)||b'\'''
json '(a|~a)||b' 2>&1 ||
echo 'command failed: json '\''(a|~a)||b'\'''

echo '$ json '\''(a|~a)||~b'\'''
json '(a|~a)||~b' 2>&1 ||
echo 'command failed: json '\''(a|~a)||~b'\'''

echo '$ json '\''(a|~a)||c'\'''
json '(a|~a)||c' 2>&1 ||
echo 'command failed: json '\''(a|~a)||c'\'''

echo '$ json '\''(a|~a)||~c'\'''
json '(a|~a)||~c' 2>&1 ||
echo 'command failed: json '\''(a|~a)||~c'\'''

echo '$ json '\''(a|b)||~a'\'''
json '(a|b)||~a' 2>&1 ||
echo 'command failed: json '\''(a|b)||~a'\'''

echo '$ json '\''(a|b)||~b'\'''
json '(a|b)||~b' 2>&1 ||
echo 'command failed: json '\''(a|b)||~b'\'''

echo '$ json '\''(a|b)||c'\'''
json '(a|b)||c' 2>&1 ||
echo 'command failed: json '\''(a|b)||c'\'''

echo '$ json '\''(a|b)||~c'\'''
json '(a|b)||~c' 2>&1 ||
echo 'command failed: json '\''(a|b)||~c'\'''

echo '$ json '\''(a|~b)||~a'\'''
json '(a|~b)||~a' 2>&1 ||
echo 'command failed: json '\''(a|~b)||~a'\'''

echo '$ json '\''(a|~b)||b'\'''
json '(a|~b)||b' 2>&1 ||
echo 'command failed: json '\''(a|~b)||b'\'''

echo '$ json '\''(a|~b)||c'\'''
json '(a|~b)||c' 2>&1 ||
echo 'command failed: json '\''(a|~b)||c'\'''

echo '$ json '\''(a|~b)||~c'\'''
json '(a|~b)||~c' 2>&1 ||
echo 'command failed: json '\''(a|~b)||~c'\'''

echo '$ json '\''(a|c)||~a'\'''
json '(a|c)||~a' 2>&1 ||
echo 'command failed: json '\''(a|c)||~a'\'''

echo '$ json '\''(a|c)||b'\'''
json '(a|c)||b' 2>&1 ||
echo 'command failed: json '\''(a|c)||b'\'''

echo '$ json '\''(a|c)||~b'\'''
json '(a|c)||~b' 2>&1 ||
echo 'command failed: json '\''(a|c)||~b'\'''

echo '$ json '\''(a|c)||~c'\'''
json '(a|c)||~c' 2>&1 ||
echo 'command failed: json '\''(a|c)||~c'\'''

echo '$ json '\''(a|~c)||~a'\'''
json '(a|~c)||~a' 2>&1 ||
echo 'command failed: json '\''(a|~c)||~a'\'''

echo '$ json '\''(a|~c)||b'\'''
json '(a|~c)||b' 2>&1 ||
echo 'command failed: json '\''(a|~c)||b'\'''

echo '$ json '\''(a|~c)||~b'\'''
json '(a|~c)||~b' 2>&1 ||
echo 'command failed: json '\''(a|~c)||~b'\'''

echo '$ json '\''(a|~c)||c'\'''
json '(a|~c)||c' 2>&1 ||
echo 'command failed: json '\''(a|~c)||c'\'''

echo '$ json '\''(~a|a)||b'\'''
json '(~a|a)||b' 2>&1 ||
echo 'command failed: json '\''(~a|a)||b'\'''

echo '$ json '\''(~a|a)||~b'\'''
json '(~a|a)||~b' 2>&1 ||
echo 'command failed: json '\''(~a|a)||~b'\'''

echo '$ json '\''(~a|a)||c'\'''
json '(~a|a)||c' 2>&1 ||
echo 'command failed: json '\''(~a|a)||c'\'''

echo '$ json '\''(~a|a)||~c'\'''
json '(~a|a)||~c' 2>&1 ||
echo 'command failed: json '\''(~a|a)||~c'\'''

echo '$ json '\''(~a|b)||a'\'''
json '(~a|b)||a' 2>&1 ||
echo 'command failed: json '\''(~a|b)||a'\'''

echo '$ json '\''(~a|b)||~b'\'''
json '(~a|b)||~b' 2>&1 ||
echo 'command failed: json '\''(~a|b)||~b'\'''

echo '$ json '\''(~a|b)||c'\'''
json '(~a|b)||c' 2>&1 ||
echo 'command failed: json '\''(~a|b)||c'\'''

echo '$ json '\''(~a|b)||~c'\'''
json '(~a|b)||~c' 2>&1 ||
echo 'command failed: json '\''(~a|b)||~c'\'''

echo '$ json '\''(~a|~b)||a'\'''
json '(~a|~b)||a' 2>&1 ||
echo 'command failed: json '\''(~a|~b)||a'\'''

echo '$ json '\''(~a|~b)||b'\'''
json '(~a|~b)||b' 2>&1 ||
echo 'command failed: json '\''(~a|~b)||b'\'''

echo '$ json '\''(~a|~b)||c'\'''
json '(~a|~b)||c' 2>&1 ||
echo 'command failed: json '\''(~a|~b)||c'\'''

echo '$ json '\''(~a|~b)||~c'\'''
json '(~a|~b)||~c' 2>&1 ||
echo 'command failed: json '\''(~a|~b)||~c'\'''

echo '$ json '\''(~a|c)||a'\'''
json '(~a|c)||a' 2>&1 ||
echo 'command failed: json '\''(~a|c)||a'\'''

echo '$ json '\''(~a|c)||b'\'''
json '(~a|c)||b' 2>&1 ||
echo 'command failed: json '\''(~a|c)||b'\'''

echo '$ json '\''(~a|c)||~b'\'''
json '(~a|c)||~b' 2>&1 ||
echo 'command failed: json '\''(~a|c)||~b'\'''

echo '$ json '\''(~a|c)||~c'\'''
json '(~a|c)||~c' 2>&1 ||
echo 'command failed: json '\''(~a|c)||~c'\'''

echo '$ json '\''(~a|~c)||a'\'''
json '(~a|~c)||a' 2>&1 ||
echo 'command failed: json '\''(~a|~c)||a'\'''

echo '$ json '\''(~a|~c)||b'\'''
json '(~a|~c)||b' 2>&1 ||
echo 'command failed: json '\''(~a|~c)||b'\'''

echo '$ json '\''(~a|~c)||~b'\'''
json '(~a|~c)||~b' 2>&1 ||
echo 'command failed: json '\''(~a|~c)||~b'\'''

echo '$ json '\''(~a|~c)||c'\'''
json '(~a|~c)||c' 2>&1 ||
echo 'command failed: json '\''(~a|~c)||c'\'''

echo '$ json '\''(b|a)||~a'\'''
json '(b|a)||~a' 2>&1 ||
echo 'command failed: json '\''(b|a)||~a'\'''

echo '$ json '\''(b|a)||~b'\'''
json '(b|a)||~b' 2>&1 ||
echo 'command failed: json '\''(b|a)||~b'\'''

echo '$ json '\''(b|a)||c'\'''
json '(b|a)||c' 2>&1 ||
echo 'command failed: json '\''(b|a)||c'\'''

echo '$ json '\''(b|a)||~c'\'''
json '(b|a)||~c' 2>&1 ||
echo 'command failed: json '\''(b|a)||~c'\'''

echo '$ json '\''(b|~a)||a'\'''
json '(b|~a)||a' 2>&1 ||
echo 'command failed: json '\''(b|~a)||a'\'''

echo '$ json '\''(b|~a)||~b'\'''
json '(b|~a)||~b' 2>&1 ||
echo 'command failed: json '\''(b|~a)||~b'\'''

echo '$ json '\''(b|~a)||c'\'''
json '(b|~a)||c' 2>&1 ||
echo 'command failed: json '\''(b|~a)||c'\'''

echo '$ json '\''(b|~a)||~c'\'''
json '(b|~a)||~c' 2>&1 ||
echo 'command failed: json '\''(b|~a)||~c'\'''

echo '$ json '\''(b|~b)||a'\'''
json '(b|~b)||a' 2>&1 ||
echo 'command failed: json '\''(b|~b)||a'\'''

echo '$ json '\''(b|~b)||~a'\'''
json '(b|~b)||~a' 2>&1 ||
echo 'command failed: json '\''(b|~b)||~a'\'''

echo '$ json '\''(b|~b)||c'\'''
json '(b|~b)||c' 2>&1 ||
echo 'command failed: json '\''(b|~b)||c'\'''

echo '$ json '\''(b|~b)||~c'\'''
json '(b|~b)||~c' 2>&1 ||
echo 'command failed: json '\''(b|~b)||~c'\'''

echo '$ json '\''(b|c)||a'\'''
json '(b|c)||a' 2>&1 ||
echo 'command failed: json '\''(b|c)||a'\'''

echo '$ json '\''(b|c)||~a'\'''
json '(b|c)||~a' 2>&1 ||
echo 'command failed: json '\''(b|c)||~a'\'''

echo '$ json '\''(b|c)||~b'\'''
json '(b|c)||~b' 2>&1 ||
echo 'command failed: json '\''(b|c)||~b'\'''

echo '$ json '\''(b|c)||~c'\'''
json '(b|c)||~c' 2>&1 ||
echo 'command failed: json '\''(b|c)||~c'\'''

echo '$ json '\''(b|~c)||a'\'''
json '(b|~c)||a' 2>&1 ||
echo 'command failed: json '\''(b|~c)||a'\'''

echo '$ json '\''(b|~c)||~a'\'''
json '(b|~c)||~a' 2>&1 ||
echo 'command failed: json '\''(b|~c)||~a'\'''

echo '$ json '\''(b|~c)||~b'\'''
json '(b|~c)||~b' 2>&1 ||
echo 'command failed: json '\''(b|~c)||~b'\'''

echo '$ json '\''(b|~c)||c'\'''
json '(b|~c)||c' 2>&1 ||
echo 'command failed: json '\''(b|~c)||c'\'''

echo '$ json '\''(~b|a)||~a'\'''
json '(~b|a)||~a' 2>&1 ||
echo 'command failed: json '\''(~b|a)||~a'\'''

echo '$ json '\''(~b|a)||b'\'''
json '(~b|a)||b' 2>&1 ||
echo 'command failed: json '\''(~b|a)||b'\'''

echo '$ json '\''(~b|a)||c'\'''
json '(~b|a)||c' 2>&1 ||
echo 'command failed: json '\''(~b|a)||c'\'''

echo '$ json '\''(~b|a)||~c'\'''
json '(~b|a)||~c' 2>&1 ||
echo 'command failed: json '\''(~b|a)||~c'\'''

echo '$ json '\''(~b|~a)||a'\'''
json '(~b|~a)||a' 2>&1 ||
echo 'command failed: json '\''(~b|~a)||a'\'''

echo '$ json '\''(~b|~a)||b'\'''
json '(~b|~a)||b' 2>&1 ||
echo 'command failed: json '\''(~b|~a)||b'\'''

echo '$ json '\''(~b|~a)||c'\'''
json '(~b|~a)||c' 2>&1 ||
echo 'command failed: json '\''(~b|~a)||c'\'''

echo '$ json '\''(~b|~a)||~c'\'''
json '(~b|~a)||~c' 2>&1 ||
echo 'command failed: json '\''(~b|~a)||~c'\'''

echo '$ json '\''(~b|b)||a'\'''
json '(~b|b)||a' 2>&1 ||
echo 'command failed: json '\''(~b|b)||a'\'''

echo '$ json '\''(~b|b)||~a'\'''
json '(~b|b)||~a' 2>&1 ||
echo 'command failed: json '\''(~b|b)||~a'\'''

echo '$ json '\''(~b|b)||c'\'''
json '(~b|b)||c' 2>&1 ||
echo 'command failed: json '\''(~b|b)||c'\'''

echo '$ json '\''(~b|b)||~c'\'''
json '(~b|b)||~c' 2>&1 ||
echo 'command failed: json '\''(~b|b)||~c'\'''

echo '$ json '\''(~b|c)||a'\'''
json '(~b|c)||a' 2>&1 ||
echo 'command failed: json '\''(~b|c)||a'\'''

echo '$ json '\''(~b|c)||~a'\'''
json '(~b|c)||~a' 2>&1 ||
echo 'command failed: json '\''(~b|c)||~a'\'''

echo '$ json '\''(~b|c)||b'\'''
json '(~b|c)||b' 2>&1 ||
echo 'command failed: json '\''(~b|c)||b'\'''

echo '$ json '\''(~b|c)||~c'\'''
json '(~b|c)||~c' 2>&1 ||
echo 'command failed: json '\''(~b|c)||~c'\'''

echo '$ json '\''(~b|~c)||a'\'''
json '(~b|~c)||a' 2>&1 ||
echo 'command failed: json '\''(~b|~c)||a'\'''

echo '$ json '\''(~b|~c)||~a'\'''
json '(~b|~c)||~a' 2>&1 ||
echo 'command failed: json '\''(~b|~c)||~a'\'''

echo '$ json '\''(~b|~c)||b'\'''
json '(~b|~c)||b' 2>&1 ||
echo 'command failed: json '\''(~b|~c)||b'\'''

echo '$ json '\''(~b|~c)||c'\'''
json '(~b|~c)||c' 2>&1 ||
echo 'command failed: json '\''(~b|~c)||c'\'''

echo '$ json '\''(c|a)||~a'\'''
json '(c|a)||~a' 2>&1 ||
echo 'command failed: json '\''(c|a)||~a'\'''

echo '$ json '\''(c|a)||b'\'''
json '(c|a)||b' 2>&1 ||
echo 'command failed: json '\''(c|a)||b'\'''

echo '$ json '\''(c|a)||~b'\'''
json '(c|a)||~b' 2>&1 ||
echo 'command failed: json '\''(c|a)||~b'\'''

echo '$ json '\''(c|a)||~c'\'''
json '(c|a)||~c' 2>&1 ||
echo 'command failed: json '\''(c|a)||~c'\'''

echo '$ json '\''(c|~a)||a'\'''
json '(c|~a)||a' 2>&1 ||
echo 'command failed: json '\''(c|~a)||a'\'''

echo '$ json '\''(c|~a)||b'\'''
json '(c|~a)||b' 2>&1 ||
echo 'command failed: json '\''(c|~a)||b'\'''

echo '$ json '\''(c|~a)||~b'\'''
json '(c|~a)||~b' 2>&1 ||
echo 'command failed: json '\''(c|~a)||~b'\'''

echo '$ json '\''(c|~a)||~c'\'''
json '(c|~a)||~c' 2>&1 ||
echo 'command failed: json '\''(c|~a)||~c'\'''

echo '$ json '\''(c|b)||a'\'''
json '(c|b)||a' 2>&1 ||
echo 'command failed: json '\''(c|b)||a'\'''

echo '$ json '\''(c|b)||~a'\'''
json '(c|b)||~a' 2>&1 ||
echo 'command failed: json '\''(c|b)||~a'\'''

echo '$ json '\''(c|b)||~b'\'''
json '(c|b)||~b' 2>&1 ||
echo 'command failed: json '\''(c|b)||~b'\'''

echo '$ json '\''(c|b)||~c'\'''
json '(c|b)||~c' 2>&1 ||
echo 'command failed: json '\''(c|b)||~c'\'''

echo '$ json '\''(c|~b)||a'\'''
json '(c|~b)||a' 2>&1 ||
echo 'command failed: json '\''(c|~b)||a'\'''

echo '$ json '\''(c|~b)||~a'\'''
json '(c|~b)||~a' 2>&1 ||
echo 'command failed: json '\''(c|~b)||~a'\'''

echo '$ json '\''(c|~b)||b'\'''
json '(c|~b)||b' 2>&1 ||
echo 'command failed: json '\''(c|~b)||b'\'''

echo '$ json '\''(c|~b)||~c'\'''
json '(c|~b)||~c' 2>&1 ||
echo 'command failed: json '\''(c|~b)||~c'\'''

echo '$ json '\''(c|~c)||a'\'''
json '(c|~c)||a' 2>&1 ||
echo 'command failed: json '\''(c|~c)||a'\'''

echo '$ json '\''(c|~c)||~a'\'''
json '(c|~c)||~a' 2>&1 ||
echo 'command failed: json '\''(c|~c)||~a'\'''

echo '$ json '\''(c|~c)||b'\'''
json '(c|~c)||b' 2>&1 ||
echo 'command failed: json '\''(c|~c)||b'\'''

echo '$ json '\''(c|~c)||~b'\'''
json '(c|~c)||~b' 2>&1 ||
echo 'command failed: json '\''(c|~c)||~b'\'''

echo '$ json '\''(~c|a)||~a'\'''
json '(~c|a)||~a' 2>&1 ||
echo 'command failed: json '\''(~c|a)||~a'\'''

echo '$ json '\''(~c|a)||b'\'''
json '(~c|a)||b' 2>&1 ||
echo 'command failed: json '\''(~c|a)||b'\'''

echo '$ json '\''(~c|a)||~b'\'''
json '(~c|a)||~b' 2>&1 ||
echo 'command failed: json '\''(~c|a)||~b'\'''

echo '$ json '\''(~c|a)||c'\'''
json '(~c|a)||c' 2>&1 ||
echo 'command failed: json '\''(~c|a)||c'\'''

echo '$ json '\''(~c|~a)||a'\'''
json '(~c|~a)||a' 2>&1 ||
echo 'command failed: json '\''(~c|~a)||a'\'''

echo '$ json '\''(~c|~a)||b'\'''
json '(~c|~a)||b' 2>&1 ||
echo 'command failed: json '\''(~c|~a)||b'\'''

echo '$ json '\''(~c|~a)||~b'\'''
json '(~c|~a)||~b' 2>&1 ||
echo 'command failed: json '\''(~c|~a)||~b'\'''

echo '$ json '\''(~c|~a)||c'\'''
json '(~c|~a)||c' 2>&1 ||
echo 'command failed: json '\''(~c|~a)||c'\'''

echo '$ json '\''(~c|b)||a'\'''
json '(~c|b)||a' 2>&1 ||
echo 'command failed: json '\''(~c|b)||a'\'''

echo '$ json '\''(~c|b)||~a'\'''
json '(~c|b)||~a' 2>&1 ||
echo 'command failed: json '\''(~c|b)||~a'\'''

echo '$ json '\''(~c|b)||~b'\'''
json '(~c|b)||~b' 2>&1 ||
echo 'command failed: json '\''(~c|b)||~b'\'''

echo '$ json '\''(~c|b)||c'\'''
json '(~c|b)||c' 2>&1 ||
echo 'command failed: json '\''(~c|b)||c'\'''

echo '$ json '\''(~c|~b)||a'\'''
json '(~c|~b)||a' 2>&1 ||
echo 'command failed: json '\''(~c|~b)||a'\'''

echo '$ json '\''(~c|~b)||~a'\'''
json '(~c|~b)||~a' 2>&1 ||
echo 'command failed: json '\''(~c|~b)||~a'\'''

echo '$ json '\''(~c|~b)||b'\'''
json '(~c|~b)||b' 2>&1 ||
echo 'command failed: json '\''(~c|~b)||b'\'''

echo '$ json '\''(~c|~b)||c'\'''
json '(~c|~b)||c' 2>&1 ||
echo 'command failed: json '\''(~c|~b)||c'\'''

echo '$ json '\''(~c|c)||a'\'''
json '(~c|c)||a' 2>&1 ||
echo 'command failed: json '\''(~c|c)||a'\'''

echo '$ json '\''(~c|c)||~a'\'''
json '(~c|c)||~a' 2>&1 ||
echo 'command failed: json '\''(~c|c)||~a'\'''

echo '$ json '\''(~c|c)||b'\'''
json '(~c|c)||b' 2>&1 ||
echo 'command failed: json '\''(~c|c)||b'\'''

echo '$ json '\''(~c|c)||~b'\'''
json '(~c|c)||~b' 2>&1 ||
echo 'command failed: json '\''(~c|c)||~b'\'''

echo '$ json '\''(a||~a)&b'\'''
json '(a||~a)&b' 2>&1 ||
echo 'command failed: json '\''(a||~a)&b'\'''

echo '$ json '\''(a||~a)&~b'\'''
json '(a||~a)&~b' 2>&1 ||
echo 'command failed: json '\''(a||~a)&~b'\'''

echo '$ json '\''(a||~a)&c'\'''
json '(a||~a)&c' 2>&1 ||
echo 'command failed: json '\''(a||~a)&c'\'''

echo '$ json '\''(a||~a)&~c'\'''
json '(a||~a)&~c' 2>&1 ||
echo 'command failed: json '\''(a||~a)&~c'\'''

echo '$ json '\''(a||b)&~a'\'''
json '(a||b)&~a' 2>&1 ||
echo 'command failed: json '\''(a||b)&~a'\'''

echo '$ json '\''(a||b)&~b'\'''
json '(a||b)&~b' 2>&1 ||
echo 'command failed: json '\''(a||b)&~b'\'''

echo '$ json '\''(a||b)&c'\'''
json '(a||b)&c' 2>&1 ||
echo 'command failed: json '\''(a||b)&c'\'''

echo '$ json '\''(a||b)&~c'\'''
json '(a||b)&~c' 2>&1 ||
echo 'command failed: json '\''(a||b)&~c'\'''

echo '$ json '\''(a||~b)&~a'\'''
json '(a||~b)&~a' 2>&1 ||
echo 'command failed: json '\''(a||~b)&~a'\'''

echo '$ json '\''(a||~b)&b'\'''
json '(a||~b)&b' 2>&1 ||
echo 'command failed: json '\''(a||~b)&b'\'''

echo '$ json '\''(a||~b)&c'\'''
json '(a||~b)&c' 2>&1 ||
echo 'command failed: json '\''(a||~b)&c'\'''

echo '$ json '\''(a||~b)&~c'\'''
json '(a||~b)&~c' 2>&1 ||
echo 'command failed: json '\''(a||~b)&~c'\'''

echo '$ json '\''(a||c)&~a'\'''
json '(a||c)&~a' 2>&1 ||
echo 'command failed: json '\''(a||c)&~a'\'''

echo '$ json '\''(a||c)&b'\'''
json '(a||c)&b' 2>&1 ||
echo 'command failed: json '\''(a||c)&b'\'''

echo '$ json '\''(a||c)&~b'\'''
json '(a||c)&~b' 2>&1 ||
echo 'command failed: json '\''(a||c)&~b'\'''

echo '$ json '\''(a||c)&~c'\'''
json '(a||c)&~c' 2>&1 ||
echo 'command failed: json '\''(a||c)&~c'\'''

echo '$ json '\''(a||~c)&~a'\'''
json '(a||~c)&~a' 2>&1 ||
echo 'command failed: json '\''(a||~c)&~a'\'''

echo '$ json '\''(a||~c)&b'\'''
json '(a||~c)&b' 2>&1 ||
echo 'command failed: json '\''(a||~c)&b'\'''

echo '$ json '\''(a||~c)&~b'\'''
json '(a||~c)&~b' 2>&1 ||
echo 'command failed: json '\''(a||~c)&~b'\'''

echo '$ json '\''(a||~c)&c'\'''
json '(a||~c)&c' 2>&1 ||
echo 'command failed: json '\''(a||~c)&c'\'''

echo '$ json '\''(~a||a)&b'\'''
json '(~a||a)&b' 2>&1 ||
echo 'command failed: json '\''(~a||a)&b'\'''

echo '$ json '\''(~a||a)&~b'\'''
json '(~a||a)&~b' 2>&1 ||
echo 'command failed: json '\''(~a||a)&~b'\'''

echo '$ json '\''(~a||a)&c'\'''
json '(~a||a)&c' 2>&1 ||
echo 'command failed: json '\''(~a||a)&c'\'''

echo '$ json '\''(~a||a)&~c'\'''
json '(~a||a)&~c' 2>&1 ||
echo 'command failed: json '\''(~a||a)&~c'\'''

echo '$ json '\''(~a||b)&a'\'''
json '(~a||b)&a' 2>&1 ||
echo 'command failed: json '\''(~a||b)&a'\'''

echo '$ json '\''(~a||b)&~b'\'''
json '(~a||b)&~b' 2>&1 ||
echo 'command failed: json '\''(~a||b)&~b'\'''

echo '$ json '\''(~a||b)&c'\'''
json '(~a||b)&c' 2>&1 ||
echo 'command failed: json '\''(~a||b)&c'\'''

echo '$ json '\''(~a||b)&~c'\'''
json '(~a||b)&~c' 2>&1 ||
echo 'command failed: json '\''(~a||b)&~c'\'''

echo '$ json '\''(~a||~b)&a'\'''
json '(~a||~b)&a' 2>&1 ||
echo 'command failed: json '\''(~a||~b)&a'\'''

echo '$ json '\''(~a||~b)&b'\'''
json '(~a||~b)&b' 2>&1 ||
echo 'command failed: json '\''(~a||~b)&b'\'''

echo '$ json '\''(~a||~b)&c'\'''
json '(~a||~b)&c' 2>&1 ||
echo 'command failed: json '\''(~a||~b)&c'\'''

echo '$ json '\''(~a||~b)&~c'\'''
json '(~a||~b)&~c' 2>&1 ||
echo 'command failed: json '\''(~a||~b)&~c'\'''

echo '$ json '\''(~a||c)&a'\'''
json '(~a||c)&a' 2>&1 ||
echo 'command failed: json '\''(~a||c)&a'\'''

echo '$ json '\''(~a||c)&b'\'''
json '(~a||c)&b' 2>&1 ||
echo 'command failed: json '\''(~a||c)&b'\'''

echo '$ json '\''(~a||c)&~b'\'''
json '(~a||c)&~b' 2>&1 ||
echo 'command failed: json '\''(~a||c)&~b'\'''

echo '$ json '\''(~a||c)&~c'\'''
json '(~a||c)&~c' 2>&1 ||
echo 'command failed: json '\''(~a||c)&~c'\'''

echo '$ json '\''(~a||~c)&a'\'''
json '(~a||~c)&a' 2>&1 ||
echo 'command failed: json '\''(~a||~c)&a'\'''

echo '$ json '\''(~a||~c)&b'\'''
json '(~a||~c)&b' 2>&1 ||
echo 'command failed: json '\''(~a||~c)&b'\'''

echo '$ json '\''(~a||~c)&~b'\'''
json '(~a||~c)&~b' 2>&1 ||
echo 'command failed: json '\''(~a||~c)&~b'\'''

echo '$ json '\''(~a||~c)&c'\'''
json '(~a||~c)&c' 2>&1 ||
echo 'command failed: json '\''(~a||~c)&c'\'''

echo '$ json '\''(b||a)&~a'\'''
json '(b||a)&~a' 2>&1 ||
echo 'command failed: json '\''(b||a)&~a'\'''

echo '$ json '\''(b||a)&~b'\'''
json '(b||a)&~b' 2>&1 ||
echo 'command failed: json '\''(b||a)&~b'\'''

echo '$ json '\''(b||a)&c'\'''
json '(b||a)&c' 2>&1 ||
echo 'command failed: json '\''(b||a)&c'\'''

echo '$ json '\''(b||a)&~c'\'''
json '(b||a)&~c' 2>&1 ||
echo 'command failed: json '\''(b||a)&~c'\'''

echo '$ json '\''(b||~a)&a'\'''
json '(b||~a)&a' 2>&1 ||
echo 'command failed: json '\''(b||~a)&a'\'''

echo '$ json '\''(b||~a)&~b'\'''
json '(b||~a)&~b' 2>&1 ||
echo 'command failed: json '\''(b||~a)&~b'\'''

echo '$ json '\''(b||~a)&c'\'''
json '(b||~a)&c' 2>&1 ||
echo 'command failed: json '\''(b||~a)&c'\'''

echo '$ json '\''(b||~a)&~c'\'''
json '(b||~a)&~c' 2>&1 ||
echo 'command failed: json '\''(b||~a)&~c'\'''

echo '$ json '\''(b||~b)&a'\'''
json '(b||~b)&a' 2>&1 ||
echo 'command failed: json '\''(b||~b)&a'\'''

echo '$ json '\''(b||~b)&~a'\'''
json '(b||~b)&~a' 2>&1 ||
echo 'command failed: json '\''(b||~b)&~a'\'''

echo '$ json '\''(b||~b)&c'\'''
json '(b||~b)&c' 2>&1 ||
echo 'command failed: json '\''(b||~b)&c'\'''

echo '$ json '\''(b||~b)&~c'\'''
json '(b||~b)&~c' 2>&1 ||
echo 'command failed: json '\''(b||~b)&~c'\'''

echo '$ json '\''(b||c)&a'\'''
json '(b||c)&a' 2>&1 ||
echo 'command failed: json '\''(b||c)&a'\'''

echo '$ json '\''(b||c)&~a'\'''
json '(b||c)&~a' 2>&1 ||
echo 'command failed: json '\''(b||c)&~a'\'''

echo '$ json '\''(b||c)&~b'\'''
json '(b||c)&~b' 2>&1 ||
echo 'command failed: json '\''(b||c)&~b'\'''

echo '$ json '\''(b||c)&~c'\'''
json '(b||c)&~c' 2>&1 ||
echo 'command failed: json '\''(b||c)&~c'\'''

echo '$ json '\''(b||~c)&a'\'''
json '(b||~c)&a' 2>&1 ||
echo 'command failed: json '\''(b||~c)&a'\'''

echo '$ json '\''(b||~c)&~a'\'''
json '(b||~c)&~a' 2>&1 ||
echo 'command failed: json '\''(b||~c)&~a'\'''

echo '$ json '\''(b||~c)&~b'\'''
json '(b||~c)&~b' 2>&1 ||
echo 'command failed: json '\''(b||~c)&~b'\'''

echo '$ json '\''(b||~c)&c'\'''
json '(b||~c)&c' 2>&1 ||
echo 'command failed: json '\''(b||~c)&c'\'''

echo '$ json '\''(~b||a)&~a'\'''
json '(~b||a)&~a' 2>&1 ||
echo 'command failed: json '\''(~b||a)&~a'\'''

echo '$ json '\''(~b||a)&b'\'''
json '(~b||a)&b' 2>&1 ||
echo 'command failed: json '\''(~b||a)&b'\'''

echo '$ json '\''(~b||a)&c'\'''
json '(~b||a)&c' 2>&1 ||
echo 'command failed: json '\''(~b||a)&c'\'''

echo '$ json '\''(~b||a)&~c'\'''
json '(~b||a)&~c' 2>&1 ||
echo 'command failed: json '\''(~b||a)&~c'\'''

echo '$ json '\''(~b||~a)&a'\'''
json '(~b||~a)&a' 2>&1 ||
echo 'command failed: json '\''(~b||~a)&a'\'''

echo '$ json '\''(~b||~a)&b'\'''
json '(~b||~a)&b' 2>&1 ||
echo 'command failed: json '\''(~b||~a)&b'\'''

echo '$ json '\''(~b||~a)&c'\'''
json '(~b||~a)&c' 2>&1 ||
echo 'command failed: json '\''(~b||~a)&c'\'''

echo '$ json '\''(~b||~a)&~c'\'''
json '(~b||~a)&~c' 2>&1 ||
echo 'command failed: json '\''(~b||~a)&~c'\'''

echo '$ json '\''(~b||b)&a'\'''
json '(~b||b)&a' 2>&1 ||
echo 'command failed: json '\''(~b||b)&a'\'''

echo '$ json '\''(~b||b)&~a'\'''
json '(~b||b)&~a' 2>&1 ||
echo 'command failed: json '\''(~b||b)&~a'\'''

echo '$ json '\''(~b||b)&c'\'''
json '(~b||b)&c' 2>&1 ||
echo 'command failed: json '\''(~b||b)&c'\'''

echo '$ json '\''(~b||b)&~c'\'''
json '(~b||b)&~c' 2>&1 ||
echo 'command failed: json '\''(~b||b)&~c'\'''

echo '$ json '\''(~b||c)&a'\'''
json '(~b||c)&a' 2>&1 ||
echo 'command failed: json '\''(~b||c)&a'\'''

echo '$ json '\''(~b||c)&~a'\'''
json '(~b||c)&~a' 2>&1 ||
echo 'command failed: json '\''(~b||c)&~a'\'''

echo '$ json '\''(~b||c)&b'\'''
json '(~b||c)&b' 2>&1 ||
echo 'command failed: json '\''(~b||c)&b'\'''

echo '$ json '\''(~b||c)&~c'\'''
json '(~b||c)&~c' 2>&1 ||
echo 'command failed: json '\''(~b||c)&~c'\'''

echo '$ json '\''(~b||~c)&a'\'''
json '(~b||~c)&a' 2>&1 ||
echo 'command failed: json '\''(~b||~c)&a'\'''

echo '$ json '\''(~b||~c)&~a'\'''
json '(~b||~c)&~a' 2>&1 ||
echo 'command failed: json '\''(~b||~c)&~a'\'''

echo '$ json '\''(~b||~c)&b'\'''
json '(~b||~c)&b' 2>&1 ||
echo 'command failed: json '\''(~b||~c)&b'\'''

echo '$ json '\''(~b||~c)&c'\'''
json '(~b||~c)&c' 2>&1 ||
echo 'command failed: json '\''(~b||~c)&c'\'''

echo '$ json '\''(c||a)&~a'\'''
json '(c||a)&~a' 2>&1 ||
echo 'command failed: json '\''(c||a)&~a'\'''

echo '$ json '\''(c||a)&b'\'''
json '(c||a)&b' 2>&1 ||
echo 'command failed: json '\''(c||a)&b'\'''

echo '$ json '\''(c||a)&~b'\'''
json '(c||a)&~b' 2>&1 ||
echo 'command failed: json '\''(c||a)&~b'\'''

echo '$ json '\''(c||a)&~c'\'''
json '(c||a)&~c' 2>&1 ||
echo 'command failed: json '\''(c||a)&~c'\'''

echo '$ json '\''(c||~a)&a'\'''
json '(c||~a)&a' 2>&1 ||
echo 'command failed: json '\''(c||~a)&a'\'''

echo '$ json '\''(c||~a)&b'\'''
json '(c||~a)&b' 2>&1 ||
echo 'command failed: json '\''(c||~a)&b'\'''

echo '$ json '\''(c||~a)&~b'\'''
json '(c||~a)&~b' 2>&1 ||
echo 'command failed: json '\''(c||~a)&~b'\'''

echo '$ json '\''(c||~a)&~c'\'''
json '(c||~a)&~c' 2>&1 ||
echo 'command failed: json '\''(c||~a)&~c'\'''

echo '$ json '\''(c||b)&a'\'''
json '(c||b)&a' 2>&1 ||
echo 'command failed: json '\''(c||b)&a'\'''

echo '$ json '\''(c||b)&~a'\'''
json '(c||b)&~a' 2>&1 ||
echo 'command failed: json '\''(c||b)&~a'\'''

echo '$ json '\''(c||b)&~b'\'''
json '(c||b)&~b' 2>&1 ||
echo 'command failed: json '\''(c||b)&~b'\'''

echo '$ json '\''(c||b)&~c'\'''
json '(c||b)&~c' 2>&1 ||
echo 'command failed: json '\''(c||b)&~c'\'''

echo '$ json '\''(c||~b)&a'\'''
json '(c||~b)&a' 2>&1 ||
echo 'command failed: json '\''(c||~b)&a'\'''

echo '$ json '\''(c||~b)&~a'\'''
json '(c||~b)&~a' 2>&1 ||
echo 'command failed: json '\''(c||~b)&~a'\'''

echo '$ json '\''(c||~b)&b'\'''
json '(c||~b)&b' 2>&1 ||
echo 'command failed: json '\''(c||~b)&b'\'''

echo '$ json '\''(c||~b)&~c'\'''
json '(c||~b)&~c' 2>&1 ||
echo 'command failed: json '\''(c||~b)&~c'\'''

echo '$ json '\''(c||~c)&a'\'''
json '(c||~c)&a' 2>&1 ||
echo 'command failed: json '\''(c||~c)&a'\'''

echo '$ json '\''(c||~c)&~a'\'''
json '(c||~c)&~a' 2>&1 ||
echo 'command failed: json '\''(c||~c)&~a'\'''

echo '$ json '\''(c||~c)&b'\'''
json '(c||~c)&b' 2>&1 ||
echo 'command failed: json '\''(c||~c)&b'\'''

echo '$ json '\''(c||~c)&~b'\'''
json '(c||~c)&~b' 2>&1 ||
echo 'command failed: json '\''(c||~c)&~b'\'''

echo '$ json '\''(~c||a)&~a'\'''
json '(~c||a)&~a' 2>&1 ||
echo 'command failed: json '\''(~c||a)&~a'\'''

echo '$ json '\''(~c||a)&b'\'''
json '(~c||a)&b' 2>&1 ||
echo 'command failed: json '\''(~c||a)&b'\'''

echo '$ json '\''(~c||a)&~b'\'''
json '(~c||a)&~b' 2>&1 ||
echo 'command failed: json '\''(~c||a)&~b'\'''

echo '$ json '\''(~c||a)&c'\'''
json '(~c||a)&c' 2>&1 ||
echo 'command failed: json '\''(~c||a)&c'\'''

echo '$ json '\''(~c||~a)&a'\'''
json '(~c||~a)&a' 2>&1 ||
echo 'command failed: json '\''(~c||~a)&a'\'''

echo '$ json '\''(~c||~a)&b'\'''
json '(~c||~a)&b' 2>&1 ||
echo 'command failed: json '\''(~c||~a)&b'\'''

echo '$ json '\''(~c||~a)&~b'\'''
json '(~c||~a)&~b' 2>&1 ||
echo 'command failed: json '\''(~c||~a)&~b'\'''

echo '$ json '\''(~c||~a)&c'\'''
json '(~c||~a)&c' 2>&1 ||
echo 'command failed: json '\''(~c||~a)&c'\'''

echo '$ json '\''(~c||b)&a'\'''
json '(~c||b)&a' 2>&1 ||
echo 'command failed: json '\''(~c||b)&a'\'''

echo '$ json '\''(~c||b)&~a'\'''
json '(~c||b)&~a' 2>&1 ||
echo 'command failed: json '\''(~c||b)&~a'\'''

echo '$ json '\''(~c||b)&~b'\'''
json '(~c||b)&~b' 2>&1 ||
echo 'command failed: json '\''(~c||b)&~b'\'''

echo '$ json '\''(~c||b)&c'\'''
json '(~c||b)&c' 2>&1 ||
echo 'command failed: json '\''(~c||b)&c'\'''

echo '$ json '\''(~c||~b)&a'\'''
json '(~c||~b)&a' 2>&1 ||
echo 'command failed: json '\''(~c||~b)&a'\'''

echo '$ json '\''(~c||~b)&~a'\'''
json '(~c||~b)&~a' 2>&1 ||
echo 'command failed: json '\''(~c||~b)&~a'\'''

echo '$ json '\''(~c||~b)&b'\'''
json '(~c||~b)&b' 2>&1 ||
echo 'command failed: json '\''(~c||~b)&b'\'''

echo '$ json '\''(~c||~b)&c'\'''
json '(~c||~b)&c' 2>&1 ||
echo 'command failed: json '\''(~c||~b)&c'\'''

echo '$ json '\''(~c||c)&a'\'''
json '(~c||c)&a' 2>&1 ||
echo 'command failed: json '\''(~c||c)&a'\'''

echo '$ json '\''(~c||c)&~a'\'''
json '(~c||c)&~a' 2>&1 ||
echo 'command failed: json '\''(~c||c)&~a'\'''

echo '$ json '\''(~c||c)&b'\'''
json '(~c||c)&b' 2>&1 ||
echo 'command failed: json '\''(~c||c)&b'\'''

echo '$ json '\''(~c||c)&~b'\'''
json '(~c||c)&~b' 2>&1 ||
echo 'command failed: json '\''(~c||c)&~b'\'''

echo '$ json '\''(a||~a)|b'\'''
json '(a||~a)|b' 2>&1 ||
echo 'command failed: json '\''(a||~a)|b'\'''

echo '$ json '\''(a||~a)|~b'\'''
json '(a||~a)|~b' 2>&1 ||
echo 'command failed: json '\''(a||~a)|~b'\'''

echo '$ json '\''(a||~a)|c'\'''
json '(a||~a)|c' 2>&1 ||
echo 'command failed: json '\''(a||~a)|c'\'''

echo '$ json '\''(a||~a)|~c'\'''
json '(a||~a)|~c' 2>&1 ||
echo 'command failed: json '\''(a||~a)|~c'\'''

echo '$ json '\''(a||b)|~a'\'''
json '(a||b)|~a' 2>&1 ||
echo 'command failed: json '\''(a||b)|~a'\'''

echo '$ json '\''(a||b)|~b'\'''
json '(a||b)|~b' 2>&1 ||
echo 'command failed: json '\''(a||b)|~b'\'''

echo '$ json '\''(a||b)|c'\'''
json '(a||b)|c' 2>&1 ||
echo 'command failed: json '\''(a||b)|c'\'''

echo '$ json '\''(a||b)|~c'\'''
json '(a||b)|~c' 2>&1 ||
echo 'command failed: json '\''(a||b)|~c'\'''

echo '$ json '\''(a||~b)|~a'\'''
json '(a||~b)|~a' 2>&1 ||
echo 'command failed: json '\''(a||~b)|~a'\'''

echo '$ json '\''(a||~b)|b'\'''
json '(a||~b)|b' 2>&1 ||
echo 'command failed: json '\''(a||~b)|b'\'''

echo '$ json '\''(a||~b)|c'\'''
json '(a||~b)|c' 2>&1 ||
echo 'command failed: json '\''(a||~b)|c'\'''

echo '$ json '\''(a||~b)|~c'\'''
json '(a||~b)|~c' 2>&1 ||
echo 'command failed: json '\''(a||~b)|~c'\'''

echo '$ json '\''(a||c)|~a'\'''
json '(a||c)|~a' 2>&1 ||
echo 'command failed: json '\''(a||c)|~a'\'''

echo '$ json '\''(a||c)|b'\'''
json '(a||c)|b' 2>&1 ||
echo 'command failed: json '\''(a||c)|b'\'''

echo '$ json '\''(a||c)|~b'\'''
json '(a||c)|~b' 2>&1 ||
echo 'command failed: json '\''(a||c)|~b'\'''

echo '$ json '\''(a||c)|~c'\'''
json '(a||c)|~c' 2>&1 ||
echo 'command failed: json '\''(a||c)|~c'\'''

echo '$ json '\''(a||~c)|~a'\'''
json '(a||~c)|~a' 2>&1 ||
echo 'command failed: json '\''(a||~c)|~a'\'''

echo '$ json '\''(a||~c)|b'\'''
json '(a||~c)|b' 2>&1 ||
echo 'command failed: json '\''(a||~c)|b'\'''

echo '$ json '\''(a||~c)|~b'\'''
json '(a||~c)|~b' 2>&1 ||
echo 'command failed: json '\''(a||~c)|~b'\'''

echo '$ json '\''(a||~c)|c'\'''
json '(a||~c)|c' 2>&1 ||
echo 'command failed: json '\''(a||~c)|c'\'''

echo '$ json '\''(~a||a)|b'\'''
json '(~a||a)|b' 2>&1 ||
echo 'command failed: json '\''(~a||a)|b'\'''

echo '$ json '\''(~a||a)|~b'\'''
json '(~a||a)|~b' 2>&1 ||
echo 'command failed: json '\''(~a||a)|~b'\'''

echo '$ json '\''(~a||a)|c'\'''
json '(~a||a)|c' 2>&1 ||
echo 'command failed: json '\''(~a||a)|c'\'''

echo '$ json '\''(~a||a)|~c'\'''
json '(~a||a)|~c' 2>&1 ||
echo 'command failed: json '\''(~a||a)|~c'\'''

echo '$ json '\''(~a||b)|a'\'''
json '(~a||b)|a' 2>&1 ||
echo 'command failed: json '\''(~a||b)|a'\'''

echo '$ json '\''(~a||b)|~b'\'''
json '(~a||b)|~b' 2>&1 ||
echo 'command failed: json '\''(~a||b)|~b'\'''

echo '$ json '\''(~a||b)|c'\'''
json '(~a||b)|c' 2>&1 ||
echo 'command failed: json '\''(~a||b)|c'\'''

echo '$ json '\''(~a||b)|~c'\'''
json '(~a||b)|~c' 2>&1 ||
echo 'command failed: json '\''(~a||b)|~c'\'''

echo '$ json '\''(~a||~b)|a'\'''
json '(~a||~b)|a' 2>&1 ||
echo 'command failed: json '\''(~a||~b)|a'\'''

echo '$ json '\''(~a||~b)|b'\'''
json '(~a||~b)|b' 2>&1 ||
echo 'command failed: json '\''(~a||~b)|b'\'''

echo '$ json '\''(~a||~b)|c'\'''
json '(~a||~b)|c' 2>&1 ||
echo 'command failed: json '\''(~a||~b)|c'\'''

echo '$ json '\''(~a||~b)|~c'\'''
json '(~a||~b)|~c' 2>&1 ||
echo 'command failed: json '\''(~a||~b)|~c'\'''

echo '$ json '\''(~a||c)|a'\'''
json '(~a||c)|a' 2>&1 ||
echo 'command failed: json '\''(~a||c)|a'\'''

echo '$ json '\''(~a||c)|b'\'''
json '(~a||c)|b' 2>&1 ||
echo 'command failed: json '\''(~a||c)|b'\'''

echo '$ json '\''(~a||c)|~b'\'''
json '(~a||c)|~b' 2>&1 ||
echo 'command failed: json '\''(~a||c)|~b'\'''

echo '$ json '\''(~a||c)|~c'\'''
json '(~a||c)|~c' 2>&1 ||
echo 'command failed: json '\''(~a||c)|~c'\'''

echo '$ json '\''(~a||~c)|a'\'''
json '(~a||~c)|a' 2>&1 ||
echo 'command failed: json '\''(~a||~c)|a'\'''

echo '$ json '\''(~a||~c)|b'\'''
json '(~a||~c)|b' 2>&1 ||
echo 'command failed: json '\''(~a||~c)|b'\'''

echo '$ json '\''(~a||~c)|~b'\'''
json '(~a||~c)|~b' 2>&1 ||
echo 'command failed: json '\''(~a||~c)|~b'\'''

echo '$ json '\''(~a||~c)|c'\'''
json '(~a||~c)|c' 2>&1 ||
echo 'command failed: json '\''(~a||~c)|c'\'''

echo '$ json '\''(b||a)|~a'\'''
json '(b||a)|~a' 2>&1 ||
echo 'command failed: json '\''(b||a)|~a'\'''

echo '$ json '\''(b||a)|~b'\'''
json '(b||a)|~b' 2>&1 ||
echo 'command failed: json '\''(b||a)|~b'\'''

echo '$ json '\''(b||a)|c'\'''
json '(b||a)|c' 2>&1 ||
echo 'command failed: json '\''(b||a)|c'\'''

echo '$ json '\''(b||a)|~c'\'''
json '(b||a)|~c' 2>&1 ||
echo 'command failed: json '\''(b||a)|~c'\'''

echo '$ json '\''(b||~a)|a'\'''
json '(b||~a)|a' 2>&1 ||
echo 'command failed: json '\''(b||~a)|a'\'''

echo '$ json '\''(b||~a)|~b'\'''
json '(b||~a)|~b' 2>&1 ||
echo 'command failed: json '\''(b||~a)|~b'\'''

echo '$ json '\''(b||~a)|c'\'''
json '(b||~a)|c' 2>&1 ||
echo 'command failed: json '\''(b||~a)|c'\'''

echo '$ json '\''(b||~a)|~c'\'''
json '(b||~a)|~c' 2>&1 ||
echo 'command failed: json '\''(b||~a)|~c'\'''

echo '$ json '\''(b||~b)|a'\'''
json '(b||~b)|a' 2>&1 ||
echo 'command failed: json '\''(b||~b)|a'\'''

echo '$ json '\''(b||~b)|~a'\'''
json '(b||~b)|~a' 2>&1 ||
echo 'command failed: json '\''(b||~b)|~a'\'''

echo '$ json '\''(b||~b)|c'\'''
json '(b||~b)|c' 2>&1 ||
echo 'command failed: json '\''(b||~b)|c'\'''

echo '$ json '\''(b||~b)|~c'\'''
json '(b||~b)|~c' 2>&1 ||
echo 'command failed: json '\''(b||~b)|~c'\'''

echo '$ json '\''(b||c)|a'\'''
json '(b||c)|a' 2>&1 ||
echo 'command failed: json '\''(b||c)|a'\'''

echo '$ json '\''(b||c)|~a'\'''
json '(b||c)|~a' 2>&1 ||
echo 'command failed: json '\''(b||c)|~a'\'''

echo '$ json '\''(b||c)|~b'\'''
json '(b||c)|~b' 2>&1 ||
echo 'command failed: json '\''(b||c)|~b'\'''

echo '$ json '\''(b||c)|~c'\'''
json '(b||c)|~c' 2>&1 ||
echo 'command failed: json '\''(b||c)|~c'\'''

echo '$ json '\''(b||~c)|a'\'''
json '(b||~c)|a' 2>&1 ||
echo 'command failed: json '\''(b||~c)|a'\'''

echo '$ json '\''(b||~c)|~a'\'''
json '(b||~c)|~a' 2>&1 ||
echo 'command failed: json '\''(b||~c)|~a'\'''

echo '$ json '\''(b||~c)|~b'\'''
json '(b||~c)|~b' 2>&1 ||
echo 'command failed: json '\''(b||~c)|~b'\'''

echo '$ json '\''(b||~c)|c'\'''
json '(b||~c)|c' 2>&1 ||
echo 'command failed: json '\''(b||~c)|c'\'''

echo '$ json '\''(~b||a)|~a'\'''
json '(~b||a)|~a' 2>&1 ||
echo 'command failed: json '\''(~b||a)|~a'\'''

echo '$ json '\''(~b||a)|b'\'''
json '(~b||a)|b' 2>&1 ||
echo 'command failed: json '\''(~b||a)|b'\'''

echo '$ json '\''(~b||a)|c'\'''
json '(~b||a)|c' 2>&1 ||
echo 'command failed: json '\''(~b||a)|c'\'''

echo '$ json '\''(~b||a)|~c'\'''
json '(~b||a)|~c' 2>&1 ||
echo 'command failed: json '\''(~b||a)|~c'\'''

echo '$ json '\''(~b||~a)|a'\'''
json '(~b||~a)|a' 2>&1 ||
echo 'command failed: json '\''(~b||~a)|a'\'''

echo '$ json '\''(~b||~a)|b'\'''
json '(~b||~a)|b' 2>&1 ||
echo 'command failed: json '\''(~b||~a)|b'\'''

echo '$ json '\''(~b||~a)|c'\'''
json '(~b||~a)|c' 2>&1 ||
echo 'command failed: json '\''(~b||~a)|c'\'''

echo '$ json '\''(~b||~a)|~c'\'''
json '(~b||~a)|~c' 2>&1 ||
echo 'command failed: json '\''(~b||~a)|~c'\'''

echo '$ json '\''(~b||b)|a'\'''
json '(~b||b)|a' 2>&1 ||
echo 'command failed: json '\''(~b||b)|a'\'''

echo '$ json '\''(~b||b)|~a'\'''
json '(~b||b)|~a' 2>&1 ||
echo 'command failed: json '\''(~b||b)|~a'\'''

echo '$ json '\''(~b||b)|c'\'''
json '(~b||b)|c' 2>&1 ||
echo 'command failed: json '\''(~b||b)|c'\'''

echo '$ json '\''(~b||b)|~c'\'''
json '(~b||b)|~c' 2>&1 ||
echo 'command failed: json '\''(~b||b)|~c'\'''

echo '$ json '\''(~b||c)|a'\'''
json '(~b||c)|a' 2>&1 ||
echo 'command failed: json '\''(~b||c)|a'\'''

echo '$ json '\''(~b||c)|~a'\'''
json '(~b||c)|~a' 2>&1 ||
echo 'command failed: json '\''(~b||c)|~a'\'''

echo '$ json '\''(~b||c)|b'\'''
json '(~b||c)|b' 2>&1 ||
echo 'command failed: json '\''(~b||c)|b'\'''

echo '$ json '\''(~b||c)|~c'\'''
json '(~b||c)|~c' 2>&1 ||
echo 'command failed: json '\''(~b||c)|~c'\'''

echo '$ json '\''(~b||~c)|a'\'''
json '(~b||~c)|a' 2>&1 ||
echo 'command failed: json '\''(~b||~c)|a'\'''

echo '$ json '\''(~b||~c)|~a'\'''
json '(~b||~c)|~a' 2>&1 ||
echo 'command failed: json '\''(~b||~c)|~a'\'''

echo '$ json '\''(~b||~c)|b'\'''
json '(~b||~c)|b' 2>&1 ||
echo 'command failed: json '\''(~b||~c)|b'\'''

echo '$ json '\''(~b||~c)|c'\'''
json '(~b||~c)|c' 2>&1 ||
echo 'command failed: json '\''(~b||~c)|c'\'''

echo '$ json '\''(c||a)|~a'\'''
json '(c||a)|~a' 2>&1 ||
echo 'command failed: json '\''(c||a)|~a'\'''

echo '$ json '\''(c||a)|b'\'''
json '(c||a)|b' 2>&1 ||
echo 'command failed: json '\''(c||a)|b'\'''

echo '$ json '\''(c||a)|~b'\'''
json '(c||a)|~b' 2>&1 ||
echo 'command failed: json '\''(c||a)|~b'\'''

echo '$ json '\''(c||a)|~c'\'''
json '(c||a)|~c' 2>&1 ||
echo 'command failed: json '\''(c||a)|~c'\'''

echo '$ json '\''(c||~a)|a'\'''
json '(c||~a)|a' 2>&1 ||
echo 'command failed: json '\''(c||~a)|a'\'''

echo '$ json '\''(c||~a)|b'\'''
json '(c||~a)|b' 2>&1 ||
echo 'command failed: json '\''(c||~a)|b'\'''

echo '$ json '\''(c||~a)|~b'\'''
json '(c||~a)|~b' 2>&1 ||
echo 'command failed: json '\''(c||~a)|~b'\'''

echo '$ json '\''(c||~a)|~c'\'''
json '(c||~a)|~c' 2>&1 ||
echo 'command failed: json '\''(c||~a)|~c'\'''

echo '$ json '\''(c||b)|a'\'''
json '(c||b)|a' 2>&1 ||
echo 'command failed: json '\''(c||b)|a'\'''

echo '$ json '\''(c||b)|~a'\'''
json '(c||b)|~a' 2>&1 ||
echo 'command failed: json '\''(c||b)|~a'\'''

echo '$ json '\''(c||b)|~b'\'''
json '(c||b)|~b' 2>&1 ||
echo 'command failed: json '\''(c||b)|~b'\'''

echo '$ json '\''(c||b)|~c'\'''
json '(c||b)|~c' 2>&1 ||
echo 'command failed: json '\''(c||b)|~c'\'''

echo '$ json '\''(c||~b)|a'\'''
json '(c||~b)|a' 2>&1 ||
echo 'command failed: json '\''(c||~b)|a'\'''

echo '$ json '\''(c||~b)|~a'\'''
json '(c||~b)|~a' 2>&1 ||
echo 'command failed: json '\''(c||~b)|~a'\'''

echo '$ json '\''(c||~b)|b'\'''
json '(c||~b)|b' 2>&1 ||
echo 'command failed: json '\''(c||~b)|b'\'''

echo '$ json '\''(c||~b)|~c'\'''
json '(c||~b)|~c' 2>&1 ||
echo 'command failed: json '\''(c||~b)|~c'\'''

echo '$ json '\''(c||~c)|a'\'''
json '(c||~c)|a' 2>&1 ||
echo 'command failed: json '\''(c||~c)|a'\'''

echo '$ json '\''(c||~c)|~a'\'''
json '(c||~c)|~a' 2>&1 ||
echo 'command failed: json '\''(c||~c)|~a'\'''

echo '$ json '\''(c||~c)|b'\'''
json '(c||~c)|b' 2>&1 ||
echo 'command failed: json '\''(c||~c)|b'\'''

echo '$ json '\''(c||~c)|~b'\'''
json '(c||~c)|~b' 2>&1 ||
echo 'command failed: json '\''(c||~c)|~b'\'''

echo '$ json '\''(~c||a)|~a'\'''
json '(~c||a)|~a' 2>&1 ||
echo 'command failed: json '\''(~c||a)|~a'\'''

echo '$ json '\''(~c||a)|b'\'''
json '(~c||a)|b' 2>&1 ||
echo 'command failed: json '\''(~c||a)|b'\'''

echo '$ json '\''(~c||a)|~b'\'''
json '(~c||a)|~b' 2>&1 ||
echo 'command failed: json '\''(~c||a)|~b'\'''

echo '$ json '\''(~c||a)|c'\'''
json '(~c||a)|c' 2>&1 ||
echo 'command failed: json '\''(~c||a)|c'\'''

echo '$ json '\''(~c||~a)|a'\'''
json '(~c||~a)|a' 2>&1 ||
echo 'command failed: json '\''(~c||~a)|a'\'''

echo '$ json '\''(~c||~a)|b'\'''
json '(~c||~a)|b' 2>&1 ||
echo 'command failed: json '\''(~c||~a)|b'\'''

echo '$ json '\''(~c||~a)|~b'\'''
json '(~c||~a)|~b' 2>&1 ||
echo 'command failed: json '\''(~c||~a)|~b'\'''

echo '$ json '\''(~c||~a)|c'\'''
json '(~c||~a)|c' 2>&1 ||
echo 'command failed: json '\''(~c||~a)|c'\'''

echo '$ json '\''(~c||b)|a'\'''
json '(~c||b)|a' 2>&1 ||
echo 'command failed: json '\''(~c||b)|a'\'''

echo '$ json '\''(~c||b)|~a'\'''
json '(~c||b)|~a' 2>&1 ||
echo 'command failed: json '\''(~c||b)|~a'\'''

echo '$ json '\''(~c||b)|~b'\'''
json '(~c||b)|~b' 2>&1 ||
echo 'command failed: json '\''(~c||b)|~b'\'''

echo '$ json '\''(~c||b)|c'\'''
json '(~c||b)|c' 2>&1 ||
echo 'command failed: json '\''(~c||b)|c'\'''

echo '$ json '\''(~c||~b)|a'\'''
json '(~c||~b)|a' 2>&1 ||
echo 'command failed: json '\''(~c||~b)|a'\'''

echo '$ json '\''(~c||~b)|~a'\'''
json '(~c||~b)|~a' 2>&1 ||
echo 'command failed: json '\''(~c||~b)|~a'\'''

echo '$ json '\''(~c||~b)|b'\'''
json '(~c||~b)|b' 2>&1 ||
echo 'command failed: json '\''(~c||~b)|b'\'''

echo '$ json '\''(~c||~b)|c'\'''
json '(~c||~b)|c' 2>&1 ||
echo 'command failed: json '\''(~c||~b)|c'\'''

echo '$ json '\''(~c||c)|a'\'''
json '(~c||c)|a' 2>&1 ||
echo 'command failed: json '\''(~c||c)|a'\'''

echo '$ json '\''(~c||c)|~a'\'''
json '(~c||c)|~a' 2>&1 ||
echo 'command failed: json '\''(~c||c)|~a'\'''

echo '$ json '\''(~c||c)|b'\'''
json '(~c||c)|b' 2>&1 ||
echo 'command failed: json '\''(~c||c)|b'\'''

echo '$ json '\''(~c||c)|~b'\'''
json '(~c||c)|~b' 2>&1 ||
echo 'command failed: json '\''(~c||c)|~b'\'''

echo '$ json '\''(a||~a)||b'\'''
json '(a||~a)||b' 2>&1 ||
echo 'command failed: json '\''(a||~a)||b'\'''

echo '$ json '\''(a||~a)||~b'\'''
json '(a||~a)||~b' 2>&1 ||
echo 'command failed: json '\''(a||~a)||~b'\'''

echo '$ json '\''(a||~a)||c'\'''
json '(a||~a)||c' 2>&1 ||
echo 'command failed: json '\''(a||~a)||c'\'''

echo '$ json '\''(a||~a)||~c'\'''
json '(a||~a)||~c' 2>&1 ||
echo 'command failed: json '\''(a||~a)||~c'\'''

echo '$ json '\''(a||b)||~a'\'''
json '(a||b)||~a' 2>&1 ||
echo 'command failed: json '\''(a||b)||~a'\'''

echo '$ json '\''(a||b)||~b'\'''
json '(a||b)||~b' 2>&1 ||
echo 'command failed: json '\''(a||b)||~b'\'''

echo '$ json '\''(a||b)||c'\'''
json '(a||b)||c' 2>&1 ||
echo 'command failed: json '\''(a||b)||c'\'''

echo '$ json '\''(a||b)||~c'\'''
json '(a||b)||~c' 2>&1 ||
echo 'command failed: json '\''(a||b)||~c'\'''

echo '$ json '\''(a||~b)||~a'\'''
json '(a||~b)||~a' 2>&1 ||
echo 'command failed: json '\''(a||~b)||~a'\'''

echo '$ json '\''(a||~b)||b'\'''
json '(a||~b)||b' 2>&1 ||
echo 'command failed: json '\''(a||~b)||b'\'''

echo '$ json '\''(a||~b)||c'\'''
json '(a||~b)||c' 2>&1 ||
echo 'command failed: json '\''(a||~b)||c'\'''

echo '$ json '\''(a||~b)||~c'\'''
json '(a||~b)||~c' 2>&1 ||
echo 'command failed: json '\''(a||~b)||~c'\'''

echo '$ json '\''(a||c)||~a'\'''
json '(a||c)||~a' 2>&1 ||
echo 'command failed: json '\''(a||c)||~a'\'''

echo '$ json '\''(a||c)||b'\'''
json '(a||c)||b' 2>&1 ||
echo 'command failed: json '\''(a||c)||b'\'''

echo '$ json '\''(a||c)||~b'\'''
json '(a||c)||~b' 2>&1 ||
echo 'command failed: json '\''(a||c)||~b'\'''

echo '$ json '\''(a||c)||~c'\'''
json '(a||c)||~c' 2>&1 ||
echo 'command failed: json '\''(a||c)||~c'\'''

echo '$ json '\''(a||~c)||~a'\'''
json '(a||~c)||~a' 2>&1 ||
echo 'command failed: json '\''(a||~c)||~a'\'''

echo '$ json '\''(a||~c)||b'\'''
json '(a||~c)||b' 2>&1 ||
echo 'command failed: json '\''(a||~c)||b'\'''

echo '$ json '\''(a||~c)||~b'\'''
json '(a||~c)||~b' 2>&1 ||
echo 'command failed: json '\''(a||~c)||~b'\'''

echo '$ json '\''(a||~c)||c'\'''
json '(a||~c)||c' 2>&1 ||
echo 'command failed: json '\''(a||~c)||c'\'''

echo '$ json '\''(~a||a)||b'\'''
json '(~a||a)||b' 2>&1 ||
echo 'command failed: json '\''(~a||a)||b'\'''

echo '$ json '\''(~a||a)||~b'\'''
json '(~a||a)||~b' 2>&1 ||
echo 'command failed: json '\''(~a||a)||~b'\'''

echo '$ json '\''(~a||a)||c'\'''
json '(~a||a)||c' 2>&1 ||
echo 'command failed: json '\''(~a||a)||c'\'''

echo '$ json '\''(~a||a)||~c'\'''
json '(~a||a)||~c' 2>&1 ||
echo 'command failed: json '\''(~a||a)||~c'\'''

echo '$ json '\''(~a||b)||a'\'''
json '(~a||b)||a' 2>&1 ||
echo 'command failed: json '\''(~a||b)||a'\'''

echo '$ json '\''(~a||b)||~b'\'''
json '(~a||b)||~b' 2>&1 ||
echo 'command failed: json '\''(~a||b)||~b'\'''

echo '$ json '\''(~a||b)||c'\'''
json '(~a||b)||c' 2>&1 ||
echo 'command failed: json '\''(~a||b)||c'\'''

echo '$ json '\''(~a||b)||~c'\'''
json '(~a||b)||~c' 2>&1 ||
echo 'command failed: json '\''(~a||b)||~c'\'''

echo '$ json '\''(~a||~b)||a'\'''
json '(~a||~b)||a' 2>&1 ||
echo 'command failed: json '\''(~a||~b)||a'\'''

echo '$ json '\''(~a||~b)||b'\'''
json '(~a||~b)||b' 2>&1 ||
echo 'command failed: json '\''(~a||~b)||b'\'''

echo '$ json '\''(~a||~b)||c'\'''
json '(~a||~b)||c' 2>&1 ||
echo 'command failed: json '\''(~a||~b)||c'\'''

echo '$ json '\''(~a||~b)||~c'\'''
json '(~a||~b)||~c' 2>&1 ||
echo 'command failed: json '\''(~a||~b)||~c'\'''

echo '$ json '\''(~a||c)||a'\'''
json '(~a||c)||a' 2>&1 ||
echo 'command failed: json '\''(~a||c)||a'\'''

echo '$ json '\''(~a||c)||b'\'''
json '(~a||c)||b' 2>&1 ||
echo 'command failed: json '\''(~a||c)||b'\'''

echo '$ json '\''(~a||c)||~b'\'''
json '(~a||c)||~b' 2>&1 ||
echo 'command failed: json '\''(~a||c)||~b'\'''

echo '$ json '\''(~a||c)||~c'\'''
json '(~a||c)||~c' 2>&1 ||
echo 'command failed: json '\''(~a||c)||~c'\'''

echo '$ json '\''(~a||~c)||a'\'''
json '(~a||~c)||a' 2>&1 ||
echo 'command failed: json '\''(~a||~c)||a'\'''

echo '$ json '\''(~a||~c)||b'\'''
json '(~a||~c)||b' 2>&1 ||
echo 'command failed: json '\''(~a||~c)||b'\'''

echo '$ json '\''(~a||~c)||~b'\'''
json '(~a||~c)||~b' 2>&1 ||
echo 'command failed: json '\''(~a||~c)||~b'\'''

echo '$ json '\''(~a||~c)||c'\'''
json '(~a||~c)||c' 2>&1 ||
echo 'command failed: json '\''(~a||~c)||c'\'''

echo '$ json '\''(b||a)||~a'\'''
json '(b||a)||~a' 2>&1 ||
echo 'command failed: json '\''(b||a)||~a'\'''

echo '$ json '\''(b||a)||~b'\'''
json '(b||a)||~b' 2>&1 ||
echo 'command failed: json '\''(b||a)||~b'\'''

echo '$ json '\''(b||a)||c'\'''
json '(b||a)||c' 2>&1 ||
echo 'command failed: json '\''(b||a)||c'\'''

echo '$ json '\''(b||a)||~c'\'''
json '(b||a)||~c' 2>&1 ||
echo 'command failed: json '\''(b||a)||~c'\'''

echo '$ json '\''(b||~a)||a'\'''
json '(b||~a)||a' 2>&1 ||
echo 'command failed: json '\''(b||~a)||a'\'''

echo '$ json '\''(b||~a)||~b'\'''
json '(b||~a)||~b' 2>&1 ||
echo 'command failed: json '\''(b||~a)||~b'\'''

echo '$ json '\''(b||~a)||c'\'''
json '(b||~a)||c' 2>&1 ||
echo 'command failed: json '\''(b||~a)||c'\'''

echo '$ json '\''(b||~a)||~c'\'''
json '(b||~a)||~c' 2>&1 ||
echo 'command failed: json '\''(b||~a)||~c'\'''

echo '$ json '\''(b||~b)||a'\'''
json '(b||~b)||a' 2>&1 ||
echo 'command failed: json '\''(b||~b)||a'\'''

echo '$ json '\''(b||~b)||~a'\'''
json '(b||~b)||~a' 2>&1 ||
echo 'command failed: json '\''(b||~b)||~a'\'''

echo '$ json '\''(b||~b)||c'\'''
json '(b||~b)||c' 2>&1 ||
echo 'command failed: json '\''(b||~b)||c'\'''

echo '$ json '\''(b||~b)||~c'\'''
json '(b||~b)||~c' 2>&1 ||
echo 'command failed: json '\''(b||~b)||~c'\'''

echo '$ json '\''(b||c)||a'\'''
json '(b||c)||a' 2>&1 ||
echo 'command failed: json '\''(b||c)||a'\'''

echo '$ json '\''(b||c)||~a'\'''
json '(b||c)||~a' 2>&1 ||
echo 'command failed: json '\''(b||c)||~a'\'''

echo '$ json '\''(b||c)||~b'\'''
json '(b||c)||~b' 2>&1 ||
echo 'command failed: json '\''(b||c)||~b'\'''

echo '$ json '\''(b||c)||~c'\'''
json '(b||c)||~c' 2>&1 ||
echo 'command failed: json '\''(b||c)||~c'\'''

echo '$ json '\''(b||~c)||a'\'''
json '(b||~c)||a' 2>&1 ||
echo 'command failed: json '\''(b||~c)||a'\'''

echo '$ json '\''(b||~c)||~a'\'''
json '(b||~c)||~a' 2>&1 ||
echo 'command failed: json '\''(b||~c)||~a'\'''

echo '$ json '\''(b||~c)||~b'\'''
json '(b||~c)||~b' 2>&1 ||
echo 'command failed: json '\''(b||~c)||~b'\'''

echo '$ json '\''(b||~c)||c'\'''
json '(b||~c)||c' 2>&1 ||
echo 'command failed: json '\''(b||~c)||c'\'''

echo '$ json '\''(~b||a)||~a'\'''
json '(~b||a)||~a' 2>&1 ||
echo 'command failed: json '\''(~b||a)||~a'\'''

echo '$ json '\''(~b||a)||b'\'''
json '(~b||a)||b' 2>&1 ||
echo 'command failed: json '\''(~b||a)||b'\'''

echo '$ json '\''(~b||a)||c'\'''
json '(~b||a)||c' 2>&1 ||
echo 'command failed: json '\''(~b||a)||c'\'''

echo '$ json '\''(~b||a)||~c'\'''
json '(~b||a)||~c' 2>&1 ||
echo 'command failed: json '\''(~b||a)||~c'\'''

echo '$ json '\''(~b||~a)||a'\'''
json '(~b||~a)||a' 2>&1 ||
echo 'command failed: json '\''(~b||~a)||a'\'''

echo '$ json '\''(~b||~a)||b'\'''
json '(~b||~a)||b' 2>&1 ||
echo 'command failed: json '\''(~b||~a)||b'\'''

echo '$ json '\''(~b||~a)||c'\'''
json '(~b||~a)||c' 2>&1 ||
echo 'command failed: json '\''(~b||~a)||c'\'''

echo '$ json '\''(~b||~a)||~c'\'''
json '(~b||~a)||~c' 2>&1 ||
echo 'command failed: json '\''(~b||~a)||~c'\'''

echo '$ json '\''(~b||b)||a'\'''
json '(~b||b)||a' 2>&1 ||
echo 'command failed: json '\''(~b||b)||a'\'''

echo '$ json '\''(~b||b)||~a'\'''
json '(~b||b)||~a' 2>&1 ||
echo 'command failed: json '\''(~b||b)||~a'\'''

echo '$ json '\''(~b||b)||c'\'''
json '(~b||b)||c' 2>&1 ||
echo 'command failed: json '\''(~b||b)||c'\'''

echo '$ json '\''(~b||b)||~c'\'''
json '(~b||b)||~c' 2>&1 ||
echo 'command failed: json '\''(~b||b)||~c'\'''

echo '$ json '\''(~b||c)||a'\'''
json '(~b||c)||a' 2>&1 ||
echo 'command failed: json '\''(~b||c)||a'\'''

echo '$ json '\''(~b||c)||~a'\'''
json '(~b||c)||~a' 2>&1 ||
echo 'command failed: json '\''(~b||c)||~a'\'''

echo '$ json '\''(~b||c)||b'\'''
json '(~b||c)||b' 2>&1 ||
echo 'command failed: json '\''(~b||c)||b'\'''

echo '$ json '\''(~b||c)||~c'\'''
json '(~b||c)||~c' 2>&1 ||
echo 'command failed: json '\''(~b||c)||~c'\'''

echo '$ json '\''(~b||~c)||a'\'''
json '(~b||~c)||a' 2>&1 ||
echo 'command failed: json '\''(~b||~c)||a'\'''

echo '$ json '\''(~b||~c)||~a'\'''
json '(~b||~c)||~a' 2>&1 ||
echo 'command failed: json '\''(~b||~c)||~a'\'''

echo '$ json '\''(~b||~c)||b'\'''
json '(~b||~c)||b' 2>&1 ||
echo 'command failed: json '\''(~b||~c)||b'\'''

echo '$ json '\''(~b||~c)||c'\'''
json '(~b||~c)||c' 2>&1 ||
echo 'command failed: json '\''(~b||~c)||c'\'''

echo '$ json '\''(c||a)||~a'\'''
json '(c||a)||~a' 2>&1 ||
echo 'command failed: json '\''(c||a)||~a'\'''

echo '$ json '\''(c||a)||b'\'''
json '(c||a)||b' 2>&1 ||
echo 'command failed: json '\''(c||a)||b'\'''

echo '$ json '\''(c||a)||~b'\'''
json '(c||a)||~b' 2>&1 ||
echo 'command failed: json '\''(c||a)||~b'\'''

echo '$ json '\''(c||a)||~c'\'''
json '(c||a)||~c' 2>&1 ||
echo 'command failed: json '\''(c||a)||~c'\'''

echo '$ json '\''(c||~a)||a'\'''
json '(c||~a)||a' 2>&1 ||
echo 'command failed: json '\''(c||~a)||a'\'''

echo '$ json '\''(c||~a)||b'\'''
json '(c||~a)||b' 2>&1 ||
echo 'command failed: json '\''(c||~a)||b'\'''

echo '$ json '\''(c||~a)||~b'\'''
json '(c||~a)||~b' 2>&1 ||
echo 'command failed: json '\''(c||~a)||~b'\'''

echo '$ json '\''(c||~a)||~c'\'''
json '(c||~a)||~c' 2>&1 ||
echo 'command failed: json '\''(c||~a)||~c'\'''

echo '$ json '\''(c||b)||a'\'''
json '(c||b)||a' 2>&1 ||
echo 'command failed: json '\''(c||b)||a'\'''

echo '$ json '\''(c||b)||~a'\'''
json '(c||b)||~a' 2>&1 ||
echo 'command failed: json '\''(c||b)||~a'\'''

echo '$ json '\''(c||b)||~b'\'''
json '(c||b)||~b' 2>&1 ||
echo 'command failed: json '\''(c||b)||~b'\'''

echo '$ json '\''(c||b)||~c'\'''
json '(c||b)||~c' 2>&1 ||
echo 'command failed: json '\''(c||b)||~c'\'''

echo '$ json '\''(c||~b)||a'\'''
json '(c||~b)||a' 2>&1 ||
echo 'command failed: json '\''(c||~b)||a'\'''

echo '$ json '\''(c||~b)||~a'\'''
json '(c||~b)||~a' 2>&1 ||
echo 'command failed: json '\''(c||~b)||~a'\'''

echo '$ json '\''(c||~b)||b'\'''
json '(c||~b)||b' 2>&1 ||
echo 'command failed: json '\''(c||~b)||b'\'''

echo '$ json '\''(c||~b)||~c'\'''
json '(c||~b)||~c' 2>&1 ||
echo 'command failed: json '\''(c||~b)||~c'\'''

echo '$ json '\''(c||~c)||a'\'''
json '(c||~c)||a' 2>&1 ||
echo 'command failed: json '\''(c||~c)||a'\'''

echo '$ json '\''(c||~c)||~a'\'''
json '(c||~c)||~a' 2>&1 ||
echo 'command failed: json '\''(c||~c)||~a'\'''

echo '$ json '\''(c||~c)||b'\'''
json '(c||~c)||b' 2>&1 ||
echo 'command failed: json '\''(c||~c)||b'\'''

echo '$ json '\''(c||~c)||~b'\'''
json '(c||~c)||~b' 2>&1 ||
echo 'command failed: json '\''(c||~c)||~b'\'''

echo '$ json '\''(~c||a)||~a'\'''
json '(~c||a)||~a' 2>&1 ||
echo 'command failed: json '\''(~c||a)||~a'\'''

echo '$ json '\''(~c||a)||b'\'''
json '(~c||a)||b' 2>&1 ||
echo 'command failed: json '\''(~c||a)||b'\'''

echo '$ json '\''(~c||a)||~b'\'''
json '(~c||a)||~b' 2>&1 ||
echo 'command failed: json '\''(~c||a)||~b'\'''

echo '$ json '\''(~c||a)||c'\'''
json '(~c||a)||c' 2>&1 ||
echo 'command failed: json '\''(~c||a)||c'\'''

echo '$ json '\''(~c||~a)||a'\'''
json '(~c||~a)||a' 2>&1 ||
echo 'command failed: json '\''(~c||~a)||a'\'''

echo '$ json '\''(~c||~a)||b'\'''
json '(~c||~a)||b' 2>&1 ||
echo 'command failed: json '\''(~c||~a)||b'\'''

echo '$ json '\''(~c||~a)||~b'\'''
json '(~c||~a)||~b' 2>&1 ||
echo 'command failed: json '\''(~c||~a)||~b'\'''

echo '$ json '\''(~c||~a)||c'\'''
json '(~c||~a)||c' 2>&1 ||
echo 'command failed: json '\''(~c||~a)||c'\'''

echo '$ json '\''(~c||b)||a'\'''
json '(~c||b)||a' 2>&1 ||
echo 'command failed: json '\''(~c||b)||a'\'''

echo '$ json '\''(~c||b)||~a'\'''
json '(~c||b)||~a' 2>&1 ||
echo 'command failed: json '\''(~c||b)||~a'\'''

echo '$ json '\''(~c||b)||~b'\'''
json '(~c||b)||~b' 2>&1 ||
echo 'command failed: json '\''(~c||b)||~b'\'''

echo '$ json '\''(~c||b)||c'\'''
json '(~c||b)||c' 2>&1 ||
echo 'command failed: json '\''(~c||b)||c'\'''

echo '$ json '\''(~c||~b)||a'\'''
json '(~c||~b)||a' 2>&1 ||
echo 'command failed: json '\''(~c||~b)||a'\'''

echo '$ json '\''(~c||~b)||~a'\'''
json '(~c||~b)||~a' 2>&1 ||
echo 'command failed: json '\''(~c||~b)||~a'\'''

echo '$ json '\''(~c||~b)||b'\'''
json '(~c||~b)||b' 2>&1 ||
echo 'command failed: json '\''(~c||~b)||b'\'''

echo '$ json '\''(~c||~b)||c'\'''
json '(~c||~b)||c' 2>&1 ||
echo 'command failed: json '\''(~c||~b)||c'\'''

echo '$ json '\''(~c||c)||a'\'''
json '(~c||c)||a' 2>&1 ||
echo 'command failed: json '\''(~c||c)||a'\'''

echo '$ json '\''(~c||c)||~a'\'''
json '(~c||c)||~a' 2>&1 ||
echo 'command failed: json '\''(~c||c)||~a'\'''

echo '$ json '\''(~c||c)||b'\'''
json '(~c||c)||b' 2>&1 ||
echo 'command failed: json '\''(~c||c)||b'\'''

echo '$ json '\''(~c||c)||~b'\'''
json '(~c||c)||~b' 2>&1 ||
echo 'command failed: json '\''(~c||c)||~b'\'''
)

